
Property changes on: msvcirt
___________________________________________________________________
Added: bugtraq:url
   + http://www.reactos.org/bugzilla/show_bug.cgi?id=%BUGID%
Added: bugtraq:message
   + See issue #%BUGID% for more details.
Added: tsvn:logminsize
   + 10
Added: bugtraq:logregex
   + ([Ii]ssue|[Bb]ug)s? #?(\d+)(,? ?#?(\d+))*(,? ?(and |or )?#?(\d+))?
(\d+)

Index: msvcirt/msvcirt.c
===================================================================
--- msvcirt/msvcirt.c	(revision 0)
+++ msvcirt/msvcirt.c	(revision 0)
@@ -0,0 +1,107 @@
+/*
+ * Copyright (C) 2007 Alexandre Julliard
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Lesser General Public
+ * License as published by the Free Software Foundation; either
+ * version 2.1 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this library; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
+ */
+
+#include "config.h"
+#include "wine/port.h"
+
+#include <stdarg.h>
+
+#include "windef.h"
+#include "winbase.h"
+#include "wine/debug.h"
+
+WINE_DEFAULT_DEBUG_CHANNEL(msvcirt);
+
+typedef struct {
+    LPVOID VTable;
+} class_ostream;
+
+#ifdef __i386__  /* thiscall functions are i386-specific */
+
+#define THISCALL(func) __thiscall_ ## func
+#define THISCALL_NAME(func) __ASM_NAME("__thiscall_" #func)
+#define DEFINE_THISCALL_WRAPPER(func,args) \
+    extern void THISCALL(func)(void); \
+    __ASM_GLOBAL_FUNC(__thiscall_ ## func, \
+                      "popl %eax\n\t" \
+                      "pushl %ecx\n\t" \
+                      "pushl %eax\n\t" \
+                      "jmp " __ASM_NAME(#func) __ASM_STDCALL(args) )
+#else /* __i386__ */
+
+#define THISCALL(func) func
+#define THISCALL_NAME(func) __ASM_NAME(#func)
+#define DEFINE_THISCALL_WRAPPER(func,args) /* nothing */
+
+#endif /* __i386__ */
+
+/******************************************************************
+ *		 ??6ostream@@QAEAAV0@H@Z (MSVCRTI.@)
+ *        class ostream & __thiscall ostream::operator<<(int)
+ */
+DEFINE_THISCALL_WRAPPER(MSVCIRT_operator_sl_int,8)
+void * __stdcall MSVCIRT_operator_sl_int(class_ostream * _this, int integer)
+{
+   FIXME("(%p)->(%d) stub\n", _this, integer);
+   return _this;
+}
+
+/******************************************************************
+ *		??6ostream@@QAEAAV0@PBD@Z (MSVCRTI.@)
+ *    class ostream & __thiscall ostream::operator<<(char const *)
+ */
+DEFINE_THISCALL_WRAPPER(MSVCIRT_operator_sl_pchar,8)
+void * __stdcall MSVCIRT_operator_sl_pchar(class_ostream * _this, const char * string)
+{
+   FIXME("(%p)->(%s) stub\n", _this, debugstr_a(string));
+   return _this;
+}
+
+/******************************************************************
+ *		??6ostream@@QAEAAV0@P6AAAV0@AAV0@@Z@Z (MSVCRTI.@)
+ *    class ostream & __thiscall ostream::operator<<(class ostream & (__cdecl*)(class ostream &))
+ */
+DEFINE_THISCALL_WRAPPER(MSVCIRT_operator_sl_callback,8)
+void * __stdcall MSVCIRT_operator_sl_callback(class_ostream * _this, class_ostream * (__cdecl*func)(class_ostream*))
+{
+   TRACE("%p, %p\n", _this, func);
+   return func(_this);
+}
+
+/******************************************************************
+ *		?endl@@YAAAVostream@@AAV1@@Z (MSVCRTI.@)
+ *           class ostream & __cdecl endl(class ostream &)
+ */
+void * CDECL MSVCIRT_endl(class_ostream * _this)
+{
+   FIXME("(%p)->() stub\n", _this);
+   return _this;
+}
+
+BOOL WINAPI DllMain( HINSTANCE inst, DWORD reason, LPVOID reserved )
+{
+   switch (reason)
+   {
+   case DLL_WINE_PREATTACH:
+       return FALSE;  /* prefer native version */
+   case DLL_PROCESS_ATTACH:
+       DisableThreadLibraryCalls( inst );
+       break;
+   }
+   return TRUE;
+}

Property changes on: msvcirt\msvcirt.c
___________________________________________________________________
Added: svn:eol-style
   + native

Index: msvcirt/msvcirt.rbuild
===================================================================
--- msvcirt/msvcirt.rbuild	(revision 0)
+++ msvcirt/msvcirt.rbuild	(revision 0)
@@ -0,0 +1,15 @@
+<?xml version="1.0"?>
+<!DOCTYPE module SYSTEM "../../../tools/rbuild/project.dtd">
+<group>
+<module name="msvcirt" type="win32dll" baseaddress="${BASEADDRESS_MSVCIRT}" installbase="system32" installname="msvcirt.dll" iscrt="yes">
+	<importlibrary definition="msvcirt.spec" />
+	<include base="msvcirt">.</include>
+	<include base="ReactOS">include/reactos/wine</include>
+	<define name="__WINESRC__" />
+	<define name="CRTDLL" />
+	<file>msvcirt.c</file>
+	<library>ntdll</library>
+	<library>crt</library>
+	<library>wine</library>
+</module>
+</group>

Property changes on: msvcirt\msvcirt.rbuild
___________________________________________________________________
Added: svn:eol-style
   + native

Index: msvcirt/msvcirt.spec
===================================================================
--- msvcirt/msvcirt.spec	(revision 0)
+++ msvcirt/msvcirt.spec	(revision 0)
@@ -0,0 +1,445 @@
+@ stub ??0Iostream_init@@QAE@AAVios@@H@Z  # __thiscall Iostream_init::Iostream_init(class ios &,int)
+@ stub ??0Iostream_init@@QAE@XZ  # __thiscall Iostream_init::Iostream_init(void)
+@ cdecl -i386 -norelay ??0exception@@QAE@ABQBD@Z(ptr) msvcrt.??0exception@@QAE@ABQBD@Z  # __thiscall exception::exception(char const * const &)
+@ cdecl -i386 -norelay ??0exception@@QAE@ABV0@@Z(ptr) msvcrt.??0exception@@QAE@ABV0@@Z  # __thiscall exception::exception(class exception const &)
+@ cdecl -i386 -norelay ??0exception@@QAE@XZ() msvcrt.??0exception@@QAE@XZ  # __thiscall exception::exception(void)
+@ stub ??0filebuf@@QAE@ABV0@@Z  # __thiscall filebuf::filebuf(class filebuf const &)
+@ stub ??0filebuf@@QAE@H@Z  # __thiscall filebuf::filebuf(int)
+@ stub ??0filebuf@@QAE@HPADH@Z  # __thiscall filebuf::filebuf(int,char *,int)
+@ stub ??0filebuf@@QAE@XZ  # __thiscall filebuf::filebuf(void)
+@ stub ??0fstream@@QAE@ABV0@@Z  # __thiscall fstream::fstream(class fstream const &)
+@ stub ??0fstream@@QAE@H@Z  # __thiscall fstream::fstream(int)
+@ stub ??0fstream@@QAE@HPADH@Z  # __thiscall fstream::fstream(int,char *,int)
+@ stub ??0fstream@@QAE@PBDHH@Z  # __thiscall fstream::fstream(char const *,int,int)
+@ stub ??0fstream@@QAE@XZ  # __thiscall fstream::fstream(void)
+@ stub ??0ifstream@@QAE@ABV0@@Z  # __thiscall ifstream::ifstream(class ifstream const &)
+@ stub ??0ifstream@@QAE@H@Z  # __thiscall ifstream::ifstream(int)
+@ stub ??0ifstream@@QAE@HPADH@Z  # __thiscall ifstream::ifstream(int,char *,int)
+@ stub ??0ifstream@@QAE@PBDHH@Z  # __thiscall ifstream::ifstream(char const *,int,int)
+@ stub ??0ifstream@@QAE@XZ  # __thiscall ifstream::ifstream(void)
+@ stub ??0ios@@IAE@ABV0@@Z  # __thiscall ios::ios(class ios const &)
+@ stub ??0ios@@IAE@XZ  # __thiscall ios::ios(void)
+@ stub ??0ios@@QAE@PAVstreambuf@@@Z  # __thiscall ios::ios(class streambuf *)
+@ stub ??0iostream@@IAE@ABV0@@Z  # __thiscall iostream::iostream(class iostream const &)
+@ stub ??0iostream@@IAE@XZ  # __thiscall iostream::iostream(void)
+@ stub ??0iostream@@QAE@PAVstreambuf@@@Z  # __thiscall iostream::iostream(class streambuf *)
+@ stub ??0istream@@IAE@ABV0@@Z  # __thiscall istream::istream(class istream const &)
+@ stub ??0istream@@IAE@XZ  # __thiscall istream::istream(void)
+@ stub ??0istream@@QAE@PAVstreambuf@@@Z  # __thiscall istream::istream(class streambuf *)
+@ stub ??0istream_withassign@@QAE@ABV0@@Z  # __thiscall istream_withassign::istream_withassign(class istream_withassign const &)
+@ stub ??0istream_withassign@@QAE@PAVstreambuf@@@Z  # __thiscall istream_withassign::istream_withassign(class streambuf *)
+@ stub ??0istream_withassign@@QAE@XZ  # __thiscall istream_withassign::istream_withassign(void)
+@ stub ??0istrstream@@QAE@ABV0@@Z  # __thiscall istrstream::istrstream(class istrstream const &)
+@ stub ??0istrstream@@QAE@PAD@Z  # __thiscall istrstream::istrstream(char *)
+@ stub ??0istrstream@@QAE@PADH@Z  # __thiscall istrstream::istrstream(char *,int)
+@ stub ??0logic_error@@QAE@ABQBD@Z  # __thiscall logic_error::logic_error(char const * const &)
+@ stub ??0logic_error@@QAE@ABV0@@Z  # __thiscall logic_error::logic_error(class logic_error const &)
+@ stub ??0ofstream@@QAE@ABV0@@Z  # __thiscall ofstream::ofstream(class ofstream const &)
+@ stub ??0ofstream@@QAE@H@Z  # __thiscall ofstream::ofstream(int)
+@ stub ??0ofstream@@QAE@HPADH@Z  # __thiscall ofstream::ofstream(int,char *,int)
+@ stub ??0ofstream@@QAE@PBDHH@Z  # __thiscall ofstream::ofstream(char const *,int,int)
+@ stub ??0ofstream@@QAE@XZ  # __thiscall ofstream::ofstream(void)
+@ stub ??0ostream@@IAE@ABV0@@Z  # __thiscall ostream::ostream(class ostream const &)
+@ stub ??0ostream@@IAE@XZ  # __thiscall ostream::ostream(void)
+@ stub ??0ostream@@QAE@PAVstreambuf@@@Z  # __thiscall ostream::ostream(class streambuf *)
+@ stub ??0ostream_withassign@@QAE@ABV0@@Z  # __thiscall ostream_withassign::ostream_withassign(class ostream_withassign const &)
+@ stub ??0ostream_withassign@@QAE@PAVstreambuf@@@Z  # __thiscall ostream_withassign::ostream_withassign(class streambuf *)
+@ stub ??0ostream_withassign@@QAE@XZ  # __thiscall ostream_withassign::ostream_withassign(void)
+@ stub ??0ostrstream@@QAE@ABV0@@Z  # __thiscall ostrstream::ostrstream(class ostrstream const &)
+@ stub ??0ostrstream@@QAE@PADHH@Z  # __thiscall ostrstream::ostrstream(char *,int,int)
+@ stub ??0ostrstream@@QAE@XZ  # __thiscall ostrstream::ostrstream(void)
+@ stub ??0stdiobuf@@QAE@ABV0@@Z  # __thiscall stdiobuf::stdiobuf(class stdiobuf const &)
+@ stub ??0stdiobuf@@QAE@PAU_iobuf@@@Z  # __thiscall stdiobuf::stdiobuf(struct _iobuf *)
+@ stub ??0stdiostream@@QAE@ABV0@@Z  # __thiscall stdiostream::stdiostream(class stdiostream const &)
+@ stub ??0stdiostream@@QAE@PAU_iobuf@@@Z  # __thiscall stdiostream::stdiostream(struct _iobuf *)
+@ stub ??0streambuf@@IAE@PADH@Z  # __thiscall streambuf::streambuf(char *,int)
+@ stub ??0streambuf@@IAE@XZ  # __thiscall streambuf::streambuf(void)
+@ stub ??0streambuf@@QAE@ABV0@@Z  # __thiscall streambuf::streambuf(class streambuf const &)
+@ stub ??0strstream@@QAE@ABV0@@Z  # __thiscall strstream::strstream(class strstream const &)
+@ stub ??0strstream@@QAE@PADHH@Z  # __thiscall strstream::strstream(char *,int,int)
+@ stub ??0strstream@@QAE@XZ  # __thiscall strstream::strstream(void)
+@ stub ??0strstreambuf@@QAE@ABV0@@Z  # __thiscall strstreambuf::strstreambuf(class strstreambuf const &)
+@ stub ??0strstreambuf@@QAE@H@Z  # __thiscall strstreambuf::strstreambuf(int)
+@ stub ??0strstreambuf@@QAE@P6APAXJ@ZP6AXPAX@Z@Z  # __thiscall strstreambuf::strstreambuf(void * (__cdecl*)(long),void (__cdecl*)(void *))
+@ stub ??0strstreambuf@@QAE@PADH0@Z  # __thiscall strstreambuf::strstreambuf(char *,int,char *)
+@ stub ??0strstreambuf@@QAE@PAEH0@Z  # __thiscall strstreambuf::strstreambuf(unsigned char *,int,unsigned char *)
+@ stub ??0strstreambuf@@QAE@XZ  # __thiscall strstreambuf::strstreambuf(void)
+@ stub ??1Iostream_init@@QAE@XZ  # __thiscall Iostream_init::~Iostream_init(void)
+@ cdecl -i386 -norelay ??1exception@@UAE@XZ() msvcrt.??1exception@@UAE@XZ  # virtual __thiscall exception::~exception(void)
+@ stub ??1filebuf@@UAE@XZ  # virtual __thiscall filebuf::~filebuf(void)
+@ stub ??1fstream@@UAE@XZ  # virtual __thiscall fstream::~fstream(void)
+@ stub ??1ifstream@@UAE@XZ  # virtual __thiscall ifstream::~ifstream(void)
+@ stub ??1ios@@UAE@XZ  # virtual __thiscall ios::~ios(void)
+@ stub ??1iostream@@UAE@XZ  # virtual __thiscall iostream::~iostream(void)
+@ stub ??1istream@@UAE@XZ  # virtual __thiscall istream::~istream(void)
+@ stub ??1istream_withassign@@UAE@XZ  # virtual __thiscall istream_withassign::~istream_withassign(void)
+@ stub ??1istrstream@@UAE@XZ  # virtual __thiscall istrstream::~istrstream(void)
+@ stub ??1logic_error@@UAE@XZ  # virtual __thiscall logic_error::~logic_error(void)
+@ stub ??1ofstream@@UAE@XZ  # virtual __thiscall ofstream::~ofstream(void)
+@ stub ??1ostream@@UAE@XZ  # virtual __thiscall ostream::~ostream(void)
+@ stub ??1ostream_withassign@@UAE@XZ  # virtual __thiscall ostream_withassign::~ostream_withassign(void)
+@ stub ??1ostrstream@@UAE@XZ  # virtual __thiscall ostrstream::~ostrstream(void)
+@ stub ??1stdiobuf@@UAE@XZ  # virtual __thiscall stdiobuf::~stdiobuf(void)
+@ stub ??1stdiostream@@UAE@XZ  # virtual __thiscall stdiostream::~stdiostream(void)
+@ stub ??1streambuf@@UAE@XZ  # virtual __thiscall streambuf::~streambuf(void)
+@ stub ??1strstream@@UAE@XZ  # virtual __thiscall strstream::~strstream(void)
+@ stub ??1strstreambuf@@UAE@XZ  # virtual __thiscall strstreambuf::~strstreambuf(void)
+@ stub ??4Iostream_init@@QAEAAV0@ABV0@@Z  # class Iostream_init & __thiscall Iostream_init::operator=(class Iostream_init const &)
+@ cdecl -i386 -norelay ??4exception@@QAEAAV0@ABV0@@Z(ptr) msvcrt.??4exception@@QAEAAV0@ABV0@@Z  # class exception & __thiscall exception::operator=(class exception const &)
+@ stub ??4filebuf@@QAEAAV0@ABV0@@Z  # class filebuf & __thiscall filebuf::operator=(class filebuf const &)
+@ stub ??4fstream@@QAEAAV0@AAV0@@Z  # class fstream & __thiscall fstream::operator=(class fstream &)
+@ stub ??4ifstream@@QAEAAV0@ABV0@@Z  # class ifstream & __thiscall ifstream::operator=(class ifstream const &)
+@ stub ??4ios@@IAEAAV0@ABV0@@Z  # class ios & __thiscall ios::operator=(class ios const &)
+@ stub ??4iostream@@IAEAAV0@AAV0@@Z  # class iostream & __thiscall iostream::operator=(class iostream &)
+@ stub ??4iostream@@IAEAAV0@PAVstreambuf@@@Z  # class iostream & __thiscall iostream::operator=(class streambuf *)
+@ stub ??4istream@@IAEAAV0@ABV0@@Z  # class istream & __thiscall istream::operator=(class istream const &)
+@ stub ??4istream@@IAEAAV0@PAVstreambuf@@@Z  # class istream & __thiscall istream::operator=(class streambuf *)
+@ stub ??4istream_withassign@@QAEAAV0@ABV0@@Z  # class istream_withassign & __thiscall istream_withassign::operator=(class istream_withassign const &)
+@ stub ??4istream_withassign@@QAEAAVistream@@ABV1@@Z  # class istream & __thiscall istream_withassign::operator=(class istream const &)
+@ stub ??4istream_withassign@@QAEAAVistream@@PAVstreambuf@@@Z  # class istream & __thiscall istream_withassign::operator=(class streambuf *)
+@ stub ??4istrstream@@QAEAAV0@ABV0@@Z  # class istrstream & __thiscall istrstream::operator=(class istrstream const &)
+@ stub ??4logic_error@@QAEAAV0@ABV0@@Z  # class logic_error & __thiscall logic_error::operator=(class logic_error const &)
+@ stub ??4ofstream@@QAEAAV0@ABV0@@Z  # class ofstream & __thiscall ofstream::operator=(class ofstream const &)
+@ stub ??4ostream@@IAEAAV0@ABV0@@Z  # class ostream & __thiscall ostream::operator=(class ostream const &)
+@ stub ??4ostream@@IAEAAV0@PAVstreambuf@@@Z  # class ostream & __thiscall ostream::operator=(class streambuf *)
+@ stub ??4ostream_withassign@@QAEAAV0@ABV0@@Z  # class ostream_withassign & __thiscall ostream_withassign::operator=(class ostream_withassign const &)
+@ stub ??4ostream_withassign@@QAEAAVostream@@ABV1@@Z  # class ostream & __thiscall ostream_withassign::operator=(class ostream const &)
+@ stub ??4ostream_withassign@@QAEAAVostream@@PAVstreambuf@@@Z  # class ostream & __thiscall ostream_withassign::operator=(class streambuf *)
+@ stub ??4ostrstream@@QAEAAV0@ABV0@@Z  # class ostrstream & __thiscall ostrstream::operator=(class ostrstream const &)
+@ stub ??4stdiobuf@@QAEAAV0@ABV0@@Z  # class stdiobuf & __thiscall stdiobuf::operator=(class stdiobuf const &)
+@ stub ??4stdiostream@@QAEAAV0@AAV0@@Z  # class stdiostream & __thiscall stdiostream::operator=(class stdiostream &)
+@ stub ??4streambuf@@QAEAAV0@ABV0@@Z  # class streambuf & __thiscall streambuf::operator=(class streambuf const &)
+@ stub ??4strstream@@QAEAAV0@AAV0@@Z  # class strstream & __thiscall strstream::operator=(class strstream &)
+@ stub ??4strstreambuf@@QAEAAV0@ABV0@@Z  # class strstreambuf & __thiscall strstreambuf::operator=(class strstreambuf const &)
+@ stub ??5istream@@QAEAAV0@AAC@Z  # class istream & __thiscall istream::operator>>(signed char &)
+@ stub ??5istream@@QAEAAV0@AAD@Z  # class istream & __thiscall istream::operator>>(char &)
+@ stub ??5istream@@QAEAAV0@AAE@Z  # class istream & __thiscall istream::operator>>(unsigned char &)
+@ stub ??5istream@@QAEAAV0@AAF@Z  # class istream & __thiscall istream::operator>>(short &)
+@ stub ??5istream@@QAEAAV0@AAG@Z  # class istream & __thiscall istream::operator>>(unsigned short &)
+@ stub ??5istream@@QAEAAV0@AAH@Z  # class istream & __thiscall istream::operator>>(int &)
+@ stub ??5istream@@QAEAAV0@AAI@Z  # class istream & __thiscall istream::operator>>(unsigned int &)
+@ stub ??5istream@@QAEAAV0@AAJ@Z  # class istream & __thiscall istream::operator>>(long &)
+@ stub ??5istream@@QAEAAV0@AAK@Z  # class istream & __thiscall istream::operator>>(unsigned long &)
+@ stub ??5istream@@QAEAAV0@AAM@Z  # class istream & __thiscall istream::operator>>(float &)
+@ stub ??5istream@@QAEAAV0@AAN@Z  # class istream & __thiscall istream::operator>>(double &)
+@ stub ??5istream@@QAEAAV0@AAO@Z  # class istream & __thiscall istream::operator>>(long double &)
+@ stub ??5istream@@QAEAAV0@P6AAAV0@AAV0@@Z@Z  # class istream & __thiscall istream::operator>>(class istream & (__cdecl*)(class istream &))
+@ stub ??5istream@@QAEAAV0@P6AAAVios@@AAV1@@Z@Z  # class istream & __thiscall istream::operator>>(class ios & (__cdecl*)(class ios &))
+@ stub ??5istream@@QAEAAV0@PAC@Z  # class istream & __thiscall istream::operator>>(signed char *)
+@ stub ??5istream@@QAEAAV0@PAD@Z  # class istream & __thiscall istream::operator>>(char *)
+@ stub ??5istream@@QAEAAV0@PAE@Z  # class istream & __thiscall istream::operator>>(unsigned char *)
+@ stub ??5istream@@QAEAAV0@PAVstreambuf@@@Z  # class istream & __thiscall istream::operator>>(class streambuf *)
+@ stub ??6ostream@@QAEAAV0@C@Z  # class ostream & __thiscall ostream::operator<<(signed char)
+@ stub ??6ostream@@QAEAAV0@D@Z  # class ostream & __thiscall ostream::operator<<(char)
+@ stub ??6ostream@@QAEAAV0@E@Z  # class ostream & __thiscall ostream::operator<<(unsigned char)
+@ stub ??6ostream@@QAEAAV0@F@Z  # class ostream & __thiscall ostream::operator<<(short)
+@ stub ??6ostream@@QAEAAV0@G@Z  # class ostream & __thiscall ostream::operator<<(unsigned short)
+@ cdecl -i386 -norelay ??6ostream@@QAEAAV0@H@Z(ptr long) __thiscall_MSVCIRT_operator_sl_int  # class ostream & __thiscall ostream::operator<<(int)
+@ stub ??6ostream@@QAEAAV0@I@Z  # class ostream & __thiscall ostream::operator<<(unsigned int)
+@ stub ??6ostream@@QAEAAV0@J@Z  # class ostream & __thiscall ostream::operator<<(long)
+@ stub ??6ostream@@QAEAAV0@K@Z  # class ostream & __thiscall ostream::operator<<(unsigned long)
+@ stub ??6ostream@@QAEAAV0@M@Z  # class ostream & __thiscall ostream::operator<<(float)
+@ stub ??6ostream@@QAEAAV0@N@Z  # class ostream & __thiscall ostream::operator<<(double)
+@ stub ??6ostream@@QAEAAV0@O@Z  # class ostream & __thiscall ostream::operator<<(long double)
+@ cdecl -i386 -norelay ??6ostream@@QAEAAV0@P6AAAV0@AAV0@@Z@Z(ptr ptr) __thiscall_MSVCIRT_operator_sl_callback  # class ostream & __thiscall ostream::operator<<(class ostream & (__cdecl*)(class ostream &))
+@ stub ??6ostream@@QAEAAV0@P6AAAVios@@AAV1@@Z@Z  # class ostream & __thiscall ostream::operator<<(class ios & (__cdecl*)(class ios &))
+@ stub ??6ostream@@QAEAAV0@PAVstreambuf@@@Z  # class ostream & __thiscall ostream::operator<<(class streambuf *)
+@ stub ??6ostream@@QAEAAV0@PBC@Z  # class ostream & __thiscall ostream::operator<<(signed char const *)
+@ cdecl -i386 -norelay ??6ostream@@QAEAAV0@PBD@Z(ptr ptr) __thiscall_MSVCIRT_operator_sl_pchar  # class ostream & __thiscall ostream::operator<<(char const *)
+@ stub ??6ostream@@QAEAAV0@PBE@Z  # class ostream & __thiscall ostream::operator<<(unsigned char const *)
+@ stub ??6ostream@@QAEAAV0@PBX@Z  # class ostream & __thiscall ostream::operator<<(void const *)
+@ stub ??7ios@@QBEHXZ  # int __thiscall ios::operator!(void)const 
+@ stub ??Bios@@QBEPAXXZ  # __thiscall ios::operator void *(void)const 
+@ extern -i386 ??_7exception@@6B@ msvcrt.??_7exception@@6B@  # const exception::`vftable'
+# @ extern ??_7filebuf@@6B@  # const filebuf::`vftable'
+# @ extern ??_7fstream@@6B@  # const fstream::`vftable'
+# @ extern ??_7ifstream@@6B@  # const ifstream::`vftable'
+# @ extern ??_7ios@@6B@  # const ios::`vftable'
+# @ extern ??_7iostream@@6B@  # const iostream::`vftable'
+# @ extern ??_7istream@@6B@  # const istream::`vftable'
+# @ extern ??_7istream_withassign@@6B@  # const istream_withassign::`vftable'
+# @ extern ??_7istrstream@@6B@  # const istrstream::`vftable'
+# @ extern ??_7logic_error@@6B@  # const logic_error::`vftable'
+# @ extern ??_7ofstream@@6B@  # const ofstream::`vftable'
+# @ extern ??_7ostream@@6B@  # const ostream::`vftable'
+# @ extern ??_7ostream_withassign@@6B@  # const ostream_withassign::`vftable'
+# @ extern ??_7ostrstream@@6B@  # const ostrstream::`vftable'
+# @ extern ??_7stdiobuf@@6B@  # const stdiobuf::`vftable'
+# @ extern ??_7stdiostream@@6B@  # const stdiostream::`vftable'
+# @ extern ??_7streambuf@@6B@  # const streambuf::`vftable'
+# @ extern ??_7strstream@@6B@  # const strstream::`vftable'
+# @ extern ??_7strstreambuf@@6B@  # const strstreambuf::`vftable'
+# @ extern ??_8fstream@@7Bistream@@@  # const fstream::`vbtable'{for `istream'}
+# @ extern ??_8fstream@@7Bostream@@@  # const fstream::`vbtable'{for `ostream'}
+# @ extern ??_8ifstream@@7B@  # const ifstream::`vbtable'
+# @ extern ??_8iostream@@7Bistream@@@  # const iostream::`vbtable'{for `istream'}
+# @ extern ??_8iostream@@7Bostream@@@  # const iostream::`vbtable'{for `ostream'}
+# @ extern ??_8istream@@7B@  # const istream::`vbtable'
+# @ extern ??_8istream_withassign@@7B@  # const istream_withassign::`vbtable'
+# @ extern ??_8istrstream@@7B@  # const istrstream::`vbtable'
+# @ extern ??_8ofstream@@7B@  # const ofstream::`vbtable'
+# @ extern ??_8ostream@@7B@  # const ostream::`vbtable'
+# @ extern ??_8ostream_withassign@@7B@  # const ostream_withassign::`vbtable'
+# @ extern ??_8ostrstream@@7B@  # const ostrstream::`vbtable'
+# @ extern ??_8stdiostream@@7Bistream@@@  # const stdiostream::`vbtable'{for `istream'}
+# @ extern ??_8stdiostream@@7Bostream@@@  # const stdiostream::`vbtable'{for `ostream'}
+# @ extern ??_8strstream@@7Bistream@@@  # const strstream::`vbtable'{for `istream'}
+# @ extern ??_8strstream@@7Bostream@@@  # const strstream::`vbtable'{for `ostream'}
+@ stub ??_Dfstream@@QAEXXZ  # void __thiscall fstream::`vbase destructor'(void)
+@ stub ??_Difstream@@QAEXXZ  # void __thiscall ifstream::`vbase destructor'(void)
+@ stub ??_Diostream@@QAEXXZ  # void __thiscall iostream::`vbase destructor'(void)
+@ stub ??_Distream@@QAEXXZ  # void __thiscall istream::`vbase destructor'(void)
+@ stub ??_Distream_withassign@@QAEXXZ  # void __thiscall istream_withassign::`vbase destructor'(void)
+@ stub ??_Distrstream@@QAEXXZ  # void __thiscall istrstream::`vbase destructor'(void)
+@ stub ??_Dofstream@@QAEXXZ  # void __thiscall ofstream::`vbase destructor'(void)
+@ stub ??_Dostream@@QAEXXZ  # void __thiscall ostream::`vbase destructor'(void)
+@ stub ??_Dostream_withassign@@QAEXXZ  # void __thiscall ostream_withassign::`vbase destructor'(void)
+@ stub ??_Dostrstream@@QAEXXZ  # void __thiscall ostrstream::`vbase destructor'(void)
+@ stub ??_Dstdiostream@@QAEXXZ  # void __thiscall stdiostream::`vbase destructor'(void)
+@ stub ??_Dstrstream@@QAEXXZ  # void __thiscall strstream::`vbase destructor'(void)
+@ cdecl -i386 -norelay ??_Eexception@@UAEPAXI@Z(long) msvcrt.??_Eexception@@UAEPAXI@Z  # virtual void * __thiscall exception::`vector deleting destructor'(unsigned int)
+@ stub ??_Efilebuf@@UAEPAXI@Z  # virtual void * __thiscall filebuf::`vector deleting destructor'(unsigned int)
+@ stub ??_Efstream@@UAEPAXI@Z  # virtual void * __thiscall fstream::`vector deleting destructor'(unsigned int)
+@ stub ??_Eifstream@@UAEPAXI@Z  # virtual void * __thiscall ifstream::`vector deleting destructor'(unsigned int)
+@ stub ??_Eios@@UAEPAXI@Z  # virtual void * __thiscall ios::`vector deleting destructor'(unsigned int)
+@ stub ??_Eiostream@@UAEPAXI@Z  # virtual void * __thiscall iostream::`vector deleting destructor'(unsigned int)
+@ stub ??_Eistream@@UAEPAXI@Z  # virtual void * __thiscall istream::`vector deleting destructor'(unsigned int)
+@ stub ??_Eistream_withassign@@UAEPAXI@Z  # virtual void * __thiscall istream_withassign::`vector deleting destructor'(unsigned int)
+@ stub ??_Eistrstream@@UAEPAXI@Z  # virtual void * __thiscall istrstream::`vector deleting destructor'(unsigned int)
+@ stub ??_Elogic_error@@UAEPAXI@Z  # virtual void * __thiscall logic_error::`vector deleting destructor'(unsigned int)
+@ stub ??_Eofstream@@UAEPAXI@Z  # virtual void * __thiscall ofstream::`vector deleting destructor'(unsigned int)
+@ stub ??_Eostream@@UAEPAXI@Z  # virtual void * __thiscall ostream::`vector deleting destructor'(unsigned int)
+@ stub ??_Eostream_withassign@@UAEPAXI@Z  # virtual void * __thiscall ostream_withassign::`vector deleting destructor'(unsigned int)
+@ stub ??_Eostrstream@@UAEPAXI@Z  # virtual void * __thiscall ostrstream::`vector deleting destructor'(unsigned int)
+@ stub ??_Estdiobuf@@UAEPAXI@Z  # virtual void * __thiscall stdiobuf::`vector deleting destructor'(unsigned int)
+@ stub ??_Estdiostream@@UAEPAXI@Z  # virtual void * __thiscall stdiostream::`vector deleting destructor'(unsigned int)
+@ stub ??_Estreambuf@@UAEPAXI@Z  # virtual void * __thiscall streambuf::`vector deleting destructor'(unsigned int)
+@ stub ??_Estrstream@@UAEPAXI@Z  # virtual void * __thiscall strstream::`vector deleting destructor'(unsigned int)
+@ stub ??_Estrstreambuf@@UAEPAXI@Z  # virtual void * __thiscall strstreambuf::`vector deleting destructor'(unsigned int)
+@ cdecl -i386 -norelay ??_Gexception@@UAEPAXI@Z(long) msvcrt.??_Gexception@@UAEPAXI@Z  # virtual void * __thiscall exception::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gfilebuf@@UAEPAXI@Z  # virtual void * __thiscall filebuf::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gfstream@@UAEPAXI@Z  # virtual void * __thiscall fstream::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gifstream@@UAEPAXI@Z  # virtual void * __thiscall ifstream::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gios@@UAEPAXI@Z  # virtual void * __thiscall ios::`scalar deleting destructor'(unsigned int)
+@ stub ??_Giostream@@UAEPAXI@Z  # virtual void * __thiscall iostream::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gistream@@UAEPAXI@Z  # virtual void * __thiscall istream::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gistream_withassign@@UAEPAXI@Z  # virtual void * __thiscall istream_withassign::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gistrstream@@UAEPAXI@Z  # virtual void * __thiscall istrstream::`scalar deleting destructor'(unsigned int)
+@ stub ??_Glogic_error@@UAEPAXI@Z  # virtual void * __thiscall logic_error::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gofstream@@UAEPAXI@Z  # virtual void * __thiscall ofstream::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gostream@@UAEPAXI@Z  # virtual void * __thiscall ostream::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gostream_withassign@@UAEPAXI@Z  # virtual void * __thiscall ostream_withassign::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gostrstream@@UAEPAXI@Z  # virtual void * __thiscall ostrstream::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gstdiobuf@@UAEPAXI@Z  # virtual void * __thiscall stdiobuf::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gstdiostream@@UAEPAXI@Z  # virtual void * __thiscall stdiostream::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gstreambuf@@UAEPAXI@Z  # virtual void * __thiscall streambuf::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gstrstream@@UAEPAXI@Z  # virtual void * __thiscall strstream::`scalar deleting destructor'(unsigned int)
+@ stub ??_Gstrstreambuf@@UAEPAXI@Z  # virtual void * __thiscall strstreambuf::`scalar deleting destructor'(unsigned int)
+# @ extern ?adjustfield@ios@@2JB  # static long const ios::adjustfield
+@ stub ?allocate@streambuf@@IAEHXZ  # int __thiscall streambuf::allocate(void)
+@ stub ?attach@filebuf@@QAEPAV1@H@Z  # class filebuf * __thiscall filebuf::attach(int)
+@ stub ?attach@fstream@@QAEXH@Z  # void __thiscall fstream::attach(int)
+@ stub ?attach@ifstream@@QAEXH@Z  # void __thiscall ifstream::attach(int)
+@ stub ?attach@ofstream@@QAEXH@Z  # void __thiscall ofstream::attach(int)
+@ stub ?bad@ios@@QBEHXZ  # int __thiscall ios::bad(void)const 
+@ stub ?base@streambuf@@IBEPADXZ  # char * __thiscall streambuf::base(void)const 
+# @ extern ?basefield@ios@@2JB  # static long const ios::basefield
+# @ extern ?binary@filebuf@@2HB  # static int const filebuf::binary
+@ stub ?bitalloc@ios@@SAJXZ  # static long __cdecl ios::bitalloc(void)
+@ stub ?blen@streambuf@@IBEHXZ  # int __thiscall streambuf::blen(void)const 
+@ stub ?cerr@@3Vostream_withassign@@A  # class ostream_withassign cerr
+@ stub ?cin@@3Vistream_withassign@@A  # class istream_withassign cin
+@ stub ?clear@ios@@QAEXH@Z  # void __thiscall ios::clear(int)
+@ stub ?clog@@3Vostream_withassign@@A  # class ostream_withassign clog
+@ stub ?close@filebuf@@QAEPAV1@XZ  # class filebuf * __thiscall filebuf::close(void)
+@ stub ?close@fstream@@QAEXXZ  # void __thiscall fstream::close(void)
+@ stub ?close@ifstream@@QAEXXZ  # void __thiscall ifstream::close(void)
+@ stub ?close@ofstream@@QAEXXZ  # void __thiscall ofstream::close(void)
+@ stub ?clrlock@ios@@QAAXXZ  # void __cdecl ios::clrlock(void)
+@ stub ?clrlock@streambuf@@QAEXXZ  # void __thiscall streambuf::clrlock(void)
+@ stub ?cout@@3Vostream_withassign@@A  # class ostream_withassign cout
+@ stub ?dbp@streambuf@@QAEXXZ  # void __thiscall streambuf::dbp(void)
+@ stub ?dec@@YAAAVios@@AAV1@@Z  # class ios & __cdecl dec(class ios &)
+@ stub ?delbuf@ios@@QAEXH@Z  # void __thiscall ios::delbuf(int)
+@ stub ?delbuf@ios@@QBEHXZ  # int __thiscall ios::delbuf(void)const 
+@ stub ?doallocate@streambuf@@MAEHXZ  # virtual int __thiscall streambuf::doallocate(void)
+@ stub ?doallocate@strstreambuf@@MAEHXZ  # virtual int __thiscall strstreambuf::doallocate(void)
+@ stub ?eatwhite@istream@@QAEXXZ  # void __thiscall istream::eatwhite(void)
+@ stub ?eback@streambuf@@IBEPADXZ  # char * __thiscall streambuf::eback(void)const 
+@ stub ?ebuf@streambuf@@IBEPADXZ  # char * __thiscall streambuf::ebuf(void)const 
+@ stub ?egptr@streambuf@@IBEPADXZ  # char * __thiscall streambuf::egptr(void)const 
+@ cdecl ?endl@@YAAAVostream@@AAV1@@Z(ptr) MSVCIRT_endl  # class ostream & __cdecl endl(class ostream &)
+@ stub ?ends@@YAAAVostream@@AAV1@@Z  # class ostream & __cdecl ends(class ostream &)
+@ stub ?eof@ios@@QBEHXZ  # int __thiscall ios::eof(void)const 
+@ stub ?epptr@streambuf@@IBEPADXZ  # char * __thiscall streambuf::epptr(void)const 
+# @ extern ?fLockcInit@ios@@0HA  # static int ios::fLockcInit
+@ stub ?fail@ios@@QBEHXZ  # int __thiscall ios::fail(void)const 
+@ stub ?fd@filebuf@@QBEHXZ  # int __thiscall filebuf::fd(void)const 
+@ stub ?fd@fstream@@QBEHXZ  # int __thiscall fstream::fd(void)const 
+@ stub ?fd@ifstream@@QBEHXZ  # int __thiscall ifstream::fd(void)const 
+@ stub ?fd@ofstream@@QBEHXZ  # int __thiscall ofstream::fd(void)const 
+@ stub ?fill@ios@@QAEDD@Z  # char __thiscall ios::fill(char)
+@ stub ?fill@ios@@QBEDXZ  # char __thiscall ios::fill(void)const 
+@ stub ?flags@ios@@QAEJJ@Z  # long __thiscall ios::flags(long)
+@ stub ?flags@ios@@QBEJXZ  # long __thiscall ios::flags(void)const 
+# @ extern ?floatfield@ios@@2JB  # static long const ios::floatfield
+@ stub ?flush@@YAAAVostream@@AAV1@@Z  # class ostream & __cdecl flush(class ostream &)
+@ stub ?flush@ostream@@QAEAAV1@XZ  # class ostream & __thiscall ostream::flush(void)
+@ stub ?freeze@strstreambuf@@QAEXH@Z  # void __thiscall strstreambuf::freeze(int)
+@ stub ?gbump@streambuf@@IAEXH@Z  # void __thiscall streambuf::gbump(int)
+@ stub ?gcount@istream@@QBEHXZ  # int __thiscall istream::gcount(void)const 
+@ stub ?get@istream@@IAEAAV1@PADHH@Z  # class istream & __thiscall istream::get(char *,int,int)
+@ stub ?get@istream@@QAEAAV1@AAC@Z  # class istream & __thiscall istream::get(signed char &)
+@ stub ?get@istream@@QAEAAV1@AAD@Z  # class istream & __thiscall istream::get(char &)
+@ stub ?get@istream@@QAEAAV1@AAE@Z  # class istream & __thiscall istream::get(unsigned char &)
+@ stub ?get@istream@@QAEAAV1@AAVstreambuf@@D@Z  # class istream & __thiscall istream::get(class streambuf &,char)
+@ stub ?get@istream@@QAEAAV1@PACHD@Z  # class istream & __thiscall istream::get(signed char *,int,char)
+@ stub ?get@istream@@QAEAAV1@PADHD@Z  # class istream & __thiscall istream::get(char *,int,char)
+@ stub ?get@istream@@QAEAAV1@PAEHD@Z  # class istream & __thiscall istream::get(unsigned char *,int,char)
+@ stub ?get@istream@@QAEHXZ  # int __thiscall istream::get(void)
+@ stub ?getdouble@istream@@AAEHPADH@Z  # int __thiscall istream::getdouble(char *,int)
+@ stub ?getint@istream@@AAEHPAD@Z  # int __thiscall istream::getint(char *)
+@ stub ?getline@istream@@QAEAAV1@PACHD@Z  # class istream & __thiscall istream::getline(signed char *,int,char)
+@ stub ?getline@istream@@QAEAAV1@PADHD@Z  # class istream & __thiscall istream::getline(char *,int,char)
+@ stub ?getline@istream@@QAEAAV1@PAEHD@Z  # class istream & __thiscall istream::getline(unsigned char *,int,char)
+@ stub ?good@ios@@QBEHXZ  # int __thiscall ios::good(void)const 
+@ stub ?gptr@streambuf@@IBEPADXZ  # char * __thiscall streambuf::gptr(void)const 
+@ stub ?hex@@YAAAVios@@AAV1@@Z  # class ios & __cdecl hex(class ios &)
+@ stub ?ignore@istream@@QAEAAV1@HH@Z  # class istream & __thiscall istream::ignore(int,int)
+@ stub ?in_avail@streambuf@@QBEHXZ  # int __thiscall streambuf::in_avail(void)const 
+@ stub ?init@ios@@IAEXPAVstreambuf@@@Z  # void __thiscall ios::init(class streambuf *)
+@ stub ?ipfx@istream@@QAEHH@Z  # int __thiscall istream::ipfx(int)
+@ stub ?is_open@filebuf@@QBEHXZ  # int __thiscall filebuf::is_open(void)const 
+@ stub ?is_open@fstream@@QBEHXZ  # int __thiscall fstream::is_open(void)const 
+@ stub ?is_open@ifstream@@QBEHXZ  # int __thiscall ifstream::is_open(void)const 
+@ stub ?is_open@ofstream@@QBEHXZ  # int __thiscall ofstream::is_open(void)const 
+@ stub ?isfx@istream@@QAEXXZ  # void __thiscall istream::isfx(void)
+@ stub ?iword@ios@@QBEAAJH@Z  # long & __thiscall ios::iword(int)const 
+@ stub ?lock@ios@@QAAXXZ  # void __cdecl ios::lock(void)
+@ stub ?lock@streambuf@@QAEXXZ  # void __thiscall streambuf::lock(void)
+@ stub ?lockbuf@ios@@QAAXXZ  # void __cdecl ios::lockbuf(void)
+@ stub ?lockc@ios@@KAXXZ  # static void __cdecl ios::lockc(void)
+@ stub ?lockptr@ios@@IAEPAU_CRT_CRITICAL_SECTION@@XZ  # struct _CRT_CRITICAL_SECTION * __thiscall ios::lockptr(void)
+@ stub ?lockptr@streambuf@@IAEPAU_CRT_CRITICAL_SECTION@@XZ  # struct _CRT_CRITICAL_SECTION * __thiscall streambuf::lockptr(void)
+@ stub ?oct@@YAAAVios@@AAV1@@Z  # class ios & __cdecl oct(class ios &)
+@ stub ?open@filebuf@@QAEPAV1@PBDHH@Z  # class filebuf * __thiscall filebuf::open(char const *,int,int)
+@ stub ?open@fstream@@QAEXPBDHH@Z  # void __thiscall fstream::open(char const *,int,int)
+@ stub ?open@ifstream@@QAEXPBDHH@Z  # void __thiscall ifstream::open(char const *,int,int)
+@ stub ?open@ofstream@@QAEXPBDHH@Z  # void __thiscall ofstream::open(char const *,int,int)
+# @ extern ?openprot@filebuf@@2HB  # static int const filebuf::openprot
+@ stub ?opfx@ostream@@QAEHXZ  # int __thiscall ostream::opfx(void)
+@ stub ?osfx@ostream@@QAEXXZ  # void __thiscall ostream::osfx(void)
+@ stub ?out_waiting@streambuf@@QBEHXZ  # int __thiscall streambuf::out_waiting(void)const 
+@ stub ?overflow@filebuf@@UAEHH@Z  # virtual int __thiscall filebuf::overflow(int)
+@ stub ?overflow@stdiobuf@@UAEHH@Z  # virtual int __thiscall stdiobuf::overflow(int)
+@ stub ?overflow@strstreambuf@@UAEHH@Z  # virtual int __thiscall strstreambuf::overflow(int)
+@ stub ?pbackfail@stdiobuf@@UAEHH@Z  # virtual int __thiscall stdiobuf::pbackfail(int)
+@ stub ?pbackfail@streambuf@@UAEHH@Z  # virtual int __thiscall streambuf::pbackfail(int)
+@ stub ?pbase@streambuf@@IBEPADXZ  # char * __thiscall streambuf::pbase(void)const 
+@ stub ?pbump@streambuf@@IAEXH@Z  # void __thiscall streambuf::pbump(int)
+@ stub ?pcount@ostrstream@@QBEHXZ  # int __thiscall ostrstream::pcount(void)const 
+@ stub ?pcount@strstream@@QBEHXZ  # int __thiscall strstream::pcount(void)const 
+@ stub ?peek@istream@@QAEHXZ  # int __thiscall istream::peek(void)
+@ stub ?pptr@streambuf@@IBEPADXZ  # char * __thiscall streambuf::pptr(void)const 
+@ stub ?precision@ios@@QAEHH@Z  # int __thiscall ios::precision(int)
+@ stub ?precision@ios@@QBEHXZ  # int __thiscall ios::precision(void)const 
+@ stub ?put@ostream@@QAEAAV1@C@Z  # class ostream & __thiscall ostream::put(signed char)
+@ stub ?put@ostream@@QAEAAV1@D@Z  # class ostream & __thiscall ostream::put(char)
+@ stub ?put@ostream@@QAEAAV1@E@Z  # class ostream & __thiscall ostream::put(unsigned char)
+@ stub ?putback@istream@@QAEAAV1@D@Z  # class istream & __thiscall istream::putback(char)
+@ stub ?pword@ios@@QBEAAPAXH@Z  # void * & __thiscall ios::pword(int)const 
+@ stub ?rdbuf@fstream@@QBEPAVfilebuf@@XZ  # class filebuf * __thiscall fstream::rdbuf(void)const 
+@ stub ?rdbuf@ifstream@@QBEPAVfilebuf@@XZ  # class filebuf * __thiscall ifstream::rdbuf(void)const 
+@ stub ?rdbuf@ios@@QBEPAVstreambuf@@XZ  # class streambuf * __thiscall ios::rdbuf(void)const 
+@ stub ?rdbuf@istrstream@@QBEPAVstrstreambuf@@XZ  # class strstreambuf * __thiscall istrstream::rdbuf(void)const 
+@ stub ?rdbuf@ofstream@@QBEPAVfilebuf@@XZ  # class filebuf * __thiscall ofstream::rdbuf(void)const 
+@ stub ?rdbuf@ostrstream@@QBEPAVstrstreambuf@@XZ  # class strstreambuf * __thiscall ostrstream::rdbuf(void)const 
+@ stub ?rdbuf@stdiostream@@QBEPAVstdiobuf@@XZ  # class stdiobuf * __thiscall stdiostream::rdbuf(void)const 
+@ stub ?rdbuf@strstream@@QBEPAVstrstreambuf@@XZ  # class strstreambuf * __thiscall strstream::rdbuf(void)const 
+@ stub ?rdstate@ios@@QBEHXZ  # int __thiscall ios::rdstate(void)const 
+@ stub ?read@istream@@QAEAAV1@PACH@Z  # class istream & __thiscall istream::read(signed char *,int)
+@ stub ?read@istream@@QAEAAV1@PADH@Z  # class istream & __thiscall istream::read(char *,int)
+@ stub ?read@istream@@QAEAAV1@PAEH@Z  # class istream & __thiscall istream::read(unsigned char *,int)
+@ stub ?sbumpc@streambuf@@QAEHXZ  # int __thiscall streambuf::sbumpc(void)
+@ stub ?seekg@istream@@QAEAAV1@J@Z  # class istream & __thiscall istream::seekg(long)
+@ stub ?seekg@istream@@QAEAAV1@JW4seek_dir@ios@@@Z  # class istream & __thiscall istream::seekg(long,enum ios::seek_dir)
+@ stub ?seekoff@filebuf@@UAEJJW4seek_dir@ios@@H@Z  # virtual long __thiscall filebuf::seekoff(long,enum ios::seek_dir,int)
+@ stub ?seekoff@stdiobuf@@UAEJJW4seek_dir@ios@@H@Z  # virtual long __thiscall stdiobuf::seekoff(long,enum ios::seek_dir,int)
+@ stub ?seekoff@streambuf@@UAEJJW4seek_dir@ios@@H@Z  # virtual long __thiscall streambuf::seekoff(long,enum ios::seek_dir,int)
+@ stub ?seekoff@strstreambuf@@UAEJJW4seek_dir@ios@@H@Z  # virtual long __thiscall strstreambuf::seekoff(long,enum ios::seek_dir,int)
+@ stub ?seekp@ostream@@QAEAAV1@J@Z  # class ostream & __thiscall ostream::seekp(long)
+@ stub ?seekp@ostream@@QAEAAV1@JW4seek_dir@ios@@@Z  # class ostream & __thiscall ostream::seekp(long,enum ios::seek_dir)
+@ stub ?seekpos@streambuf@@UAEJJH@Z  # virtual long __thiscall streambuf::seekpos(long,int)
+@ stub ?setb@streambuf@@IAEXPAD0H@Z  # void __thiscall streambuf::setb(char *,char *,int)
+@ stub ?setbuf@filebuf@@UAEPAVstreambuf@@PADH@Z  # virtual class streambuf * __thiscall filebuf::setbuf(char *,int)
+@ stub ?setbuf@fstream@@QAEPAVstreambuf@@PADH@Z  # class streambuf * __thiscall fstream::setbuf(char *,int)
+@ stub ?setbuf@ifstream@@QAEPAVstreambuf@@PADH@Z  # class streambuf * __thiscall ifstream::setbuf(char *,int)
+@ stub ?setbuf@ofstream@@QAEPAVstreambuf@@PADH@Z  # class streambuf * __thiscall ofstream::setbuf(char *,int)
+@ stub ?setbuf@streambuf@@UAEPAV1@PADH@Z  # virtual class streambuf * __thiscall streambuf::setbuf(char *,int)
+@ stub ?setbuf@strstreambuf@@UAEPAVstreambuf@@PADH@Z  # virtual class streambuf * __thiscall strstreambuf::setbuf(char *,int)
+@ stub ?setf@ios@@QAEJJ@Z  # long __thiscall ios::setf(long)
+@ stub ?setf@ios@@QAEJJJ@Z  # long __thiscall ios::setf(long,long)
+@ stub ?setg@streambuf@@IAEXPAD00@Z  # void __thiscall streambuf::setg(char *,char *,char *)
+@ stub ?setlock@ios@@QAAXXZ  # void __cdecl ios::setlock(void)
+@ stub ?setlock@streambuf@@QAEXXZ  # void __thiscall streambuf::setlock(void)
+@ stub ?setmode@filebuf@@QAEHH@Z  # int __thiscall filebuf::setmode(int)
+@ stub ?setmode@fstream@@QAEHH@Z  # int __thiscall fstream::setmode(int)
+@ stub ?setmode@ifstream@@QAEHH@Z  # int __thiscall ifstream::setmode(int)
+@ stub ?setmode@ofstream@@QAEHH@Z  # int __thiscall ofstream::setmode(int)
+@ stub ?setp@streambuf@@IAEXPAD0@Z  # void __thiscall streambuf::setp(char *,char *)
+@ stub ?setrwbuf@stdiobuf@@QAEHHH@Z  # int __thiscall stdiobuf::setrwbuf(int,int)
+@ stub ?sgetc@streambuf@@QAEHXZ  # int __thiscall streambuf::sgetc(void)
+@ stub ?sgetn@streambuf@@QAEHPADH@Z  # int __thiscall streambuf::sgetn(char *,int)
+# @ extern ?sh_none@filebuf@@2HB  # static int const filebuf::sh_none
+# @ extern ?sh_read@filebuf@@2HB  # static int const filebuf::sh_read
+# @ extern ?sh_write@filebuf@@2HB  # static int const filebuf::sh_write
+@ stub ?snextc@streambuf@@QAEHXZ  # int __thiscall streambuf::snextc(void)
+@ stub ?sputbackc@streambuf@@QAEHD@Z  # int __thiscall streambuf::sputbackc(char)
+@ stub ?sputc@streambuf@@QAEHH@Z  # int __thiscall streambuf::sputc(int)
+@ stub ?sputn@streambuf@@QAEHPBDH@Z  # int __thiscall streambuf::sputn(char const *,int)
+@ stub ?stdiofile@stdiobuf@@QAEPAU_iobuf@@XZ  # struct _iobuf * __thiscall stdiobuf::stdiofile(void)
+@ stub ?stossc@streambuf@@QAEXXZ  # void __thiscall streambuf::stossc(void)
+@ stub ?str@istrstream@@QAEPADXZ  # char * __thiscall istrstream::str(void)
+@ stub ?str@ostrstream@@QAEPADXZ  # char * __thiscall ostrstream::str(void)
+@ stub ?str@strstream@@QAEPADXZ  # char * __thiscall strstream::str(void)
+@ stub ?str@strstreambuf@@QAEPADXZ  # char * __thiscall strstreambuf::str(void)
+# @ extern ?sunk_with_stdio@ios@@0HA  # static int ios::sunk_with_stdio
+@ stub ?sync@filebuf@@UAEHXZ  # virtual int __thiscall filebuf::sync(void)
+@ stub ?sync@istream@@QAEHXZ  # int __thiscall istream::sync(void)
+@ stub ?sync@stdiobuf@@UAEHXZ  # virtual int __thiscall stdiobuf::sync(void)
+@ stub ?sync@streambuf@@UAEHXZ  # virtual int __thiscall streambuf::sync(void)
+@ stub ?sync@strstreambuf@@UAEHXZ  # virtual int __thiscall strstreambuf::sync(void)
+@ stub ?sync_with_stdio@ios@@SAXXZ  # static void __cdecl ios::sync_with_stdio(void)
+@ stub ?tellg@istream@@QAEJXZ  # long __thiscall istream::tellg(void)
+@ stub ?tellp@ostream@@QAEJXZ  # long __thiscall ostream::tellp(void)
+# @ extern ?text@filebuf@@2HB  # static int const filebuf::text
+@ stub ?tie@ios@@QAEPAVostream@@PAV2@@Z  # class ostream * __thiscall ios::tie(class ostream *)
+@ stub ?tie@ios@@QBEPAVostream@@XZ  # class ostream * __thiscall ios::tie(void)const 
+@ stub ?unbuffered@streambuf@@IAEXH@Z  # void __thiscall streambuf::unbuffered(int)
+@ stub ?unbuffered@streambuf@@IBEHXZ  # int __thiscall streambuf::unbuffered(void)const 
+@ stub ?underflow@filebuf@@UAEHXZ  # virtual int __thiscall filebuf::underflow(void)
+@ stub ?underflow@stdiobuf@@UAEHXZ  # virtual int __thiscall stdiobuf::underflow(void)
+@ stub ?underflow@strstreambuf@@UAEHXZ  # virtual int __thiscall strstreambuf::underflow(void)
+@ stub ?unlock@ios@@QAAXXZ  # void __cdecl ios::unlock(void)
+@ stub ?unlock@streambuf@@QAEXXZ  # void __thiscall streambuf::unlock(void)
+@ stub ?unlockbuf@ios@@QAAXXZ  # void __cdecl ios::unlockbuf(void)
+@ stub ?unlockc@ios@@KAXXZ  # static void __cdecl ios::unlockc(void)
+@ stub ?unsetf@ios@@QAEJJ@Z  # long __thiscall ios::unsetf(long)
+@ cdecl -i386 -norelay ?what@exception@@UBEPBDXZ() msvcrt.?what@exception@@UBEPBDXZ  # virtual char const * __thiscall exception::what(void)const 
+@ stub ?width@ios@@QAEHH@Z  # int __thiscall ios::width(int)
+@ stub ?width@ios@@QBEHXZ  # int __thiscall ios::width(void)const 
+@ stub ?write@ostream@@QAEAAV1@PBCH@Z  # class ostream & __thiscall ostream::write(signed char const *,int)
+@ stub ?write@ostream@@QAEAAV1@PBDH@Z  # class ostream & __thiscall ostream::write(char const *,int)
+@ stub ?write@ostream@@QAEAAV1@PBEH@Z  # class ostream & __thiscall ostream::write(unsigned char const *,int)
+@ stub ?writepad@ostream@@AAEAAV1@PBD0@Z  # class ostream & __thiscall ostream::writepad(char const *,char const *)
+@ stub ?ws@@YAAAVistream@@AAV1@@Z  # class istream & __cdecl ws(class istream &)
+# @ extern ?x_curindex@ios@@0HA  # static int ios::x_curindex
+# @ extern ?x_lockc@ios@@0U_CRT_CRITICAL_SECTION@@A  # static struct _CRT_CRITICAL_SECTION ios::x_lockc
+# @ extern ?x_maxbit@ios@@0JA  # static long ios::x_maxbit
+# @ extern ?x_statebuf@ios@@0PAJA  # static long * ios::x_statebuf
+@ stub ?xalloc@ios@@SAHXZ  # static int __cdecl ios::xalloc(void)
+@ stub ?xsgetn@streambuf@@UAEHPADH@Z  # virtual int __thiscall streambuf::xsgetn(char *,int)
+@ stub ?xsputn@streambuf@@UAEHPBDH@Z  # virtual int __thiscall streambuf::xsputn(char const *,int)
+@ stub __dummy_export
+@ stub _mtlock
+@ stub _mtunlock

Property changes on: msvcirt\msvcirt.spec
___________________________________________________________________
Added: svn:eol-style
   + native


Property changes on: msvcr70
___________________________________________________________________
Added: bugtraq:url
   + http://www.reactos.org/bugzilla/show_bug.cgi?id=%BUGID%
Added: bugtraq:message
   + See issue #%BUGID% for more details.
Added: tsvn:logminsize
   + 10
Added: bugtraq:logregex
   + ([Ii]ssue|[Bb]ug)s? #?(\d+)(,? ?#?(\d+))*(,? ?(and |or )?#?(\d+))?
(\d+)

Index: msvcr70/msvcr70.c
===================================================================
--- msvcr70/msvcr70.c	(revision 0)
+++ msvcr70/msvcr70.c	(revision 0)
@@ -0,0 +1,37 @@
+/*
+ * msvcr70 specific functions
+ *
+ * Copyright 2010 Detlef Riekenberg
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Lesser General Public
+ * License as published by the Free Software Foundation; either
+ * version 2.1 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this library; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
+ */
+
+#include <stdarg.h>
+
+#include "windef.h"
+#include "winbase.h"
+
+BOOL WINAPI DllMain(HINSTANCE hdll, DWORD reason, LPVOID reserved)
+{
+    switch (reason)
+    {
+    case DLL_WINE_PREATTACH:
+        return FALSE;  /* prefer native version */
+
+    case DLL_PROCESS_ATTACH:
+        DisableThreadLibraryCalls(hdll);
+    }
+    return TRUE;
+}

Property changes on: msvcr70\msvcr70.c
___________________________________________________________________
Added: svn:eol-style
   + native

Index: msvcr70/msvcr70.rbuild
===================================================================
--- msvcr70/msvcr70.rbuild	(revision 0)
+++ msvcr70/msvcr70.rbuild	(revision 0)
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<!DOCTYPE module SYSTEM "../../../tools/rbuild/project.dtd">
+<group>
+<module name="msvcr70" type="win32dll" baseaddress="${BASEADDRESS_MSVCR70}" installbase="system32" installname="msvcr70.dll" iscrt="yes">
+	<importlibrary definition="msvcr70.spec" />
+	<include base="msvcr70">.</include>
+	<include base="ReactOS">include/reactos/wine</include>
+	<define name="__WINESRC__" />
+	<define name="CRTDLL" />
+	<file>msvcr70.c</file>
+	<library>wine</library>
+</module>
+</group>

Property changes on: msvcr70\msvcr70.rbuild
___________________________________________________________________
Added: svn:eol-style
   + native

Index: msvcr70/msvcr70.spec
===================================================================
--- msvcr70/msvcr70.spec	(revision 0)
+++ msvcr70/msvcr70.spec	(revision 0)
@@ -0,0 +1,841 @@
+# MS VC++2002 runtime library
+
+@ cdecl -i386 -norelay ??0__non_rtti_object@@QAE@ABV0@@Z(ptr) msvcrt.??0__non_rtti_object@@QAE@ABV0@@Z
+@ cdecl -i386 -norelay ??0__non_rtti_object@@QAE@PBD@Z(ptr) msvcrt.??0__non_rtti_object@@QAE@PBD@Z
+@ cdecl -i386 -norelay ??0bad_cast@@AAE@PBQBD@Z(ptr) msvcrt.??0bad_cast@@AAE@PBQBD@Z
+@ cdecl -i386 -norelay ??0bad_cast@@QAE@ABQBD@Z(ptr) msvcrt.??0bad_cast@@QAE@ABQBD@Z
+@ cdecl -i386 -norelay ??0bad_cast@@QAE@ABV0@@Z(ptr) msvcrt.??0bad_cast@@QAE@ABV0@@Z
+@ cdecl -i386 -norelay ??0bad_cast@@QAE@PBD@Z(ptr) msvcrt.??0bad_cast@@QAE@PBD@Z
+@ cdecl -i386 -norelay ??0bad_typeid@@QAE@ABV0@@Z(ptr) msvcrt.??0bad_typeid@@QAE@ABV0@@Z
+@ cdecl -i386 -norelay ??0bad_typeid@@QAE@PBD@Z(ptr) msvcrt.??0bad_typeid@@QAE@PBD@Z
+@ cdecl -i386 -norelay ??0exception@@QAE@ABQBD@Z(ptr) msvcrt.??0exception@@QAE@ABQBD@Z
+@ cdecl -i386 -norelay ??0exception@@QAE@ABV0@@Z(ptr) msvcrt.??0exception@@QAE@ABV0@@Z
+@ cdecl -i386 -norelay ??0exception@@QAE@XZ() msvcrt.??0exception@@QAE@XZ
+@ cdecl -i386 -norelay ??1__non_rtti_object@@UAE@XZ() msvcrt.??1__non_rtti_object@@UAE@XZ
+@ cdecl -i386 -norelay ??1bad_cast@@UAE@XZ() msvcrt.??1bad_cast@@UAE@XZ
+@ cdecl -i386 -norelay ??1bad_typeid@@UAE@XZ() msvcrt.??1bad_typeid@@UAE@XZ
+@ cdecl -i386 -norelay ??1exception@@UAE@XZ() msvcrt.??1exception@@UAE@XZ
+@ cdecl -i386 -norelay ??1type_info@@UAE@XZ() msvcrt.??1type_info@@UAE@XZ
+@ cdecl ??2@YAPAXI@Z(long) msvcrt.??2@YAPAXI@Z
+@ cdecl ??3@YAXPAX@Z(ptr) msvcrt.??3@YAXPAX@Z
+@ cdecl -i386 -norelay ??4__non_rtti_object@@QAEAAV0@ABV0@@Z(ptr) msvcrt.??4__non_rtti_object@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 -norelay ??4bad_cast@@QAEAAV0@ABV0@@Z(ptr) msvcrt.??4bad_cast@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 -norelay ??4bad_typeid@@QAEAAV0@ABV0@@Z(ptr) msvcrt.??4bad_typeid@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 -norelay ??4exception@@QAEAAV0@ABV0@@Z(ptr) msvcrt.??4exception@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 -norelay ??8type_info@@QBEHABV0@@Z(ptr) msvcrt.??8type_info@@QBEHABV0@@Z
+@ cdecl -i386 -norelay ??9type_info@@QBEHABV0@@Z(ptr) msvcrt.??9type_info@@QBEHABV0@@Z
+@ extern -i386 ??_7__non_rtti_object@@6B@ msvcrt.??_7__non_rtti_object@@6B@
+@ extern -i386 ??_7bad_cast@@6B@ msvcrt.??_7bad_cast@@6B@
+@ extern -i386 ??_7bad_typeid@@6B@ msvcrt.??_7bad_typeid@@6B@
+@ extern -i386 ??_7exception@@6B@ msvcrt.??_7exception@@6B@
+@ cdecl -i386 -norelay ??_E__non_rtti_object@@UAEPAXI@Z(long) msvcrt.??_E__non_rtti_object@@UAEPAXI@Z
+@ cdecl -i386 -norelay ??_Ebad_cast@@UAEPAXI@Z(long) msvcrt.??_Ebad_cast@@UAEPAXI@Z
+@ cdecl -i386 -norelay ??_Ebad_typeid@@UAEPAXI@Z(long) msvcrt.??_Ebad_typeid@@UAEPAXI@Z
+@ cdecl -i386 -norelay ??_Eexception@@UAEPAXI@Z(long) msvcrt.??_Eexception@@UAEPAXI@Z
+@ cdecl -i386 -norelay ??_Fbad_cast@@QAEXXZ() msvcrt.??_Fbad_cast@@QAEXXZ
+@ cdecl -i386 -norelay ??_Fbad_typeid@@QAEXXZ() msvcrt.??_Fbad_typeid@@QAEXXZ
+@ cdecl -i386 -norelay ??_G__non_rtti_object@@UAEPAXI@Z(long) msvcrt.??_G__non_rtti_object@@UAEPAXI@Z
+@ cdecl -i386 -norelay ??_Gbad_cast@@UAEPAXI@Z(long) msvcrt.??_Gbad_cast@@UAEPAXI@Z
+@ cdecl -i386 -norelay ??_Gbad_typeid@@UAEPAXI@Z(long) msvcrt.??_Gbad_typeid@@UAEPAXI@Z
+@ cdecl -i386 -norelay ??_Gexception@@UAEPAXI@Z(long) msvcrt.??_Gexception@@UAEPAXI@Z
+@ cdecl ??_U@YAPAXI@Z(long) msvcrt.??_U@YAPAXI@Z
+@ cdecl ??_V@YAXPAX@Z(ptr) msvcrt.??_V@YAXPAX@Z
+@ cdecl __uncaught_exception() msvcrt.__uncaught_exception
+@ cdecl ?_query_new_handler@@YAP6AHI@ZXZ() msvcrt.?_query_new_handler@@YAP6AHI@ZXZ
+@ cdecl ?_query_new_mode@@YAHXZ() msvcrt.?_query_new_mode@@YAHXZ
+@ cdecl ?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z(ptr) msvcrt.?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z
+@ cdecl ?_set_new_mode@@YAHH@Z(long) msvcrt.?_set_new_mode@@YAHH@Z
+@ cdecl ?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z(ptr) msvcrt.?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z
+@ cdecl -i386 -norelay ?before@type_info@@QBEHABV1@@Z(ptr) msvcrt.?before@type_info@@QBEHABV1@@Z
+@ cdecl -i386 -norelay ?name@type_info@@QBEPBDXZ() msvcrt.?name@type_info@@QBEPBDXZ
+@ cdecl -i386 -norelay ?raw_name@type_info@@QBEPBDXZ() msvcrt.?raw_name@type_info@@QBEPBDXZ
+@ cdecl ?set_new_handler@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_new_handler@@YAP6AXXZP6AXXZ@Z
+@ cdecl ?set_terminate@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_terminate@@YAP6AXXZP6AXXZ@Z
+@ cdecl ?set_unexpected@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_unexpected@@YAP6AXXZP6AXXZ@Z
+@ cdecl ?terminate@@YAXXZ() msvcrt.?terminate@@YAXXZ
+@ cdecl ?unexpected@@YAXXZ() msvcrt.?unexpected@@YAXXZ
+@ cdecl -i386 -norelay ?what@exception@@UBEPBDXZ() msvcrt.?what@exception@@UBEPBDXZ
+@ cdecl $I10_OUTPUT() msvcrt.$I10_OUTPUT
+@ cdecl -arch=i386 _CIacos() msvcrt._CIacos
+@ cdecl -arch=i386 _CIasin() msvcrt._CIasin
+@ cdecl -arch=i386 _CIatan() msvcrt._CIatan
+@ cdecl -arch=i386 _CIatan2() msvcrt._CIatan2
+@ cdecl -arch=i386 _CIcos() msvcrt._CIcos
+@ cdecl -arch=i386 _CIcosh() msvcrt._CIcosh
+@ cdecl -arch=i386 _CIexp() msvcrt._CIexp
+@ cdecl -arch=i386 _CIfmod() msvcrt._CIfmod
+@ cdecl -arch=i386 _CIlog() msvcrt._CIlog
+@ cdecl -arch=i386 _CIlog10() msvcrt._CIlog10
+@ cdecl -arch=i386 _CIpow() msvcrt._CIpow
+@ cdecl -arch=i386 _CIsin() msvcrt._CIsin
+@ cdecl -arch=i386 _CIsinh() msvcrt._CIsinh
+@ cdecl -arch=i386 _CIsqrt() msvcrt._CIsqrt
+@ cdecl -arch=i386 _CItan() msvcrt._CItan
+@ cdecl -arch=i386 _CItanh() msvcrt._CItanh
+@ stub _CRT_RTC_INIT
+@ cdecl _CxxThrowException(long long) msvcrt._CxxThrowException
+@ cdecl -i386 -norelay _EH_prolog() msvcrt._EH_prolog
+@ cdecl _Getdays() msvcrt._Getdays
+@ cdecl _Getmonths() msvcrt._Getmonths
+@ cdecl _Gettnames() msvcrt._Gettnames
+@ extern _HUGE msvcrt._HUGE
+@ cdecl _Strftime(str long str ptr ptr) msvcrt._Strftime
+@ cdecl _XcptFilter(long ptr) msvcrt._XcptFilter
+@ stub __CxxCallUnwindDtor
+@ stub __CxxCallUnwindVecDtor
+@ cdecl __CxxDetectRethrow(ptr) msvcrt.__CxxDetectRethrow
+@ stub __CxxExceptionFilter
+@ cdecl -i386 -norelay __CxxFrameHandler(ptr ptr ptr ptr) msvcrt.__CxxFrameHandler
+@ stdcall -i386 __CxxLongjmpUnwind(ptr) msvcrt.__CxxLongjmpUnwind
+@ cdecl __CxxQueryExceptionSize() msvcrt.__CxxQueryExceptionSize
+@ stub __CxxRegisterExceptionObject
+@ stub __CxxUnregisterExceptionObject
+@ stub __DestructExceptionObject
+@ cdecl __RTCastToVoid(ptr) msvcrt.__RTCastToVoid
+@ cdecl __RTDynamicCast(ptr long ptr ptr long) msvcrt.__RTDynamicCast
+@ cdecl __RTtypeid(ptr) msvcrt.__RTtypeid
+@ cdecl __STRINGTOLD(ptr ptr str long) msvcrt.__STRINGTOLD
+@ cdecl ___lc_codepage_func() msvcrt.___lc_codepage_func
+@ cdecl ___lc_collate_cp_func() msvcrt.___lc_collate_cp_func
+@ cdecl ___lc_handle_func() msvcrt.___lc_handle_func
+@ cdecl ___mb_cur_max_func() msvcrt.___mb_cur_max_func
+@ cdecl ___setlc_active_func() msvcrt.___setlc_active_func
+@ cdecl ___unguarded_readlc_active_add_func() msvcrt.___unguarded_readlc_active_add_func
+@ extern __argc msvcrt.__argc
+@ extern __argv msvcrt.__argv
+@ extern __badioinfo msvcrt.__badioinfo
+@ stub __buffer_overrun
+@ cdecl __crtCompareStringA(long long str long str long) msvcrt.__crtCompareStringA
+@ cdecl __crtCompareStringW(long long wstr long wstr long) msvcrt.__crtCompareStringW
+@ cdecl __crtGetLocaleInfoW(long long ptr long) msvcrt.__crtGetLocaleInfoW
+@ cdecl __crtGetStringTypeW(long long wstr long ptr) msvcrt.__crtGetStringTypeW
+@ cdecl __crtLCMapStringA(long long str long ptr long long long) msvcrt.__crtLCMapStringA
+@ stub __crtLCMapStringW
+@ cdecl __dllonexit(ptr ptr ptr) msvcrt.__dllonexit
+@ cdecl __doserrno() msvcrt.__doserrno
+@ cdecl __fpecode() msvcrt.__fpecode
+@ cdecl __getmainargs(ptr ptr ptr long ptr) msvcrt.__getmainargs
+@ extern __initenv msvcrt.__initenv
+@ cdecl __iob_func() msvcrt.__iob_func
+@ cdecl __isascii(long) msvcrt.__isascii
+@ cdecl __iscsym(long) msvcrt.__iscsym
+@ cdecl __iscsymf(long) msvcrt.__iscsymf
+@ stub __lc_clike
+@ extern __lc_codepage msvcrt.__lc_codepage
+@ extern __lc_collate_cp msvcrt.__lc_collate_cp
+@ extern __lc_handle msvcrt.__lc_handle
+@ cdecl __lconv_init() msvcrt.__lconv_init
+@ extern __mb_cur_max msvcrt.__mb_cur_max
+@ cdecl -arch=i386 __p___argc() msvcrt.__p___argc
+@ cdecl -arch=i386 __p___argv() msvcrt.__p___argv
+@ cdecl -arch=i386 __p___initenv() msvcrt.__p___initenv
+@ cdecl -arch=i386 __p___mb_cur_max() msvcrt.__p___mb_cur_max
+@ cdecl -arch=i386 __p___wargv() msvcrt.__p___wargv
+@ cdecl -arch=i386 __p___winitenv() msvcrt.__p___winitenv
+@ cdecl -arch=i386 __p__acmdln() msvcrt.__p__acmdln
+@ cdecl -arch=i386 __p__amblksiz() msvcrt.__p__amblksiz
+@ cdecl -arch=i386 __p__commode() msvcrt.__p__commode
+@ cdecl -arch=i386 __p__daylight() msvcrt.__p__daylight
+@ cdecl -arch=i386 __p__dstbias() msvcrt.__p__dstbias
+@ cdecl -arch=i386 __p__environ() msvcrt.__p__environ
+@ stub __p__fileinfo
+@ cdecl -arch=i386 __p__fmode() msvcrt.__p__fmode
+@ cdecl -arch=i386 __p__iob() msvcrt.__p__iob
+@ stub __p__mbcasemap
+@ cdecl -arch=i386 __p__mbctype() msvcrt.__p__mbctype
+@ cdecl -arch=i386 __p__osver() msvcrt.__p__osver
+@ cdecl -arch=i386 __p__pctype() msvcrt.__p__pctype
+@ cdecl -arch=i386 __p__pgmptr() msvcrt.__p__pgmptr
+@ stub __p__pwctype
+@ cdecl -arch=i386 __p__timezone() msvcrt.__p__timezone
+@ cdecl -arch=i386 __p__tzname() msvcrt.__p__tzname
+@ cdecl -arch=i386 __p__wcmdln() msvcrt.__p__wcmdln
+@ cdecl -arch=i386 __p__wenviron() msvcrt.__p__wenviron
+@ cdecl -arch=i386 __p__winmajor() msvcrt.__p__winmajor
+@ cdecl -arch=i386 __p__winminor() msvcrt.__p__winminor
+@ cdecl -arch=i386 __p__winver() msvcrt.__p__winver
+@ cdecl -arch=i386 __p__wpgmptr() msvcrt.__p__wpgmptr
+@ cdecl __pctype_func() msvcrt.__pctype_func
+@ extern __pioinfo msvcrt.__pioinfo
+@ stub __pwctype_func
+@ stub __pxcptinfoptrs
+@ stub __security_error_handler
+@ cdecl __set_app_type(long) msvcrt.__set_app_type
+@ stub __set_buffer_overrun_handler
+@ extern __setlc_active msvcrt.__setlc_active
+@ cdecl __setusermatherr(ptr) msvcrt.__setusermatherr
+@ cdecl __threadhandle() msvcrt.__threadhandle
+@ cdecl __threadid() msvcrt.__threadid
+@ cdecl __toascii(long) msvcrt.__toascii
+@ cdecl __unDName(ptr str long ptr ptr long) msvcrt.__unDName
+@ cdecl __unDNameEx(ptr str long ptr ptr ptr long) msvcrt.__unDNameEx
+@ extern __unguarded_readlc_active msvcrt.__unguarded_readlc_active
+@ extern __wargv msvcrt.__wargv
+@ stub __wcserror
+@ cdecl __wgetmainargs(ptr ptr ptr long ptr) msvcrt.__wgetmainargs
+@ extern __winitenv msvcrt.__winitenv
+@ cdecl _abnormal_termination() msvcrt._abnormal_termination
+@ cdecl _access(str long) msvcrt._access
+@ extern _acmdln msvcrt._acmdln
+@ stdcall -arch=i386 _adj_fdiv_m16i(long) msvcrt._adj_fdiv_m16i
+@ stdcall -arch=i386 _adj_fdiv_m32(long) msvcrt._adj_fdiv_m32
+@ stdcall -arch=i386 _adj_fdiv_m32i(long) msvcrt._adj_fdiv_m32i
+@ stdcall -arch=i386 _adj_fdiv_m64(double) msvcrt._adj_fdiv_m64
+@ cdecl -arch=i386 _adj_fdiv_r() msvcrt._adj_fdiv_r
+@ stdcall -arch=i386 _adj_fdivr_m16i(long) msvcrt._adj_fdivr_m16i
+@ stdcall -arch=i386 _adj_fdivr_m32(long) msvcrt._adj_fdivr_m32
+@ stdcall -arch=i386 _adj_fdivr_m32i(long) msvcrt._adj_fdivr_m32i
+@ stdcall -arch=i386 _adj_fdivr_m64(double) msvcrt._adj_fdivr_m64
+@ cdecl -arch=i386 _adj_fpatan() msvcrt._adj_fpatan
+@ cdecl -arch=i386 _adj_fprem() msvcrt._adj_fprem
+@ cdecl -arch=i386 _adj_fprem1() msvcrt._adj_fprem1
+@ cdecl -arch=i386 _adj_fptan() msvcrt._adj_fptan
+@ extern -arch=i386 _adjust_fdiv msvcrt._adjust_fdiv
+@ stub _aexit_rtn
+@ cdecl _aligned_free(ptr) msvcrt._aligned_free
+@ cdecl _aligned_malloc(long long) msvcrt._aligned_malloc
+@ cdecl _aligned_offset_malloc(long long long) msvcrt._aligned_offset_malloc
+@ cdecl _aligned_offset_realloc(ptr long long long) msvcrt._aligned_offset_realloc
+@ cdecl _aligned_realloc(ptr long long) msvcrt._aligned_realloc
+@ cdecl _amsg_exit(long) msvcrt._amsg_exit
+@ cdecl _assert(str str long) msvcrt._assert
+@ stub _atodbl
+@ cdecl -ret64 _atoi64(str) msvcrt._atoi64
+@ cdecl _atoldbl(ptr str) msvcrt._atoldbl
+@ cdecl _beep(long long) msvcrt._beep
+@ cdecl _beginthread(ptr long ptr) msvcrt._beginthread
+@ cdecl _beginthreadex(ptr long ptr ptr long ptr) msvcrt._beginthreadex
+@ cdecl _c_exit() msvcrt._c_exit
+@ cdecl _cabs(long) msvcrt._cabs
+@ cdecl _callnewh(long) msvcrt._callnewh
+@ cdecl _cexit() msvcrt._cexit
+@ cdecl _cgets(str) msvcrt._cgets
+@ stub _cgetws
+@ cdecl _chdir(str) msvcrt._chdir
+@ cdecl _chdrive(long) msvcrt._chdrive
+@ cdecl _chgsign( double ) msvcrt._chgsign
+@ cdecl -i386 -norelay _chkesp() msvcrt._chkesp
+@ cdecl _chmod(str long) msvcrt._chmod
+@ cdecl _chsize(long long) msvcrt._chsize
+@ cdecl _clearfp() msvcrt._clearfp
+@ cdecl _close(long) msvcrt._close
+@ cdecl _commit(long) msvcrt._commit
+@ extern _commode msvcrt._commode
+@ cdecl _control87(long long) msvcrt._control87
+@ cdecl _controlfp(long long) msvcrt._controlfp
+@ cdecl _copysign( double double ) msvcrt._copysign
+@ varargs _cprintf(str) msvcrt._cprintf
+@ cdecl _cputs(str) msvcrt._cputs
+@ stub _cputws
+@ cdecl _creat(str long) msvcrt._creat
+@ varargs _cscanf(str) msvcrt._cscanf
+@ cdecl _ctime64(ptr) msvcrt._ctime64
+@ extern _ctype msvcrt._ctype
+@ cdecl _cwait(ptr long long) msvcrt._cwait
+@ stub _cwprintf
+@ varargs _cwscanf(wstr) msvcrt._cwscanf
+@ extern _daylight msvcrt._daylight
+@ extern _dstbias msvcrt._dstbias
+@ cdecl _dup(long) msvcrt._dup
+@ cdecl _dup2(long long) msvcrt._dup2
+@ cdecl _ecvt(double long ptr ptr) msvcrt._ecvt
+@ cdecl _endthread() msvcrt._endthread
+@ cdecl _endthreadex(long) msvcrt._endthreadex
+@ extern _environ msvcrt._environ
+@ cdecl _eof(long) msvcrt._eof
+@ cdecl _errno() msvcrt._errno
+@ cdecl -i386 _except_handler2(ptr ptr ptr ptr) msvcrt._except_handler2
+@ cdecl -i386 _except_handler3(ptr ptr ptr ptr) msvcrt._except_handler3
+@ varargs _execl(str str) msvcrt._execl
+@ varargs _execle(str str) msvcrt._execle
+@ varargs _execlp(str str) msvcrt._execlp
+@ varargs _execlpe(str str) msvcrt._execlpe
+@ cdecl _execv(str ptr) msvcrt._execv
+@ cdecl _execve(str ptr ptr) msvcrt._execve
+@ cdecl _execvp(str ptr) msvcrt._execvp
+@ cdecl _execvpe(str ptr ptr) msvcrt._execvpe
+@ cdecl _exit(long) msvcrt._exit
+@ cdecl _expand(ptr long) msvcrt._expand
+@ cdecl _fcloseall() msvcrt._fcloseall
+@ cdecl _fcvt(double long ptr ptr) msvcrt._fcvt
+@ cdecl _fdopen(long str) msvcrt._fdopen
+@ cdecl _fgetchar() msvcrt._fgetchar
+@ cdecl _fgetwchar() msvcrt._fgetwchar
+@ cdecl _filbuf(ptr) msvcrt._filbuf
+@ stub _fileinfo
+@ cdecl _filelength(long) msvcrt._filelength
+@ cdecl -ret64 _filelengthi64(long) msvcrt._filelengthi64
+@ cdecl _fileno(ptr) msvcrt._fileno
+@ cdecl _findclose(long) msvcrt._findclose
+@ cdecl _findfirst(str ptr) msvcrt._findfirst
+@ cdecl _findfirst64(str ptr) msvcrt._findfirst64
+@ cdecl _findfirsti64(str ptr) msvcrt._findfirsti64
+@ cdecl _findnext(long ptr) msvcrt._findnext
+@ cdecl _findnext64(long ptr) msvcrt._findnext64
+@ cdecl _findnexti64(long ptr) msvcrt._findnexti64
+@ cdecl _finite( double ) msvcrt._finite
+@ cdecl _flsbuf(long ptr) msvcrt._flsbuf
+@ cdecl _flushall() msvcrt._flushall
+@ extern _fmode msvcrt._fmode
+@ cdecl _fpclass(double) msvcrt._fpclass
+@ stub _fpieee_flt
+@ cdecl _fpreset() msvcrt._fpreset
+@ cdecl _fputchar(long) msvcrt._fputchar
+@ cdecl _fputwchar(long) msvcrt._fputwchar
+@ cdecl _fsopen(str str long) msvcrt._fsopen
+@ cdecl _fstat(long ptr) msvcrt._fstat
+@ cdecl _fstat64(long ptr) msvcrt._fstat64
+@ cdecl _fstati64(long ptr) msvcrt._fstati64
+@ cdecl _ftime(ptr) msvcrt._ftime
+@ cdecl _ftime64(ptr) msvcrt._ftime64
+@ cdecl -ret64 _ftol() msvcrt._ftol
+@ cdecl _fullpath(ptr str long) msvcrt._fullpath
+@ cdecl _futime(long ptr) msvcrt._futime
+@ cdecl _futime64(long ptr) msvcrt._futime64
+@ cdecl _gcvt(double long str) msvcrt._gcvt
+@ cdecl _get_osfhandle(long) msvcrt._get_osfhandle
+@ cdecl _get_sbh_threshold() msvcrt._get_sbh_threshold
+@ cdecl _getch() msvcrt._getch
+@ cdecl _getche() msvcrt._getche
+@ cdecl _getcwd(str long) msvcrt._getcwd
+@ cdecl _getdcwd(long str long) msvcrt._getdcwd
+@ cdecl _getdiskfree(long ptr) msvcrt._getdiskfree
+@ cdecl _getdllprocaddr(long str long) msvcrt._getdllprocaddr
+@ cdecl _getdrive() msvcrt._getdrive
+@ cdecl _getdrives() msvcrt._getdrives
+@ cdecl _getmaxstdio() msvcrt._getmaxstdio
+@ cdecl _getmbcp() msvcrt._getmbcp
+@ cdecl _getpid() msvcrt._getpid
+@ stub _getsystime
+@ cdecl _getw(ptr) msvcrt._getw
+@ stub _getwch
+@ stub _getwche
+@ cdecl _getws(ptr) msvcrt._getws
+@ cdecl -i386 _global_unwind2(ptr) msvcrt._global_unwind2
+@ cdecl _gmtime64(ptr) msvcrt._gmtime64
+@ cdecl _heapadd(ptr long) msvcrt._heapadd
+@ cdecl _heapchk() msvcrt._heapchk
+@ cdecl _heapmin() msvcrt._heapmin
+@ cdecl _heapset(long) msvcrt._heapset
+@ stub _heapused
+@ cdecl _heapwalk(ptr) msvcrt._heapwalk
+@ cdecl _hypot(double double) msvcrt._hypot
+@ cdecl _i64toa(long long ptr long) msvcrt._i64toa
+@ cdecl _i64tow(long long ptr long) msvcrt._i64tow
+@ cdecl _initterm(ptr ptr) msvcrt._initterm
+@ stub _inp
+@ stub _inpd
+@ stub _inpw
+@ extern _iob msvcrt._iob
+@ cdecl _isatty(long) msvcrt._isatty
+@ cdecl _isctype(long long) msvcrt._isctype
+@ stub _ismbbalnum
+@ stub _ismbbalpha
+@ stub _ismbbgraph
+@ stub _ismbbkalnum
+@ cdecl _ismbbkana(long) msvcrt._ismbbkana
+@ stub _ismbbkprint
+@ stub _ismbbkpunct
+@ cdecl _ismbblead(long) msvcrt._ismbblead
+@ stub _ismbbprint
+@ stub _ismbbpunct
+@ cdecl _ismbbtrail(long) msvcrt._ismbbtrail
+@ cdecl _ismbcalnum(long) msvcrt._ismbcalnum
+@ cdecl _ismbcalpha(long) msvcrt._ismbcalpha
+@ cdecl _ismbcdigit(long) msvcrt._ismbcdigit
+@ cdecl _ismbcgraph(long) msvcrt._ismbcgraph
+@ cdecl _ismbchira(long) msvcrt._ismbchira
+@ cdecl _ismbckata(long) msvcrt._ismbckata
+@ stub _ismbcl0
+@ stub _ismbcl1
+@ stub _ismbcl2
+@ cdecl _ismbclegal(long) msvcrt._ismbclegal
+@ cdecl _ismbclower(long) msvcrt._ismbclower
+@ cdecl _ismbcprint(long) msvcrt._ismbcprint
+@ cdecl _ismbcpunct(long) msvcrt._ismbcpunct
+@ cdecl _ismbcspace(long) msvcrt._ismbcspace
+@ cdecl _ismbcsymbol(long) msvcrt._ismbcsymbol
+@ cdecl _ismbcupper(long) msvcrt._ismbcupper
+@ cdecl _ismbslead(ptr ptr) msvcrt._ismbslead
+@ cdecl _ismbstrail(ptr ptr) msvcrt._ismbstrail
+@ cdecl _isnan( double ) msvcrt._isnan
+@ cdecl _itoa(long ptr long) msvcrt._itoa
+@ cdecl _itow(long ptr long) msvcrt._itow
+@ cdecl _j0(double) msvcrt._j0
+@ cdecl _j1(double) msvcrt._j1
+@ cdecl _jn(long double) msvcrt._jn
+@ cdecl _kbhit() msvcrt._kbhit
+@ cdecl _lfind(ptr ptr ptr long ptr) msvcrt._lfind
+@ cdecl _loaddll(str) msvcrt._loaddll
+@ cdecl -i386 _local_unwind2(ptr long) msvcrt._local_unwind2
+@ cdecl _localtime64(ptr) msvcrt._localtime64
+@ cdecl _lock(long) msvcrt._lock
+@ cdecl _locking(long long long) msvcrt._locking
+@ cdecl _logb( double ) msvcrt._logb
+@ cdecl -i386 _longjmpex(ptr long) msvcrt._longjmpex
+@ cdecl _lrotl(long long) msvcrt._lrotl
+@ cdecl _lrotr(long long) msvcrt._lrotr
+@ cdecl _lsearch(ptr ptr long long ptr) msvcrt._lsearch
+@ cdecl _lseek(long long long) msvcrt._lseek
+@ cdecl -ret64 _lseeki64(long double long) msvcrt._lseeki64
+@ cdecl _ltoa(long ptr long) msvcrt._ltoa
+@ cdecl _ltow(long ptr long) msvcrt._ltow
+@ cdecl _makepath(ptr str str str str) msvcrt._makepath
+@ cdecl _mbbtombc(long) msvcrt._mbbtombc
+@ cdecl _mbbtype(long long) msvcrt._mbbtype
+@ stub _mbcasemap
+@ cdecl _mbccpy(str str) msvcrt._mbccpy
+@ cdecl _mbcjistojms(long) msvcrt._mbcjistojms
+@ stub _mbcjmstojis
+@ cdecl _mbclen(ptr) msvcrt._mbclen
+@ stub _mbctohira
+@ stub _mbctokata
+@ cdecl _mbctolower(long) msvcrt._mbctolower
+@ cdecl _mbctombb(long) msvcrt._mbctombb
+@ cdecl _mbctoupper(long) msvcrt._mbctoupper
+@ extern _mbctype msvcrt._mbctype
+@ cdecl _mbsbtype(str long) msvcrt._mbsbtype
+@ cdecl _mbscat(str str) msvcrt._mbscat
+@ cdecl _mbschr(str long) msvcrt._mbschr
+@ cdecl _mbscmp(str str) msvcrt._mbscmp
+@ cdecl _mbscoll(str str) msvcrt._mbscoll
+@ cdecl _mbscpy(ptr str) msvcrt._mbscpy
+@ cdecl _mbscspn(str str) msvcrt._mbscspn
+@ cdecl _mbsdec(ptr ptr) msvcrt._mbsdec
+@ cdecl _mbsdup(str) msvcrt._mbsdup
+@ cdecl _mbsicmp(str str) msvcrt._mbsicmp
+@ cdecl _mbsicoll(str str) msvcrt._mbsicoll
+@ cdecl _mbsinc(str) msvcrt._mbsinc
+@ cdecl _mbslen(str) msvcrt._mbslen
+@ cdecl _mbslwr(str) msvcrt._mbslwr
+@ cdecl _mbsnbcat(str str long) msvcrt._mbsnbcat
+@ cdecl _mbsnbcmp(str str long) msvcrt._mbsnbcmp
+@ cdecl _mbsnbcnt(ptr long) msvcrt._mbsnbcnt
+@ stub _mbsnbcoll
+@ cdecl _mbsnbcpy(ptr str long) msvcrt._mbsnbcpy
+@ cdecl _mbsnbicmp(str str long) msvcrt._mbsnbicmp
+@ stub _mbsnbicoll
+@ cdecl _mbsnbset(str long long) msvcrt._mbsnbset
+@ cdecl _mbsncat(str str long) msvcrt._mbsncat
+@ cdecl _mbsnccnt(str long) msvcrt._mbsnccnt
+@ cdecl _mbsncmp(str str long) msvcrt._mbsncmp
+@ stub _mbsncoll
+@ cdecl _mbsncpy(str str long) msvcrt._mbsncpy
+@ cdecl _mbsnextc(str) msvcrt._mbsnextc
+@ cdecl _mbsnicmp(str str long) msvcrt._mbsnicmp
+@ stub _mbsnicoll
+@ cdecl _mbsninc(str long) msvcrt._mbsninc
+@ cdecl _mbsnset(str long long) msvcrt._mbsnset
+@ cdecl _mbspbrk(str str) msvcrt._mbspbrk
+@ cdecl _mbsrchr(str long) msvcrt._mbsrchr
+@ cdecl _mbsrev(str) msvcrt._mbsrev
+@ cdecl _mbsset(str long) msvcrt._mbsset
+@ cdecl _mbsspn(str str) msvcrt._mbsspn
+@ cdecl _mbsspnp(str str) msvcrt._mbsspnp
+@ cdecl _mbsstr(str str) msvcrt._mbsstr
+@ cdecl _mbstok(str str) msvcrt._mbstok
+@ cdecl _mbstrlen(str) msvcrt._mbstrlen
+@ cdecl _mbsupr(str) msvcrt._mbsupr
+@ cdecl _memccpy(ptr ptr long long) msvcrt._memccpy
+@ cdecl _memicmp(str str long) msvcrt._memicmp
+@ cdecl _mkdir(str) msvcrt._mkdir
+@ cdecl _mktemp(str) msvcrt._mktemp
+@ cdecl _mktime64(ptr) msvcrt._mktime64
+@ cdecl _msize(ptr) msvcrt._msize
+@ cdecl _nextafter(double double) msvcrt._nextafter
+@ cdecl _onexit(ptr) msvcrt._onexit
+@ varargs _open(str long) msvcrt._open
+@ cdecl _open_osfhandle(long long) msvcrt._open_osfhandle
+@ stub _osplatform
+@ extern _osver msvcrt._osver
+@ stub _outp
+@ stub _outpd
+@ stub _outpw
+@ cdecl _pclose(ptr) msvcrt._pclose
+@ extern _pctype msvcrt._pctype
+@ extern _pgmptr msvcrt._pgmptr
+@ cdecl _pipe(ptr long long) msvcrt._pipe
+@ cdecl _popen(str str) msvcrt._popen
+@ cdecl _purecall() msvcrt._purecall
+@ cdecl _putch(long) msvcrt._putch
+@ cdecl _putenv(str) msvcrt._putenv
+@ cdecl _putw(long ptr) msvcrt._putw
+@ stub _putwch
+@ cdecl _putws(wstr) msvcrt._putws
+@ stub _pwctype
+@ cdecl _read(long ptr long) msvcrt._read
+@ stub _resetstkoflw
+@ cdecl _rmdir(str) msvcrt._rmdir
+@ cdecl _rmtmp() msvcrt._rmtmp
+@ cdecl _rotl(long long) msvcrt._rotl
+@ cdecl _rotr(long long) msvcrt._rotr
+@ cdecl -arch=i386 _safe_fdiv() msvcrt._safe_fdiv
+@ cdecl -arch=i386 _safe_fdivr() msvcrt._safe_fdivr
+@ cdecl -arch=i386 _safe_fprem() msvcrt._safe_fprem
+@ cdecl -arch=i386 _safe_fprem1() msvcrt._safe_fprem1
+@ cdecl _scalb( double long) msvcrt._scalb
+@ stub _scprintf
+@ stub _scwprintf
+@ cdecl _searchenv(str str ptr) msvcrt._searchenv
+@ stdcall -i386 _seh_longjmp_unwind(ptr) msvcrt._seh_longjmp_unwind
+@ stub _set_SSE2_enable
+@ cdecl _set_error_mode(long) msvcrt._set_error_mode
+@ cdecl _set_sbh_threshold(long) msvcrt._set_sbh_threshold
+@ stub _set_security_error_handler
+@ cdecl _seterrormode(long) msvcrt._seterrormode
+@ cdecl -i386 -norelay _setjmp(ptr) msvcrt._setjmp
+@ cdecl -i386 -norelay _setjmp3(ptr long) msvcrt._setjmp3
+@ cdecl _setmaxstdio(long) msvcrt._setmaxstdio
+@ cdecl _setmbcp(long) msvcrt._setmbcp
+@ cdecl _setmode(long long) msvcrt._setmode
+@ stub _setsystime
+@ cdecl _sleep(long) msvcrt._sleep
+@ varargs _snprintf(ptr long str) msvcrt._snprintf
+@ stub _snscanf
+@ varargs _snwprintf(ptr long wstr) msvcrt._snwprintf
+@ stub _snwscanf
+@ varargs _sopen(str long long) msvcrt._sopen
+@ varargs _spawnl(long str str) msvcrt._spawnl
+@ varargs _spawnle(long str str) msvcrt._spawnle
+@ varargs _spawnlp(long str str) msvcrt._spawnlp
+@ varargs _spawnlpe(long str str) msvcrt._spawnlpe
+@ cdecl _spawnv(long str ptr) msvcrt._spawnv
+@ cdecl _spawnve(long str ptr ptr) msvcrt._spawnve
+@ cdecl _spawnvp(long str ptr) msvcrt._spawnvp
+@ cdecl _spawnvpe(long str ptr ptr) msvcrt._spawnvpe
+@ cdecl _splitpath(str ptr ptr ptr ptr) msvcrt._splitpath
+@ cdecl _stat(str ptr) msvcrt._stat
+@ cdecl _stat64(str ptr) msvcrt._stat64
+@ cdecl _stati64(str ptr) msvcrt._stati64
+@ cdecl _statusfp() msvcrt._statusfp
+@ cdecl _strcmpi(str str) msvcrt._strcmpi
+@ cdecl _strdate(ptr) msvcrt._strdate
+@ cdecl _strdup(str) msvcrt._strdup
+@ cdecl _strerror(long) msvcrt._strerror
+@ cdecl _stricmp(str str) msvcrt._stricmp
+@ cdecl _stricoll(str str) msvcrt._stricoll
+@ cdecl _strlwr(str) msvcrt._strlwr
+@ stub _strncoll
+@ cdecl _strnicmp(str str long) msvcrt._strnicmp
+@ stub _strnicoll
+@ cdecl _strnset(str long long) msvcrt._strnset
+@ cdecl _strrev(str) msvcrt._strrev
+@ cdecl _strset(str long) msvcrt._strset
+@ cdecl _strtime(ptr) msvcrt._strtime
+@ cdecl _strtoi64(str ptr long) msvcrt._strtoi64
+@ cdecl _strtoui64(str ptr long) msvcrt._strtoui64
+@ cdecl _strupr(str) msvcrt._strupr
+@ cdecl _swab(str str long) msvcrt._swab
+@ extern _sys_errlist msvcrt._sys_errlist
+@ extern _sys_nerr msvcrt._sys_nerr
+@ cdecl _tell(long) msvcrt._tell
+@ cdecl -ret64 _telli64(long) msvcrt._telli64
+@ cdecl _tempnam(str str) msvcrt._tempnam
+@ cdecl _time64(ptr) msvcrt._time64
+@ extern _timezone msvcrt._timezone
+@ cdecl _tolower(long) msvcrt._tolower
+@ cdecl _toupper(long) msvcrt._toupper
+@ extern _tzname msvcrt._tzname
+@ cdecl _tzset() msvcrt._tzset
+@ cdecl _ui64toa(long long ptr long) msvcrt._ui64toa
+@ cdecl _ui64tow(long long ptr long) msvcrt._ui64tow
+@ cdecl _ultoa(long ptr long) msvcrt._ultoa
+@ cdecl _ultow(long ptr long) msvcrt._ultow
+@ cdecl _umask(long) msvcrt._umask
+@ cdecl _ungetch(long) msvcrt._ungetch
+@ stub _ungetwch
+@ cdecl _unlink(str) msvcrt._unlink
+@ cdecl _unloaddll(long) msvcrt._unloaddll
+@ cdecl _unlock(long) msvcrt._unlock
+@ cdecl _utime(str ptr) msvcrt._utime
+@ cdecl _utime64(str ptr) msvcrt._utime64
+@ cdecl _vscprintf(str ptr) msvcrt._vscprintf
+@ cdecl _vscwprintf(wstr ptr) msvcrt._vscwprintf
+@ cdecl _vsnprintf(ptr long str ptr) msvcrt._vsnprintf
+@ cdecl _vsnwprintf(ptr long wstr ptr) msvcrt._vsnwprintf
+@ cdecl _waccess(wstr long) msvcrt._waccess
+@ cdecl _wasctime(ptr) msvcrt._wasctime
+@ cdecl _wchdir(wstr) msvcrt._wchdir
+@ cdecl _wchmod(wstr long) msvcrt._wchmod
+@ extern _wcmdln msvcrt._wcmdln
+@ cdecl _wcreat(wstr long) msvcrt._wcreat
+@ cdecl _wcsdup(wstr) msvcrt._wcsdup
+@ stub _wcserror
+@ cdecl _wcsicmp(wstr wstr) msvcrt._wcsicmp
+@ cdecl _wcsicoll(wstr wstr) msvcrt._wcsicoll
+@ cdecl _wcslwr(wstr) msvcrt._wcslwr
+@ stub _wcsncoll
+@ cdecl _wcsnicmp(wstr wstr long) msvcrt._wcsnicmp
+@ stub _wcsnicoll
+@ cdecl _wcsnset(wstr long long) msvcrt._wcsnset
+@ cdecl _wcsrev(wstr) msvcrt._wcsrev
+@ cdecl _wcsset(wstr long) msvcrt._wcsset
+@ cdecl _wcstoi64(wstr ptr long) msvcrt._wcstoi64
+@ cdecl _wcstoui64(wstr ptr long) msvcrt._wcstoui64
+@ cdecl _wcsupr(wstr) msvcrt._wcsupr
+@ cdecl _wctime(ptr) msvcrt._wctime
+@ cdecl _wctime64(ptr) msvcrt._wctime64
+@ stub _wctype
+@ extern _wenviron msvcrt._wenviron
+@ varargs _wexecl(wstr wstr) msvcrt._wexecl
+@ varargs _wexecle(wstr wstr) msvcrt._wexecle
+@ varargs _wexeclp(wstr wstr) msvcrt._wexeclp
+@ varargs _wexeclpe(wstr wstr) msvcrt._wexeclpe
+@ cdecl _wexecv(wstr ptr) msvcrt._wexecv
+@ cdecl _wexecve(wstr ptr ptr) msvcrt._wexecve
+@ cdecl _wexecvp(wstr ptr) msvcrt._wexecvp
+@ cdecl _wexecvpe(wstr ptr ptr) msvcrt._wexecvpe
+@ cdecl _wfdopen(long wstr) msvcrt._wfdopen
+@ cdecl _wfindfirst(wstr ptr) msvcrt._wfindfirst
+@ stub _wfindfirst64
+@ cdecl _wfindfirsti64(wstr ptr) msvcrt._wfindfirsti64
+@ cdecl _wfindnext(long ptr) msvcrt._wfindnext
+@ stub _wfindnext64
+@ cdecl _wfindnexti64(long ptr) msvcrt._wfindnexti64
+@ cdecl _wfopen(wstr wstr) msvcrt._wfopen
+@ cdecl _wfreopen(wstr wstr ptr) msvcrt._wfreopen
+@ cdecl _wfsopen(wstr wstr long) msvcrt._wfsopen
+@ cdecl _wfullpath(ptr wstr long) msvcrt._wfullpath
+@ cdecl _wgetcwd(wstr long) msvcrt._wgetcwd
+@ cdecl _wgetdcwd(long wstr long) msvcrt._wgetdcwd
+@ cdecl _wgetenv(wstr) msvcrt._wgetenv
+@ extern _winmajor msvcrt._winmajor
+@ extern _winminor msvcrt._winminor
+@ extern _winver msvcrt._winver
+@ cdecl _wmakepath(wstr wstr wstr wstr wstr) msvcrt._wmakepath
+@ cdecl _wmkdir(wstr) msvcrt._wmkdir
+@ cdecl _wmktemp(wstr) msvcrt._wmktemp
+@ varargs _wopen(wstr long) msvcrt._wopen
+@ stub _wperror
+@ extern _wpgmptr msvcrt._wpgmptr
+@ cdecl _wpopen(wstr wstr) msvcrt._wpopen
+@ cdecl _wputenv(wstr) msvcrt._wputenv
+@ cdecl _wremove(wstr) msvcrt._wremove
+@ cdecl _wrename(wstr wstr) msvcrt._wrename
+@ cdecl _write(long ptr long) msvcrt._write
+@ cdecl _wrmdir(wstr) msvcrt._wrmdir
+@ cdecl _wsearchenv(wstr wstr ptr) msvcrt._wsearchenv
+@ cdecl _wsetlocale(long wstr) msvcrt._wsetlocale
+@ varargs _wsopen(wstr long long) msvcrt._wsopen
+@ varargs _wspawnl(long wstr wstr) msvcrt._wspawnl
+@ varargs _wspawnle(long wstr wstr) msvcrt._wspawnle
+@ varargs _wspawnlp(long wstr wstr) msvcrt._wspawnlp
+@ varargs _wspawnlpe(long wstr wstr) msvcrt._wspawnlpe
+@ cdecl _wspawnv(long wstr ptr) msvcrt._wspawnv
+@ cdecl _wspawnve(long wstr ptr ptr) msvcrt._wspawnve
+@ cdecl _wspawnvp(long wstr ptr) msvcrt._wspawnvp
+@ cdecl _wspawnvpe(long wstr ptr ptr) msvcrt._wspawnvpe
+@ cdecl _wsplitpath(wstr ptr ptr ptr ptr) msvcrt._wsplitpath
+@ cdecl _wstat(wstr ptr) msvcrt._wstat
+@ cdecl _wstat64(wstr ptr) msvcrt._wstat64
+@ cdecl _wstati64(wstr ptr) msvcrt._wstati64
+@ cdecl _wstrdate(ptr) msvcrt._wstrdate
+@ cdecl _wstrtime(ptr) msvcrt._wstrtime
+@ cdecl _wsystem(wstr) msvcrt._wsystem
+@ cdecl _wtempnam(wstr wstr) msvcrt._wtempnam
+@ stub _wtmpnam
+@ cdecl _wtof(wstr) msvcrt._wtof
+@ cdecl _wtoi(wstr) msvcrt._wtoi
+@ cdecl _wtoi64(wstr) msvcrt._wtoi64
+@ cdecl _wtol(wstr) msvcrt._wtol
+@ cdecl _wunlink(wstr) msvcrt._wunlink
+@ cdecl _wutime(wstr ptr) msvcrt._wutime
+@ cdecl _wutime64(wstr ptr) msvcrt._wutime64
+@ cdecl _y0(double) msvcrt._y0
+@ cdecl _y1(double) msvcrt._y1
+@ cdecl _yn(long double ) msvcrt._yn
+@ cdecl abort() msvcrt.abort
+@ cdecl abs(long) msvcrt.abs
+@ cdecl acos(double) msvcrt.acos
+@ cdecl asctime(ptr) msvcrt.asctime
+@ cdecl asin(double) msvcrt.asin
+@ cdecl atan(double) msvcrt.atan
+@ cdecl atan2(double double) msvcrt.atan2
+@ cdecl atexit(ptr) msvcrt.atexit
+@ cdecl atof(str) msvcrt.atof
+@ cdecl atoi(str) msvcrt.atoi
+@ cdecl atol(str) msvcrt.atol
+@ cdecl bsearch(ptr ptr long long ptr) msvcrt.bsearch
+@ cdecl calloc(long long) msvcrt.calloc
+@ cdecl ceil(double) msvcrt.ceil
+@ cdecl clearerr(ptr) msvcrt.clearerr
+@ cdecl clock() msvcrt.clock
+@ cdecl cos(double) msvcrt.cos
+@ cdecl cosh(double) msvcrt.cosh
+@ cdecl ctime(ptr) msvcrt.ctime
+@ cdecl difftime(long long) msvcrt.difftime
+@ cdecl div(long long) msvcrt.div
+@ cdecl exit(long) msvcrt.exit
+@ cdecl exp(double) msvcrt.exp
+@ cdecl fabs(double) msvcrt.fabs
+@ cdecl fclose(ptr) msvcrt.fclose
+@ cdecl feof(ptr) msvcrt.feof
+@ cdecl ferror(ptr) msvcrt.ferror
+@ cdecl fflush(ptr) msvcrt.fflush
+@ cdecl fgetc(ptr) msvcrt.fgetc
+@ cdecl fgetpos(ptr ptr) msvcrt.fgetpos
+@ cdecl fgets(ptr long ptr) msvcrt.fgets
+@ cdecl fgetwc(ptr) msvcrt.fgetwc
+@ cdecl fgetws(ptr long ptr) msvcrt.fgetws
+@ cdecl floor(double) msvcrt.floor
+@ cdecl fmod(double double) msvcrt.fmod
+@ cdecl fopen(str str) msvcrt.fopen
+@ varargs fprintf(ptr str) msvcrt.fprintf
+@ cdecl fputc(long ptr) msvcrt.fputc
+@ cdecl fputs(str ptr) msvcrt.fputs
+@ cdecl fputwc(long ptr) msvcrt.fputwc
+@ cdecl fputws(wstr ptr) msvcrt.fputws
+@ cdecl fread(ptr long long ptr) msvcrt.fread
+@ cdecl free(ptr) msvcrt.free
+@ cdecl freopen(str str ptr) msvcrt.freopen
+@ cdecl frexp(double ptr) msvcrt.frexp
+@ varargs fscanf(ptr str) msvcrt.fscanf
+@ cdecl fseek(ptr long long) msvcrt.fseek
+@ cdecl fsetpos(ptr ptr) msvcrt.fsetpos
+@ cdecl ftell(ptr) msvcrt.ftell
+@ varargs fwprintf(ptr wstr) msvcrt.fwprintf
+@ cdecl fwrite(ptr long long ptr) msvcrt.fwrite
+@ varargs fwscanf(ptr wstr) msvcrt.fwscanf
+@ cdecl getc(ptr) msvcrt.getc
+@ cdecl getchar() msvcrt.getchar
+@ cdecl getenv(str) msvcrt.getenv
+@ cdecl gets(str) msvcrt.gets
+@ cdecl getwc(ptr) msvcrt.getwc
+@ cdecl getwchar() msvcrt.getwchar
+@ cdecl gmtime(ptr) msvcrt.gmtime
+@ cdecl is_wctype(long long) msvcrt.is_wctype
+@ cdecl isalnum(long) msvcrt.isalnum
+@ cdecl isalpha(long) msvcrt.isalpha
+@ cdecl iscntrl(long) msvcrt.iscntrl
+@ cdecl isdigit(long) msvcrt.isdigit
+@ cdecl isgraph(long) msvcrt.isgraph
+@ cdecl isleadbyte(long) msvcrt.isleadbyte
+@ cdecl islower(long) msvcrt.islower
+@ cdecl isprint(long) msvcrt.isprint
+@ cdecl ispunct(long) msvcrt.ispunct
+@ cdecl isspace(long) msvcrt.isspace
+@ cdecl isupper(long) msvcrt.isupper
+@ cdecl iswalnum(long) msvcrt.iswalnum
+@ cdecl iswalpha(long) msvcrt.iswalpha
+@ cdecl iswascii(long) msvcrt.iswascii
+@ cdecl iswcntrl(long) msvcrt.iswcntrl
+@ cdecl iswctype(long long) msvcrt.iswctype
+@ cdecl iswdigit(long) msvcrt.iswdigit
+@ cdecl iswgraph(long) msvcrt.iswgraph
+@ cdecl iswlower(long) msvcrt.iswlower
+@ cdecl iswprint(long) msvcrt.iswprint
+@ cdecl iswpunct(long) msvcrt.iswpunct
+@ cdecl iswspace(long) msvcrt.iswspace
+@ cdecl iswupper(long) msvcrt.iswupper
+@ cdecl iswxdigit(long) msvcrt.iswxdigit
+@ cdecl isxdigit(long) msvcrt.isxdigit
+@ cdecl labs(long) msvcrt.labs
+@ cdecl ldexp( double long) msvcrt.ldexp
+@ cdecl ldiv(long long) msvcrt.ldiv
+@ cdecl localeconv() msvcrt.localeconv
+@ cdecl localtime(ptr) msvcrt.localtime
+@ cdecl log(double) msvcrt.log
+@ cdecl log10(double) msvcrt.log10
+@ cdecl -i386 longjmp(ptr long) msvcrt.longjmp
+@ cdecl malloc(long) msvcrt.malloc
+@ cdecl mblen(ptr long) msvcrt.mblen
+@ cdecl mbstowcs(ptr str long) msvcrt.mbstowcs
+@ cdecl mbtowc(wstr str long) msvcrt.mbtowc
+@ cdecl memchr(ptr long long) msvcrt.memchr
+@ cdecl memcmp(ptr ptr long) msvcrt.memcmp
+@ cdecl memcpy(ptr ptr long) msvcrt.memcpy
+@ cdecl memmove(ptr ptr long) msvcrt.memmove
+@ cdecl memset(ptr long long) msvcrt.memset
+@ cdecl mktime(ptr) msvcrt.mktime
+@ cdecl modf(double ptr) msvcrt.modf
+@ cdecl perror(str) msvcrt.perror
+@ cdecl pow(double double) msvcrt.pow
+@ varargs printf(str) msvcrt.printf
+@ cdecl putc(long ptr) msvcrt.putc
+@ cdecl putchar(long) msvcrt.putchar
+@ cdecl puts(str) msvcrt.puts
+@ cdecl putwc(long ptr) msvcrt.putwc
+@ cdecl putwchar(long) msvcrt.putwchar
+@ cdecl qsort(ptr long long ptr) msvcrt.qsort
+@ cdecl raise(long) msvcrt.raise
+@ cdecl rand() msvcrt.rand
+@ cdecl realloc(ptr long) msvcrt.realloc
+@ cdecl remove(str) msvcrt.remove
+@ cdecl rename(str str) msvcrt.rename
+@ cdecl rewind(ptr) msvcrt.rewind
+@ varargs scanf(str) msvcrt.scanf
+@ cdecl setbuf(ptr ptr) msvcrt.setbuf
+@ cdecl setlocale(long str) msvcrt.setlocale
+@ cdecl setvbuf(ptr str long long) msvcrt.setvbuf
+@ cdecl signal(long long) msvcrt.signal
+@ cdecl sin(double) msvcrt.sin
+@ cdecl sinh(double) msvcrt.sinh
+@ varargs sprintf(ptr str) msvcrt.sprintf
+@ cdecl sqrt(double) msvcrt.sqrt
+@ cdecl srand(long) msvcrt.srand
+@ varargs sscanf(str str) msvcrt.sscanf
+@ cdecl strcat(str str) msvcrt.strcat
+@ cdecl strchr(str long) msvcrt.strchr
+@ cdecl strcmp(str str) msvcrt.strcmp
+@ cdecl strcoll(str str) msvcrt.strcoll
+@ cdecl strcpy(ptr str) msvcrt.strcpy
+@ cdecl strcspn(str str) msvcrt.strcspn
+@ cdecl strerror(long) msvcrt.strerror
+@ cdecl strftime(str long str ptr) msvcrt.strftime
+@ cdecl strlen(str) msvcrt.strlen
+@ cdecl strncat(str str long) msvcrt.strncat
+@ cdecl strncmp(str str long) msvcrt.strncmp
+@ cdecl strncpy(ptr str long) msvcrt.strncpy
+@ cdecl strpbrk(str str) msvcrt.strpbrk
+@ cdecl strrchr(str long) msvcrt.strrchr
+@ cdecl strspn(str str) msvcrt.strspn
+@ cdecl strstr(str str) msvcrt.strstr
+@ cdecl strtod(str ptr) msvcrt.strtod
+@ cdecl strtok(str str) msvcrt.strtok
+@ cdecl strtol(str ptr long) msvcrt.strtol
+@ cdecl strtoul(str ptr long) msvcrt.strtoul
+@ cdecl strxfrm(ptr str long) msvcrt.strxfrm
+@ varargs swprintf(ptr wstr) msvcrt.swprintf
+@ varargs swscanf(wstr wstr) msvcrt.swscanf
+@ cdecl system(str) msvcrt.system
+@ cdecl tan(double) msvcrt.tan
+@ cdecl tanh(double) msvcrt.tanh
+@ cdecl time(ptr) msvcrt.time
+@ cdecl tmpfile() msvcrt.tmpfile
+@ cdecl tmpnam(ptr) msvcrt.tmpnam
+@ cdecl tolower(long) msvcrt.tolower
+@ cdecl toupper(long) msvcrt.toupper
+@ cdecl towlower(long) msvcrt.towlower
+@ cdecl towupper(long) msvcrt.towupper
+@ cdecl ungetc(long ptr) msvcrt.ungetc
+@ cdecl ungetwc(long ptr) msvcrt.ungetwc
+@ cdecl vfprintf(ptr str ptr) msvcrt.vfprintf
+@ cdecl vfwprintf(ptr wstr ptr) msvcrt.vfwprintf
+@ cdecl vprintf(str ptr) msvcrt.vprintf
+@ cdecl vsprintf(ptr str ptr) msvcrt.vsprintf
+@ cdecl vswprintf(ptr wstr ptr) msvcrt.vswprintf
+@ cdecl vwprintf(wstr ptr) msvcrt.vwprintf
+@ cdecl wcscat(wstr wstr) msvcrt.wcscat
+@ cdecl wcschr(wstr long) msvcrt.wcschr
+@ cdecl wcscmp(wstr wstr) msvcrt.wcscmp
+@ cdecl wcscoll(wstr wstr) msvcrt.wcscoll
+@ cdecl wcscpy(ptr wstr) msvcrt.wcscpy
+@ cdecl wcscspn(wstr wstr) msvcrt.wcscspn
+@ cdecl wcsftime(ptr long wstr ptr) msvcrt.wcsftime
+@ cdecl wcslen(wstr) msvcrt.wcslen
+@ cdecl wcsncat(wstr wstr long) msvcrt.wcsncat
+@ cdecl wcsncmp(wstr wstr long) msvcrt.wcsncmp
+@ cdecl wcsncpy(ptr wstr long) msvcrt.wcsncpy
+@ cdecl wcspbrk(wstr wstr) msvcrt.wcspbrk
+@ cdecl wcsrchr(wstr long) msvcrt.wcsrchr
+@ cdecl wcsspn(wstr wstr) msvcrt.wcsspn
+@ cdecl wcsstr(wstr wstr) msvcrt.wcsstr
+@ cdecl wcstod(wstr ptr) msvcrt.wcstod
+@ cdecl wcstok(wstr wstr) msvcrt.wcstok
+@ cdecl wcstol(wstr ptr long) msvcrt.wcstol
+@ cdecl wcstombs(ptr ptr long) msvcrt.wcstombs
+@ cdecl wcstoul(wstr ptr long) msvcrt.wcstoul
+@ stub wcsxfrm
+@ cdecl wctomb(ptr long) msvcrt.wctomb
+@ varargs wprintf(wstr) msvcrt.wprintf
+@ varargs wscanf(wstr) msvcrt.wscanf

Property changes on: msvcr70\msvcr70.spec
___________________________________________________________________
Added: svn:eol-style
   + native


Property changes on: msvcr71
___________________________________________________________________
Added: bugtraq:url
   + http://www.reactos.org/bugzilla/show_bug.cgi?id=%BUGID%
Added: bugtraq:message
   + See issue #%BUGID% for more details.
Added: tsvn:logminsize
   + 10
Added: bugtraq:logregex
   + ([Ii]ssue|[Bb]ug)s? #?(\d+)(,? ?#?(\d+))*(,? ?(and |or )?#?(\d+))?
(\d+)

Index: msvcr71/msvcr71.c
===================================================================
--- msvcr71/msvcr71.c	(revision 0)
+++ msvcr71/msvcr71.c	(revision 0)
@@ -0,0 +1,39 @@
+/*
+ * msvcr71 main file
+ *
+ * Copyright (C) 2008 Hans Leidekker
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Lesser General Public
+ * License as published by the Free Software Foundation; either
+ * version 2.1 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this library; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
+ */
+
+#include <stdarg.h>
+
+#include "windef.h"
+#include "winbase.h"
+
+BOOL WINAPI DllMain( HINSTANCE inst, DWORD reason, LPVOID reserved )
+{
+    switch (reason)
+    {
+    case DLL_WINE_PREATTACH:
+        return FALSE;  /* prefer native version */
+    case DLL_PROCESS_ATTACH:
+        DisableThreadLibraryCalls( inst );
+        break;
+    case DLL_PROCESS_DETACH:
+        break;
+    }
+    return TRUE;
+}

Property changes on: msvcr71\msvcr71.c
___________________________________________________________________
Added: svn:eol-style
   + native

Index: msvcr71/msvcr71.rbuild
===================================================================
--- msvcr71/msvcr71.rbuild	(revision 0)
+++ msvcr71/msvcr71.rbuild	(revision 0)
@@ -0,0 +1,15 @@
+<?xml version="1.0"?>
+<!DOCTYPE module SYSTEM "../../../tools/rbuild/project.dtd">
+<group>
+<module name="msvcr71" type="win32dll" baseaddress="${BASEADDRESS_MSVCR71}" installbase="system32" installname="msvcr71.dll" iscrt="yes">
+	<importlibrary definition="msvcr71.spec" />
+	<include base="msvcr71">.</include>
+	<include base="ReactOS">include/reactos/wine</include>
+	<define name="__WINESRC__" />
+	<define name="CRTDLL" />
+	<file>msvcr71.c</file>
+	<library>crt</library>
+	<library>wine</library>
+	<library>ntdll</library>
+</module>
+</group>

Property changes on: msvcr71\msvcr71.rbuild
___________________________________________________________________
Added: svn:eol-style
   + native

Index: msvcr71/msvcr71.spec
===================================================================
--- msvcr71/msvcr71.spec	(revision 0)
+++ msvcr71/msvcr71.spec	(revision 0)
@@ -0,0 +1,837 @@
+@ cdecl -i386 ??0__non_rtti_object@@QAE@ABV0@@Z(ptr) msvcrt.??0__non_rtti_object@@QAE@ABV0@@Z
+@ cdecl -i386 ??0__non_rtti_object@@QAE@PBD@Z(ptr) msvcrt.??0__non_rtti_object@@QAE@PBD@Z
+@ cdecl -i386 ??0bad_cast@@AAE@PBQBD@Z(ptr) msvcrt.??0bad_cast@@AAE@PBQBD@Z
+@ cdecl -i386 ??0bad_cast@@QAE@ABQBD@Z(ptr) msvcrt.??0bad_cast@@QAE@ABQBD@Z
+@ cdecl -i386 ??0bad_cast@@QAE@ABV0@@Z(ptr) msvcrt.??0bad_cast@@QAE@ABV0@@Z
+@ cdecl -i386 ??0bad_cast@@QAE@PBD@Z(ptr) msvcrt.??0bad_cast@@QAE@PBD@Z
+@ cdecl -i386 ??0bad_typeid@@QAE@ABV0@@Z(ptr) msvcrt.??0bad_typeid@@QAE@ABV0@@Z
+@ cdecl -i386 ??0bad_typeid@@QAE@PBD@Z(ptr) msvcrt.??0bad_typeid@@QAE@PBD@Z
+@ cdecl -i386 ??0exception@@QAE@ABQBD@Z(ptr) msvcrt.??0exception@@QAE@ABQBD@Z
+@ cdecl -i386 ??0exception@@QAE@ABV0@@Z(ptr) msvcrt.??0exception@@QAE@ABV0@@Z
+@ cdecl -i386 ??0exception@@QAE@XZ() msvcrt.??0exception@@QAE@XZ
+@ cdecl -i386 ??1__non_rtti_object@@UAE@XZ() msvcrt.??1__non_rtti_object@@UAE@XZ
+@ cdecl -i386 ??1bad_cast@@UAE@XZ() msvcrt.??1bad_cast@@UAE@XZ
+@ cdecl -i386 ??1bad_typeid@@UAE@XZ() msvcrt.??1bad_typeid@@UAE@XZ
+@ cdecl -i386 ??1exception@@UAE@XZ() msvcrt.??1exception@@UAE@XZ
+@ cdecl -i386 ??1type_info@@UAE@XZ() msvcrt.??1type_info@@UAE@XZ
+@ cdecl ??2@YAPAXI@Z(long) msvcrt.??2@YAPAXI@Z
+@ cdecl ??3@YAXPAX@Z(ptr) msvcrt.??3@YAXPAX@Z
+@ cdecl -i386 ??4__non_rtti_object@@QAEAAV0@ABV0@@Z(ptr) msvcrt.??4__non_rtti_object@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 ??4bad_cast@@QAEAAV0@ABV0@@Z(ptr) msvcrt.??4bad_cast@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 ??4bad_typeid@@QAEAAV0@ABV0@@Z(ptr) msvcrt.??4bad_typeid@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 ??4exception@@QAEAAV0@ABV0@@Z(ptr) msvcrt.??4exception@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 ??8type_info@@QBEHABV0@@Z(ptr) msvcrt.??8type_info@@QBEHABV0@@Z
+@ cdecl -i386 ??9type_info@@QBEHABV0@@Z(ptr) msvcrt.??9type_info@@QBEHABV0@@Z
+@ extern -i386 ??_7__non_rtti_object@@6B@ msvcrt.??_7__non_rtti_object@@6B@
+@ extern -i386 ??_7bad_cast@@6B@ msvcrt.??_7bad_cast@@6B@
+@ extern -i386 ??_7bad_typeid@@6B@ msvcrt.??_7bad_typeid@@6B@
+@ extern -i386 ??_7exception@@6B@ msvcrt.??_7exception@@6B@
+@ cdecl -i386 ??_Fbad_cast@@QAEXXZ() msvcrt.??_Fbad_cast@@QAEXXZ
+@ cdecl -i386 ??_Fbad_typeid@@QAEXXZ() msvcrt.??_Fbad_typeid@@QAEXXZ
+@ cdecl ??_U@YAPAXI@Z(long) msvcrt.??_U@YAPAXI@Z
+@ cdecl ??_V@YAXPAX@Z(ptr) msvcrt.??_V@YAXPAX@Z
+@ cdecl __uncaught_exception() msvcrt.__uncaught_exception
+@ cdecl ?_query_new_handler@@YAP6AHI@ZXZ() msvcrt.?_query_new_handler@@YAP6AHI@ZXZ
+@ cdecl ?_query_new_mode@@YAHXZ() msvcrt.?_query_new_mode@@YAHXZ
+@ cdecl ?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z(ptr) msvcrt.?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z
+@ cdecl ?_set_new_mode@@YAHH@Z(long) msvcrt.?_set_new_mode@@YAHH@Z
+@ cdecl ?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z(ptr) msvcrt.?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z
+@ cdecl -i386 ?before@type_info@@QBEHABV1@@Z(ptr) msvcrt.?before@type_info@@QBEHABV1@@Z
+@ cdecl -i386 ?name@type_info@@QBEPBDXZ() msvcrt.?name@type_info@@QBEPBDXZ
+@ cdecl -i386 ?raw_name@type_info@@QBEPBDXZ() msvcrt.?raw_name@type_info@@QBEPBDXZ
+@ cdecl ?set_new_handler@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_new_handler@@YAP6AXXZP6AXXZ@Z
+@ cdecl ?set_terminate@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_terminate@@YAP6AXXZP6AXXZ@Z
+@ cdecl ?set_unexpected@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_unexpected@@YAP6AXXZP6AXXZ@Z
+@ varargs ?swprintf@@YAHPAGIPBGZZ(ptr long wstr) msvcrt._snwprintf
+@ varargs ?swprintf@@YAHPA_WIPB_WZZ(ptr long wstr) msvcrt._snwprintf
+@ cdecl ?terminate@@YAXXZ() msvcrt.?terminate@@YAXXZ
+@ cdecl ?unexpected@@YAXXZ() msvcrt.?unexpected@@YAXXZ
+@ cdecl ?vswprintf@@YAHPAGIPBGPAD@Z(ptr long wstr ptr) msvcrt._vsnwprintf
+@ cdecl ?vswprintf@@YAHPA_WIPB_WPAD@Z(ptr long wstr ptr) msvcrt._vsnwprintf
+@ cdecl -i386 ?what@exception@@UBEPBDXZ() msvcrt.?what@exception@@UBEPBDXZ
+@ cdecl $I10_OUTPUT() msvcrt.$I10_OUTPUT
+@ cdecl -arch=i386 _CIacos() msvcrt._CIacos
+@ cdecl -arch=i386 _CIasin() msvcrt._CIasin
+@ cdecl -arch=i386 _CIatan() msvcrt._CIatan
+@ cdecl -arch=i386 _CIatan2() msvcrt._CIatan2
+@ cdecl -arch=i386 _CIcos() msvcrt._CIcos
+@ cdecl -arch=i386 _CIcosh() msvcrt._CIcosh
+@ cdecl -arch=i386 _CIexp() msvcrt._CIexp
+@ cdecl -arch=i386 _CIfmod() msvcrt._CIfmod
+@ cdecl -arch=i386 _CIlog() msvcrt._CIlog
+@ cdecl -arch=i386 _CIlog10() msvcrt._CIlog10
+@ cdecl -arch=i386 _CIpow() msvcrt._CIpow
+@ cdecl -arch=i386 _CIsin() msvcrt._CIsin
+@ cdecl -arch=i386 _CIsinh() msvcrt._CIsinh
+@ cdecl -arch=i386 _CIsqrt() msvcrt._CIsqrt
+@ cdecl -arch=i386 _CItan() msvcrt._CItan
+@ cdecl -arch=i386 _CItanh() msvcrt._CItanh
+@ stub _CRT_RTC_INIT
+@ cdecl _CxxThrowException(long long) msvcrt._CxxThrowException
+@ cdecl -i386 _EH_prolog() msvcrt._EH_prolog
+@ cdecl _Getdays() msvcrt._Getdays
+@ cdecl _Getmonths() msvcrt._Getmonths
+@ cdecl _Gettnames() msvcrt._Gettnames
+@ extern _HUGE msvcrt._HUGE
+@ cdecl _Strftime(str long str ptr ptr) msvcrt._Strftime
+@ cdecl _XcptFilter(long ptr) msvcrt._XcptFilter
+@ cdecl __CppXcptFilter(long ptr) msvcrt.__CppXcptFilter
+@ stub __CxxCallUnwindDtor
+@ stub __CxxCallUnwindVecDtor
+@ cdecl __CxxDetectRethrow(ptr) msvcrt.__CxxDetectRethrow
+@ stub __CxxExceptionFilter
+@ cdecl -i386 __CxxFrameHandler(ptr ptr ptr ptr) msvcrt.__CxxFrameHandler
+@ stdcall __CxxLongjmpUnwind(ptr) msvcrt.__CxxLongjmpUnwind
+@ cdecl __CxxQueryExceptionSize() msvcrt.__CxxQueryExceptionSize
+@ stub __CxxRegisterExceptionObject
+@ stub __CxxUnregisterExceptionObject
+@ stub __DestructExceptionObject
+@ cdecl __RTCastToVoid(ptr) msvcrt.__RTCastToVoid
+@ cdecl __RTDynamicCast(ptr long ptr ptr long) msvcrt.__RTDynamicCast
+@ cdecl __RTtypeid(ptr) msvcrt.__RTtypeid
+@ cdecl __STRINGTOLD(ptr ptr str long) msvcrt.__STRINGTOLD
+@ cdecl ___lc_codepage_func() msvcrt.___lc_codepage_func
+@ cdecl ___lc_collate_cp_func() msvcrt.___lc_collate_cp_func
+@ cdecl ___lc_handle_func() msvcrt.___lc_handle_func
+@ cdecl ___mb_cur_max_func() msvcrt.___mb_cur_max_func
+@ cdecl ___setlc_active_func() msvcrt.___setlc_active_func
+@ cdecl ___unguarded_readlc_active_add_func() msvcrt.___unguarded_readlc_active_add_func
+@ extern __argc msvcrt.__argc
+@ extern __argv msvcrt.__argv
+@ extern __badioinfo msvcrt.__badioinfo
+@ stub __buffer_overrun
+@ cdecl __crtCompareStringA(long long str long str long) msvcrt.__crtCompareStringA
+@ cdecl __crtCompareStringW(long long wstr long wstr long) msvcrt.__crtCompareStringW
+@ cdecl __crtGetLocaleInfoW(long long ptr long)
+@ cdecl __crtGetStringTypeW(long long wstr long ptr) msvcrt.__crtGetStringTypeW
+@ cdecl __crtLCMapStringA(long long str long ptr long long long) msvcrt.__crtLCMapStringA
+@ stub __crtLCMapStringW
+@ cdecl __dllonexit(ptr ptr ptr) msvcrt.__dllonexit
+@ cdecl __doserrno() msvcrt.__doserrno
+@ cdecl __fpecode() msvcrt.__fpecode
+@ cdecl __getmainargs(ptr ptr ptr long ptr) msvcrt.__getmainargs
+@ extern __initenv msvcrt.__initenv
+@ cdecl __iob_func() msvcrt.__iob_func
+@ cdecl __isascii(long) msvcrt.__isascii
+@ cdecl __iscsym(long) msvcrt.__iscsym
+@ cdecl __iscsymf(long) msvcrt.__iscsymf
+@ stub __lc_clike
+@ extern __lc_codepage msvcrt.__lc_codepage
+@ extern __lc_collate_cp msvcrt.__lc_collate_cp
+@ extern __lc_handle msvcrt.__lc_handle
+@ cdecl __lconv_init() msvcrt.__lconv_init
+@ extern __mb_cur_max msvcrt.__mb_cur_max
+@ cdecl -arch=i386 __p___argc() msvcrt.__p___argc
+@ cdecl -arch=i386 __p___argv() msvcrt.__p___argv
+@ cdecl -arch=i386 __p___initenv() msvcrt.__p___initenv
+@ cdecl -arch=i386 __p___mb_cur_max() msvcrt.__p___mb_cur_max
+@ cdecl -arch=i386 __p___wargv() msvcrt.__p___wargv
+@ cdecl -arch=i386 __p___winitenv() msvcrt.__p___winitenv
+@ cdecl -arch=i386 __p__acmdln() msvcrt.__p__acmdln
+@ cdecl -arch=i386 __p__amblksiz() msvcrt.__p__amblksiz
+@ cdecl -arch=i386 __p__commode() msvcrt.__p__commode
+@ cdecl -arch=i386 __p__daylight() msvcrt.__p__daylight
+@ cdecl -arch=i386 __p__dstbias() msvcrt.__p__dstbias
+@ cdecl -arch=i386 __p__environ() msvcrt.__p__environ
+@ cdecl -arch=i386 __p__fileinfo() msvcrt.__p__fileinfo
+@ cdecl -arch=i386 __p__fmode() msvcrt.__p__fmode
+@ cdecl -arch=i386 __p__iob() msvcrt.__p__iob
+@ cdecl -arch=i386 __p__mbcasemap() msvcrt.__p__mbcasemap
+@ cdecl -arch=i386 __p__mbctype() msvcrt.__p__mbctype
+@ cdecl -arch=i386 __p__osver() msvcrt.__p__osver
+@ cdecl -arch=i386 __p__pctype() msvcrt.__p__pctype
+@ cdecl -arch=i386 __p__pgmptr() msvcrt.__p__pgmptr
+@ cdecl -arch=i386 __p__pwctype() msvcrt.__p__pwctype
+@ cdecl -arch=i386 __p__timezone() msvcrt.__p__timezone
+@ cdecl -arch=i386 __p__tzname() msvcrt.__p__tzname
+@ cdecl -arch=i386 __p__wcmdln() msvcrt.__p__wcmdln
+@ cdecl -arch=i386 __p__wenviron() msvcrt.__p__wenviron
+@ cdecl -arch=i386 __p__winmajor() msvcrt.__p__winmajor
+@ cdecl -arch=i386 __p__winminor() msvcrt.__p__winminor
+@ cdecl -arch=i386 __p__winver() msvcrt.__p__winver
+@ cdecl -arch=i386 __p__wpgmptr() msvcrt.__p__wpgmptr
+@ cdecl __pctype_func() msvcrt.__pctype_func
+@ extern __pioinfo msvcrt.__pioinfo
+@ stub __pwctype_func
+@ cdecl __pxcptinfoptrs() msvcrt.__pxcptinfoptrs
+@ stub __security_error_handler
+@ cdecl __set_app_type(long) msvcrt.__set_app_type
+@ stub __set_buffer_overrun_handler
+@ extern __setlc_active msvcrt.__setlc_active
+@ cdecl __setusermatherr(ptr) msvcrt.__setusermatherr
+@ cdecl __threadhandle() msvcrt.__threadhandle
+@ cdecl __threadid() msvcrt.__threadid
+@ cdecl __toascii(long) msvcrt.__toascii
+@ cdecl __unDName(long str ptr ptr long) msvcrt.__unDName
+@ cdecl __unDNameEx(ptr str long ptr ptr ptr long) msvcrt.__unDNameEx
+@ extern __unguarded_readlc_active msvcrt.__unguarded_readlc_active
+@ extern __wargv msvcrt.__wargv
+@ stub __wcserror
+@ cdecl __wgetmainargs(ptr ptr ptr long ptr) msvcrt.__wgetmainargs
+@ extern __winitenv msvcrt.__winitenv
+@ cdecl _abnormal_termination() msvcrt._abnormal_termination
+@ cdecl _access(str long) msvcrt._access
+@ extern _acmdln msvcrt._acmdln
+@ stdcall _adj_fdiv_m16i(long) msvcrt._adj_fdiv_m16i
+@ stdcall _adj_fdiv_m32(long) msvcrt._adj_fdiv_m32
+@ stdcall _adj_fdiv_m32i(long) msvcrt._adj_fdiv_m32i
+@ stdcall _adj_fdiv_m64(long long) msvcrt._adj_fdiv_m64
+@ cdecl _adj_fdiv_r() msvcrt._adj_fdiv_r
+@ stdcall _adj_fdivr_m16i(long) msvcrt._adj_fdivr_m16i
+@ stdcall _adj_fdivr_m32(long) msvcrt._adj_fdivr_m32
+@ stdcall _adj_fdivr_m32i(long) msvcrt._adj_fdivr_m32i
+@ stdcall _adj_fdivr_m64(long long) msvcrt._adj_fdivr_m64
+@ cdecl _adj_fpatan() msvcrt._adj_fpatan
+@ cdecl _adj_fprem() msvcrt._adj_fprem
+@ cdecl _adj_fprem1() msvcrt._adj_fprem1
+@ cdecl _adj_fptan() msvcrt._adj_fptan
+@ extern _adjust_fdiv msvcrt._adjust_fdiv
+@ stub _aexit_rtn
+@ cdecl _aligned_free(ptr)
+@ cdecl _aligned_malloc(long long)
+@ cdecl _aligned_offset_malloc(long long long)
+@ cdecl _aligned_offset_realloc(ptr long long long)
+@ cdecl _aligned_realloc(ptr long long)
+@ cdecl _amsg_exit(long) msvcrt._amsg_exit
+@ cdecl _assert(str str long) msvcrt._assert
+@ cdecl _atodbl(ptr str) msvcrt._atodbl
+@ cdecl -ret64 _atoi64(str) msvcrt._atoi64
+@ cdecl _atoldbl(ptr str) msvcrt._atoldbl
+@ cdecl _beep(long long) msvcrt._beep
+@ cdecl _beginthread(ptr long ptr) msvcrt._beginthread
+@ cdecl _beginthreadex(ptr long ptr ptr long ptr) msvcrt._beginthreadex
+@ cdecl _c_exit() msvcrt._c_exit
+@ cdecl _cabs(long) msvcrt._cabs
+@ cdecl _callnewh(long) msvcrt._callnewh
+@ cdecl _cexit() msvcrt._cexit
+@ cdecl _cgets(str) msvcrt._cgets
+@ stub _cgetws
+@ cdecl _chdir(str) msvcrt._chdir
+@ cdecl _chdrive(long) msvcrt._chdrive
+@ cdecl _chgsign( double ) msvcrt._chgsign
+@ cdecl -i386 _chkesp() msvcrt._chkesp
+@ cdecl _chmod(str long) msvcrt._chmod
+@ cdecl _chsize(long long) msvcrt._chsize
+@ cdecl _clearfp() msvcrt._clearfp
+@ cdecl _close(long) msvcrt._close
+@ cdecl _commit(long) msvcrt._commit
+@ extern _commode msvcrt._commode
+@ cdecl _control87(long long) msvcrt._control87
+@ cdecl _controlfp(long long) msvcrt._controlfp
+@ cdecl _copysign( double double ) msvcrt._copysign
+@ varargs _cprintf(str) msvcrt._cprintf
+@ cdecl _cputs(str) msvcrt._cputs
+@ stub _cputws
+@ cdecl _creat(str long) msvcrt._creat
+@ varargs _cscanf(str) msvcrt._cscanf
+@ cdecl _ctime64(ptr) msvcrt._ctime64
+@ cdecl _cwait(ptr long long) msvcrt._cwait
+@ stub _cwprintf
+@ varargs _cwscanf(wstr) msvcrt._cwscanf
+@ extern _daylight msvcrt._daylight
+@ extern _dstbias msvcrt._dstbias
+@ cdecl _dup(long) msvcrt._dup
+@ cdecl _dup2(long long) msvcrt._dup2
+@ cdecl _ecvt(double long ptr ptr) msvcrt._ecvt
+@ cdecl _endthread() msvcrt._endthread
+@ cdecl _endthreadex(long) msvcrt._endthreadex
+@ extern _environ msvcrt._environ
+@ cdecl _eof(long) msvcrt._eof
+@ cdecl _errno() msvcrt._errno
+@ cdecl -i386 _except_handler2(ptr ptr ptr ptr) msvcrt._except_handler2
+@ cdecl -i386 _except_handler3(ptr ptr ptr ptr) msvcrt._except_handler3
+@ varargs _execl(str str) msvcrt._execl
+@ varargs _execle(str str) msvcrt._execle
+@ varargs _execlp(str str) msvcrt._execlp
+@ varargs _execlpe(str str) msvcrt._execlpe
+@ cdecl _execv(str ptr) msvcrt._execv
+@ cdecl _execve(str ptr ptr) msvcrt._execve
+@ cdecl _execvp(str ptr) msvcrt._execvp
+@ cdecl _execvpe(str ptr ptr) msvcrt._execvpe
+@ cdecl _exit(long) msvcrt._exit
+@ cdecl _expand(ptr long) msvcrt._expand
+@ cdecl _fcloseall() msvcrt._fcloseall
+@ cdecl _fcvt(double long ptr ptr) msvcrt._fcvt
+@ cdecl _fdopen(long str) msvcrt._fdopen
+@ cdecl _fgetchar() msvcrt._fgetchar
+@ cdecl _fgetwchar() msvcrt._fgetwchar
+@ cdecl _filbuf(ptr) msvcrt._filbuf
+@ extern _fileinfo msvcrt._fileinfo
+@ cdecl _filelength(long) msvcrt._filelength
+@ cdecl -ret64 _filelengthi64(long) msvcrt._filelengthi64
+@ cdecl _fileno(ptr) msvcrt._fileno
+@ cdecl _findclose(long) msvcrt._findclose
+@ cdecl _findfirst(str ptr) msvcrt._findfirst
+@ cdecl _findfirst64(str ptr) msvcrt._findfirst64
+@ cdecl _findfirsti64(str ptr) msvcrt._findfirsti64
+@ cdecl _findnext(long ptr) msvcrt._findnext
+@ cdecl _findnext64(long ptr) msvcrt._findnext64
+@ cdecl _findnexti64(long ptr) msvcrt._findnexti64
+@ cdecl _finite( double ) msvcrt._finite
+@ cdecl _flsbuf(long ptr) msvcrt._flsbuf
+@ cdecl _flushall() msvcrt._flushall
+@ extern _fmode msvcrt._fmode
+@ cdecl _fpclass(double) msvcrt._fpclass
+@ cdecl _fpieee_flt(long ptr ptr) msvcrt._fpieee_flt
+@ cdecl _fpreset() msvcrt._fpreset
+@ cdecl _fputchar(long) msvcrt._fputchar
+@ cdecl _fputwchar(long) msvcrt._fputwchar
+@ cdecl _fsopen(str str long) msvcrt._fsopen
+@ cdecl _fstat(long ptr) msvcrt._fstat
+@ cdecl _fstat64(long ptr) msvcrt._fstat64
+@ cdecl _fstati64(long ptr) msvcrt._fstati64
+@ cdecl _ftime(ptr) msvcrt._ftime
+@ cdecl _ftime64(ptr) msvcrt._ftime64
+@ cdecl -ret64 _ftol() msvcrt._ftol
+@ cdecl _fullpath(ptr str long) msvcrt._fullpath
+@ cdecl _futime(long ptr) msvcrt._futime
+@ cdecl _futime64(long ptr) msvcrt._futime64
+@ cdecl _gcvt(double long str) msvcrt._gcvt
+@ cdecl _get_heap_handle() msvcrt._get_heap_handle
+@ cdecl _get_osfhandle(long) msvcrt._get_osfhandle
+@ cdecl _get_sbh_threshold() msvcrt._get_sbh_threshold
+@ cdecl _getch() msvcrt._getch
+@ cdecl _getche() msvcrt._getche
+@ cdecl _getcwd(str long) msvcrt._getcwd
+@ cdecl _getdcwd(long str long) msvcrt._getdcwd
+@ cdecl _getdiskfree(long ptr) msvcrt._getdiskfree
+@ cdecl _getdllprocaddr(long str long) msvcrt._getdllprocaddr
+@ cdecl _getdrive() msvcrt._getdrive
+@ cdecl _getdrives() msvcrt._getdrives
+@ cdecl _getmaxstdio() msvcrt._getmaxstdio
+@ cdecl _getmbcp() msvcrt._getmbcp
+@ cdecl _getpid() msvcrt._getpid
+@ cdecl _getsystime(ptr) msvcrt._getsystime
+@ cdecl _getw(ptr) msvcrt._getw
+@ stub _getwch
+@ stub _getwche
+@ cdecl _getws(ptr) msvcrt._getws
+@ cdecl -i386 _global_unwind2(ptr) msvcrt._global_unwind2
+@ cdecl _gmtime64(ptr) msvcrt._gmtime64
+@ cdecl _heapadd(ptr long) msvcrt._heapadd
+@ cdecl _heapchk() msvcrt._heapchk
+@ cdecl _heapmin() msvcrt._heapmin
+@ cdecl _heapset(long) msvcrt._heapset
+@ cdecl _heapused(ptr ptr) msvcrt._heapused
+@ cdecl _heapwalk(ptr) msvcrt._heapwalk
+@ cdecl _hypot(double double) msvcrt._hypot
+@ cdecl _i64toa(long long ptr long) msvcrt._i64toa
+@ cdecl _i64tow(long long ptr long) msvcrt._i64tow
+@ cdecl _initterm(ptr ptr) msvcrt._initterm
+@ cdecl -i386 _inp(long) msvcrt._inp
+@ cdecl -i386 _inpd(long) msvcrt._inpd
+@ cdecl -i386 _inpw(long) msvcrt._inpw
+@ extern _iob msvcrt._iob
+@ cdecl _isatty(long) msvcrt._isatty
+@ cdecl _isctype(long long) msvcrt._isctype
+@ cdecl _ismbbalnum(long) msvcrt._ismbbalnum
+@ cdecl _ismbbalpha(long) msvcrt._ismbbalpha
+@ cdecl _ismbbgraph(long) msvcrt._ismbbgraph
+@ cdecl _ismbbkalnum(long) msvcrt._ismbbkalnum
+@ cdecl _ismbbkana(long) msvcrt._ismbbkana
+@ cdecl _ismbbkprint(long) msvcrt._ismbbkprint
+@ cdecl _ismbbkpunct(long) msvcrt._ismbbkpunct
+@ cdecl _ismbblead(long) msvcrt._ismbblead
+@ cdecl _ismbbprint(long) msvcrt._ismbbprint
+@ cdecl _ismbbpunct(long) msvcrt._ismbbpunct
+@ cdecl _ismbbtrail(long) msvcrt._ismbbtrail
+@ cdecl _ismbcalnum(long) msvcrt._ismbcalnum
+@ cdecl _ismbcalpha(long) msvcrt._ismbcalpha
+@ cdecl _ismbcdigit(long) msvcrt._ismbcdigit
+@ cdecl _ismbcgraph(long) msvcrt._ismbcgraph
+@ cdecl _ismbchira(long) msvcrt._ismbchira
+@ cdecl _ismbckata(long) msvcrt._ismbckata
+@ cdecl _ismbcl0(long) msvcrt._ismbcl0
+@ cdecl _ismbcl1(long) msvcrt._ismbcl1
+@ cdecl _ismbcl2(long) msvcrt._ismbcl2
+@ cdecl _ismbclegal(long) msvcrt._ismbclegal
+@ cdecl _ismbclower(long) msvcrt._ismbclower
+@ cdecl _ismbcprint(long) msvcrt._ismbcprint
+@ cdecl _ismbcpunct(long) msvcrt._ismbcpunct
+@ cdecl _ismbcspace(long) msvcrt._ismbcspace
+@ cdecl _ismbcsymbol(long) msvcrt._ismbcsymbol
+@ cdecl _ismbcupper(long) msvcrt._ismbcupper
+@ cdecl _ismbslead(ptr ptr) msvcrt._ismbslead
+@ cdecl _ismbstrail(ptr ptr) msvcrt._ismbstrail
+@ cdecl _isnan( double ) msvcrt._isnan
+@ cdecl _itoa(long ptr long) msvcrt._itoa
+@ cdecl _itow(long ptr long) msvcrt._itow
+@ cdecl _j0(double) msvcrt._j0
+@ cdecl _j1(double) msvcrt._j1
+@ cdecl _jn(long double) msvcrt._jn
+@ cdecl _kbhit() msvcrt._kbhit
+@ cdecl _lfind(ptr ptr ptr long ptr) msvcrt._lfind
+@ cdecl _loaddll(str) msvcrt._loaddll
+@ cdecl _local_unwind2(ptr long) msvcrt._local_unwind2
+@ cdecl _localtime64(ptr) msvcrt._localtime64
+@ cdecl _lock(long) msvcrt._lock
+@ cdecl _locking(long long long) msvcrt._locking
+@ cdecl _logb(double) msvcrt._logb
+@ cdecl _longjmpex(ptr long) msvcrt._longjmpex
+@ cdecl _lrotl(long long) msvcrt._lrotl
+@ cdecl _lrotr(long long) msvcrt._lrotr
+@ cdecl _lsearch(ptr ptr long long ptr) msvcrt._lsearch
+@ cdecl _lseek(long long long) msvcrt._lseek
+@ cdecl -ret64 _lseeki64(long long long long) msvcrt._lseeki64
+@ cdecl _ltoa(long ptr long) msvcrt._ltoa
+@ cdecl _ltow(long ptr long) msvcrt._ltow
+@ cdecl _makepath(str str str str str) msvcrt._makepath
+@ cdecl _mbbtombc(long) msvcrt._mbbtombc
+@ cdecl _mbbtype(long long) msvcrt._mbbtype
+@ stub _mbcasemap
+@ cdecl _mbccpy(str str) msvcrt._mbccpy
+@ cdecl _mbcjistojms(long) msvcrt._mbcjistojms
+@ cdecl _mbcjmstojis(long) msvcrt._mbcjmstojis
+@ cdecl _mbclen(ptr) msvcrt._mbclen
+@ cdecl _mbctohira(long) msvcrt._mbctohira
+@ cdecl _mbctokata(long) msvcrt._mbctokata
+@ cdecl _mbctolower(long) msvcrt._mbctolower
+@ cdecl _mbctombb(long) msvcrt._mbctombb
+@ cdecl _mbctoupper(long) msvcrt._mbctoupper
+@ extern _mbctype msvcrt._mbctype
+@ cdecl _mbsbtype(str long) msvcrt._mbsbtype
+@ cdecl _mbscat(str str) msvcrt._mbscat
+@ cdecl _mbschr(str long) msvcrt._mbschr
+@ cdecl _mbscmp(str str) msvcrt._mbscmp
+@ cdecl _mbscoll(str str) msvcrt._mbscoll
+@ cdecl _mbscpy(ptr str) msvcrt._mbscpy
+@ cdecl _mbscspn(str str) msvcrt._mbscspn
+@ cdecl _mbsdec(ptr ptr) msvcrt._mbsdec
+@ cdecl _mbsdup(str) msvcrt._mbsdup
+@ cdecl _mbsicmp(str str) msvcrt._mbsicmp
+@ cdecl _mbsicoll(str str) msvcrt._mbsicoll
+@ cdecl _mbsinc(str) msvcrt._mbsinc
+@ cdecl _mbslen(str) msvcrt._mbslen
+@ cdecl _mbslwr(str) msvcrt._mbslwr
+@ cdecl _mbsnbcat(str str long) msvcrt._mbsnbcat
+@ cdecl _mbsnbcmp(str str long) msvcrt._mbsnbcmp
+@ cdecl _mbsnbcnt(ptr long) msvcrt._mbsnbcnt
+@ cdecl _mbsnbcoll(str str long) msvcrt._mbsnbcoll
+@ cdecl _mbsnbcpy(ptr str long) msvcrt._mbsnbcpy
+@ cdecl _mbsnbicmp(str str long) msvcrt._mbsnbicmp
+@ cdecl _mbsnbicoll(str str long) msvcrt._mbsnbicoll
+@ cdecl _mbsnbset(str long long) msvcrt._mbsnbset
+@ cdecl _mbsncat(str str long) msvcrt._mbsncat
+@ cdecl _mbsnccnt(str long) msvcrt._mbsnccnt
+@ cdecl _mbsncmp(str str long) msvcrt._mbsncmp
+@ cdecl _mbsncoll(str str long) msvcrt._mbsncoll
+@ cdecl _mbsncpy(str str long) msvcrt._mbsncpy
+@ cdecl _mbsnextc(str) msvcrt._mbsnextc
+@ cdecl _mbsnicmp(str str long) msvcrt._mbsnicmp
+@ cdecl _mbsnicoll(str str long) msvcrt._mbsnicoll
+@ cdecl _mbsninc(str long) msvcrt._mbsninc
+@ cdecl _mbsnset(str long long) msvcrt._mbsnset
+@ cdecl _mbspbrk(str str) msvcrt._mbspbrk
+@ cdecl _mbsrchr(str long) msvcrt._mbsrchr
+@ cdecl _mbsrev(str) msvcrt._mbsrev
+@ cdecl _mbsset(str long) msvcrt._mbsset
+@ cdecl _mbsspn(str str) msvcrt._mbsspn
+@ cdecl _mbsspnp(str str) msvcrt._mbsspnp
+@ cdecl _mbsstr(str str) msvcrt._mbsstr
+@ cdecl _mbstok(str str) msvcrt._mbstok
+@ cdecl _mbstrlen(str) msvcrt._mbstrlen
+@ cdecl _mbsupr(str) msvcrt._mbsupr
+@ cdecl _memccpy(ptr ptr long long) msvcrt._memccpy
+@ cdecl _memicmp(str str long) msvcrt._memicmp
+@ cdecl _mkdir(str) msvcrt._mkdir
+@ cdecl _mktemp(str) msvcrt._mktemp
+@ cdecl _mktime64(ptr) msvcrt._mktime64
+@ cdecl _msize(ptr) msvcrt._msize
+@ cdecl _nextafter(double double) msvcrt._nextafter
+@ cdecl _onexit(ptr) msvcrt._onexit
+@ varargs _open(str long) msvcrt._open
+@ cdecl _open_osfhandle(long long) msvcrt._open_osfhandle
+@ stub _osplatform
+@ extern _osver msvcrt._osver
+@ cdecl -i386 _outp(long long) msvcrt._outp
+@ cdecl -i386 _outpd(long long) msvcrt._outpd
+@ cdecl -i386 _outpw(long long) msvcrt._outpw
+@ cdecl _pclose(ptr) msvcrt._pclose
+@ extern _pctype msvcrt._pctype
+@ extern _pgmptr msvcrt._pgmptr
+@ cdecl _pipe(ptr long long) msvcrt._pipe
+@ cdecl _popen(str str) msvcrt._popen
+@ cdecl _purecall() msvcrt._purecall
+@ cdecl _putch(long) msvcrt._putch
+@ cdecl _putenv(str) msvcrt._putenv
+@ cdecl _putw(long ptr) msvcrt._putw
+@ stub _putwch
+@ cdecl _putws(wstr) msvcrt._putws
+@ extern _pwctype msvcrt._pwctype
+@ cdecl _read(long ptr long) msvcrt._read
+@ stub _resetstkoflw
+@ cdecl _rmdir(str) msvcrt._rmdir
+@ cdecl _rmtmp() msvcrt._rmtmp
+@ cdecl _rotl(long long) msvcrt._rotl
+@ cdecl _rotr(long long) msvcrt._rotr
+@ cdecl _safe_fdiv() msvcrt._safe_fdiv
+@ cdecl _safe_fdivr() msvcrt._safe_fdivr
+@ cdecl _safe_fprem() msvcrt._safe_fprem
+@ cdecl _safe_fprem1() msvcrt._safe_fprem1
+@ cdecl _scalb( double long) msvcrt._scalb
+@ stub _scprintf
+@ stub _scwprintf
+@ cdecl _searchenv(str str ptr) msvcrt._searchenv
+@ stdcall -i386 _seh_longjmp_unwind(ptr) msvcrt._seh_longjmp_unwind
+@ stub _set_SSE2_enable
+@ cdecl _set_error_mode(long) msvcrt._set_error_mode
+@ stub _set_purecall_handler
+@ cdecl _set_sbh_threshold(long) msvcrt._set_sbh_threshold
+@ stub _set_security_error_handler
+@ cdecl _seterrormode(long) msvcrt._seterrormode
+@ cdecl -i386 _setjmp(ptr) msvcrt._setjmp
+@ cdecl -i386 _setjmp3(ptr long) msvcrt._setjmp3
+@ cdecl _setmaxstdio(long) msvcrt._setmaxstdio
+@ cdecl _setmbcp(long) msvcrt._setmbcp
+@ cdecl _setmode(long long) msvcrt._setmode
+@ cdecl _setsystime(ptr long) msvcrt._setsystime
+@ cdecl _sleep(long) msvcrt._sleep
+@ varargs _snprintf(str long str) msvcrt._snprintf
+@ stub _snscanf
+@ varargs _snwprintf(wstr long wstr) msvcrt._snwprintf
+@ stub _snwscanf
+@ varargs _sopen(str long long) msvcrt._sopen
+@ varargs _spawnl(long str str) msvcrt._spawnl
+@ varargs _spawnle(long str str) msvcrt._spawnle
+@ varargs _spawnlp(long str str) msvcrt._spawnlp
+@ varargs _spawnlpe(long str str) msvcrt._spawnlpe
+@ cdecl _spawnv(long str ptr) msvcrt._spawnv
+@ cdecl _spawnve(long str ptr ptr) msvcrt._spawnve
+@ cdecl _spawnvp(long str ptr) msvcrt._spawnvp
+@ cdecl _spawnvpe(long str ptr ptr) msvcrt._spawnvpe
+@ cdecl _splitpath(str ptr ptr ptr ptr) msvcrt._splitpath
+@ cdecl _stat(str ptr) msvcrt._stat
+@ cdecl _stat64(str ptr) msvcrt._stat64
+@ cdecl _stati64(str ptr) msvcrt._stati64
+@ cdecl _statusfp() msvcrt._statusfp
+@ cdecl _strcmpi(str str) msvcrt._strcmpi
+@ cdecl _strdate(ptr) msvcrt._strdate
+@ cdecl _strdup(str) msvcrt._strdup
+@ cdecl _strerror(long) msvcrt._strerror
+@ cdecl _stricmp(str str) msvcrt._stricmp
+@ cdecl _stricoll(str str) msvcrt._stricoll
+@ cdecl _strlwr(str) msvcrt._strlwr
+@ cdecl _strncoll(str str long) msvcrt._strncoll
+@ cdecl _strnicmp(str str long) msvcrt._strnicmp
+@ cdecl _strnicoll(str str long) msvcrt._strnicoll
+@ cdecl _strnset(str long long) msvcrt._strnset
+@ cdecl _strrev(str) msvcrt._strrev
+@ cdecl _strset(str long) msvcrt._strset
+@ cdecl _strtime(ptr) msvcrt._strtime
+@ cdecl _strtoi64(str ptr long) msvcrt._strtoi64
+@ cdecl _strtoui64(str ptr long) msvcrt._strtoui64
+@ cdecl _strupr(str) msvcrt._strupr
+@ cdecl _swab(str str long) msvcrt._swab
+@ extern _sys_errlist msvcrt._sys_errlist
+@ extern _sys_nerr msvcrt._sys_nerr
+@ cdecl _tell(long) msvcrt._tell
+@ cdecl -ret64 _telli64(long) msvcrt._telli64
+@ cdecl _tempnam(str str) msvcrt._tempnam
+@ cdecl _time64(ptr) msvcrt._time64
+@ extern _timezone msvcrt._timezone
+@ cdecl _tolower(long) msvcrt._tolower
+@ cdecl _toupper(long) msvcrt._toupper
+@ extern _tzname msvcrt._tzname
+@ cdecl _tzset() msvcrt._tzset
+@ cdecl _ui64toa(long long ptr long) msvcrt._ui64toa
+@ cdecl _ui64tow(long long ptr long) msvcrt._ui64tow
+@ cdecl _ultoa(long ptr long) msvcrt._ultoa
+@ cdecl _ultow(long ptr long) msvcrt._ultow
+@ cdecl _umask(long) msvcrt._umask
+@ cdecl _ungetch(long) msvcrt._ungetch
+@ stub _ungetwch
+@ cdecl _unlink(str) msvcrt._unlink
+@ cdecl _unloaddll(long) msvcrt._unloaddll
+@ cdecl _unlock(long) msvcrt._unlock
+@ cdecl _utime(str ptr) msvcrt._utime
+@ cdecl _utime64(str ptr) msvcrt._utime64
+@ cdecl _vscprintf(str ptr) msvcrt._vscprintf
+@ cdecl _vscwprintf(wstr ptr) msvcrt._vscwprintf
+@ cdecl _vsnprintf(ptr long ptr ptr) msvcrt._vsnprintf
+@ cdecl _vsnwprintf(ptr long wstr long) msvcrt._vsnwprintf
+@ cdecl _waccess(wstr long) msvcrt._waccess
+@ cdecl _wasctime(ptr) msvcrt._wasctime
+@ cdecl _wchdir(wstr) msvcrt._wchdir
+@ cdecl _wchmod(wstr long) msvcrt._wchmod
+@ extern _wcmdln msvcrt._wcmdln
+@ cdecl _wcreat(wstr long) msvcrt._wcreat
+@ cdecl _wcsdup(wstr) msvcrt._wcsdup
+@ stub _wcserror
+@ cdecl _wcsicmp(wstr wstr) msvcrt._wcsicmp
+@ cdecl _wcsicoll(wstr wstr) msvcrt._wcsicoll
+@ cdecl _wcslwr(wstr) msvcrt._wcslwr
+@ cdecl _wcsncoll(wstr wstr long) msvcrt._wcsncoll
+@ cdecl _wcsnicmp(wstr wstr long) msvcrt._wcsnicmp
+@ cdecl _wcsnicoll(wstr wstr long) msvcrt._wcsnicoll
+@ cdecl _wcsnset(wstr long long) msvcrt._wcsnset
+@ cdecl _wcsrev(wstr) msvcrt._wcsrev
+@ cdecl _wcsset(wstr long) msvcrt._wcsset
+@ cdecl _wcstoi64(wstr ptr long) msvcrt._wcstoi64
+@ cdecl _wcstoui64(wstr ptr long) msvcrt._wcstoui64
+@ cdecl _wcsupr(wstr) msvcrt._wcsupr
+@ cdecl _wctime(ptr) msvcrt._wctime
+@ cdecl _wctime64(ptr) msvcrt._wctime64
+@ stub _wctype
+@ extern _wenviron msvcrt._wenviron
+@ varargs _wexecl(wstr wstr) msvcrt._wexecl
+@ varargs _wexecle(wstr wstr) msvcrt._wexecle
+@ varargs _wexeclp(wstr wstr) msvcrt._wexeclp
+@ varargs _wexeclpe(wstr wstr) msvcrt._wexeclpe
+@ varargs _wexecv(wstr ptr) msvcrt._wexecv
+@ varargs _wexecve(wstr ptr ptr) msvcrt._wexecve
+@ varargs _wexecvp(wstr ptr) msvcrt._wexecvp
+@ varargs _wexecvpe(wstr ptr ptr) msvcrt._wexecvpe
+@ cdecl _wfdopen(long wstr) msvcrt._wfdopen
+@ cdecl _wfindfirst(wstr ptr) msvcrt._wfindfirst
+@ stub _wfindfirst64
+@ cdecl _wfindfirsti64(wstr ptr) msvcrt._wfindfirsti64
+@ cdecl _wfindnext(long ptr) msvcrt._wfindnext
+@ stub _wfindnext64
+@ cdecl _wfindnexti64(long ptr) msvcrt._wfindnexti64
+@ cdecl _wfopen(wstr wstr) msvcrt._wfopen
+@ cdecl _wfreopen(wstr wstr ptr) msvcrt._wfreopen
+@ cdecl _wfsopen(wstr wstr long) msvcrt._wfsopen
+@ cdecl _wfullpath(ptr wstr long) msvcrt._wfullpath
+@ cdecl _wgetcwd(wstr long) msvcrt._wgetcwd
+@ cdecl _wgetdcwd(long wstr long) msvcrt._wgetdcwd
+@ cdecl _wgetenv(wstr) msvcrt._wgetenv
+@ extern _winmajor msvcrt._winmajor
+@ extern _winminor msvcrt._winminor
+@ extern _winver msvcrt._winver
+@ cdecl _wmakepath(wstr wstr wstr wstr wstr) msvcrt._wmakepath
+@ cdecl _wmkdir(wstr) msvcrt._wmkdir
+@ cdecl _wmktemp(wstr) msvcrt._wmktemp
+@ varargs _wopen(wstr long) msvcrt._wopen
+@ cdecl _wperror(wstr) msvcrt._wperror
+@ extern _wpgmptr msvcrt._wpgmptr
+@ cdecl _wpopen(wstr wstr) msvcrt._wpopen
+@ cdecl _wputenv(wstr) msvcrt._wputenv
+@ cdecl _wremove(wstr) msvcrt._wremove
+@ cdecl _wrename(wstr wstr) msvcrt._wrename
+@ cdecl _write(long ptr long) msvcrt._write
+@ cdecl _wrmdir(wstr) msvcrt._wrmdir
+@ cdecl _wsearchenv(wstr wstr ptr) msvcrt._wsearchenv
+@ cdecl _wsetlocale(long wstr) msvcrt._wsetlocale
+@ varargs _wsopen(wstr long long) msvcrt._wsopen
+@ varargs _wspawnl(long wstr wstr) msvcrt._wspawnl
+@ varargs _wspawnle(long wstr wstr) msvcrt._wspawnle
+@ varargs _wspawnlp(long wstr wstr) msvcrt._wspawnlp
+@ varargs _wspawnlpe(long wstr wstr) msvcrt._wspawnlpe
+@ cdecl _wspawnv(long wstr ptr) msvcrt._wspawnv
+@ cdecl _wspawnve(long wstr ptr ptr) msvcrt._wspawnve
+@ cdecl _wspawnvp(long wstr ptr) msvcrt._wspawnvp
+@ cdecl _wspawnvpe(long wstr ptr ptr) msvcrt._wspawnvpe
+@ cdecl _wsplitpath(wstr wstr wstr wstr wstr) msvcrt._wsplitpath
+@ cdecl _wstat(wstr ptr) msvcrt._wstat
+@ cdecl _wstat64(wstr ptr) msvcrt._wstat64
+@ cdecl _wstati64(wstr ptr) msvcrt._wstati64
+@ cdecl _wstrdate(ptr) msvcrt._wstrdate
+@ cdecl _wstrtime(ptr) msvcrt._wstrtime
+@ cdecl _wsystem(wstr) msvcrt._wsystem
+@ cdecl _wtempnam(wstr wstr) msvcrt._wtempnam
+@ cdecl _wtmpnam(ptr) msvcrt._wtmpnam
+@ cdecl _wtof(wstr) msvcrt._wtof
+@ cdecl _wtoi(wstr) msvcrt._wtoi
+@ cdecl _wtoi64(wstr) msvcrt._wtoi64
+@ cdecl _wtol(wstr) msvcrt._wtol
+@ cdecl _wunlink(wstr) msvcrt._wunlink
+@ cdecl _wutime(wstr ptr) msvcrt._wutime
+@ cdecl _wutime64(wstr ptr) msvcrt._wutime64
+@ cdecl _y0(double) msvcrt._y0
+@ cdecl _y1(double) msvcrt._y1
+@ cdecl _yn(long double ) msvcrt._yn
+@ cdecl abort() msvcrt.abort
+@ cdecl abs(long) msvcrt.abs
+@ cdecl acos(double) msvcrt.acos
+@ cdecl asctime(ptr) msvcrt.asctime
+@ cdecl asin(double) msvcrt.asin
+@ cdecl atan(double) msvcrt.atan
+@ cdecl atan2(double double) msvcrt.atan2
+@ cdecl atexit(ptr) msvcrt.atexit
+@ cdecl atof(str) msvcrt.atof
+@ cdecl atoi(str) msvcrt.atoi
+@ cdecl atol(str) msvcrt.atol
+@ cdecl bsearch(ptr ptr long long ptr) msvcrt.bsearch
+@ cdecl calloc(long long) msvcrt.calloc
+@ cdecl ceil(double) msvcrt.ceil
+@ cdecl clearerr(ptr) msvcrt.clearerr
+@ cdecl clock() msvcrt.clock
+@ cdecl cos(double) msvcrt.cos
+@ cdecl cosh(double) msvcrt.cosh
+@ cdecl ctime(ptr) msvcrt.ctime
+@ cdecl difftime(long long) msvcrt.difftime
+@ cdecl div(long long) msvcrt.div
+@ cdecl exit(long) msvcrt.exit
+@ cdecl exp(double) msvcrt.exp
+@ cdecl fabs(double) msvcrt.fabs
+@ cdecl fclose(ptr) msvcrt.fclose
+@ cdecl feof(ptr) msvcrt.feof
+@ cdecl ferror(ptr) msvcrt.ferror
+@ cdecl fflush(ptr) msvcrt.fflush
+@ cdecl fgetc(ptr) msvcrt.fgetc
+@ cdecl fgetpos(ptr ptr) msvcrt.fgetpos
+@ cdecl fgets(ptr long ptr) msvcrt.fgets
+@ cdecl fgetwc(ptr) msvcrt.fgetwc
+@ cdecl fgetws(ptr long ptr) msvcrt.fgetws
+@ cdecl floor(double) msvcrt.floor
+@ cdecl fmod(double double) msvcrt.fmod
+@ cdecl fopen(str str) msvcrt.fopen
+@ varargs fprintf(ptr str) msvcrt.fprintf
+@ cdecl fputc(long ptr) msvcrt.fputc
+@ cdecl fputs(str ptr) msvcrt.fputs
+@ cdecl fputwc(long ptr) msvcrt.fputwc
+@ cdecl fputws(wstr ptr) msvcrt.fputws
+@ cdecl fread(ptr long long ptr) msvcrt.fread
+@ cdecl free(ptr) msvcrt.free
+@ cdecl freopen(str str ptr) msvcrt.freopen
+@ cdecl frexp(double ptr) msvcrt.frexp
+@ varargs fscanf(ptr str) msvcrt.fscanf
+@ cdecl fseek(ptr long long) msvcrt.fseek
+@ cdecl fsetpos(ptr ptr) msvcrt.fsetpos
+@ cdecl ftell(ptr) msvcrt.ftell
+@ varargs fwprintf(ptr wstr) msvcrt.fwprintf
+@ cdecl fwrite(ptr long long ptr) msvcrt.fwrite
+@ varargs fwscanf(ptr wstr) msvcrt.fwscanf
+@ cdecl getc(ptr) msvcrt.getc
+@ cdecl getchar() msvcrt.getchar
+@ cdecl getenv(str) msvcrt.getenv
+@ cdecl gets(str) msvcrt.gets
+@ cdecl getwc(ptr) msvcrt.getwc
+@ cdecl getwchar() msvcrt.getwchar
+@ cdecl gmtime(ptr) msvcrt.gmtime
+@ cdecl is_wctype(long long) msvcrt.is_wctype
+@ cdecl isalnum(long) msvcrt.isalnum
+@ cdecl isalpha(long) msvcrt.isalpha
+@ cdecl iscntrl(long) msvcrt.iscntrl
+@ cdecl isdigit(long) msvcrt.isdigit
+@ cdecl isgraph(long) msvcrt.isgraph
+@ cdecl isleadbyte(long) msvcrt.isleadbyte
+@ cdecl islower(long) msvcrt.islower
+@ cdecl isprint(long) msvcrt.isprint
+@ cdecl ispunct(long) msvcrt.ispunct
+@ cdecl isspace(long) msvcrt.isspace
+@ cdecl isupper(long) msvcrt.isupper
+@ cdecl iswalnum(long) msvcrt.iswalnum
+@ cdecl iswalpha(long) msvcrt.iswalpha
+@ cdecl iswascii(long) msvcrt.iswascii
+@ cdecl iswcntrl(long) msvcrt.iswcntrl
+@ cdecl iswctype(long long) msvcrt.iswctype
+@ cdecl iswdigit(long) msvcrt.iswdigit
+@ cdecl iswgraph(long) msvcrt.iswgraph
+@ cdecl iswlower(long) msvcrt.iswlower
+@ cdecl iswprint(long) msvcrt.iswprint
+@ cdecl iswpunct(long) msvcrt.iswpunct
+@ cdecl iswspace(long) msvcrt.iswspace
+@ cdecl iswupper(long) msvcrt.iswupper
+@ cdecl iswxdigit(long) msvcrt.iswxdigit
+@ cdecl isxdigit(long) msvcrt.isxdigit
+@ cdecl labs(long) msvcrt.labs
+@ cdecl ldexp( double long) msvcrt.ldexp
+@ cdecl ldiv(long long) msvcrt.ldiv
+@ cdecl localeconv() msvcrt.localeconv
+@ cdecl localtime(ptr) msvcrt.localtime
+@ cdecl log(double) msvcrt.log
+@ cdecl log10(double) msvcrt.log10
+@ cdecl -i386 longjmp(ptr long) msvcrt.longjmp
+@ cdecl malloc(long) msvcrt.malloc
+@ cdecl mblen(ptr long) msvcrt.mblen
+@ cdecl mbstowcs(ptr str long) msvcrt.mbstowcs
+@ cdecl mbtowc(wstr str long) msvcrt.mbtowc
+@ cdecl memchr(ptr long long) msvcrt.memchr
+@ cdecl memcmp(ptr ptr long) msvcrt.memcmp
+@ cdecl memcpy(ptr ptr long) msvcrt.memcpy
+@ cdecl memmove(ptr ptr long) msvcrt.memmove
+@ cdecl memset(ptr long long) msvcrt.memset
+@ cdecl mktime(ptr) msvcrt.mktime
+@ cdecl modf(double ptr) msvcrt.modf
+@ cdecl perror(str) msvcrt.perror
+@ cdecl pow(double double) msvcrt.pow
+@ varargs printf(str) msvcrt.printf
+@ cdecl putc(long ptr) msvcrt.putc
+@ cdecl putchar(long) msvcrt.putchar
+@ cdecl puts(str) msvcrt.puts
+@ cdecl putwc(long ptr) msvcrt.putwc
+@ cdecl putwchar(long) msvcrt.putwchar
+@ cdecl qsort(ptr long long ptr) msvcrt.qsort
+@ cdecl raise(long) msvcrt.raise
+@ cdecl rand() msvcrt.rand
+@ cdecl realloc(ptr long) msvcrt.realloc
+@ cdecl remove(str) msvcrt.remove
+@ cdecl rename(str str) msvcrt.rename
+@ cdecl rewind(ptr) msvcrt.rewind
+@ varargs scanf(str) msvcrt.scanf
+@ cdecl setbuf(ptr ptr) msvcrt.setbuf
+@ cdecl setlocale(long str) msvcrt.setlocale
+@ cdecl setvbuf(ptr str long long) msvcrt.setvbuf
+@ cdecl signal(long long) msvcrt.signal
+@ cdecl sin(double) msvcrt.sin
+@ cdecl sinh(double) msvcrt.sinh
+@ varargs sprintf(ptr str) msvcrt.sprintf
+@ cdecl sqrt(double) msvcrt.sqrt
+@ cdecl srand(long) msvcrt.srand
+@ varargs sscanf(str str) msvcrt.sscanf
+@ cdecl strcat(str str) msvcrt.strcat
+@ cdecl strchr(str long) msvcrt.strchr
+@ cdecl strcmp(str str) msvcrt.strcmp
+@ cdecl strcoll(str str) msvcrt.strcoll
+@ cdecl strcpy(ptr str) msvcrt.strcpy
+@ cdecl strcspn(str str) msvcrt.strcspn
+@ cdecl strerror(long) msvcrt.strerror
+@ cdecl strftime(str long str ptr) msvcrt.strftime
+@ cdecl strlen(str) msvcrt.strlen
+@ cdecl strncat(str str long) msvcrt.strncat
+@ cdecl strncmp(str str long) msvcrt.strncmp
+@ cdecl strncpy(ptr str long) msvcrt.strncpy
+@ cdecl strpbrk(str str) msvcrt.strpbrk
+@ cdecl strrchr(str long) msvcrt.strrchr
+@ cdecl strspn(str str) msvcrt.strspn
+@ cdecl strstr(str str) msvcrt.strstr
+@ cdecl strtod(str ptr) msvcrt.strtod
+@ cdecl strtok(str str) msvcrt.strtok
+@ cdecl strtol(str ptr long) msvcrt.strtol
+@ cdecl strtoul(str ptr long) msvcrt.strtoul
+@ cdecl strxfrm(ptr str long) msvcrt.strxfrm
+@ varargs swprintf(wstr wstr) msvcrt.swprintf
+@ varargs swscanf(wstr wstr) msvcrt.swscanf
+@ cdecl system(str) msvcrt.system
+@ cdecl tan(double) msvcrt.tan
+@ cdecl tanh(double) msvcrt.tanh
+@ cdecl time(ptr) msvcrt.time
+@ cdecl tmpfile() msvcrt.tmpfile
+@ cdecl tmpnam(ptr) msvcrt.tmpnam
+@ cdecl tolower(long) msvcrt.tolower
+@ cdecl toupper(long) msvcrt.toupper
+@ cdecl towlower(long) msvcrt.towlower
+@ cdecl towupper(long) msvcrt.towupper
+@ cdecl ungetc(long ptr) msvcrt.ungetc
+@ cdecl ungetwc(long ptr) msvcrt.ungetwc
+@ cdecl vfprintf(ptr str long) msvcrt.vfprintf
+@ cdecl vfwprintf(ptr wstr long) msvcrt.vfwprintf
+@ cdecl vprintf(str long) msvcrt.vprintf
+@ cdecl vsprintf(ptr str ptr) msvcrt.vsprintf
+@ cdecl vswprintf(ptr wstr long) msvcrt.vswprintf
+@ cdecl vwprintf(wstr long) msvcrt.vwprintf
+@ cdecl wcscat(wstr wstr) msvcrt.wcscat
+@ cdecl wcschr(wstr long) msvcrt.wcschr
+@ cdecl wcscmp(wstr wstr) msvcrt.wcscmp
+@ cdecl wcscoll(wstr wstr) msvcrt.wcscoll
+@ cdecl wcscpy(ptr wstr) msvcrt.wcscpy
+@ cdecl wcscspn(wstr wstr) msvcrt.wcscspn
+@ cdecl wcsftime(ptr long wstr ptr) msvcrt.wcsftime
+@ cdecl wcslen(wstr) msvcrt.wcslen
+@ cdecl wcsncat(wstr wstr long) msvcrt.wcsncat
+@ cdecl wcsncmp(wstr wstr long) msvcrt.wcsncmp
+@ cdecl wcsncpy(ptr wstr long) msvcrt.wcsncpy
+@ cdecl wcspbrk(wstr wstr) msvcrt.wcspbrk
+@ cdecl wcsrchr(wstr long) msvcrt.wcsrchr
+@ cdecl wcsspn(wstr wstr) msvcrt.wcsspn
+@ cdecl wcsstr(wstr wstr) msvcrt.wcsstr
+@ cdecl wcstod(wstr ptr) msvcrt.wcstod
+@ cdecl wcstok(wstr wstr) msvcrt.wcstok
+@ cdecl wcstol(wstr ptr long) msvcrt.wcstol
+@ cdecl wcstombs(ptr ptr long) msvcrt.wcstombs
+@ cdecl wcstoul(wstr ptr long) msvcrt.wcstoul
+@ cdecl wcsxfrm(ptr wstr long) msvcrt.wcsxfrm
+@ cdecl wctomb(ptr long) msvcrt.wctomb
+@ varargs wprintf(wstr) msvcrt.wprintf
+@ varargs wscanf(wstr) msvcrt.wscanf

Property changes on: msvcr71\msvcr71.spec
___________________________________________________________________
Added: svn:eol-style
   + native


Property changes on: msvcr80
___________________________________________________________________
Added: bugtraq:url
   + http://www.reactos.org/bugzilla/show_bug.cgi?id=%BUGID%
Added: bugtraq:message
   + See issue #%BUGID% for more details.
Added: tsvn:logminsize
   + 10
Added: bugtraq:logregex
   + ([Ii]ssue|[Bb]ug)s? #?(\d+)(,? ?#?(\d+))*(,? ?(and |or )?#?(\d+))?
(\d+)

Index: msvcr80/msvcr80.c
===================================================================
--- msvcr80/msvcr80.c	(revision 0)
+++ msvcr80/msvcr80.c	(revision 0)
@@ -0,0 +1,37 @@
+/*
+ * msvcr80 specific functions
+ *
+ * Copyright 2010 Detlef Riekenberg
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Lesser General Public
+ * License as published by the Free Software Foundation; either
+ * version 2.1 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this library; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
+ */
+
+#include <stdarg.h>
+
+#include "windef.h"
+#include "winbase.h"
+
+BOOL WINAPI DllMain(HINSTANCE hdll, DWORD reason, LPVOID reserved)
+{
+    switch (reason)
+    {
+    case DLL_WINE_PREATTACH:
+        return FALSE;  /* prefer native version */
+
+    case DLL_PROCESS_ATTACH:
+        DisableThreadLibraryCalls(hdll);
+    }
+    return TRUE;
+}

Property changes on: msvcr80\msvcr80.c
___________________________________________________________________
Added: svn:eol-style
   + native

Index: msvcr80/msvcr80.rbuild
===================================================================
--- msvcr80/msvcr80.rbuild	(revision 0)
+++ msvcr80/msvcr80.rbuild	(revision 0)
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<!DOCTYPE module SYSTEM "../../../tools/rbuild/project.dtd">
+<group>
+<module name="msvcr80" type="win32dll" baseaddress="${BASEADDRESS_MSVCR80}" installbase="system32" installname="msvcr80.dll" iscrt="yes">
+	<importlibrary definition="msvcr80.spec" />
+	<include base="msvcr80">.</include>
+	<include base="ReactOS">include/reactos/wine</include>
+	<define name="__WINESRC__" />
+	<define name="CRTDLL" />
+	<file>msvcr80.c</file>
+	<library>wine</library>
+</module>
+</group>

Property changes on: msvcr80\msvcr80.rbuild
___________________________________________________________________
Added: svn:eol-style
   + native

Index: msvcr80/msvcr80.spec
===================================================================
--- msvcr80/msvcr80.spec	(revision 0)
+++ msvcr80/msvcr80.spec	(revision 0)
@@ -0,0 +1,1468 @@
+# MS VC++2005 runtime library
+
+@ cdecl -i386 -norelay ??0__non_rtti_object@std@@QAE@ABV01@@Z(ptr) msvcrt.??0__non_rtti_object@@QAE@ABV0@@Z
+@ cdecl -i386 -norelay ??0bad_cast@std@@QAE@ABV01@@Z(ptr) msvcrt.??0bad_cast@@QAE@ABV0@@Z
+@ cdecl -i386 -norelay ??0bad_cast@std@@QAE@PBD@Z(ptr) msvcrt.??0bad_cast@@QAE@PBD@Z
+@ cdecl -i386 -norelay ??0bad_typeid@std@@QAE@ABV01@@Z(ptr) msvcrt.??0bad_typeid@@QAE@ABV0@@Z
+@ cdecl -i386 -norelay ??0bad_typeid@std@@QAE@PBD@Z(ptr) msvcrt.??0bad_typeid@@QAE@PBD@Z
+@ cdecl -i386 -norelay ??0exception@std@@QAE@ABQBD@Z(ptr) msvcrt.??0exception@@QAE@ABQBD@Z
+@ cdecl -i386 -norelay ??0exception@std@@QAE@ABQBDH@Z(ptr long) msvcrt.??0exception@@QAE@ABQBDH@Z
+@ cdecl -i386 -norelay ??0exception@std@@QAE@ABV01@@Z(ptr) msvcrt.??0exception@@QAE@ABV0@@Z
+@ cdecl -i386 -norelay ??0exception@std@@QAE@XZ() msvcrt.??0exception@@QAE@XZ
+@ cdecl -i386 -norelay ??1__non_rtti_object@std@@UAE@XZ() msvcrt.??1__non_rtti_object@@UAE@XZ
+@ cdecl -i386 -norelay ??1bad_cast@std@@UAE@XZ() msvcrt.??1bad_cast@@UAE@XZ
+@ cdecl -i386 -norelay ??1bad_typeid@std@@UAE@XZ() msvcrt.??1bad_typeid@@UAE@XZ
+@ cdecl -i386 -norelay ??1exception@std@@UAE@XZ() msvcrt.??1exception@@UAE@XZ
+@ cdecl -i386 -norelay ??1type_info@@UAE@XZ() msvcrt.??1type_info@@UAE@XZ
+@ cdecl ??2@YAPAXI@Z(long) msvcrt.??2@YAPAXI@Z
+@ cdecl ??2@YAPAXIHPBDH@Z(long long str long) msvcrt.??2@YAPAXIHPBDH@Z
+@ cdecl ??3@YAXPAX@Z(ptr) msvcrt.??3@YAXPAX@Z
+@ cdecl -i386 -norelay ??4__non_rtti_object@std@@QAEAAV01@ABV01@@Z(ptr) msvcrt.??4__non_rtti_object@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 -norelay ??4bad_cast@std@@QAEAAV01@ABV01@@Z(ptr) msvcrt.??4bad_cast@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 -norelay ??4bad_typeid@std@@QAEAAV01@ABV01@@Z(ptr) msvcrt.??4bad_typeid@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 -norelay ??4exception@std@@QAEAAV01@ABV01@@Z(ptr) msvcrt.??4exception@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 -norelay ??8type_info@@QBE_NABV0@@Z(ptr) msvcrt.??8type_info@@QBEHABV0@@Z
+@ cdecl -i386 -norelay ??9type_info@@QBE_NABV0@@Z(ptr) msvcrt.??9type_info@@QBEHABV0@@Z
+@ extern -i386 ??_7__non_rtti_object@std@@6B@ msvcrt.??_7__non_rtti_object@@6B@
+@ extern -i386 ??_7bad_cast@std@@6B@ msvcrt.??_7bad_cast@@6B@
+@ extern -i386 ??_7bad_typeid@std@@6B@ msvcrt.??_7bad_typeid@@6B@
+@ extern -i386 ??_7exception@@6B@ msvcrt.??_7exception@@6B@
+@ extern -i386 ??_7exception@std@@6B@ msvcrt.??_7exception@@6B@
+@ cdecl -i386 -norelay ??_Fbad_cast@std@@QAEXXZ() msvcrt.??_Fbad_cast@@QAEXXZ
+@ cdecl -i386 -norelay ??_Fbad_typeid@std@@QAEXXZ() msvcrt.??_Fbad_typeid@@QAEXXZ
+@ cdecl ??_U@YAPAXI@Z(long) msvcrt.??_U@YAPAXI@Z
+@ cdecl ??_U@YAPAXIHPBDH@Z(long long str long) msvcrt.??_U@YAPAXIHPBDH@Z
+@ cdecl ??_V@YAXPAX@Z(ptr) msvcrt.??_V@YAXPAX@Z
+@ stub ?_Name_base@type_info@@CAPBDPBV1@PAU__type_info_node@@@Z
+@ stub ?_Name_base_internal@type_info@@CAPBDPBV1@PAU__type_info_node@@@Z
+@ stub ?_Type_info_dtor@type_info@@CAXPAV1@@Z
+@ stub ?_Type_info_dtor_internal@type_info@@CAXPAV1@@Z
+@ stub ?_ValidateExecute@@YAHP6GHXZ@Z
+@ stub ?_ValidateRead@@YAHPBXI@Z
+@ stub ?_ValidateWrite@@YAHPAXI@Z
+@ cdecl __uncaught_exception() msvcrt.__uncaught_exception
+@ stub ?_inconsistency@@YAXXZ
+@ cdecl ?_invalid_parameter@@YAXPBG00II@Z(wstr wstr wstr long long) msvcrt._invalid_parameter
+@ stub ?_is_exception_typeof@@YAHABVtype_info@@PAU_EXCEPTION_POINTERS@@@Z
+@ stub ?_name_internal_method@type_info@@QBEPBDPAU__type_info_node@@@Z
+@ varargs ?_open@@YAHPBDHH@Z(str long) msvcrt._open
+@ cdecl ?_query_new_handler@@YAP6AHI@ZXZ() msvcrt.?_query_new_handler@@YAP6AHI@ZXZ
+@ cdecl ?_query_new_mode@@YAHXZ() msvcrt.?_query_new_mode@@YAHXZ
+@ stub ?_set_new_handler@@YAP6AHI@ZH@Z
+@ cdecl ?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z(ptr) msvcrt.?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z
+@ cdecl ?_set_new_mode@@YAHH@Z(long) msvcrt.?_set_new_mode@@YAHH@Z
+@ stub ?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZH@Z
+@ cdecl ?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z(ptr) msvcrt.?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z
+@ cdecl ?_sopen@@YAHPBDHHH@Z(str long long long) msvcrt._sopen
+@ stub ?_type_info_dtor_internal_method@type_info@@QAEXXZ
+@ cdecl ?_wopen@@YAHPB_WHH@Z(wstr long long) msvcrt._wopen
+@ cdecl ?_wsopen@@YAHPB_WHHH@Z(wstr long long long) msvcrt._wsopen
+@ cdecl -i386 -norelay ?before@type_info@@QBEHABV1@@Z(ptr) msvcrt.?before@type_info@@QBEHABV1@@Z
+@ stub ?name@type_info@@QBEPBDPAU__type_info_node@@@Z
+@ cdecl -i386 -norelay ?raw_name@type_info@@QBEPBDXZ() msvcrt.?raw_name@type_info@@QBEPBDXZ
+@ cdecl ?set_new_handler@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_new_handler@@YAP6AXXZP6AXXZ@Z
+@ stub ?set_terminate@@YAP6AXXZH@Z
+@ cdecl ?set_terminate@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_terminate@@YAP6AXXZP6AXXZ@Z
+@ stub ?set_unexpected@@YAP6AXXZH@Z
+@ cdecl ?set_unexpected@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_unexpected@@YAP6AXXZP6AXXZ@Z
+@ varargs ?swprintf@@YAHPAGIPBGZZ(ptr long wstr) msvcrt._snwprintf
+@ varargs ?swprintf@@YAHPA_WIPB_WZZ(ptr long wstr) msvcrt._snwprintf
+@ cdecl ?terminate@@YAXXZ() msvcrt.?terminate@@YAXXZ
+@ cdecl ?unexpected@@YAXXZ() msvcrt.?unexpected@@YAXXZ
+@ cdecl ?vswprintf@@YAHPA_WIPB_WPAD@Z(ptr long wstr ptr) msvcrt._vsnwprintf
+@ cdecl -i386 -norelay ?what@exception@std@@UBEPBDXZ() msvcrt.?what@exception@@UBEPBDXZ
+@ stub @_calloc_crt@8
+@ cdecl @_malloc_crt@4(long) msvcrt.malloc
+@ stub @_realloc_crt@8
+@ cdecl $I10_OUTPUT() msvcrt.$I10_OUTPUT
+@ cdecl -arch=i386 _CIacos() msvcrt._CIacos
+@ cdecl -arch=i386 _CIasin() msvcrt._CIasin
+@ cdecl -arch=i386 _CIatan() msvcrt._CIatan
+@ cdecl -arch=i386 _CIatan2() msvcrt._CIatan2
+@ cdecl -arch=i386 _CIcos() msvcrt._CIcos
+@ cdecl -arch=i386 _CIcosh() msvcrt._CIcosh
+@ cdecl -arch=i386 _CIexp() msvcrt._CIexp
+@ cdecl -arch=i386 _CIfmod() msvcrt._CIfmod
+@ cdecl -arch=i386 _CIlog() msvcrt._CIlog
+@ cdecl -arch=i386 _CIlog10() msvcrt._CIlog10
+@ cdecl -arch=i386 _CIpow() msvcrt._CIpow
+@ cdecl -arch=i386 _CIsin() msvcrt._CIsin
+@ cdecl -arch=i386 _CIsinh() msvcrt._CIsinh
+@ cdecl -arch=i386 _CIsqrt() msvcrt._CIsqrt
+@ cdecl -arch=i386 _CItan() msvcrt._CItan
+@ cdecl -arch=i386 _CItanh() msvcrt._CItanh
+@ stub _CRT_RTC_INIT
+@ stub _CRT_RTC_INITW
+@ stub _CreateFrameInfo
+@ cdecl _CxxThrowException(long long) msvcrt._CxxThrowException
+@ cdecl -i386 -norelay _EH_prolog() msvcrt._EH_prolog
+@ stub _FindAndUnlinkFrame
+@ cdecl _Getdays() msvcrt._Getdays
+@ cdecl _Getmonths() msvcrt._Getmonths
+@ cdecl _Gettnames() msvcrt._Gettnames
+@ extern _HUGE msvcrt._HUGE
+@ stub _IsExceptionObjectToBeDestroyed
+@ stub _NLG_Dispatch2
+@ stub _NLG_Return
+@ stub _NLG_Return2
+@ cdecl _Strftime(str long str ptr ptr) msvcrt._Strftime
+@ cdecl _XcptFilter(long ptr) msvcrt._XcptFilter
+@ stub __AdjustPointer
+@ stub __BuildCatchObject
+@ stub __BuildCatchObjectHelper
+@ cdecl __CppXcptFilter(long ptr) msvcrt.__CppXcptFilter
+@ stub __CxxCallUnwindDelDtor
+@ stub __CxxCallUnwindDtor
+@ stub __CxxCallUnwindStdDelDtor
+@ stub __CxxCallUnwindVecDtor
+@ cdecl __CxxDetectRethrow(ptr) msvcrt.__CxxDetectRethrow
+@ stub __CxxExceptionFilter
+@ cdecl -i386 -norelay __CxxFrameHandler(ptr ptr ptr ptr) msvcrt.__CxxFrameHandler
+@ cdecl -i386 -norelay __CxxFrameHandler2(ptr ptr ptr ptr) msvcrt.__CxxFrameHandler
+@ cdecl -i386 -norelay __CxxFrameHandler3(ptr ptr ptr ptr) msvcrt.__CxxFrameHandler
+@ stdcall -i386 __CxxLongjmpUnwind(ptr) msvcrt.__CxxLongjmpUnwind
+@ cdecl __CxxQueryExceptionSize() msvcrt.__CxxQueryExceptionSize
+@ stub __CxxRegisterExceptionObject
+@ stub __CxxUnregisterExceptionObject
+@ stub __DestructExceptionObject
+@ stub __FrameUnwindFilter
+@ cdecl __RTCastToVoid(ptr) msvcrt.__RTCastToVoid
+@ cdecl __RTDynamicCast(ptr long ptr ptr long) msvcrt.__RTDynamicCast
+@ cdecl __RTtypeid(ptr) msvcrt.__RTtypeid
+@ cdecl __STRINGTOLD(ptr ptr str long) msvcrt.__STRINGTOLD
+@ stub __STRINGTOLD_L
+@ stub __TypeMatch
+@ cdecl ___lc_codepage_func() msvcrt.___lc_codepage_func
+@ cdecl ___lc_collate_cp_func() msvcrt.___lc_collate_cp_func
+@ cdecl ___lc_handle_func() msvcrt.___lc_handle_func
+@ cdecl ___mb_cur_max_func() msvcrt.___mb_cur_max_func
+@ stub ___mb_cur_max_l_func
+@ cdecl ___setlc_active_func() msvcrt.___setlc_active_func
+@ cdecl ___unguarded_readlc_active_add_func() msvcrt.___unguarded_readlc_active_add_func
+@ extern __argc msvcrt.__argc
+@ extern __argv msvcrt.__argv
+@ extern __badioinfo msvcrt.__badioinfo
+@ cdecl __clean_type_info_names_internal(ptr) msvcr90.__clean_type_info_names_internal
+@ stub __control87_2
+@ stub __create_locale
+@ cdecl __crtCompareStringA(long long str long str long) msvcrt.__crtCompareStringA
+@ cdecl __crtCompareStringW(long long wstr long wstr long) msvcrt.__crtCompareStringW
+@ cdecl __crtGetLocaleInfoW(long long ptr long) msvcrt.__crtGetLocaleInfoW
+@ cdecl __crtGetStringTypeW(long long wstr long ptr) msvcrt.__crtGetStringTypeW
+@ cdecl __crtLCMapStringA(long long str long ptr long long long) msvcrt.__crtLCMapStringA
+@ stub __crtLCMapStringW
+@ stub __daylight
+@ cdecl __dllonexit(ptr ptr ptr) msvcrt.__dllonexit
+@ cdecl __doserrno() msvcrt.__doserrno
+@ stub __dstbias
+@ stub ___fls_getvalue@4
+@ stub ___fls_setvalue@8
+@ cdecl __fpecode() msvcrt.__fpecode
+@ stub __free_locale
+@ stub __get_app_type
+@ stub __get_current_locale
+@ stub __get_flsindex
+@ stub __get_tlsindex
+@ cdecl __getmainargs(ptr ptr ptr long ptr) msvcrt.__getmainargs
+@ extern __initenv msvcrt.__initenv
+@ cdecl __iob_func() msvcrt.__iob_func
+@ cdecl __isascii(long) msvcrt.__isascii
+@ cdecl __iscsym(long) msvcrt.__iscsym
+@ cdecl __iscsymf(long) msvcrt.__iscsymf
+@ stub __iswcsym
+@ stub __iswcsymf
+@ stub __lc_clike
+@ extern __lc_codepage msvcrt.__lc_codepage
+@ extern __lc_collate_cp msvcrt.__lc_collate_cp
+@ extern __lc_handle msvcrt.__lc_handle
+@ stub __lconv
+@ cdecl __lconv_init() msvcrt.__lconv_init
+@ stub __libm_sse2_acos
+@ stub __libm_sse2_acosf
+@ stub __libm_sse2_asin
+@ stub __libm_sse2_asinf
+@ stub __libm_sse2_atan
+@ stub __libm_sse2_atan2
+@ stub __libm_sse2_atanf
+@ stub __libm_sse2_cos
+@ stub __libm_sse2_cosf
+@ stub __libm_sse2_exp
+@ stub __libm_sse2_expf
+@ stub __libm_sse2_log
+@ stub __libm_sse2_log10
+@ stub __libm_sse2_log10f
+@ stub __libm_sse2_logf
+@ stub __libm_sse2_pow
+@ stub __libm_sse2_powf
+@ stub __libm_sse2_sin
+@ stub __libm_sse2_sinf
+@ stub __libm_sse2_tan
+@ stub __libm_sse2_tanf
+@ extern __mb_cur_max msvcrt.__mb_cur_max
+@ cdecl -arch=i386 __p___argc() msvcrt.__p___argc
+@ cdecl -arch=i386 __p___argv() msvcrt.__p___argv
+@ cdecl -arch=i386 __p___initenv() msvcrt.__p___initenv
+@ cdecl -arch=i386 __p___mb_cur_max() msvcrt.__p___mb_cur_max
+@ cdecl -arch=i386 __p___wargv() msvcrt.__p___wargv
+@ cdecl -arch=i386 __p___winitenv() msvcrt.__p___winitenv
+@ cdecl -arch=i386 __p__acmdln() msvcrt.__p__acmdln
+@ cdecl -arch=i386 __p__amblksiz() msvcrt.__p__amblksiz
+@ cdecl -arch=i386 __p__commode() msvcrt.__p__commode
+@ cdecl -arch=i386 __p__daylight() msvcrt.__p__daylight
+@ cdecl -arch=i386 __p__dstbias() msvcrt.__p__dstbias
+@ cdecl -arch=i386 __p__environ() msvcrt.__p__environ
+@ cdecl -arch=i386 __p__fmode() msvcrt.__p__fmode
+@ cdecl -arch=i386 __p__iob() msvcrt.__p__iob
+@ stub __p__mbcasemap
+@ cdecl -arch=i386 __p__mbctype() msvcrt.__p__mbctype
+@ stub __p__osplatform
+@ cdecl -arch=i386 __p__osver() msvcrt.__p__osver
+@ cdecl -arch=i386 __p__pctype() msvcrt.__p__pctype
+@ cdecl -arch=i386 __p__pgmptr() msvcrt.__p__pgmptr
+@ stub __p__pwctype
+@ cdecl -arch=i386 __p__timezone() msvcrt.__p__timezone
+@ cdecl -arch=i386 __p__tzname() msvcrt.__p__tzname
+@ cdecl -arch=i386 __p__wcmdln() msvcrt.__p__wcmdln
+@ cdecl -arch=i386 __p__wenviron() msvcrt.__p__wenviron
+@ cdecl -arch=i386 __p__winmajor() msvcrt.__p__winmajor
+@ cdecl -arch=i386 __p__winminor() msvcrt.__p__winminor
+@ cdecl -arch=i386 __p__winver() msvcrt.__p__winver
+@ cdecl -arch=i386 __p__wpgmptr() msvcrt.__p__wpgmptr
+@ cdecl __pctype_func() msvcrt.__pctype_func
+@ extern __pioinfo msvcrt.__pioinfo
+@ stub __pwctype_func
+@ stub __pxcptinfoptrs
+@ stub __report_gsfailure
+@ cdecl __set_app_type(long) msvcrt.__set_app_type
+@ stub __set_flsgetvalue
+@ extern __setlc_active msvcrt.__setlc_active
+@ cdecl __setusermatherr(ptr) msvcrt.__setusermatherr
+@ stub __strncnt
+@ stub __swprintf_l
+@ cdecl __sys_errlist() msvcr90.__sys_errlist
+@ cdecl __sys_nerr() msvcr90.__sys_nerr
+@ cdecl __threadhandle() msvcrt.__threadhandle
+@ cdecl __threadid() msvcrt.__threadid
+@ stub __timezone
+@ cdecl __toascii(long) msvcrt.__toascii
+@ stub __tzname
+@ cdecl __unDName(ptr str long ptr ptr long) msvcrt.__unDName
+@ cdecl __unDNameEx(ptr str long ptr ptr ptr long) msvcrt.__unDNameEx
+@ stub __unDNameHelper
+@ extern __unguarded_readlc_active msvcrt.__unguarded_readlc_active
+@ stub __vswprintf_l
+@ extern __wargv msvcrt.__wargv
+@ stub __wcserror
+@ stub __wcserror_s
+@ stub __wcsncnt
+@ cdecl __wgetmainargs(ptr ptr ptr long ptr) msvcrt.__wgetmainargs
+@ extern __winitenv msvcrt.__winitenv
+@ cdecl _abnormal_termination() msvcrt._abnormal_termination
+@ stub _abs64
+@ cdecl _access(str long) msvcrt._access
+@ stub _access_s
+@ extern _acmdln msvcrt._acmdln
+@ stdcall -arch=i386 _adj_fdiv_m16i(long) msvcrt._adj_fdiv_m16i
+@ stdcall -arch=i386 _adj_fdiv_m32(long) msvcrt._adj_fdiv_m32
+@ stdcall -arch=i386 _adj_fdiv_m32i(long) msvcrt._adj_fdiv_m32i
+@ stdcall -arch=i386 _adj_fdiv_m64(double) msvcrt._adj_fdiv_m64
+@ cdecl -arch=i386 _adj_fdiv_r() msvcrt._adj_fdiv_r
+@ stdcall -arch=i386 _adj_fdivr_m16i(long) msvcrt._adj_fdivr_m16i
+@ stdcall -arch=i386 _adj_fdivr_m32(long) msvcrt._adj_fdivr_m32
+@ stdcall -arch=i386 _adj_fdivr_m32i(long) msvcrt._adj_fdivr_m32i
+@ stdcall -arch=i386 _adj_fdivr_m64(double) msvcrt._adj_fdivr_m64
+@ cdecl -arch=i386 _adj_fpatan() msvcrt._adj_fpatan
+@ cdecl -arch=i386 _adj_fprem() msvcrt._adj_fprem
+@ cdecl -arch=i386 _adj_fprem1() msvcrt._adj_fprem1
+@ cdecl -arch=i386 _adj_fptan() msvcrt._adj_fptan
+@ extern -arch=i386 _adjust_fdiv msvcrt._adjust_fdiv
+@ stub _aexit_rtn
+@ cdecl _aligned_free(ptr) msvcrt._aligned_free
+@ cdecl _aligned_malloc(long long) msvcrt._aligned_malloc
+@ stub _aligned_msize
+@ cdecl _aligned_offset_malloc(long long long) msvcrt._aligned_offset_malloc
+@ cdecl _aligned_offset_realloc(ptr long long long) msvcrt._aligned_offset_realloc
+@ stub _aligned_offset_recalloc
+@ cdecl _aligned_realloc(ptr long long) msvcrt._aligned_realloc
+@ stub _aligned_recalloc
+@ cdecl _amsg_exit(long) msvcrt._amsg_exit
+@ cdecl _assert(str str long) msvcrt._assert
+@ stub _atodbl
+@ stub _atodbl_l
+@ cdecl _atof_l(str ptr) msvcrt._atof_l
+@ stub _atoflt
+@ stub _atoflt_l
+@ cdecl -ret64 _atoi64(str) msvcrt._atoi64
+@ stub _atoi64_l
+@ stub _atoi_l
+@ stub _atol_l
+@ cdecl _atoldbl(ptr str) msvcrt._atoldbl
+@ stub _atoldbl_l
+@ cdecl _beep(long long) msvcrt._beep
+@ cdecl _beginthread(ptr long ptr) msvcrt._beginthread
+@ cdecl _beginthreadex(ptr long ptr ptr long ptr) msvcrt._beginthreadex
+@ stub _byteswap_uint64
+@ stub _byteswap_ulong
+@ stub _byteswap_ushort
+@ cdecl _c_exit() msvcrt._c_exit
+@ cdecl _cabs(long) msvcrt._cabs
+@ cdecl _callnewh(long) msvcrt._callnewh
+@ cdecl _calloc_crt(long long) msvcrt.calloc
+@ cdecl _cexit() msvcrt._cexit
+@ cdecl _cgets(str) msvcrt._cgets
+@ stub _cgets_s
+@ stub _cgetws
+@ stub _cgetws_s
+@ cdecl _chdir(str) msvcrt._chdir
+@ cdecl _chdrive(long) msvcrt._chdrive
+@ cdecl _chgsign( double ) msvcrt._chgsign
+@ cdecl -i386 -norelay _chkesp() msvcrt._chkesp
+@ cdecl _chmod(str long) msvcrt._chmod
+@ cdecl _chsize(long long) msvcrt._chsize
+@ stub _chsize_s
+@ cdecl _clearfp() msvcrt._clearfp
+@ cdecl _close(long) msvcrt._close
+@ cdecl _commit(long) msvcrt._commit
+@ extern _commode msvcrt._commode
+@ cdecl _configthreadlocale(long) msvcrt._configthreadlocale
+@ cdecl _control87(long long) msvcrt._control87
+@ cdecl _controlfp(long long) msvcrt._controlfp
+@ cdecl _controlfp_s(ptr long long) msvcrt._controlfp_s
+@ cdecl _copysign( double double ) msvcrt._copysign
+@ varargs _cprintf(str) msvcrt._cprintf
+@ stub _cprintf_l
+@ stub _cprintf_p
+@ stub _cprintf_p_l
+@ stub _cprintf_s
+@ stub _cprintf_s_l
+@ cdecl _cputs(str) msvcrt._cputs
+@ stub _cputws
+@ cdecl _creat(str long) msvcrt._creat
+@ cdecl _create_locale(long str) msvcrt._create_locale
+@ stub _crt_debugger_hook
+@ varargs _cscanf(str) msvcrt._cscanf
+@ varargs _cscanf_l(str ptr) msvcrt._cscanf_l
+@ varargs _cscanf_s(str) msvcrt._cscanf_s
+@ varargs _cscanf_s_l(str ptr) msvcrt._cscanf_s_l
+@ cdecl _ctime32(ptr) msvcrt._ctime32
+@ stub _ctime32_s
+@ cdecl _ctime64(ptr) msvcrt._ctime64
+@ stub _ctime64_s
+@ cdecl _cwait(ptr long long) msvcrt._cwait
+@ stub _cwprintf
+@ stub _cwprintf_l
+@ stub _cwprintf_p
+@ stub _cwprintf_p_l
+@ stub _cwprintf_s
+@ stub _cwprintf_s_l
+@ varargs _cwscanf(wstr) msvcrt._cwscanf
+@ varargs _cwscanf_l(wstr ptr) msvcrt._cwscanf_l
+@ varargs _cwscanf_s(wstr) msvcrt._cwscanf_s
+@ varargs _cwscanf_s_l(wstr ptr) msvcrt._cwscanf_s_l
+@ extern _daylight msvcrt._daylight
+@ cdecl _decode_pointer(ptr) msvcr90._decode_pointer
+@ cdecl _difftime32(long long) msvcrt._difftime32
+@ cdecl _difftime64(long long) msvcrt._difftime64
+@ stub _dosmaperr
+@ extern _dstbias msvcrt._dstbias
+@ cdecl _dup(long) msvcrt._dup
+@ cdecl _dup2(long long) msvcrt._dup2
+@ stub _dupenv_s
+@ cdecl _ecvt(double long ptr ptr) msvcrt._ecvt
+@ stub _ecvt_s
+@ cdecl _encode_pointer(ptr) msvcr90._encode_pointer
+@ cdecl _encoded_null() msvcr90._encoded_null
+@ cdecl _endthread() msvcrt._endthread
+@ cdecl _endthreadex(long) msvcrt._endthreadex
+@ extern _environ msvcrt._environ
+@ cdecl _eof(long) msvcrt._eof
+@ cdecl _errno() msvcrt._errno
+@ cdecl -i386 _except_handler2(ptr ptr ptr ptr) msvcrt._except_handler2
+@ cdecl -i386 _except_handler3(ptr ptr ptr ptr) msvcrt._except_handler3
+@ cdecl -i386 _except_handler4_common(ptr ptr ptr ptr ptr ptr) msvcrt._except_handler4_common
+@ varargs _execl(str str) msvcrt._execl
+@ varargs _execle(str str) msvcrt._execle
+@ varargs _execlp(str str) msvcrt._execlp
+@ varargs _execlpe(str str) msvcrt._execlpe
+@ cdecl _execv(str ptr) msvcrt._execv
+@ cdecl _execve(str ptr ptr) msvcrt._execve
+@ cdecl _execvp(str ptr) msvcrt._execvp
+@ cdecl _execvpe(str ptr ptr) msvcrt._execvpe
+@ cdecl _exit(long) msvcrt._exit
+@ cdecl _expand(ptr long) msvcrt._expand
+@ stub _fclose_nolock
+@ cdecl _fcloseall() msvcrt._fcloseall
+@ cdecl _fcvt(double long ptr ptr) msvcrt._fcvt
+@ stub _fcvt_s
+@ cdecl _fdopen(long str) msvcrt._fdopen
+@ stub _fflush_nolock
+@ cdecl _fgetchar() msvcrt._fgetchar
+@ stub _fgetwc_nolock
+@ cdecl _fgetwchar() msvcrt._fgetwchar
+@ cdecl _filbuf(ptr) msvcrt._filbuf
+@ cdecl _filelength(long) msvcrt._filelength
+@ cdecl -ret64 _filelengthi64(long) msvcrt._filelengthi64
+@ cdecl _fileno(ptr) msvcrt._fileno
+@ cdecl _findclose(long) msvcrt._findclose
+@ stub _findfirst32
+@ stub _findfirst32i64
+@ cdecl _findfirst64(str ptr) msvcrt._findfirst64
+@ stub _findfirst64i32
+@ stub _findnext32
+@ stub _findnext32i64
+@ cdecl _findnext64(long ptr) msvcrt._findnext64
+@ stub _findnext64i32
+@ cdecl _finite( double ) msvcrt._finite
+@ cdecl _flsbuf(long ptr) msvcrt._flsbuf
+@ cdecl _flushall() msvcrt._flushall
+@ extern _fmode msvcrt._fmode
+@ cdecl _fpclass(double) msvcrt._fpclass
+@ stub _fpieee_flt
+@ cdecl _fpreset() msvcrt._fpreset
+@ stub _fprintf_l
+@ stub _fprintf_p
+@ stub _fprintf_p_l
+@ stub _fprintf_s_l
+@ cdecl _fputchar(long) msvcrt._fputchar
+@ stub _fputwc_nolock
+@ cdecl _fputwchar(long) msvcrt._fputwchar
+@ stub _fread_nolock
+@ stub _fread_nolock_s
+@ cdecl _free_locale(ptr) msvcrt._free_locale
+@ stub _freea
+@ stub _freea_s
+@ stub _freefls
+@ varargs _fscanf_l(ptr str ptr) msvcrt._fscanf_l
+@ varargs _fscanf_s_l(ptr str ptr) msvcrt._fscanf_s_l
+@ stub _fseek_nolock
+@ stub _fseeki64
+@ stub _fseeki64_nolock
+@ cdecl _fsopen(str str long) msvcrt._fsopen
+@ stub _fstat32
+@ stub _fstat32i64
+@ cdecl _fstat64(long ptr) msvcrt._fstat64
+@ stub _fstat64i32
+@ stub _ftell_nolock
+@ stub _ftelli64
+@ stub _ftelli64_nolock
+@ cdecl _ftime32(ptr) msvcrt._ftime32
+@ stub _ftime32_s
+@ cdecl _ftime64(ptr) msvcrt._ftime64
+@ stub _ftime64_s
+@ cdecl -ret64 _ftol() msvcrt._ftol
+@ cdecl _fullpath(ptr str long) msvcrt._fullpath
+@ cdecl _futime32(long ptr) msvcrt._futime32
+@ cdecl _futime64(long ptr) msvcrt._futime64
+@ stub _fwprintf_l
+@ stub _fwprintf_p
+@ stub _fwprintf_p_l
+@ stub _fwprintf_s_l
+@ stub _fwrite_nolock
+@ varargs _fwscanf_l(ptr wstr ptr) msvcrt._fwscanf_l
+@ varargs _fwscanf_s_l(ptr wstr ptr) msvcrt._fwscanf_s_l
+@ cdecl _gcvt(double long str) msvcrt._gcvt
+@ stub _gcvt_s
+@ stub _get_amblksiz
+@ stub _get_current_locale
+@ stub _get_daylight
+@ stub _get_doserrno
+@ stub _get_dstbias
+@ stub _get_errno
+@ stub _get_fmode
+@ cdecl _get_heap_handle() msvcrt._get_heap_handle
+@ cdecl _get_invalid_parameter_handler() msvcrt._get_invalid_parameter_handler
+@ cdecl _get_osfhandle(long) msvcrt._get_osfhandle
+@ stub _get_osplatform
+@ stub _get_osver
+@ stub _get_output_format
+@ stub _get_pgmptr
+@ stub _get_printf_count_output
+@ stub _get_purecall_handler
+@ cdecl _get_sbh_threshold() msvcrt._get_sbh_threshold
+@ stub _get_terminate
+@ stub _get_timezone
+@ stub _get_tzname
+@ stub _get_unexpected
+@ stub _get_winmajor
+@ stub _get_winminor
+@ stub _get_winver
+@ stub _get_wpgmptr
+@ cdecl _getch() msvcrt._getch
+@ stub _getch_nolock
+@ cdecl _getche() msvcrt._getche
+@ stub _getche_nolock
+@ cdecl _getcwd(str long) msvcrt._getcwd
+@ cdecl _getdcwd(long str long) msvcrt._getdcwd
+@ stub _getdcwd_nolock
+@ cdecl _getdiskfree(long ptr) msvcrt._getdiskfree
+@ cdecl _getdllprocaddr(long str long) msvcrt._getdllprocaddr
+@ cdecl _getdrive() msvcrt._getdrive
+@ cdecl _getdrives() msvcrt._getdrives
+@ cdecl _getmaxstdio() msvcrt._getmaxstdio
+@ cdecl _getmbcp() msvcrt._getmbcp
+@ cdecl _getpid() msvcrt._getpid
+@ stub _getptd
+@ stub _getsystime
+@ cdecl _getw(ptr) msvcrt._getw
+@ stub _getwch
+@ stub _getwch_nolock
+@ stub _getwche
+@ stub _getwche_nolock
+@ cdecl _getws(ptr) msvcrt._getws
+@ stub _getws_s
+@ cdecl -i386 _global_unwind2(ptr) msvcrt._global_unwind2
+@ cdecl _gmtime32(ptr) msvcrt._gmtime32
+@ stub _gmtime32_s
+@ cdecl _gmtime64(ptr) msvcrt._gmtime64
+@ stub _gmtime64_s
+@ cdecl _heapadd(ptr long) msvcrt._heapadd
+@ cdecl _heapchk() msvcrt._heapchk
+@ cdecl _heapmin() msvcrt._heapmin
+@ cdecl _heapset(long) msvcrt._heapset
+@ stub _heapused
+@ cdecl _heapwalk(ptr) msvcrt._heapwalk
+@ cdecl _hypot(double double) msvcrt._hypot
+@ stub _hypotf
+@ cdecl _i64toa(long long ptr long) msvcrt._i64toa
+@ stub _i64toa_s
+@ cdecl _i64tow(long long ptr long) msvcrt._i64tow
+@ stub _i64tow_s
+@ stub _initptd
+@ cdecl _initterm(ptr ptr) msvcrt._initterm
+@ cdecl _initterm_e(ptr ptr) msvcr90._initterm_e
+@ stub _inp
+@ stub _inpd
+@ stub _inpw
+@ cdecl _invalid_parameter(wstr wstr wstr long long) msvcrt._invalid_parameter
+@ cdecl _invalid_parameter_noinfo() msvcr90._invalid_parameter_noinfo
+@ stub _invoke_watson
+@ extern _iob msvcrt._iob
+@ stub _isalnum_l
+@ stub _isalpha_l
+@ cdecl _isatty(long) msvcrt._isatty
+@ stub _iscntrl_l
+@ cdecl _isctype(long long) msvcrt._isctype
+@ stub _isctype_l
+@ stub _isdigit_l
+@ stub _isgraph_l
+@ stub _isleadbyte_l
+@ stub _islower_l
+@ stub _ismbbalnum
+@ stub _ismbbalnum_l
+@ stub _ismbbalpha
+@ stub _ismbbalpha_l
+@ stub _ismbbgraph
+@ stub _ismbbgraph_l
+@ stub _ismbbkalnum
+@ stub _ismbbkalnum_l
+@ cdecl _ismbbkana(long) msvcrt._ismbbkana
+@ stub _ismbbkana_l
+@ stub _ismbbkprint
+@ stub _ismbbkprint_l
+@ stub _ismbbkpunct
+@ stub _ismbbkpunct_l
+@ cdecl _ismbblead(long) msvcrt._ismbblead
+@ stub _ismbblead_l
+@ stub _ismbbprint
+@ stub _ismbbprint_l
+@ stub _ismbbpunct
+@ stub _ismbbpunct_l
+@ cdecl _ismbbtrail(long) msvcrt._ismbbtrail
+@ stub _ismbbtrail_l
+@ cdecl _ismbcalnum(long) msvcrt._ismbcalnum
+@ stub _ismbcalnum_l
+@ cdecl _ismbcalpha(long) msvcrt._ismbcalpha
+@ stub _ismbcalpha_l
+@ cdecl _ismbcdigit(long) msvcrt._ismbcdigit
+@ stub _ismbcdigit_l
+@ cdecl _ismbcgraph(long) msvcrt._ismbcgraph
+@ stub _ismbcgraph_l
+@ cdecl _ismbchira(long) msvcrt._ismbchira
+@ stub _ismbchira_l
+@ cdecl _ismbckata(long) msvcrt._ismbckata
+@ stub _ismbckata_l
+@ stub _ismbcl0
+@ stub _ismbcl0_l
+@ stub _ismbcl1
+@ stub _ismbcl1_l
+@ stub _ismbcl2
+@ stub _ismbcl2_l
+@ cdecl _ismbclegal(long) msvcrt._ismbclegal
+@ stub _ismbclegal_l
+@ cdecl _ismbclower(long) msvcrt._ismbclower
+@ stub _ismbclower_l
+@ cdecl _ismbcprint(long) msvcrt._ismbcprint
+@ stub _ismbcprint_l
+@ cdecl _ismbcpunct(long) msvcrt._ismbcpunct
+@ stub _ismbcpunct_l
+@ cdecl _ismbcspace(long) msvcrt._ismbcspace
+@ stub _ismbcspace_l
+@ cdecl _ismbcsymbol(long) msvcrt._ismbcsymbol
+@ stub _ismbcsymbol_l
+@ cdecl _ismbcupper(long) msvcrt._ismbcupper
+@ stub _ismbcupper_l
+@ cdecl _ismbslead(ptr ptr) msvcrt._ismbslead
+@ stub _ismbslead_l
+@ cdecl _ismbstrail(ptr ptr) msvcrt._ismbstrail
+@ stub _ismbstrail_l
+@ cdecl _isnan( double ) msvcrt._isnan
+@ stub _isprint_l
+@ stub _ispunct_l
+@ stub _isspace_l
+@ stub _isupper_l
+@ stub _iswalnum_l
+@ cdecl _iswalpha_l(long ptr) msvcrt._iswalpha_l
+@ stub _iswcntrl_l
+@ stub _iswcsym_l
+@ stub _iswcsymf_l
+@ stub _iswctype_l
+@ stub _iswdigit_l
+@ stub _iswgraph_l
+@ stub _iswlower_l
+@ stub _iswprint_l
+@ stub _iswpunct_l
+@ stub _iswspace_l
+@ stub _iswupper_l
+@ stub _iswxdigit_l
+@ stub _isxdigit_l
+@ cdecl _itoa(long ptr long) msvcrt._itoa
+@ stub _itoa_s
+@ cdecl _itow(long ptr long) msvcrt._itow
+@ stub _itow_s
+@ cdecl _j0(double) msvcrt._j0
+@ cdecl _j1(double) msvcrt._j1
+@ cdecl _jn(long double) msvcrt._jn
+@ cdecl _kbhit() msvcrt._kbhit
+@ cdecl _lfind(ptr ptr ptr long ptr) msvcrt._lfind
+@ stub _lfind_s
+@ cdecl _loaddll(str) msvcrt._loaddll
+@ cdecl -i386 _local_unwind2(ptr long) msvcrt._local_unwind2
+@ cdecl -i386 _local_unwind4(ptr ptr long) msvcrt._local_unwind4
+@ cdecl _localtime32(ptr) msvcrt._localtime32
+@ stub _localtime32_s
+@ cdecl _localtime64(ptr) msvcrt._localtime64
+@ stub _localtime64_s
+@ cdecl _lock(long) msvcrt._lock
+@ stub _lock_file
+@ cdecl _locking(long long long) msvcrt._locking
+@ cdecl _logb( double ) msvcrt._logb
+@ cdecl -i386 _longjmpex(ptr long) msvcrt._longjmpex
+@ cdecl _lrotl(long long) msvcrt._lrotl
+@ cdecl _lrotr(long long) msvcrt._lrotr
+@ cdecl _lsearch(ptr ptr long long ptr) msvcrt._lsearch
+@ stub _lsearch_s
+@ cdecl _lseek(long long long) msvcrt._lseek
+@ cdecl -ret64 _lseeki64(long double long) msvcrt._lseeki64
+@ cdecl _ltoa(long ptr long) msvcrt._ltoa
+@ stub _ltoa_s
+@ cdecl _ltow(long ptr long) msvcrt._ltow
+@ stub _ltow_s
+@ cdecl _makepath(ptr str str str str) msvcrt._makepath
+@ stub _makepath_s
+@ cdecl _malloc_crt(long) msvcrt.malloc
+@ cdecl _mbbtombc(long) msvcrt._mbbtombc
+@ stub _mbbtombc_l
+@ cdecl _mbbtype(long long) msvcrt._mbbtype
+@ stub _mbbtype_l
+@ stub _mbcasemap
+@ cdecl _mbccpy(str str) msvcrt._mbccpy
+@ stub _mbccpy_l
+@ stub _mbccpy_s
+@ stub _mbccpy_s_l
+@ cdecl _mbcjistojms(long) msvcrt._mbcjistojms
+@ stub _mbcjistojms_l
+@ stub _mbcjmstojis
+@ stub _mbcjmstojis_l
+@ cdecl _mbclen(ptr) msvcrt._mbclen
+@ stub _mbclen_l
+@ stub _mbctohira
+@ stub _mbctohira_l
+@ stub _mbctokata
+@ stub _mbctokata_l
+@ cdecl _mbctolower(long) msvcrt._mbctolower
+@ stub _mbctolower_l
+@ cdecl _mbctombb(long) msvcrt._mbctombb
+@ stub _mbctombb_l
+@ cdecl _mbctoupper(long) msvcrt._mbctoupper
+@ stub _mbctoupper_l
+@ extern _mbctype msvcrt._mbctype
+@ stub _mblen_l
+@ cdecl _mbsbtype(str long) msvcrt._mbsbtype
+@ stub _mbsbtype_l
+@ stub _mbscat_s
+@ stub _mbscat_s_l
+@ cdecl _mbschr(str long) msvcrt._mbschr
+@ stub _mbschr_l
+@ cdecl _mbscmp(str str) msvcrt._mbscmp
+@ stub _mbscmp_l
+@ cdecl _mbscoll(str str) msvcrt._mbscoll
+@ stub _mbscoll_l
+@ stub _mbscpy_s
+@ stub _mbscpy_s_l
+@ cdecl _mbscspn(str str) msvcrt._mbscspn
+@ stub _mbscspn_l
+@ cdecl _mbsdec(ptr ptr) msvcrt._mbsdec
+@ stub _mbsdec_l
+@ cdecl _mbsicmp(str str) msvcrt._mbsicmp
+@ stub _mbsicmp_l
+@ cdecl _mbsicoll(str str) msvcrt._mbsicoll
+@ stub _mbsicoll_l
+@ cdecl _mbsinc(str) msvcrt._mbsinc
+@ stub _mbsinc_l
+@ cdecl _mbslen(str) msvcrt._mbslen
+@ stub _mbslen_l
+@ cdecl _mbslwr(str) msvcrt._mbslwr
+@ stub _mbslwr_l
+@ stub _mbslwr_s
+@ stub _mbslwr_s_l
+@ cdecl _mbsnbcat(str str long) msvcrt._mbsnbcat
+@ stub _mbsnbcat_l
+@ stub _mbsnbcat_s
+@ stub _mbsnbcat_s_l
+@ cdecl _mbsnbcmp(str str long) msvcrt._mbsnbcmp
+@ stub _mbsnbcmp_l
+@ cdecl _mbsnbcnt(ptr long) msvcrt._mbsnbcnt
+@ stub _mbsnbcnt_l
+@ stub _mbsnbcoll
+@ stub _mbsnbcoll_l
+@ cdecl _mbsnbcpy(ptr str long) msvcrt._mbsnbcpy
+@ stub _mbsnbcpy_l
+@ cdecl _mbsnbcpy_s(ptr long str long) msvcrt._mbsnbcpy_s
+@ stub _mbsnbcpy_s_l
+@ cdecl _mbsnbicmp(str str long) msvcrt._mbsnbicmp
+@ stub _mbsnbicmp_l
+@ stub _mbsnbicoll
+@ stub _mbsnbicoll_l
+@ cdecl _mbsnbset(str long long) msvcrt._mbsnbset
+@ stub _mbsnbset_l
+@ stub _mbsnbset_s
+@ stub _mbsnbset_s_l
+@ cdecl _mbsncat(str str long) msvcrt._mbsncat
+@ stub _mbsncat_l
+@ stub _mbsncat_s
+@ stub _mbsncat_s_l
+@ cdecl _mbsnccnt(str long) msvcrt._mbsnccnt
+@ stub _mbsnccnt_l
+@ cdecl _mbsncmp(str str long) msvcrt._mbsncmp
+@ stub _mbsncmp_l
+@ stub _mbsncoll
+@ stub _mbsncoll_l
+@ cdecl _mbsncpy(str str long) msvcrt._mbsncpy
+@ stub _mbsncpy_l
+@ stub _mbsncpy_s
+@ stub _mbsncpy_s_l
+@ cdecl _mbsnextc(str) msvcrt._mbsnextc
+@ stub _mbsnextc_l
+@ cdecl _mbsnicmp(str str long) msvcrt._mbsnicmp
+@ stub _mbsnicmp_l
+@ stub _mbsnicoll
+@ stub _mbsnicoll_l
+@ cdecl _mbsninc(str long) msvcrt._mbsninc
+@ stub _mbsninc_l
+@ stub _mbsnlen
+@ stub _mbsnlen_l
+@ cdecl _mbsnset(str long long) msvcrt._mbsnset
+@ stub _mbsnset_l
+@ stub _mbsnset_s
+@ stub _mbsnset_s_l
+@ cdecl _mbspbrk(str str) msvcrt._mbspbrk
+@ stub _mbspbrk_l
+@ cdecl _mbsrchr(str long) msvcrt._mbsrchr
+@ stub _mbsrchr_l
+@ cdecl _mbsrev(str) msvcrt._mbsrev
+@ stub _mbsrev_l
+@ cdecl _mbsset(str long) msvcrt._mbsset
+@ stub _mbsset_l
+@ stub _mbsset_s
+@ stub _mbsset_s_l
+@ cdecl _mbsspn(str str) msvcrt._mbsspn
+@ stub _mbsspn_l
+@ cdecl _mbsspnp(str str) msvcrt._mbsspnp
+@ stub _mbsspnp_l
+@ cdecl _mbsstr(str str) msvcrt._mbsstr
+@ stub _mbsstr_l
+@ cdecl _mbstok(str str) msvcrt._mbstok
+@ stub _mbstok_l
+@ stub _mbstok_s
+@ stub _mbstok_s_l
+@ stub _mbstowcs_l
+@ stub _mbstowcs_s_l
+@ cdecl _mbstrlen(str) msvcrt._mbstrlen
+@ stub _mbstrlen_l
+@ stub _mbstrnlen
+@ stub _mbstrnlen_l
+@ cdecl _mbsupr(str) msvcrt._mbsupr
+@ stub _mbsupr_l
+@ stub _mbsupr_s
+@ stub _mbsupr_s_l
+@ stub _mbtowc_l
+@ cdecl _memccpy(ptr ptr long long) msvcrt._memccpy
+@ cdecl _memicmp(str str long) msvcrt._memicmp
+@ stub _memicmp_l
+@ cdecl _mkdir(str) msvcrt._mkdir
+@ cdecl _mkgmtime32(ptr) msvcrt._mkgmtime32
+@ cdecl _mkgmtime64(ptr) msvcrt._mkgmtime64
+@ cdecl _mktemp(str) msvcrt._mktemp
+@ stub _mktemp_s
+@ cdecl _mktime32(ptr) msvcrt._mktime32
+@ cdecl _mktime64(ptr) msvcrt._mktime64
+@ cdecl _msize(ptr) msvcrt._msize
+@ cdecl _nextafter(double double) msvcrt._nextafter
+@ cdecl _onexit(ptr) msvcrt._onexit
+@ varargs _open(str long) msvcrt._open
+@ cdecl _open_osfhandle(long long) msvcrt._open_osfhandle
+@ stub _osplatform
+@ extern _osver msvcrt._osver
+@ stub _outp
+@ stub _outpd
+@ stub _outpw
+@ cdecl _pclose(ptr) msvcrt._pclose
+@ extern _pctype msvcrt._pctype
+@ extern _pgmptr msvcrt._pgmptr
+@ cdecl _pipe(ptr long long) msvcrt._pipe
+@ cdecl _popen(str str) msvcrt._popen
+@ stub _printf_l
+@ stub _printf_p
+@ stub _printf_p_l
+@ stub _printf_s_l
+@ cdecl _purecall() msvcrt._purecall
+@ cdecl _putch(long) msvcrt._putch
+@ stub _putch_nolock
+@ cdecl _putenv(str) msvcrt._putenv
+@ stub _putenv_s
+@ cdecl _putw(long ptr) msvcrt._putw
+@ stub _putwch
+@ stub _putwch_nolock
+@ cdecl _putws(wstr) msvcrt._putws
+@ stub _pwctype
+@ cdecl _read(long ptr long) msvcrt._read
+@ stub _realloc_crt
+@ cdecl _recalloc(ptr long long) msvcr90._recalloc
+@ stub _recalloc_crt
+@ stub _resetstkoflw
+@ cdecl _rmdir(str) msvcrt._rmdir
+@ cdecl _rmtmp() msvcrt._rmtmp
+@ cdecl _rotl(long long) msvcrt._rotl
+@ stub _rotl64
+@ cdecl _rotr(long long) msvcrt._rotr
+@ stub _rotr64
+@ cdecl -arch=i386 _safe_fdiv() msvcrt._safe_fdiv
+@ cdecl -arch=i386 _safe_fdivr() msvcrt._safe_fdivr
+@ cdecl -arch=i386 _safe_fprem() msvcrt._safe_fprem
+@ cdecl -arch=i386 _safe_fprem1() msvcrt._safe_fprem1
+@ cdecl _scalb( double long) msvcrt._scalb
+@ varargs _scanf_l(str ptr) msvcrt._scanf_l
+@ varargs _scanf_s_l(str ptr) msvcrt._scanf_s_l
+@ stub _scprintf
+@ stub _scprintf_l
+@ stub _scprintf_p
+@ stub _scprintf_p_l
+@ stub _scwprintf
+@ stub _scwprintf_l
+@ stub _scwprintf_p
+@ stub _scwprintf_p_l
+@ cdecl _searchenv(str str ptr) msvcrt._searchenv
+@ stub _searchenv_s
+@ stub _seh_longjmp_unwind4
+@ stdcall -i386 _seh_longjmp_unwind(ptr) msvcrt._seh_longjmp_unwind
+@ stub _set_SSE2_enable
+@ stub _set_abort_behavior
+@ stub _set_amblksiz
+@ stub _set_controlfp
+@ stub _set_doserrno
+@ stub _set_errno
+@ cdecl _set_error_mode(long) msvcrt._set_error_mode
+@ stub _set_fmode
+@ cdecl _set_invalid_parameter_handler(ptr) msvcrt._set_invalid_parameter_handler
+@ stub _set_malloc_crt_max_wait
+@ stub _set_output_format
+@ stub _set_printf_count_output
+@ stub _set_purecall_handler
+@ cdecl _set_sbh_threshold(long) msvcrt._set_sbh_threshold
+@ cdecl _seterrormode(long) msvcrt._seterrormode
+@ cdecl -i386 -norelay _setjmp(ptr) msvcrt._setjmp
+@ cdecl -i386 -norelay _setjmp3(ptr long) msvcrt._setjmp3
+@ cdecl _setmaxstdio(long) msvcrt._setmaxstdio
+@ cdecl _setmbcp(long) msvcrt._setmbcp
+@ cdecl _setmode(long long) msvcrt._setmode
+@ stub _setsystime
+@ cdecl _sleep(long) msvcrt._sleep
+@ varargs _snprintf(ptr long str) msvcrt._snprintf
+@ stub _snprintf_c
+@ stub _snprintf_c_l
+@ stub _snprintf_l
+@ stub _snprintf_s
+@ stub _snprintf_s_l
+@ stub _snscanf
+@ stub _snscanf_l
+@ stub _snscanf_s
+@ stub _snscanf_s_l
+@ varargs _snwprintf(ptr long wstr) msvcrt._snwprintf
+@ stub _snwprintf_l
+@ stub _snwprintf_s
+@ stub _snwprintf_s_l
+@ stub _snwscanf
+@ stub _snwscanf_l
+@ stub _snwscanf_s
+@ stub _snwscanf_s_l
+@ varargs _sopen(str long long) msvcrt._sopen
+@ stub _sopen_s
+@ varargs _spawnl(long str str) msvcrt._spawnl
+@ varargs _spawnle(long str str) msvcrt._spawnle
+@ varargs _spawnlp(long str str) msvcrt._spawnlp
+@ varargs _spawnlpe(long str str) msvcrt._spawnlpe
+@ cdecl _spawnv(long str ptr) msvcrt._spawnv
+@ cdecl _spawnve(long str ptr ptr) msvcrt._spawnve
+@ cdecl _spawnvp(long str ptr) msvcrt._spawnvp
+@ cdecl _spawnvpe(long str ptr ptr) msvcrt._spawnvpe
+@ cdecl _splitpath(str ptr ptr ptr ptr) msvcrt._splitpath
+@ stub _splitpath_s
+@ stub _sprintf_l
+@ stub _sprintf_p
+@ stub _sprintf_p_l
+@ stub _sprintf_s_l
+@ varargs _sscanf_l(str str ptr) msvcrt._sscanf_l
+@ varargs _sscanf_s_l(str str ptr) msvcrt._sscanf_s_l
+@ stub _stat32
+@ stub _stat32i64
+@ cdecl _stat64(str ptr) msvcrt._stat64
+@ stub _stat64i32
+@ cdecl _statusfp() msvcrt._statusfp
+@ stub _statusfp2
+@ stub _strcoll_l
+@ cdecl _strdate(ptr) msvcrt._strdate
+@ stub _strdate_s
+@ cdecl _strdup(str) msvcrt._strdup
+@ cdecl _strerror(long) msvcrt._strerror
+@ stub _strerror_s
+@ stub _strftime_l
+@ cdecl _stricmp(str str) msvcrt._stricmp
+@ stub _stricmp_l
+@ cdecl _stricoll(str str) msvcrt._stricoll
+@ stub _stricoll_l
+@ cdecl _strlwr(str) msvcrt._strlwr
+@ stub _strlwr_l
+@ stub _strlwr_s
+@ stub _strlwr_s_l
+@ stub _strncoll
+@ stub _strncoll_l
+@ cdecl _strnicmp(str str long) msvcrt._strnicmp
+@ stub _strnicmp_l
+@ stub _strnicoll
+@ stub _strnicoll_l
+@ cdecl _strnset(str long long) msvcrt._strnset
+@ stub _strnset_s
+@ cdecl _strrev(str) msvcrt._strrev
+@ cdecl _strset(str long) msvcrt._strset
+@ stub _strset_s
+@ cdecl _strtime(ptr) msvcrt._strtime
+@ stub _strtime_s
+@ cdecl _strtod_l(str ptr ptr) msvcrt._strtod_l
+@ cdecl _strtoi64(str ptr long) msvcrt._strtoi64
+@ cdecl _strtoi64_l(str ptr long ptr) msvcrt._strtoi64_l
+@ stub _strtol_l
+@ cdecl _strtoui64(str ptr long) msvcrt._strtoui64
+@ cdecl _strtoui64_l(str ptr long ptr) msvcrt._strtoui64_l
+@ stub _strtoul_l
+@ cdecl _strupr(str) msvcrt._strupr
+@ stub _strupr_l
+@ stub _strupr_s
+@ stub _strupr_s_l
+@ stub _strxfrm_l
+@ cdecl _swab(str str long) msvcrt._swab
+@ stub _swprintf
+@ stub _swprintf_c
+@ stub _swprintf_p
+@ stub _swprintf_p_l
+@ stub _swprintf_s_l
+@ varargs _swscanf_l(wstr wstr ptr) msvcrt._swscanf_l
+@ varargs _swscanf_s_l(wstr wstr ptr) msvcrt._swscanf_s_l
+@ extern _sys_errlist msvcrt._sys_errlist
+@ extern _sys_nerr msvcrt._sys_nerr
+@ cdecl _tell(long) msvcrt._tell
+@ cdecl -ret64 _telli64(long) msvcrt._telli64
+@ cdecl _tempnam(str str) msvcrt._tempnam
+@ cdecl _time32(ptr) msvcrt._time32
+@ cdecl _time64(ptr) msvcrt._time64
+@ extern _timezone msvcrt._timezone
+@ cdecl _tolower(long) msvcrt._tolower
+@ stub _tolower_l
+@ cdecl _toupper(long) msvcrt._toupper
+@ stub _toupper_l
+@ stub _towlower_l
+@ stub _towupper_l
+@ extern _tzname msvcrt._tzname
+@ cdecl _tzset() msvcrt._tzset
+@ cdecl _ui64toa(long long ptr long) msvcrt._ui64toa
+@ stub _ui64toa_s
+@ cdecl _ui64tow(long long ptr long) msvcrt._ui64tow
+@ stub _ui64tow_s
+@ cdecl _ultoa(long ptr long) msvcrt._ultoa
+@ stub _ultoa_s
+@ cdecl _ultow(long ptr long) msvcrt._ultow
+@ stub _ultow_s
+@ cdecl _umask(long) msvcrt._umask
+@ stub _umask_s
+@ stub _ungetc_nolock
+@ cdecl _ungetch(long) msvcrt._ungetch
+@ stub _ungetch_nolock
+@ stub _ungetwc_nolock
+@ stub _ungetwch
+@ stub _ungetwch_nolock
+@ cdecl _unlink(str) msvcrt._unlink
+@ cdecl _unloaddll(long) msvcrt._unloaddll
+@ cdecl _unlock(long) msvcrt._unlock
+@ stub _unlock_file
+@ cdecl _utime32(str ptr) msvcrt._utime32
+@ cdecl _utime64(str ptr) msvcrt._utime64
+@ stub _vcprintf
+@ stub _vcprintf_l
+@ stub _vcprintf_p
+@ stub _vcprintf_p_l
+@ stub _vcprintf_s
+@ stub _vcprintf_s_l
+@ stub _vcwprintf
+@ stub _vcwprintf_l
+@ stub _vcwprintf_p
+@ stub _vcwprintf_p_l
+@ stub _vcwprintf_s
+@ stub _vcwprintf_s_l
+@ stub _vfprintf_l
+@ stub _vfprintf_p
+@ stub _vfprintf_p_l
+@ stub _vfprintf_s_l
+@ stub _vfwprintf_l
+@ stub _vfwprintf_p
+@ stub _vfwprintf_p_l
+@ stub _vfwprintf_s_l
+@ stub _vprintf_l
+@ stub _vprintf_p
+@ stub _vprintf_p_l
+@ stub _vprintf_s_l
+@ cdecl _vscprintf(str ptr) msvcrt._vscprintf
+@ stub _vscprintf_l
+@ stub _vscprintf_p
+@ stub _vscprintf_p_l
+@ cdecl _vscwprintf(wstr ptr) msvcrt._vscwprintf
+@ stub _vscwprintf_l
+@ stub _vscwprintf_p
+@ stub _vscwprintf_p_l
+@ cdecl _vsnprintf(ptr long str ptr) msvcrt._vsnprintf
+@ cdecl _vsnprintf_c(ptr long str ptr) msvcrt._vsnprintf
+@ cdecl _vsnprintf_c_l(ptr long str ptr ptr) msvcrt._vsnprintf_l
+@ cdecl _vsnprintf_l(ptr long str ptr ptr) msvcrt._vsnprintf_l
+@ cdecl _vsnprintf_s(ptr long long str ptr) msvcrt._vsnprintf_s
+@ cdecl _vsnprintf_s_l(ptr long long str ptr ptr) msvcrt._vsnprintf_s_l
+@ cdecl _vsnwprintf(ptr long wstr ptr) msvcrt._vsnwprintf
+@ cdecl _vsnwprintf_l(ptr long wstr ptr ptr) msvcrt._vsnwprintf_l
+@ cdecl _vsnwprintf_s(ptr long long wstr ptr) msvcrt._vsnwprintf_s
+@ cdecl _vsnwprintf_s_l(ptr long long wstr ptr ptr) msvcrt._vsnwprintf_s_l
+@ stub _vsprintf_l
+@ stub _vsprintf_p
+@ stub _vsprintf_p_l
+@ stub _vsprintf_s_l
+@ cdecl _vswprintf(ptr long wstr ptr) msvcrt._vswprintf
+@ cdecl _vswprintf_c(ptr long wstr ptr) msvcrt._vswprintf_c
+@ cdecl _vswprintf_c_l(ptr long wstr ptr ptr) msvcrt._vswprintf_c_l
+@ cdecl _vswprintf_l(ptr long wstr ptr ptr) msvcrt._vswprintf_l
+@ cdecl _vswprintf_p(ptr long wstr ptr) msvcrt._vswprintf
+@ cdecl _vswprintf_p_l(ptr long wstr ptr ptr) msvcrt._vswprintf_p_l
+@ cdecl _vswprintf_s_l(ptr long wstr ptr ptr) msvcrt._vswprintf_s_l
+@ stub _vwprintf_l
+@ stub _vwprintf_p
+@ stub _vwprintf_p_l
+@ stub _vwprintf_s_l
+@ cdecl _waccess(wstr long) msvcrt._waccess
+@ stub _waccess_s
+@ cdecl _wasctime(ptr) msvcrt._wasctime
+@ stub _wasctime_s
+@ stub _wassert
+@ cdecl _wchdir(wstr) msvcrt._wchdir
+@ cdecl _wchmod(wstr long) msvcrt._wchmod
+@ extern _wcmdln msvcrt._wcmdln
+@ cdecl _wcreat(wstr long) msvcrt._wcreat
+@ stub _wcscoll_l
+@ cdecl _wcsdup(wstr) msvcrt._wcsdup
+@ stub _wcserror
+@ stub _wcserror_s
+@ stub _wcsftime_l
+@ cdecl _wcsicmp(wstr wstr) msvcrt._wcsicmp
+@ stub _wcsicmp_l
+@ cdecl _wcsicoll(wstr wstr) msvcrt._wcsicoll
+@ stub _wcsicoll_l
+@ cdecl _wcslwr(wstr) msvcrt._wcslwr
+@ stub _wcslwr_l
+@ stub _wcslwr_s
+@ stub _wcslwr_s_l
+@ stub _wcsncoll
+@ stub _wcsncoll_l
+@ cdecl _wcsnicmp(wstr wstr long) msvcrt._wcsnicmp
+@ stub _wcsnicmp_l
+@ stub _wcsnicoll
+@ stub _wcsnicoll_l
+@ cdecl _wcsnset(wstr long long) msvcrt._wcsnset
+@ stub _wcsnset_s
+@ cdecl _wcsrev(wstr) msvcrt._wcsrev
+@ cdecl _wcsset(wstr long) msvcrt._wcsset
+@ stub _wcsset_s
+@ cdecl _wcstod_l(wstr ptr) msvcrt._wcstod_l
+@ cdecl _wcstoi64(wstr ptr long) msvcrt._wcstoi64
+@ cdecl _wcstoi64_l(wstr ptr long ptr) msvcrt._wcstoi64_l
+@ stub _wcstol_l
+@ stub _wcstombs_l
+@ cdecl _wcstombs_s_l(ptr ptr long wstr long ptr) msvcrt._wcstombs_s_l
+@ cdecl _wcstoui64(wstr ptr long) msvcrt._wcstoui64
+@ cdecl _wcstoui64_l(wstr ptr long ptr) msvcrt._wcstoui64_l
+@ stub _wcstoul_l
+@ cdecl _wcsupr(wstr) msvcrt._wcsupr
+@ stub _wcsupr_l
+@ cdecl _wcsupr_s(wstr long) msvcrt._wcsupr_s
+@ stub _wcsupr_s_l
+@ stub _wcsxfrm_l
+@ cdecl _wctime32(ptr) msvcrt._wctime32
+@ stub _wctime32_s
+@ cdecl _wctime64(ptr) msvcrt._wctime64
+@ stub _wctime64_s
+@ stub _wctomb_l
+@ stub _wctomb_s_l
+@ stub _wctype
+@ stub _wdupenv_s
+@ extern _wenviron msvcrt._wenviron
+@ varargs _wexecl(wstr wstr) msvcrt._wexecl
+@ varargs _wexecle(wstr wstr) msvcrt._wexecle
+@ varargs _wexeclp(wstr wstr) msvcrt._wexeclp
+@ varargs _wexeclpe(wstr wstr) msvcrt._wexeclpe
+@ cdecl _wexecv(wstr ptr) msvcrt._wexecv
+@ cdecl _wexecve(wstr ptr ptr) msvcrt._wexecve
+@ cdecl _wexecvp(wstr ptr) msvcrt._wexecvp
+@ cdecl _wexecvpe(wstr ptr ptr) msvcrt._wexecvpe
+@ cdecl _wfdopen(long wstr) msvcrt._wfdopen
+@ stub _wfindfirst32
+@ stub _wfindfirst32i64
+@ stub _wfindfirst64
+@ stub _wfindfirst64i32
+@ stub _wfindnext32
+@ stub _wfindnext32i64
+@ stub _wfindnext64
+@ stub _wfindnext64i32
+@ cdecl _wfopen(wstr wstr) msvcrt._wfopen
+@ cdecl _wfopen_s(ptr wstr wstr) msvcrt._wfopen_s
+@ cdecl _wfreopen(wstr wstr ptr) msvcrt._wfreopen
+@ stub _wfreopen_s
+@ cdecl _wfsopen(wstr wstr long) msvcrt._wfsopen
+@ cdecl _wfullpath(ptr wstr long) msvcrt._wfullpath
+@ cdecl _wgetcwd(wstr long) msvcrt._wgetcwd
+@ cdecl _wgetdcwd(long wstr long) msvcrt._wgetdcwd
+@ stub _wgetdcwd_nolock
+@ cdecl _wgetenv(wstr) msvcrt._wgetenv
+@ stub _wgetenv_s
+@ extern _winmajor msvcrt._winmajor
+@ extern _winminor msvcrt._winminor
+@ extern _winver msvcrt._winver
+@ cdecl _wmakepath(wstr wstr wstr wstr wstr) msvcrt._wmakepath
+@ stub _wmakepath_s
+@ cdecl _wmkdir(wstr) msvcrt._wmkdir
+@ cdecl _wmktemp(wstr) msvcrt._wmktemp
+@ stub _wmktemp_s
+@ varargs _wopen(wstr long) msvcrt._wopen
+@ stub _wperror
+@ extern _wpgmptr msvcrt._wpgmptr
+@ cdecl _wpopen(wstr wstr) msvcrt._wpopen
+@ stub _wprintf_l
+@ stub _wprintf_p
+@ stub _wprintf_p_l
+@ stub _wprintf_s_l
+@ cdecl _wputenv(wstr) msvcrt._wputenv
+@ stub _wputenv_s
+@ cdecl _wremove(wstr) msvcrt._wremove
+@ cdecl _wrename(wstr wstr) msvcrt._wrename
+@ cdecl _write(long ptr long) msvcrt._write
+@ cdecl _wrmdir(wstr) msvcrt._wrmdir
+@ varargs _wscanf_l(wstr ptr) msvcrt._wscanf_l
+@ varargs _wscanf_s_l(wstr ptr) msvcrt._wscanf_s_l
+@ cdecl _wsearchenv(wstr wstr ptr) msvcrt._wsearchenv
+@ stub _wsearchenv_s
+@ cdecl _wsetlocale(long wstr) msvcrt._wsetlocale
+@ varargs _wsopen(wstr long long) msvcrt._wsopen
+@ stub _wsopen_s
+@ varargs _wspawnl(long wstr wstr) msvcrt._wspawnl
+@ varargs _wspawnle(long wstr wstr) msvcrt._wspawnle
+@ varargs _wspawnlp(long wstr wstr) msvcrt._wspawnlp
+@ varargs _wspawnlpe(long wstr wstr) msvcrt._wspawnlpe
+@ cdecl _wspawnv(long wstr ptr) msvcrt._wspawnv
+@ cdecl _wspawnve(long wstr ptr ptr) msvcrt._wspawnve
+@ cdecl _wspawnvp(long wstr ptr) msvcrt._wspawnvp
+@ cdecl _wspawnvpe(long wstr ptr ptr) msvcrt._wspawnvpe
+@ cdecl _wsplitpath(wstr ptr ptr ptr ptr) msvcrt._wsplitpath
+@ cdecl _wsplitpath_s(wstr ptr long ptr long ptr long ptr long) msvcrt._wsplitpath_s
+@ stub _wstat32
+@ stub _wstat32i64
+@ cdecl _wstat64(wstr ptr) msvcrt._wstat64
+@ stub _wstat64i32
+@ cdecl _wstrdate(ptr) msvcrt._wstrdate
+@ stub _wstrdate_s
+@ cdecl _wstrtime(ptr) msvcrt._wstrtime
+@ stub _wstrtime_s
+@ cdecl _wsystem(wstr) msvcrt._wsystem
+@ cdecl _wtempnam(wstr wstr) msvcrt._wtempnam
+@ stub _wtmpnam
+@ stub _wtmpnam_s
+@ cdecl _wtof(wstr) msvcrt._wtof
+@ cdecl _wtof_l(wstr ptr) msvcrt._wtof_l
+@ cdecl _wtoi(wstr) msvcrt._wtoi
+@ cdecl _wtoi64(wstr) msvcrt._wtoi64
+@ stub _wtoi64_l
+@ stub _wtoi_l
+@ cdecl _wtol(wstr) msvcrt._wtol
+@ stub _wtol_l
+@ cdecl _wunlink(wstr) msvcrt._wunlink
+@ cdecl _wutime32(wstr ptr) msvcrt._wutime32
+@ cdecl _wutime64(wstr ptr) msvcrt._wutime64
+@ cdecl _y0(double) msvcrt._y0
+@ cdecl _y1(double) msvcrt._y1
+@ cdecl _yn(long double ) msvcrt._yn
+@ cdecl abort() msvcrt.abort
+@ cdecl abs(long) msvcrt.abs
+@ cdecl acos(double) msvcrt.acos
+@ cdecl asctime(ptr) msvcrt.asctime
+@ stub asctime_s
+@ cdecl asin(double) msvcrt.asin
+@ cdecl atan(double) msvcrt.atan
+@ cdecl atan2(double double) msvcrt.atan2
+@ cdecl atexit(ptr) msvcrt.atexit
+@ cdecl atof(str) msvcrt.atof
+@ cdecl atoi(str) msvcrt.atoi
+@ cdecl atol(str) msvcrt.atol
+@ cdecl bsearch(ptr ptr long long ptr) msvcrt.bsearch
+@ stub bsearch_s
+@ cdecl btowc(long) msvcrt.btowc
+@ cdecl calloc(long long) msvcrt.calloc
+@ cdecl ceil(double) msvcrt.ceil
+@ cdecl clearerr(ptr) msvcrt.clearerr
+@ stub clearerr_s
+@ cdecl clock() msvcrt.clock
+@ cdecl cos(double) msvcrt.cos
+@ cdecl cosh(double) msvcrt.cosh
+@ cdecl div(long long) msvcrt.div
+@ cdecl exit(long) msvcrt.exit
+@ cdecl exp(double) msvcrt.exp
+@ cdecl fabs(double) msvcrt.fabs
+@ cdecl fclose(ptr) msvcrt.fclose
+@ cdecl feof(ptr) msvcrt.feof
+@ cdecl ferror(ptr) msvcrt.ferror
+@ cdecl fflush(ptr) msvcrt.fflush
+@ cdecl fgetc(ptr) msvcrt.fgetc
+@ cdecl fgetpos(ptr ptr) msvcrt.fgetpos
+@ cdecl fgets(ptr long ptr) msvcrt.fgets
+@ cdecl fgetwc(ptr) msvcrt.fgetwc
+@ cdecl fgetws(ptr long ptr) msvcrt.fgetws
+@ cdecl floor(double) msvcrt.floor
+@ cdecl fmod(double double) msvcrt.fmod
+@ cdecl fopen(str str) msvcrt.fopen
+@ cdecl fopen_s(ptr str str) msvcrt.fopen_s
+@ varargs fprintf(ptr str) msvcrt.fprintf
+@ stub fprintf_s
+@ cdecl fputc(long ptr) msvcrt.fputc
+@ cdecl fputs(str ptr) msvcrt.fputs
+@ cdecl fputwc(long ptr) msvcrt.fputwc
+@ cdecl fputws(wstr ptr) msvcrt.fputws
+@ cdecl fread(ptr long long ptr) msvcrt.fread
+@ stub fread_s
+@ cdecl free(ptr) msvcrt.free
+@ cdecl freopen(str str ptr) msvcrt.freopen
+@ stub freopen_s
+@ cdecl frexp(double ptr) msvcrt.frexp
+@ varargs fscanf(ptr str) msvcrt.fscanf
+@ varargs fscanf_s(ptr str) msvcrt.fscanf_s
+@ cdecl fseek(ptr long long) msvcrt.fseek
+@ cdecl fsetpos(ptr ptr) msvcrt.fsetpos
+@ cdecl ftell(ptr) msvcrt.ftell
+@ varargs fwprintf(ptr wstr) msvcrt.fwprintf
+@ stub fwprintf_s
+@ cdecl fwrite(ptr long long ptr) msvcrt.fwrite
+@ varargs fwscanf(ptr wstr) msvcrt.fwscanf
+@ varargs fwscanf_s(ptr wstr) msvcrt.fwscanf_s
+@ cdecl getc(ptr) msvcrt.getc
+@ cdecl getchar() msvcrt.getchar
+@ cdecl getenv(str) msvcrt.getenv
+@ stub getenv_s
+@ cdecl gets(str) msvcrt.gets
+@ stub gets_s
+@ cdecl getwc(ptr) msvcrt.getwc
+@ cdecl getwchar() msvcrt.getwchar
+@ cdecl is_wctype(long long) msvcrt.is_wctype
+@ cdecl isalnum(long) msvcrt.isalnum
+@ cdecl isalpha(long) msvcrt.isalpha
+@ cdecl iscntrl(long) msvcrt.iscntrl
+@ cdecl isdigit(long) msvcrt.isdigit
+@ cdecl isgraph(long) msvcrt.isgraph
+@ cdecl isleadbyte(long) msvcrt.isleadbyte
+@ cdecl islower(long) msvcrt.islower
+@ cdecl isprint(long) msvcrt.isprint
+@ cdecl ispunct(long) msvcrt.ispunct
+@ cdecl isspace(long) msvcrt.isspace
+@ cdecl isupper(long) msvcrt.isupper
+@ cdecl iswalnum(long) msvcrt.iswalnum
+@ cdecl iswalpha(long) msvcrt.iswalpha
+@ cdecl iswascii(long) msvcrt.iswascii
+@ cdecl iswcntrl(long) msvcrt.iswcntrl
+@ cdecl iswctype(long long) msvcrt.iswctype
+@ cdecl iswdigit(long) msvcrt.iswdigit
+@ cdecl iswgraph(long) msvcrt.iswgraph
+@ cdecl iswlower(long) msvcrt.iswlower
+@ cdecl iswprint(long) msvcrt.iswprint
+@ cdecl iswpunct(long) msvcrt.iswpunct
+@ cdecl iswspace(long) msvcrt.iswspace
+@ cdecl iswupper(long) msvcrt.iswupper
+@ cdecl iswxdigit(long) msvcrt.iswxdigit
+@ cdecl isxdigit(long) msvcrt.isxdigit
+@ cdecl labs(long) msvcrt.labs
+@ cdecl ldexp( double long) msvcrt.ldexp
+@ cdecl ldiv(long long) msvcrt.ldiv
+@ cdecl localeconv() msvcrt.localeconv
+@ cdecl log(double) msvcrt.log
+@ cdecl log10(double) msvcrt.log10
+@ cdecl -i386 longjmp(ptr long) msvcrt.longjmp
+@ cdecl malloc(long) msvcrt.malloc
+@ cdecl mblen(ptr long) msvcrt.mblen
+@ stub mbrlen
+@ stub mbrtowc
+@ stub mbsrtowcs
+@ stub mbsrtowcs_s
+@ cdecl mbstowcs(ptr str long) msvcrt.mbstowcs
+@ stub mbstowcs_s
+@ cdecl mbtowc(wstr str long) msvcrt.mbtowc
+@ cdecl memchr(ptr long long) msvcrt.memchr
+@ cdecl memcmp(ptr ptr long) msvcrt.memcmp
+@ cdecl memcpy(ptr ptr long) msvcrt.memcpy
+@ cdecl memcpy_s(ptr long ptr long) msvcrt.memcpy_s
+@ cdecl memmove(ptr ptr long) msvcrt.memmove
+@ cdecl memmove_s(ptr long ptr long) msvcrt.memmove_s
+@ cdecl memset(ptr long long) msvcrt.memset
+@ cdecl modf(double ptr) msvcrt.modf
+@ cdecl perror(str) msvcrt.perror
+@ cdecl pow(double double) msvcrt.pow
+@ varargs printf(str) msvcrt.printf
+@ stub printf_s
+@ cdecl putc(long ptr) msvcrt.putc
+@ cdecl putchar(long) msvcrt.putchar
+@ cdecl puts(str) msvcrt.puts
+@ cdecl putwc(long ptr) msvcrt.putwc
+@ cdecl putwchar(long) msvcrt.putwchar
+@ cdecl qsort(ptr long long ptr) msvcrt.qsort
+@ stub qsort_s
+@ cdecl raise(long) msvcrt.raise
+@ cdecl rand() msvcrt.rand
+@ cdecl rand_s(ptr) msvcrt.rand_s
+@ cdecl realloc(ptr long) msvcrt.realloc
+@ cdecl remove(str) msvcrt.remove
+@ cdecl rename(str str) msvcrt.rename
+@ cdecl rewind(ptr) msvcrt.rewind
+@ varargs scanf(str) msvcrt.scanf
+@ varargs scanf_s(str) msvcrt.scanf_s
+@ cdecl setbuf(ptr ptr) msvcrt.setbuf
+@ cdecl setlocale(long str) msvcrt.setlocale
+@ cdecl setvbuf(ptr str long long) msvcrt.setvbuf
+@ cdecl signal(long long) msvcrt.signal
+@ cdecl sin(double) msvcrt.sin
+@ cdecl sinh(double) msvcrt.sinh
+@ varargs sprintf(ptr str) msvcrt.sprintf
+@ varargs sprintf_s(ptr long str) msvcrt.sprintf_s
+@ cdecl sqrt(double) msvcrt.sqrt
+@ cdecl srand(long) msvcrt.srand
+@ varargs sscanf(str str) msvcrt.sscanf
+@ varargs sscanf_s(str str) msvcrt.sscanf_s
+@ cdecl strcat(str str) msvcrt.strcat
+@ cdecl strcat_s(str long str) msvcrt.strcat_s
+@ cdecl strchr(str long) msvcrt.strchr
+@ cdecl strcmp(str str) msvcrt.strcmp
+@ cdecl strcoll(str str) msvcrt.strcoll
+@ cdecl strcpy(ptr str) msvcrt.strcpy
+@ cdecl strcpy_s(ptr long str) msvcrt.strcpy_s
+@ cdecl strcspn(str str) msvcrt.strcspn
+@ cdecl strerror(long) msvcrt.strerror
+@ stub strerror_s
+@ cdecl strftime(str long str ptr) msvcrt.strftime
+@ cdecl strlen(str) msvcrt.strlen
+@ cdecl strncat(str str long) msvcrt.strncat
+@ stub strncat_s
+@ cdecl strncmp(str str long) msvcrt.strncmp
+@ cdecl strncpy(ptr str long) msvcrt.strncpy
+@ cdecl strncpy_s(ptr long str long) msvcrt.strncpy_s
+@ cdecl strnlen(str long) msvcrt.strnlen
+@ cdecl strpbrk(str str) msvcrt.strpbrk
+@ cdecl strrchr(str long) msvcrt.strrchr
+@ cdecl strspn(str str) msvcrt.strspn
+@ cdecl strstr(str str) msvcrt.strstr
+@ cdecl strtod(str ptr) msvcrt.strtod
+@ cdecl strtok(str str) msvcrt.strtok
+@ cdecl strtok_s(ptr str ptr) msvcrt.strtok_s
+@ cdecl strtol(str ptr long) msvcrt.strtol
+@ cdecl strtoul(str ptr long) msvcrt.strtoul
+@ cdecl strxfrm(ptr str long) msvcrt.strxfrm
+@ varargs swprintf_s(ptr long wstr) msvcrt.swprintf_s
+@ varargs swscanf(wstr wstr) msvcrt.swscanf
+@ varargs swscanf_s(wstr wstr) msvcrt.swscanf_s
+@ cdecl system(str) msvcrt.system
+@ cdecl tan(double) msvcrt.tan
+@ cdecl tanh(double) msvcrt.tanh
+@ cdecl tmpfile() msvcrt.tmpfile
+@ stub tmpfile_s
+@ cdecl tmpnam(ptr) msvcrt.tmpnam
+@ stub tmpnam_s
+@ cdecl tolower(long) msvcrt.tolower
+@ cdecl toupper(long) msvcrt.toupper
+@ cdecl towlower(long) msvcrt.towlower
+@ cdecl towupper(long) msvcrt.towupper
+@ cdecl ungetc(long ptr) msvcrt.ungetc
+@ cdecl ungetwc(long ptr) msvcrt.ungetwc
+@ cdecl vfprintf(ptr str ptr) msvcrt.vfprintf
+@ stub vfprintf_s
+@ cdecl vfwprintf(ptr wstr ptr) msvcrt.vfwprintf
+@ stub vfwprintf_s
+@ cdecl vprintf(str ptr) msvcrt.vprintf
+@ stub vprintf_s
+@ cdecl vsprintf(ptr str ptr) msvcrt.vsprintf
+@ cdecl vsprintf_s(ptr long str ptr) msvcrt.vsprintf_s
+@ cdecl vswprintf_s(ptr long wstr ptr) msvcrt.vswprintf_s
+@ cdecl vwprintf(wstr ptr) msvcrt.vwprintf
+@ stub vwprintf_s
+@ stub wcrtomb
+@ stub wcrtomb_s
+@ cdecl wcscat(wstr wstr) msvcrt.wcscat
+@ cdecl wcscat_s(wstr long wstr) msvcrt.wcscat_s
+@ cdecl wcschr(wstr long) msvcrt.wcschr
+@ cdecl wcscmp(wstr wstr) msvcrt.wcscmp
+@ cdecl wcscoll(wstr wstr) msvcrt.wcscoll
+@ cdecl wcscpy(ptr wstr) msvcrt.wcscpy
+@ cdecl wcscpy_s(ptr long wstr) msvcrt.wcscpy_s
+@ cdecl wcscspn(wstr wstr) msvcrt.wcscspn
+@ cdecl wcsftime(ptr long wstr ptr) msvcrt.wcsftime
+@ cdecl wcslen(wstr) msvcrt.wcslen
+@ cdecl wcsncat(wstr wstr long) msvcrt.wcsncat
+@ stub wcsncat_s
+@ cdecl wcsncmp(wstr wstr long) msvcrt.wcsncmp
+@ cdecl wcsncpy(ptr wstr long) msvcrt.wcsncpy
+@ cdecl wcsncpy_s(ptr long wstr long) msvcrt.wcsncpy_s
+@ stub wcsnlen
+@ cdecl wcspbrk(wstr wstr) msvcrt.wcspbrk
+@ cdecl wcsrchr(wstr long) msvcrt.wcsrchr
+@ stub wcsrtombs
+@ stub wcsrtombs_s
+@ cdecl wcsspn(wstr wstr) msvcrt.wcsspn
+@ cdecl wcsstr(wstr wstr) msvcrt.wcsstr
+@ cdecl wcstod(wstr ptr) msvcrt.wcstod
+@ cdecl wcstok(wstr wstr) msvcrt.wcstok
+@ stub wcstok_s
+@ cdecl wcstol(wstr ptr long) msvcrt.wcstol
+@ cdecl wcstombs(ptr ptr long) msvcrt.wcstombs
+@ cdecl wcstombs_s(ptr ptr long wstr long) msvcrt.wcstombs_s
+@ cdecl wcstoul(wstr ptr long) msvcrt.wcstoul
+@ stub wcsxfrm
+@ stub wctob
+@ cdecl wctomb(ptr long) msvcrt.wctomb
+@ stub wctomb_s
+@ varargs wprintf(wstr) msvcrt.wprintf
+@ stub wprintf_s
+@ varargs wscanf(wstr) msvcrt.wscanf
+@ varargs wscanf_s(wstr) msvcrt.wscanf_s

Property changes on: msvcr80\msvcr80.spec
___________________________________________________________________
Added: svn:eol-style
   + native


Property changes on: msvcr90
___________________________________________________________________
Added: bugtraq:url
   + http://www.reactos.org/bugzilla/show_bug.cgi?id=%BUGID%
Added: bugtraq:message
   + See issue #%BUGID% for more details.
Added: tsvn:logminsize
   + 10
Added: bugtraq:logregex
   + ([Ii]ssue|[Bb]ug)s? #?(\d+)(,? ?#?(\d+))*(,? ?(and |or )?#?(\d+))?
(\d+)

Index: msvcr90/msvcr90.c
===================================================================
--- msvcr90/msvcr90.c	(revision 0)
+++ msvcr90/msvcr90.c	(revision 0)
@@ -0,0 +1,161 @@
+/*
+ * msvcr90 specific functions
+ *
+ * Copyright 2010 Detlef Riekenberg
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Lesser General Public
+ * License as published by the Free Software Foundation; either
+ * version 2.1 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this library; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
+ */
+
+#include <stdarg.h>
+
+#include "stdlib.h"
+#include "errno.h"
+#include "malloc.h"
+#include "windef.h"
+#include "winbase.h"
+#include "wine/debug.h"
+
+WINE_DEFAULT_DEBUG_CHANNEL(msvcr90);
+
+typedef int (CDECL *_INITTERM_E_FN)(void);
+void __cdecl _invalid_parameter(const wchar_t *expr, const wchar_t *func, const wchar_t *file, unsigned int line, uintptr_t arg);
+
+/*********************************************************************
+ *  DllMain (MSVCR90.@)
+ */
+BOOL WINAPI DllMain(HINSTANCE hdll, DWORD reason, LPVOID reserved)
+{
+    switch (reason)
+    {
+    case DLL_WINE_PREATTACH:
+        return FALSE;  /* prefer native version */
+
+    case DLL_PROCESS_ATTACH:
+        DisableThreadLibraryCalls(hdll);
+    }
+    return TRUE;
+}
+
+/*********************************************************************
+ *  _decode_pointer (MSVCR90.@)
+ *
+ * cdecl version of DecodePointer
+ *
+ */
+void * CDECL MSVCR90_decode_pointer(void * ptr)
+{
+    return DecodePointer(ptr);
+}
+
+/*********************************************************************
+ *  _encode_pointer (MSVCR90.@)
+ *
+ * cdecl version of EncodePointer
+ *
+ */
+void * CDECL MSVCR90_encode_pointer(void * ptr)
+{
+    return EncodePointer(ptr);
+}
+
+/*********************************************************************
+ *  _encoded_null (MSVCR90.@)
+ */
+void * CDECL _encoded_null(void)
+{
+    TRACE("\n");
+
+    return MSVCR90_encode_pointer(NULL);
+}
+
+/*********************************************************************
+ *  _initterm_e (MSVCR90.@)
+ *
+ * call an array of application initialization functions and report the return value
+ */
+int CDECL _initterm_e(_INITTERM_E_FN *table, _INITTERM_E_FN *end)
+{
+    int res = 0;
+
+    TRACE("(%p, %p)\n", table, end);
+
+    while (!res && table < end) {
+        if (*table) {
+            res = (**table)();
+            if (res)
+                TRACE("function %p failed: 0x%x\n", *table, res);
+
+        }
+        table++;
+    }
+    return res;
+}
+
+/*********************************************************************
+ * _invalid_parameter_noinfo (MSVCR90.@)
+ */
+void CDECL _invalid_parameter_noinfo(void)
+{
+    _invalid_parameter( NULL, NULL, NULL, 0, 0 );
+}
+
+/*********************************************************************
+ * __sys_nerr (MSVCR90.@)
+ */
+int* CDECL __sys_nerr(void)
+{
+        return (int*)GetProcAddress(GetModuleHandleA("msvcrt.dll"), "_sys_nerr");
+}
+
+/*********************************************************************
+ *  __sys_errlist (MSVCR90.@)
+ */
+char** CDECL __sys_errlist(void)
+{
+    return (char**)GetProcAddress(GetModuleHandleA("msvcrt.dll"), "_sys_errlist");
+}
+
+/*********************************************************************
+ * __clean_type_info_names_internal (MSVCR90.@)
+ */
+void CDECL __clean_type_info_names_internal(void *p)
+{
+    FIXME("(%p) stub\n", p);
+}
+
+/*********************************************************************
+ * _recalloc (MSVCR90.@)
+ */
+void* CDECL _recalloc(void* mem, size_t num, size_t size)
+{
+    size_t old_size;
+    void *ret;
+
+    if(!mem)
+        return calloc(num, size);
+
+    size = num*size;
+    old_size = _msize(mem);
+
+    ret = realloc(mem, size);
+    if(!ret) {
+        *_errno() = ENOMEM;
+        return NULL;
+    }
+
+    if(size>old_size)
+        memset((BYTE*)mem+old_size, 0, size-old_size);
+    return ret;
+}

Property changes on: msvcr90\msvcr90.c
___________________________________________________________________
Added: svn:eol-style
   + native

Index: msvcr90/msvcr90.rbuild
===================================================================
--- msvcr90/msvcr90.rbuild	(revision 0)
+++ msvcr90/msvcr90.rbuild	(revision 0)
@@ -0,0 +1,15 @@
+<?xml version="1.0"?>
+<!DOCTYPE module SYSTEM "../../../tools/rbuild/project.dtd">
+<group>
+<module name="msvcr90" type="win32dll" baseaddress="${BASEADDRESS_MSVCR90}" installbase="system32" installname="msvcr90.dll" iscrt="yes">
+	<importlibrary definition="msvcr90.spec" />
+	<include base="msvcr90">.</include>
+	<include base="ReactOS">include/reactos/wine</include>
+	<define name="__WINESRC__" />
+	<define name="CRTDLL" />
+	<file>msvcr90.c</file>
+	<library>crt</library>
+	<library>ntdll</library>
+	<library>wine</library>
+</module>
+</group>

Property changes on: msvcr90\msvcr90.rbuild
___________________________________________________________________
Added: svn:eol-style
   + native

Index: msvcr90/msvcr90.spec
===================================================================
--- msvcr90/msvcr90.spec	(revision 0)
+++ msvcr90/msvcr90.spec	(revision 0)
@@ -0,0 +1,1452 @@
+# MS VC++2008 runtime library
+
+@ cdecl -i386 -norelay ??0__non_rtti_object@std@@QAE@ABV01@@Z(ptr) msvcrt.??0__non_rtti_object@@QAE@ABV0@@Z
+@ cdecl -i386 -norelay ??0bad_cast@std@@QAE@ABV01@@Z(ptr) msvcrt.??0bad_cast@@QAE@ABV0@@Z
+@ cdecl -i386 -norelay ??0bad_cast@std@@QAE@PBD@Z(ptr) msvcrt.??0bad_cast@@QAE@PBD@Z
+@ cdecl -i386 -norelay ??0bad_typeid@std@@QAE@ABV01@@Z(ptr) msvcrt.??0bad_typeid@@QAE@ABV0@@Z
+@ cdecl -i386 -norelay ??0bad_typeid@std@@QAE@PBD@Z(ptr) msvcrt.??0bad_typeid@@QAE@PBD@Z
+@ cdecl -i386 -norelay ??0exception@std@@QAE@ABQBD@Z(ptr) msvcrt.??0exception@@QAE@ABQBD@Z
+@ cdecl -i386 -norelay ??0exception@std@@QAE@ABQBDH@Z(ptr long) msvcrt.??0exception@@QAE@ABQBDH@Z
+@ cdecl -i386 -norelay ??0exception@std@@QAE@ABV01@@Z(ptr) msvcrt.??0exception@@QAE@ABV0@@Z
+@ cdecl -i386 -norelay ??0exception@std@@QAE@XZ() msvcrt.??0exception@@QAE@XZ
+@ cdecl -i386 -norelay ??1__non_rtti_object@std@@UAE@XZ() msvcrt.??1__non_rtti_object@@UAE@XZ
+@ cdecl -i386 -norelay ??1bad_cast@std@@UAE@XZ() msvcrt.??1bad_cast@@UAE@XZ
+@ cdecl -i386 -norelay ??1bad_typeid@std@@UAE@XZ() msvcrt.??1bad_typeid@@UAE@XZ
+@ cdecl -i386 -norelay ??1exception@std@@UAE@XZ() msvcrt.??1exception@@UAE@XZ
+@ cdecl -i386 -norelay ??1type_info@@UAE@XZ() msvcrt.??1type_info@@UAE@XZ
+@ cdecl ??2@YAPAXI@Z(long) msvcrt.??2@YAPAXI@Z
+@ cdecl ??2@YAPAXIHPBDH@Z(long long str long) msvcrt.??2@YAPAXIHPBDH@Z
+@ cdecl ??3@YAXPAX@Z(ptr) msvcrt.??3@YAXPAX@Z
+@ cdecl -i386 -norelay ??4__non_rtti_object@std@@QAEAAV01@ABV01@@Z(ptr) msvcrt.??4__non_rtti_object@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 -norelay ??4bad_cast@std@@QAEAAV01@ABV01@@Z(ptr) msvcrt.??4bad_cast@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 -norelay ??4bad_typeid@std@@QAEAAV01@ABV01@@Z(ptr) msvcrt.??4bad_typeid@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 -norelay ??4exception@std@@QAEAAV01@ABV01@@Z(ptr) msvcrt.??4exception@@QAEAAV0@ABV0@@Z
+@ cdecl -i386 -norelay ??8type_info@@QBE_NABV0@@Z(ptr) msvcrt.??8type_info@@QBEHABV0@@Z
+@ cdecl -i386 -norelay ??9type_info@@QBE_NABV0@@Z(ptr) msvcrt.??9type_info@@QBEHABV0@@Z
+@ extern -i386 ??_7__non_rtti_object@std@@6B@ msvcrt.??_7__non_rtti_object@@6B@
+@ extern -i386 ??_7bad_cast@std@@6B@ msvcrt.??_7bad_cast@@6B@
+@ extern -i386 ??_7bad_typeid@std@@6B@ msvcrt.??_7bad_typeid@@6B@
+@ extern -i386 ??_7exception@@6B@ msvcrt.??_7exception@@6B@
+@ extern -i386 ??_7exception@std@@6B@ msvcrt.??_7exception@@6B@
+@ cdecl -i386 -norelay ??_Fbad_cast@std@@QAEXXZ() msvcrt.??_Fbad_cast@@QAEXXZ
+@ cdecl -i386 -norelay ??_Fbad_typeid@std@@QAEXXZ() msvcrt.??_Fbad_typeid@@QAEXXZ
+@ cdecl ??_U@YAPAXI@Z(long) msvcrt.??_U@YAPAXI@Z
+@ cdecl ??_U@YAPAXIHPBDH@Z(long long str long) msvcrt.??_U@YAPAXIHPBDH@Z
+@ cdecl ??_V@YAXPAX@Z(ptr) msvcrt.??_V@YAXPAX@Z
+@ stub ?_Name_base@type_info@@CAPBDPBV1@PAU__type_info_node@@@Z
+@ stub ?_Name_base_internal@type_info@@CAPBDPBV1@PAU__type_info_node@@@Z
+@ stub ?_Type_info_dtor@type_info@@CAXPAV1@@Z
+@ stub ?_Type_info_dtor_internal@type_info@@CAXPAV1@@Z
+@ stub ?_ValidateExecute@@YAHP6GHXZ@Z
+@ stub ?_ValidateRead@@YAHPBXI@Z
+@ stub ?_ValidateWrite@@YAHPAXI@Z
+@ cdecl __uncaught_exception() msvcrt.__uncaught_exception
+@ stub ?_inconsistency@@YAXXZ
+@ cdecl ?_invalid_parameter@@YAXPBG00II@Z(wstr wstr wstr long long) msvcrt._invalid_parameter
+@ stub ?_is_exception_typeof@@YAHABVtype_info@@PAU_EXCEPTION_POINTERS@@@Z
+@ stub ?_name_internal_method@type_info@@QBEPBDPAU__type_info_node@@@Z
+@ varargs ?_open@@YAHPBDHH@Z(str long) msvcrt._open
+@ cdecl ?_query_new_handler@@YAP6AHI@ZXZ() msvcrt.?_query_new_handler@@YAP6AHI@ZXZ
+@ cdecl ?_query_new_mode@@YAHXZ() msvcrt.?_query_new_mode@@YAHXZ
+@ stub ?_set_new_handler@@YAP6AHI@ZH@Z
+@ cdecl ?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z(ptr) msvcrt.?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z
+@ cdecl ?_set_new_mode@@YAHH@Z(long) msvcrt.?_set_new_mode@@YAHH@Z
+@ stub ?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZH@Z
+@ cdecl ?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z(ptr) msvcrt.?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z
+@ cdecl ?_sopen@@YAHPBDHHH@Z(str long long long) msvcrt._sopen
+@ stub ?_type_info_dtor_internal_method@type_info@@QAEXXZ
+@ cdecl ?_wopen@@YAHPB_WHH@Z(wstr long long) msvcrt._wopen
+@ cdecl ?_wsopen@@YAHPB_WHHH@Z(wstr long long long) msvcrt._wsopen
+@ cdecl -i386 -norelay ?before@type_info@@QBEHABV1@@Z(ptr) msvcrt.?before@type_info@@QBEHABV1@@Z
+@ stub ?name@type_info@@QBEPBDPAU__type_info_node@@@Z
+@ cdecl -i386 -norelay ?raw_name@type_info@@QBEPBDXZ() msvcrt.?raw_name@type_info@@QBEPBDXZ
+@ cdecl ?set_new_handler@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_new_handler@@YAP6AXXZP6AXXZ@Z
+@ stub ?set_terminate@@YAP6AXXZH@Z
+@ cdecl ?set_terminate@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_terminate@@YAP6AXXZP6AXXZ@Z
+@ stub ?set_unexpected@@YAP6AXXZH@Z
+@ cdecl ?set_unexpected@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_unexpected@@YAP6AXXZP6AXXZ@Z
+@ varargs ?swprintf@@YAHPAGIPBGZZ(ptr long wstr) msvcrt._snwprintf
+@ varargs ?swprintf@@YAHPA_WIPB_WZZ(ptr long wstr) msvcrt._snwprintf
+@ cdecl ?terminate@@YAXXZ() msvcrt.?terminate@@YAXXZ
+@ cdecl ?unexpected@@YAXXZ() msvcrt.?unexpected@@YAXXZ
+@ cdecl ?vswprintf@@YAHPA_WIPB_WPAD@Z(ptr long wstr ptr) msvcrt._vsnwprintf
+@ cdecl -i386 -norelay ?what@exception@std@@UBEPBDXZ() msvcrt.?what@exception@@UBEPBDXZ
+@ cdecl $I10_OUTPUT() msvcrt.$I10_OUTPUT
+@ cdecl -arch=i386 _CIacos() msvcrt._CIacos
+@ cdecl -arch=i386 _CIasin() msvcrt._CIasin
+@ cdecl -arch=i386 _CIatan() msvcrt._CIatan
+@ cdecl -arch=i386 _CIatan2() msvcrt._CIatan2
+@ cdecl -arch=i386 _CIcos() msvcrt._CIcos
+@ cdecl -arch=i386 _CIcosh() msvcrt._CIcosh
+@ cdecl -arch=i386 _CIexp() msvcrt._CIexp
+@ cdecl -arch=i386 _CIfmod() msvcrt._CIfmod
+@ cdecl -arch=i386 _CIlog() msvcrt._CIlog
+@ cdecl -arch=i386 _CIlog10() msvcrt._CIlog10
+@ cdecl -arch=i386 _CIpow() msvcrt._CIpow
+@ cdecl -arch=i386 _CIsin() msvcrt._CIsin
+@ cdecl -arch=i386 _CIsinh() msvcrt._CIsinh
+@ cdecl -arch=i386 _CIsqrt() msvcrt._CIsqrt
+@ cdecl -arch=i386 _CItan() msvcrt._CItan
+@ cdecl -arch=i386 _CItanh() msvcrt._CItanh
+@ stub _CRT_RTC_INIT
+@ stub _CRT_RTC_INITW
+@ stub _CreateFrameInfo
+@ cdecl _CxxThrowException(long long) msvcrt._CxxThrowException
+@ cdecl -i386 -norelay _EH_prolog() msvcrt._EH_prolog
+@ stub _FindAndUnlinkFrame
+@ cdecl _Getdays() msvcrt._Getdays
+@ cdecl _Getmonths() msvcrt._Getmonths
+@ cdecl _Gettnames() msvcrt._Gettnames
+@ extern _HUGE msvcrt._HUGE
+@ stub _IsExceptionObjectToBeDestroyed
+@ stub _NLG_Dispatch2
+@ stub _NLG_Return
+@ stub _NLG_Return2
+@ cdecl _Strftime(str long str ptr ptr) msvcrt._Strftime
+@ cdecl _XcptFilter(long ptr) msvcrt._XcptFilter
+@ stub __AdjustPointer
+@ stub __BuildCatchObject
+@ stub __BuildCatchObjectHelper
+@ cdecl __CppXcptFilter(long ptr) msvcrt.__CppXcptFilter
+@ stub __CxxCallUnwindDelDtor
+@ stub __CxxCallUnwindDtor
+@ stub __CxxCallUnwindStdDelDtor
+@ stub __CxxCallUnwindVecDtor
+@ cdecl __CxxDetectRethrow(ptr) msvcrt.__CxxDetectRethrow
+@ stub __CxxExceptionFilter
+@ cdecl -i386 -norelay __CxxFrameHandler(ptr ptr ptr ptr) msvcrt.__CxxFrameHandler
+@ cdecl -i386 -norelay __CxxFrameHandler2(ptr ptr ptr ptr) msvcrt.__CxxFrameHandler
+@ cdecl -i386 -norelay __CxxFrameHandler3(ptr ptr ptr ptr) msvcrt.__CxxFrameHandler
+@ stdcall -i386 __CxxLongjmpUnwind(ptr) msvcrt.__CxxLongjmpUnwind
+@ cdecl __CxxQueryExceptionSize() msvcrt.__CxxQueryExceptionSize
+@ stub __CxxRegisterExceptionObject
+@ stub __CxxUnregisterExceptionObject
+@ stub __DestructExceptionObject
+@ stub __FrameUnwindFilter
+@ cdecl __RTCastToVoid(ptr) msvcrt.__RTCastToVoid
+@ cdecl __RTDynamicCast(ptr long ptr ptr long) msvcrt.__RTDynamicCast
+@ cdecl __RTtypeid(ptr) msvcrt.__RTtypeid
+@ cdecl __STRINGTOLD(ptr ptr str long) msvcrt.__STRINGTOLD
+@ stub __STRINGTOLD_L
+@ stub __TypeMatch
+@ cdecl ___lc_codepage_func() msvcrt.___lc_codepage_func
+@ cdecl ___lc_collate_cp_func() msvcrt.___lc_collate_cp_func
+@ cdecl ___lc_handle_func() msvcrt.___lc_handle_func
+@ cdecl ___mb_cur_max_func() msvcrt.___mb_cur_max_func
+@ stub ___mb_cur_max_l_func
+@ cdecl ___setlc_active_func() msvcrt.___setlc_active_func
+@ cdecl ___unguarded_readlc_active_add_func() msvcrt.___unguarded_readlc_active_add_func
+@ extern __argc msvcrt.__argc
+@ extern __argv msvcrt.__argv
+@ extern __badioinfo msvcrt.__badioinfo
+@ cdecl __clean_type_info_names_internal(ptr)
+@ stub __control87_2
+@ stub __create_locale
+@ cdecl __crtCompareStringA(long long str long str long) msvcrt.__crtCompareStringA
+@ cdecl __crtCompareStringW(long long wstr long wstr long) msvcrt.__crtCompareStringW
+@ cdecl __crtGetLocaleInfoW(long long ptr long) msvcrt.__crtGetLocaleInfoW
+@ cdecl __crtGetStringTypeW(long long wstr long ptr) msvcrt.__crtGetStringTypeW
+@ cdecl __crtLCMapStringA(long long str long ptr long long long) msvcrt.__crtLCMapStringA
+@ stub __crtLCMapStringW
+@ stub __daylight
+@ cdecl __dllonexit(ptr ptr ptr) msvcrt.__dllonexit
+@ cdecl __doserrno() msvcrt.__doserrno
+@ stub __dstbias
+@ stub ___fls_getvalue@4
+@ stub ___fls_setvalue@8
+@ cdecl __fpecode() msvcrt.__fpecode
+@ stub __free_locale
+@ stub __get_app_type
+@ stub __get_current_locale
+@ stub __get_flsindex
+@ stub __get_tlsindex
+@ cdecl __getmainargs(ptr ptr ptr long ptr) msvcrt.__getmainargs
+@ extern __initenv msvcrt.__initenv
+@ cdecl __iob_func() msvcrt.__iob_func
+@ cdecl __isascii(long) msvcrt.__isascii
+@ cdecl __iscsym(long) msvcrt.__iscsym
+@ cdecl __iscsymf(long) msvcrt.__iscsymf
+@ stub __iswcsym
+@ stub __iswcsymf
+@ stub __lc_clike
+@ extern __lc_codepage msvcrt.__lc_codepage
+@ extern __lc_collate_cp msvcrt.__lc_collate_cp
+@ extern __lc_handle msvcrt.__lc_handle
+@ stub __lconv
+@ cdecl __lconv_init() msvcrt.__lconv_init
+@ stub __libm_sse2_acos
+@ stub __libm_sse2_acosf
+@ stub __libm_sse2_asin
+@ stub __libm_sse2_asinf
+@ stub __libm_sse2_atan
+@ stub __libm_sse2_atan2
+@ stub __libm_sse2_atanf
+@ stub __libm_sse2_cos
+@ stub __libm_sse2_cosf
+@ stub __libm_sse2_exp
+@ stub __libm_sse2_expf
+@ stub __libm_sse2_log
+@ stub __libm_sse2_log10
+@ stub __libm_sse2_log10f
+@ stub __libm_sse2_logf
+@ stub __libm_sse2_pow
+@ stub __libm_sse2_powf
+@ stub __libm_sse2_sin
+@ stub __libm_sse2_sinf
+@ stub __libm_sse2_tan
+@ stub __libm_sse2_tanf
+@ extern __mb_cur_max msvcrt.__mb_cur_max
+@ cdecl -arch=i386 __p___argc() msvcrt.__p___argc
+@ cdecl -arch=i386 __p___argv() msvcrt.__p___argv
+@ cdecl -arch=i386 __p___initenv() msvcrt.__p___initenv
+@ cdecl -arch=i386 __p___mb_cur_max() msvcrt.__p___mb_cur_max
+@ cdecl -arch=i386 __p___wargv() msvcrt.__p___wargv
+@ cdecl -arch=i386 __p___winitenv() msvcrt.__p___winitenv
+@ cdecl -arch=i386 __p__acmdln() msvcrt.__p__acmdln
+@ cdecl -arch=i386 __p__amblksiz() msvcrt.__p__amblksiz
+@ cdecl -arch=i386 __p__commode() msvcrt.__p__commode
+@ cdecl -arch=i386 __p__daylight() msvcrt.__p__daylight
+@ cdecl -arch=i386 __p__dstbias() msvcrt.__p__dstbias
+@ cdecl -arch=i386 __p__environ() msvcrt.__p__environ
+@ cdecl -arch=i386 __p__fmode() msvcrt.__p__fmode
+@ cdecl -arch=i386 __p__iob() msvcrt.__p__iob
+@ stub __p__mbcasemap
+@ cdecl -arch=i386 __p__mbctype() msvcrt.__p__mbctype
+@ cdecl -arch=i386 __p__pctype() msvcrt.__p__pctype
+@ cdecl -arch=i386 __p__pgmptr() msvcrt.__p__pgmptr
+@ stub __p__pwctype
+@ cdecl -arch=i386 __p__timezone() msvcrt.__p__timezone
+@ cdecl -arch=i386 __p__tzname() msvcrt.__p__tzname
+@ cdecl -arch=i386 __p__wcmdln() msvcrt.__p__wcmdln
+@ cdecl -arch=i386 __p__wenviron() msvcrt.__p__wenviron
+@ cdecl -arch=i386 __p__wpgmptr() msvcrt.__p__wpgmptr
+@ cdecl __pctype_func() msvcrt.__pctype_func
+@ extern __pioinfo msvcrt.__pioinfo
+@ stub __pwctype_func
+@ stub __pxcptinfoptrs
+@ stub __report_gsfailure
+@ cdecl __set_app_type(long) msvcrt.__set_app_type
+@ stub __set_flsgetvalue
+@ extern __setlc_active msvcrt.__setlc_active
+@ cdecl __setusermatherr(ptr) msvcrt.__setusermatherr
+@ stub __strncnt
+@ stub __swprintf_l
+@ cdecl __sys_errlist()
+@ cdecl __sys_nerr()
+@ cdecl __threadhandle() msvcrt.__threadhandle
+@ cdecl __threadid() msvcrt.__threadid
+@ stub __timezone
+@ cdecl __toascii(long) msvcrt.__toascii
+@ stub __tzname
+@ cdecl __unDName(ptr str long ptr ptr long) msvcrt.__unDName
+@ cdecl __unDNameEx(ptr str long ptr ptr ptr long) msvcrt.__unDNameEx
+@ stub __unDNameHelper
+@ extern __unguarded_readlc_active msvcrt.__unguarded_readlc_active
+@ stub __vswprintf_l
+@ extern __wargv msvcrt.__wargv
+@ stub __wcserror
+@ stub __wcserror_s
+@ stub __wcsncnt
+@ cdecl __wgetmainargs(ptr ptr ptr long ptr) msvcrt.__wgetmainargs
+@ extern __winitenv msvcrt.__winitenv
+@ cdecl _abnormal_termination() msvcrt._abnormal_termination
+@ stub _abs64
+@ cdecl _access(str long) msvcrt._access
+@ stub _access_s
+@ extern _acmdln msvcrt._acmdln
+@ stdcall -arch=i386 _adj_fdiv_m16i(long) msvcrt._adj_fdiv_m16i
+@ stdcall -arch=i386 _adj_fdiv_m32(long) msvcrt._adj_fdiv_m32
+@ stdcall -arch=i386 _adj_fdiv_m32i(long) msvcrt._adj_fdiv_m32i
+@ stdcall -arch=i386 _adj_fdiv_m64(double) msvcrt._adj_fdiv_m64
+@ cdecl -arch=i386 _adj_fdiv_r() msvcrt._adj_fdiv_r
+@ stdcall -arch=i386 _adj_fdivr_m16i(long) msvcrt._adj_fdivr_m16i
+@ stdcall -arch=i386 _adj_fdivr_m32(long) msvcrt._adj_fdivr_m32
+@ stdcall -arch=i386 _adj_fdivr_m32i(long) msvcrt._adj_fdivr_m32i
+@ stdcall -arch=i386 _adj_fdivr_m64(double) msvcrt._adj_fdivr_m64
+@ cdecl -arch=i386 _adj_fpatan() msvcrt._adj_fpatan
+@ cdecl -arch=i386 _adj_fprem() msvcrt._adj_fprem
+@ cdecl -arch=i386 _adj_fprem1() msvcrt._adj_fprem1
+@ cdecl -arch=i386 _adj_fptan() msvcrt._adj_fptan
+@ extern -arch=i386 _adjust_fdiv msvcrt._adjust_fdiv
+@ stub _aexit_rtn
+@ cdecl _aligned_free(ptr) msvcrt._aligned_free
+@ cdecl _aligned_malloc(long long) msvcrt._aligned_malloc
+@ stub _aligned_msize
+@ cdecl _aligned_offset_malloc(long long long) msvcrt._aligned_offset_malloc
+@ cdecl _aligned_offset_realloc(ptr long long long) msvcrt._aligned_offset_realloc
+@ stub _aligned_offset_recalloc
+@ cdecl _aligned_realloc(ptr long long) msvcrt._aligned_realloc
+@ stub _aligned_recalloc
+@ cdecl _amsg_exit(long) msvcrt._amsg_exit
+@ cdecl _assert(str str long) msvcrt._assert
+@ stub _atodbl
+@ stub _atodbl_l
+@ cdecl _atof_l(str ptr) msvcrt._atof_l
+@ stub _atoflt
+@ stub _atoflt_l
+@ cdecl -ret64 _atoi64(str) msvcrt._atoi64
+@ stub _atoi64_l
+@ stub _atoi_l
+@ stub _atol_l
+@ cdecl _atoldbl(ptr str) msvcrt._atoldbl
+@ stub _atoldbl_l
+@ cdecl _beep(long long) msvcrt._beep
+@ cdecl _beginthread(ptr long ptr) msvcrt._beginthread
+@ cdecl _beginthreadex(ptr long ptr ptr long ptr) msvcrt._beginthreadex
+@ stub _byteswap_uint64
+@ stub _byteswap_ulong
+@ stub _byteswap_ushort
+@ cdecl _c_exit() msvcrt._c_exit
+@ cdecl _cabs(long) msvcrt._cabs
+@ cdecl _callnewh(long) msvcrt._callnewh
+@ cdecl _calloc_crt(long long) msvcrt.calloc
+@ cdecl _cexit() msvcrt._cexit
+@ cdecl _cgets(str) msvcrt._cgets
+@ stub _cgets_s
+@ stub _cgetws
+@ stub _cgetws_s
+@ cdecl _chdir(str) msvcrt._chdir
+@ cdecl _chdrive(long) msvcrt._chdrive
+@ cdecl _chgsign( double ) msvcrt._chgsign
+@ cdecl -i386 -norelay _chkesp() msvcrt._chkesp
+@ cdecl _chmod(str long) msvcrt._chmod
+@ cdecl _chsize(long long) msvcrt._chsize
+@ stub _chsize_s
+@ cdecl _clearfp() msvcrt._clearfp
+@ cdecl _close(long) msvcrt._close
+@ cdecl _commit(long) msvcrt._commit
+@ extern _commode msvcrt._commode
+@ cdecl _configthreadlocale(long) msvcrt._configthreadlocale
+@ cdecl _control87(long long) msvcrt._control87
+@ cdecl _controlfp(long long) msvcrt._controlfp
+@ cdecl _controlfp_s(ptr long long) msvcrt._controlfp_s
+@ cdecl _copysign( double double ) msvcrt._copysign
+@ varargs _cprintf(str) msvcrt._cprintf
+@ stub _cprintf_l
+@ stub _cprintf_p
+@ stub _cprintf_p_l
+@ stub _cprintf_s
+@ stub _cprintf_s_l
+@ cdecl _cputs(str) msvcrt._cputs
+@ stub _cputws
+@ cdecl _creat(str long) msvcrt._creat
+@ cdecl _create_locale(long str) msvcrt._create_locale
+@ stub _crt_debugger_hook
+@ varargs _cscanf(str) msvcrt._cscanf
+@ varargs _cscanf_l(str ptr) msvcrt._cscanf_l
+@ varargs _cscanf_s(str) msvcrt._cscanf_s
+@ varargs _cscanf_s_l(str ptr) msvcrt._cscanf_s_l
+@ cdecl _ctime32(ptr) msvcrt._ctime32
+@ stub _ctime32_s
+@ cdecl _ctime64(ptr) msvcrt._ctime64
+@ stub _ctime64_s
+@ cdecl _cwait(ptr long long) msvcrt._cwait
+@ stub _cwprintf
+@ stub _cwprintf_l
+@ stub _cwprintf_p
+@ stub _cwprintf_p_l
+@ stub _cwprintf_s
+@ stub _cwprintf_s_l
+@ varargs _cwscanf(wstr) msvcrt._cwscanf
+@ varargs _cwscanf_l(wstr ptr) msvcrt._cwscanf_l
+@ varargs _cwscanf_s(wstr) msvcrt._cwscanf_s
+@ varargs _cwscanf_s_l(wstr ptr) msvcrt._cwscanf_s_l
+@ extern _daylight msvcrt._daylight
+@ cdecl _decode_pointer(ptr) MSVCR90_decode_pointer
+@ cdecl _difftime32(long long) msvcrt._difftime32
+@ cdecl _difftime64(long long) msvcrt._difftime64
+@ stub _dosmaperr
+@ extern _dstbias msvcrt._dstbias
+@ cdecl _dup(long) msvcrt._dup
+@ cdecl _dup2(long long) msvcrt._dup2
+@ stub _dupenv_s
+@ cdecl _ecvt(double long ptr ptr) msvcrt._ecvt
+@ stub _ecvt_s
+@ cdecl _encode_pointer(ptr) MSVCR90_encode_pointer
+@ cdecl _encoded_null()
+@ cdecl _endthread() msvcrt._endthread
+@ cdecl _endthreadex(long) msvcrt._endthreadex
+@ extern _environ msvcrt._environ
+@ cdecl _eof(long) msvcrt._eof
+@ cdecl _errno() msvcrt._errno
+@ cdecl -i386 _except_handler2(ptr ptr ptr ptr) msvcrt._except_handler2
+@ cdecl -i386 _except_handler3(ptr ptr ptr ptr) msvcrt._except_handler3
+@ cdecl -i386 _except_handler4_common(ptr ptr ptr ptr ptr ptr) msvcrt._except_handler4_common
+@ varargs _execl(str str) msvcrt._execl
+@ varargs _execle(str str) msvcrt._execle
+@ varargs _execlp(str str) msvcrt._execlp
+@ varargs _execlpe(str str) msvcrt._execlpe
+@ cdecl _execv(str ptr) msvcrt._execv
+@ cdecl _execve(str ptr ptr) msvcrt._execve
+@ cdecl _execvp(str ptr) msvcrt._execvp
+@ cdecl _execvpe(str ptr ptr) msvcrt._execvpe
+@ cdecl _exit(long) msvcrt._exit
+@ cdecl _expand(ptr long) msvcrt._expand
+@ stub _fclose_nolock
+@ cdecl _fcloseall() msvcrt._fcloseall
+@ cdecl _fcvt(double long ptr ptr) msvcrt._fcvt
+@ stub _fcvt_s
+@ cdecl _fdopen(long str) msvcrt._fdopen
+@ stub _fflush_nolock
+@ cdecl _fgetchar() msvcrt._fgetchar
+@ stub _fgetwc_nolock
+@ cdecl _fgetwchar() msvcrt._fgetwchar
+@ cdecl _filbuf(ptr) msvcrt._filbuf
+@ cdecl _filelength(long) msvcrt._filelength
+@ cdecl -ret64 _filelengthi64(long) msvcrt._filelengthi64
+@ cdecl _fileno(ptr) msvcrt._fileno
+@ cdecl _findclose(long) msvcrt._findclose
+@ stub _findfirst32
+@ stub _findfirst32i64
+@ cdecl _findfirst64(str ptr) msvcrt._findfirst64
+@ stub _findfirst64i32
+@ stub _findnext32
+@ stub _findnext32i64
+@ cdecl _findnext64(long ptr) msvcrt._findnext64
+@ stub _findnext64i32
+@ cdecl _finite( double ) msvcrt._finite
+@ cdecl _flsbuf(long ptr) msvcrt._flsbuf
+@ cdecl _flushall() msvcrt._flushall
+@ extern _fmode msvcrt._fmode
+@ cdecl _fpclass(double) msvcrt._fpclass
+@ stub _fpieee_flt
+@ cdecl _fpreset() msvcrt._fpreset
+@ stub _fprintf_l
+@ stub _fprintf_p
+@ stub _fprintf_p_l
+@ stub _fprintf_s_l
+@ cdecl _fputchar(long) msvcrt._fputchar
+@ stub _fputwc_nolock
+@ cdecl _fputwchar(long) msvcrt._fputwchar
+@ stub _fread_nolock
+@ stub _fread_nolock_s
+@ cdecl _free_locale(ptr) msvcrt._free_locale
+@ stub _freea
+@ stub _freea_s
+@ stub _freefls
+@ varargs _fscanf_l(ptr str ptr) msvcrt._fscanf_l
+@ varargs _fscanf_s_l(ptr str ptr) msvcrt._fscanf_s_l
+@ stub _fseek_nolock
+@ stub _fseeki64
+@ stub _fseeki64_nolock
+@ cdecl _fsopen(str str long) msvcrt._fsopen
+@ stub _fstat32
+@ stub _fstat32i64
+@ cdecl _fstat64(long ptr) msvcrt._fstat64
+@ stub _fstat64i32
+@ stub _ftell_nolock
+@ stub _ftelli64
+@ stub _ftelli64_nolock
+@ cdecl _ftime32(ptr) msvcrt._ftime32
+@ stub _ftime32_s
+@ cdecl _ftime64(ptr) msvcrt._ftime64
+@ stub _ftime64_s
+@ cdecl -ret64 _ftol() msvcrt._ftol
+@ cdecl _fullpath(ptr str long) msvcrt._fullpath
+@ cdecl _futime32(long ptr) msvcrt._futime32
+@ cdecl _futime64(long ptr) msvcrt._futime64
+@ stub _fwprintf_l
+@ stub _fwprintf_p
+@ stub _fwprintf_p_l
+@ stub _fwprintf_s_l
+@ stub _fwrite_nolock
+@ varargs _fwscanf_l(ptr wstr ptr) msvcrt._fwscanf_l
+@ varargs _fwscanf_s_l(ptr wstr ptr) msvcrt._fwscanf_s_l
+@ cdecl _gcvt(double long str) msvcrt._gcvt
+@ stub _gcvt_s
+@ stub _get_amblksiz
+@ stub _get_current_locale
+@ stub _get_daylight
+@ stub _get_doserrno
+@ stub _get_dstbias
+@ stub _get_errno
+@ stub _get_fmode
+@ cdecl _get_heap_handle() msvcrt._get_heap_handle
+@ cdecl _get_invalid_parameter_handler() msvcrt._get_invalid_parameter_handler
+@ cdecl _get_osfhandle(long) msvcrt._get_osfhandle
+@ stub _get_output_format
+@ stub _get_pgmptr
+@ stub _get_printf_count_output
+@ stub _get_purecall_handler
+@ cdecl _get_sbh_threshold() msvcrt._get_sbh_threshold
+@ stub _get_terminate
+@ stub _get_timezone
+@ stub _get_tzname
+@ stub _get_unexpected
+@ stub _get_wpgmptr
+@ stub _getc_nolock
+@ cdecl _getch() msvcrt._getch
+@ stub _getch_nolock
+@ cdecl _getche() msvcrt._getche
+@ stub _getche_nolock
+@ cdecl _getcwd(str long) msvcrt._getcwd
+@ cdecl _getdcwd(long str long) msvcrt._getdcwd
+@ stub _getdcwd_nolock
+@ cdecl _getdiskfree(long ptr) msvcrt._getdiskfree
+@ cdecl _getdllprocaddr(long str long) msvcrt._getdllprocaddr
+@ cdecl _getdrive() msvcrt._getdrive
+@ cdecl _getdrives() msvcrt._getdrives
+@ cdecl _getmaxstdio() msvcrt._getmaxstdio
+@ cdecl _getmbcp() msvcrt._getmbcp
+@ cdecl _getpid() msvcrt._getpid
+@ stub _getptd
+@ stub _getsystime
+@ cdecl _getw(ptr) msvcrt._getw
+@ stub _getwch
+@ stub _getwch_nolock
+@ stub _getwche
+@ stub _getwche_nolock
+@ cdecl _getws(ptr) msvcrt._getws
+@ stub _getws_s
+@ cdecl -i386 _global_unwind2(ptr) msvcrt._global_unwind2
+@ cdecl _gmtime32(ptr) msvcrt._gmtime32
+@ stub _gmtime32_s
+@ cdecl _gmtime64(ptr) msvcrt._gmtime64
+@ stub _gmtime64_s
+@ cdecl _heapadd(ptr long) msvcrt._heapadd
+@ cdecl _heapchk() msvcrt._heapchk
+@ cdecl _heapmin() msvcrt._heapmin
+@ cdecl _heapset(long) msvcrt._heapset
+@ stub _heapused
+@ cdecl _heapwalk(ptr) msvcrt._heapwalk
+@ cdecl _hypot(double double) msvcrt._hypot
+@ stub _hypotf
+@ cdecl _i64toa(long long ptr long) msvcrt._i64toa
+@ stub _i64toa_s
+@ cdecl _i64tow(long long ptr long) msvcrt._i64tow
+@ stub _i64tow_s
+@ stub _initptd
+@ cdecl _initterm(ptr ptr) msvcrt._initterm
+@ cdecl _initterm_e(ptr ptr)
+@ stub _inp
+@ stub _inpd
+@ stub _inpw
+@ cdecl _invalid_parameter(wstr wstr wstr long long) msvcrt._invalid_parameter
+@ cdecl _invalid_parameter_noinfo()
+@ stub _invoke_watson
+@ extern _iob msvcrt._iob
+@ stub _isalnum_l
+@ stub _isalpha_l
+@ cdecl _isatty(long) msvcrt._isatty
+@ stub _iscntrl_l
+@ cdecl _isctype(long long) msvcrt._isctype
+@ stub _isctype_l
+@ stub _isdigit_l
+@ stub _isgraph_l
+@ stub _isleadbyte_l
+@ stub _islower_l
+@ stub _ismbbalnum
+@ stub _ismbbalnum_l
+@ stub _ismbbalpha
+@ stub _ismbbalpha_l
+@ stub _ismbbgraph
+@ stub _ismbbgraph_l
+@ stub _ismbbkalnum
+@ stub _ismbbkalnum_l
+@ cdecl _ismbbkana(long) msvcrt._ismbbkana
+@ stub _ismbbkana_l
+@ stub _ismbbkprint
+@ stub _ismbbkprint_l
+@ stub _ismbbkpunct
+@ stub _ismbbkpunct_l
+@ cdecl _ismbblead(long) msvcrt._ismbblead
+@ stub _ismbblead_l
+@ stub _ismbbprint
+@ stub _ismbbprint_l
+@ stub _ismbbpunct
+@ stub _ismbbpunct_l
+@ cdecl _ismbbtrail(long) msvcrt._ismbbtrail
+@ stub _ismbbtrail_l
+@ cdecl _ismbcalnum(long) msvcrt._ismbcalnum
+@ stub _ismbcalnum_l
+@ cdecl _ismbcalpha(long) msvcrt._ismbcalpha
+@ stub _ismbcalpha_l
+@ cdecl _ismbcdigit(long) msvcrt._ismbcdigit
+@ stub _ismbcdigit_l
+@ cdecl _ismbcgraph(long) msvcrt._ismbcgraph
+@ stub _ismbcgraph_l
+@ cdecl _ismbchira(long) msvcrt._ismbchira
+@ stub _ismbchira_l
+@ cdecl _ismbckata(long) msvcrt._ismbckata
+@ stub _ismbckata_l
+@ stub _ismbcl0
+@ stub _ismbcl0_l
+@ stub _ismbcl1
+@ stub _ismbcl1_l
+@ stub _ismbcl2
+@ stub _ismbcl2_l
+@ cdecl _ismbclegal(long) msvcrt._ismbclegal
+@ stub _ismbclegal_l
+@ cdecl _ismbclower(long) msvcrt._ismbclower
+@ stub _ismbclower_l
+@ cdecl _ismbcprint(long) msvcrt._ismbcprint
+@ stub _ismbcprint_l
+@ cdecl _ismbcpunct(long) msvcrt._ismbcpunct
+@ stub _ismbcpunct_l
+@ cdecl _ismbcspace(long) msvcrt._ismbcspace
+@ stub _ismbcspace_l
+@ cdecl _ismbcsymbol(long) msvcrt._ismbcsymbol
+@ stub _ismbcsymbol_l
+@ cdecl _ismbcupper(long) msvcrt._ismbcupper
+@ stub _ismbcupper_l
+@ cdecl _ismbslead(ptr ptr) msvcrt._ismbslead
+@ stub _ismbslead_l
+@ cdecl _ismbstrail(ptr ptr) msvcrt._ismbstrail
+@ stub _ismbstrail_l
+@ cdecl _isnan( double ) msvcrt._isnan
+@ stub _isprint_l
+@ stub _ispunct_l
+@ stub _isspace_l
+@ stub _isupper_l
+@ stub _iswalnum_l
+@ cdecl _iswalpha_l(long ptr) msvcrt._iswalpha_l
+@ stub _iswcntrl_l
+@ stub _iswcsym_l
+@ stub _iswcsymf_l
+@ stub _iswctype_l
+@ stub _iswdigit_l
+@ stub _iswgraph_l
+@ stub _iswlower_l
+@ stub _iswprint_l
+@ stub _iswpunct_l
+@ stub _iswspace_l
+@ stub _iswupper_l
+@ stub _iswxdigit_l
+@ stub _isxdigit_l
+@ cdecl _itoa(long ptr long) msvcrt._itoa
+@ stub _itoa_s
+@ cdecl _itow(long ptr long) msvcrt._itow
+@ stub _itow_s
+@ cdecl _j0(double) msvcrt._j0
+@ cdecl _j1(double) msvcrt._j1
+@ cdecl _jn(long double) msvcrt._jn
+@ cdecl _kbhit() msvcrt._kbhit
+@ cdecl _lfind(ptr ptr ptr long ptr) msvcrt._lfind
+@ stub _lfind_s
+@ cdecl _loaddll(str) msvcrt._loaddll
+@ cdecl -i386 _local_unwind2(ptr long) msvcrt._local_unwind2
+@ cdecl -i386 _local_unwind4(ptr ptr long) msvcrt._local_unwind4
+@ cdecl _localtime32(ptr) msvcrt._localtime32
+@ stub _localtime32_s
+@ cdecl _localtime64(ptr) msvcrt._localtime64
+@ stub _localtime64_s
+@ cdecl _lock(long) msvcrt._lock
+@ stub _lock_file
+@ cdecl _locking(long long long) msvcrt._locking
+@ cdecl _logb( double ) msvcrt._logb
+@ cdecl -i386 _longjmpex(ptr long) msvcrt._longjmpex
+@ cdecl _lrotl(long long) msvcrt._lrotl
+@ cdecl _lrotr(long long) msvcrt._lrotr
+@ cdecl _lsearch(ptr ptr long long ptr) msvcrt._lsearch
+@ stub _lsearch_s
+@ cdecl _lseek(long long long) msvcrt._lseek
+@ cdecl -ret64 _lseeki64(long double long) msvcrt._lseeki64
+@ cdecl _ltoa(long ptr long) msvcrt._ltoa
+@ stub _ltoa_s
+@ cdecl _ltow(long ptr long) msvcrt._ltow
+@ stub _ltow_s
+@ cdecl _makepath(ptr str str str str) msvcrt._makepath
+@ stub _makepath_s
+@ cdecl _malloc_crt(long) msvcrt.malloc
+@ cdecl _mbbtombc(long) msvcrt._mbbtombc
+@ stub _mbbtombc_l
+@ cdecl _mbbtype(long long) msvcrt._mbbtype
+@ stub _mbbtype_l
+@ stub _mbcasemap
+@ cdecl _mbccpy(str str) msvcrt._mbccpy
+@ stub _mbccpy_l
+@ stub _mbccpy_s
+@ stub _mbccpy_s_l
+@ cdecl _mbcjistojms(long) msvcrt._mbcjistojms
+@ stub _mbcjistojms_l
+@ stub _mbcjmstojis
+@ stub _mbcjmstojis_l
+@ cdecl _mbclen(ptr) msvcrt._mbclen
+@ stub _mbclen_l
+@ stub _mbctohira
+@ stub _mbctohira_l
+@ stub _mbctokata
+@ stub _mbctokata_l
+@ cdecl _mbctolower(long) msvcrt._mbctolower
+@ stub _mbctolower_l
+@ cdecl _mbctombb(long) msvcrt._mbctombb
+@ stub _mbctombb_l
+@ cdecl _mbctoupper(long) msvcrt._mbctoupper
+@ stub _mbctoupper_l
+@ extern _mbctype msvcrt._mbctype
+@ stub _mblen_l
+@ cdecl _mbsbtype(str long) msvcrt._mbsbtype
+@ stub _mbsbtype_l
+@ stub _mbscat_s
+@ stub _mbscat_s_l
+@ cdecl _mbschr(str long) msvcrt._mbschr
+@ stub _mbschr_l
+@ cdecl _mbscmp(str str) msvcrt._mbscmp
+@ stub _mbscmp_l
+@ cdecl _mbscoll(str str) msvcrt._mbscoll
+@ stub _mbscoll_l
+@ stub _mbscpy_s
+@ stub _mbscpy_s_l
+@ cdecl _mbscspn(str str) msvcrt._mbscspn
+@ stub _mbscspn_l
+@ cdecl _mbsdec(ptr ptr) msvcrt._mbsdec
+@ stub _mbsdec_l
+@ cdecl _mbsicmp(str str) msvcrt._mbsicmp
+@ stub _mbsicmp_l
+@ cdecl _mbsicoll(str str) msvcrt._mbsicoll
+@ stub _mbsicoll_l
+@ cdecl _mbsinc(str) msvcrt._mbsinc
+@ stub _mbsinc_l
+@ cdecl _mbslen(str) msvcrt._mbslen
+@ stub _mbslen_l
+@ cdecl _mbslwr(str) msvcrt._mbslwr
+@ stub _mbslwr_l
+@ stub _mbslwr_s
+@ stub _mbslwr_s_l
+@ cdecl _mbsnbcat(str str long) msvcrt._mbsnbcat
+@ stub _mbsnbcat_l
+@ stub _mbsnbcat_s
+@ stub _mbsnbcat_s_l
+@ cdecl _mbsnbcmp(str str long) msvcrt._mbsnbcmp
+@ stub _mbsnbcmp_l
+@ cdecl _mbsnbcnt(ptr long) msvcrt._mbsnbcnt
+@ stub _mbsnbcnt_l
+@ stub _mbsnbcoll
+@ stub _mbsnbcoll_l
+@ cdecl _mbsnbcpy(ptr str long) msvcrt._mbsnbcpy
+@ stub _mbsnbcpy_l
+@ cdecl _mbsnbcpy_s(ptr long str long) msvcrt._mbsnbcpy_s
+@ stub _mbsnbcpy_s_l
+@ cdecl _mbsnbicmp(str str long) msvcrt._mbsnbicmp
+@ stub _mbsnbicmp_l
+@ stub _mbsnbicoll
+@ stub _mbsnbicoll_l
+@ cdecl _mbsnbset(str long long) msvcrt._mbsnbset
+@ stub _mbsnbset_l
+@ stub _mbsnbset_s
+@ stub _mbsnbset_s_l
+@ cdecl _mbsncat(str str long) msvcrt._mbsncat
+@ stub _mbsncat_l
+@ stub _mbsncat_s
+@ stub _mbsncat_s_l
+@ cdecl _mbsnccnt(str long) msvcrt._mbsnccnt
+@ stub _mbsnccnt_l
+@ cdecl _mbsncmp(str str long) msvcrt._mbsncmp
+@ stub _mbsncmp_l
+@ stub _mbsncoll
+@ stub _mbsncoll_l
+@ cdecl _mbsncpy(str str long) msvcrt._mbsncpy
+@ stub _mbsncpy_l
+@ stub _mbsncpy_s
+@ stub _mbsncpy_s_l
+@ cdecl _mbsnextc(str) msvcrt._mbsnextc
+@ stub _mbsnextc_l
+@ cdecl _mbsnicmp(str str long) msvcrt._mbsnicmp
+@ stub _mbsnicmp_l
+@ stub _mbsnicoll
+@ stub _mbsnicoll_l
+@ cdecl _mbsninc(str long) msvcrt._mbsninc
+@ stub _mbsninc_l
+@ stub _mbsnlen
+@ stub _mbsnlen_l
+@ cdecl _mbsnset(str long long) msvcrt._mbsnset
+@ stub _mbsnset_l
+@ stub _mbsnset_s
+@ stub _mbsnset_s_l
+@ cdecl _mbspbrk(str str) msvcrt._mbspbrk
+@ stub _mbspbrk_l
+@ cdecl _mbsrchr(str long) msvcrt._mbsrchr
+@ stub _mbsrchr_l
+@ cdecl _mbsrev(str) msvcrt._mbsrev
+@ stub _mbsrev_l
+@ cdecl _mbsset(str long) msvcrt._mbsset
+@ stub _mbsset_l
+@ stub _mbsset_s
+@ stub _mbsset_s_l
+@ cdecl _mbsspn(str str) msvcrt._mbsspn
+@ stub _mbsspn_l
+@ cdecl _mbsspnp(str str) msvcrt._mbsspnp
+@ stub _mbsspnp_l
+@ cdecl _mbsstr(str str) msvcrt._mbsstr
+@ stub _mbsstr_l
+@ cdecl _mbstok(str str) msvcrt._mbstok
+@ stub _mbstok_l
+@ stub _mbstok_s
+@ stub _mbstok_s_l
+@ stub _mbstowcs_l
+@ stub _mbstowcs_s_l
+@ cdecl _mbstrlen(str) msvcrt._mbstrlen
+@ stub _mbstrlen_l
+@ stub _mbstrnlen
+@ stub _mbstrnlen_l
+@ cdecl _mbsupr(str) msvcrt._mbsupr
+@ stub _mbsupr_l
+@ stub _mbsupr_s
+@ stub _mbsupr_s_l
+@ stub _mbtowc_l
+@ cdecl _memccpy(ptr ptr long long) msvcrt._memccpy
+@ cdecl _memicmp(str str long) msvcrt._memicmp
+@ stub _memicmp_l
+@ cdecl _mkdir(str) msvcrt._mkdir
+@ cdecl _mkgmtime32(ptr) msvcrt._mkgmtime32
+@ cdecl _mkgmtime64(ptr) msvcrt._mkgmtime64
+@ cdecl _mktemp(str) msvcrt._mktemp
+@ stub _mktemp_s
+@ cdecl _mktime32(ptr) msvcrt._mktime32
+@ cdecl _mktime64(ptr) msvcrt._mktime64
+@ cdecl _msize(ptr) msvcrt._msize
+@ cdecl _nextafter(double double) msvcrt._nextafter
+@ cdecl _onexit(ptr) msvcrt._onexit
+@ varargs _open(str long) msvcrt._open
+@ cdecl _open_osfhandle(long long) msvcrt._open_osfhandle
+@ stub _outp
+@ stub _outpd
+@ stub _outpw
+@ cdecl _pclose(ptr) msvcrt._pclose
+@ extern _pctype msvcrt._pctype
+@ extern _pgmptr msvcrt._pgmptr
+@ cdecl _pipe(ptr long long) msvcrt._pipe
+@ cdecl _popen(str str) msvcrt._popen
+@ stub _printf_l
+@ stub _printf_p
+@ stub _printf_p_l
+@ stub _printf_s_l
+@ cdecl _purecall() msvcrt._purecall
+@ cdecl _putch(long) msvcrt._putch
+@ stub _putch_nolock
+@ cdecl _putenv(str) msvcrt._putenv
+@ stub _putenv_s
+@ cdecl _putw(long ptr) msvcrt._putw
+@ stub _putwch
+@ stub _putwch_nolock
+@ cdecl _putws(wstr) msvcrt._putws
+@ stub _pwctype
+@ cdecl _read(long ptr long) msvcrt._read
+@ stub _realloc_crt
+@ cdecl _recalloc(ptr long long)
+@ stub _recalloc_crt
+@ stub _resetstkoflw
+@ cdecl _rmdir(str) msvcrt._rmdir
+@ cdecl _rmtmp() msvcrt._rmtmp
+@ cdecl _rotl(long long) msvcrt._rotl
+@ stub _rotl64
+@ cdecl _rotr(long long) msvcrt._rotr
+@ stub _rotr64
+@ cdecl -arch=i386 _safe_fdiv() msvcrt._safe_fdiv
+@ cdecl -arch=i386 _safe_fdivr() msvcrt._safe_fdivr
+@ cdecl -arch=i386 _safe_fprem() msvcrt._safe_fprem
+@ cdecl -arch=i386 _safe_fprem1() msvcrt._safe_fprem1
+@ cdecl _scalb( double long) msvcrt._scalb
+@ varargs _scanf_l(str ptr) msvcrt._scanf_l
+@ varargs _scanf_s_l(str ptr) msvcrt._scanf_s_l
+@ stub _scprintf
+@ stub _scprintf_l
+@ stub _scprintf_p
+@ stub _scprintf_p_l
+@ stub _scwprintf
+@ stub _scwprintf_l
+@ stub _scwprintf_p
+@ stub _scwprintf_p_l
+@ cdecl _searchenv(str str ptr) msvcrt._searchenv
+@ stub _searchenv_s
+@ stub _seh_longjmp_unwind4
+@ stdcall -i386 _seh_longjmp_unwind(ptr) msvcrt._seh_longjmp_unwind
+@ stub _set_SSE2_enable
+@ stub _set_abort_behavior
+@ stub _set_amblksiz
+@ stub _set_controlfp
+@ stub _set_doserrno
+@ stub _set_errno
+@ cdecl _set_error_mode(long) msvcrt._set_error_mode
+@ stub _set_fmode
+@ cdecl _set_invalid_parameter_handler(ptr) msvcrt._set_invalid_parameter_handler
+@ stub _set_malloc_crt_max_wait
+@ stub _set_output_format
+@ stub _set_printf_count_output
+@ stub _set_purecall_handler
+@ cdecl _set_sbh_threshold(long) msvcrt._set_sbh_threshold
+@ cdecl _seterrormode(long) msvcrt._seterrormode
+@ cdecl -i386 -norelay _setjmp(ptr) msvcrt._setjmp
+@ cdecl -i386 -norelay _setjmp3(ptr long) msvcrt._setjmp3
+@ cdecl _setmaxstdio(long) msvcrt._setmaxstdio
+@ cdecl _setmbcp(long) msvcrt._setmbcp
+@ cdecl _setmode(long long) msvcrt._setmode
+@ stub _setsystime
+@ cdecl _sleep(long) msvcrt._sleep
+@ varargs _snprintf(ptr long str) msvcrt._snprintf
+@ stub _snprintf_c
+@ stub _snprintf_c_l
+@ stub _snprintf_l
+@ stub _snprintf_s
+@ stub _snprintf_s_l
+@ stub _snscanf
+@ stub _snscanf_l
+@ stub _snscanf_s
+@ stub _snscanf_s_l
+@ varargs _snwprintf(ptr long wstr) msvcrt._snwprintf
+@ stub _snwprintf_l
+@ stub _snwprintf_s
+@ stub _snwprintf_s_l
+@ stub _snwscanf
+@ stub _snwscanf_l
+@ stub _snwscanf_s
+@ stub _snwscanf_s_l
+@ varargs _sopen(str long long) msvcrt._sopen
+@ stub _sopen_s
+@ varargs _spawnl(long str str) msvcrt._spawnl
+@ varargs _spawnle(long str str) msvcrt._spawnle
+@ varargs _spawnlp(long str str) msvcrt._spawnlp
+@ varargs _spawnlpe(long str str) msvcrt._spawnlpe
+@ cdecl _spawnv(long str ptr) msvcrt._spawnv
+@ cdecl _spawnve(long str ptr ptr) msvcrt._spawnve
+@ cdecl _spawnvp(long str ptr) msvcrt._spawnvp
+@ cdecl _spawnvpe(long str ptr ptr) msvcrt._spawnvpe
+@ cdecl _splitpath(str ptr ptr ptr ptr) msvcrt._splitpath
+@ stub _splitpath_s
+@ stub _sprintf_l
+@ stub _sprintf_p
+@ stub _sprintf_p_l
+@ stub _sprintf_s_l
+@ varargs _sscanf_l(str str ptr) msvcrt._sscanf_l
+@ varargs _sscanf_s_l(str str ptr) msvcrt._sscanf_s_l
+@ stub _stat32
+@ stub _stat32i64
+@ cdecl _stat64(str ptr) msvcrt._stat64
+@ stub _stat64i32
+@ cdecl _statusfp() msvcrt._statusfp
+@ stub _statusfp2
+@ stub _strcoll_l
+@ cdecl _strdate(ptr) msvcrt._strdate
+@ stub _strdate_s
+@ cdecl _strdup(str) msvcrt._strdup
+@ cdecl _strerror(long) msvcrt._strerror
+@ stub _strerror_s
+@ stub _strftime_l
+@ cdecl _stricmp(str str) msvcrt._stricmp
+@ stub _stricmp_l
+@ cdecl _stricoll(str str) msvcrt._stricoll
+@ stub _stricoll_l
+@ cdecl _strlwr(str) msvcrt._strlwr
+@ stub _strlwr_l
+@ stub _strlwr_s
+@ stub _strlwr_s_l
+@ stub _strncoll
+@ stub _strncoll_l
+@ cdecl _strnicmp(str str long) msvcrt._strnicmp
+@ stub _strnicmp_l
+@ stub _strnicoll
+@ stub _strnicoll_l
+@ cdecl _strnset(str long long) msvcrt._strnset
+@ stub _strnset_s
+@ cdecl _strrev(str) msvcrt._strrev
+@ cdecl _strset(str long) msvcrt._strset
+@ stub _strset_s
+@ cdecl _strtime(ptr) msvcrt._strtime
+@ stub _strtime_s
+@ cdecl _strtod_l(str ptr ptr) msvcrt._strtod_l
+@ cdecl _strtoi64(str ptr long) msvcrt._strtoi64
+@ cdecl _strtoi64_l(str ptr long ptr) msvcrt._strtoi64_l
+@ stub _strtol_l
+@ cdecl _strtoui64(str ptr long) msvcrt._strtoui64
+@ cdecl _strtoui64_l(str ptr long ptr) msvcrt._strtoui64_l
+@ stub _strtoul_l
+@ cdecl _strupr(str) msvcrt._strupr
+@ stub _strupr_l
+@ stub _strupr_s
+@ stub _strupr_s_l
+@ stub _strxfrm_l
+@ cdecl _swab(str str long) msvcrt._swab
+@ stub _swprintf
+@ stub _swprintf_c
+@ stub _swprintf_c_l
+@ stub _swprintf_p
+@ stub _swprintf_p_l
+@ stub _swprintf_s_l
+@ varargs _swscanf_l(wstr wstr ptr) msvcrt._swscanf_l
+@ varargs _swscanf_s_l(wstr wstr ptr) msvcrt._swscanf_s_l
+@ extern _sys_errlist msvcrt._sys_errlist
+@ extern _sys_nerr msvcrt._sys_nerr
+@ cdecl _tell(long) msvcrt._tell
+@ cdecl -ret64 _telli64(long) msvcrt._telli64
+@ cdecl _tempnam(str str) msvcrt._tempnam
+@ cdecl _time32(ptr) msvcrt._time32
+@ cdecl _time64(ptr) msvcrt._time64
+@ extern _timezone msvcrt._timezone
+@ cdecl _tolower(long) msvcrt._tolower
+@ stub _tolower_l
+@ cdecl _toupper(long) msvcrt._toupper
+@ stub _toupper_l
+@ stub _towlower_l
+@ stub _towupper_l
+@ extern _tzname msvcrt._tzname
+@ cdecl _tzset() msvcrt._tzset
+@ cdecl _ui64toa(long long ptr long) msvcrt._ui64toa
+@ stub _ui64toa_s
+@ cdecl _ui64tow(long long ptr long) msvcrt._ui64tow
+@ stub _ui64tow_s
+@ cdecl _ultoa(long ptr long) msvcrt._ultoa
+@ stub _ultoa_s
+@ cdecl _ultow(long ptr long) msvcrt._ultow
+@ stub _ultow_s
+@ cdecl _umask(long) msvcrt._umask
+@ stub _umask_s
+@ stub _ungetc_nolock
+@ cdecl _ungetch(long) msvcrt._ungetch
+@ stub _ungetch_nolock
+@ stub _ungetwc_nolock
+@ stub _ungetwch
+@ stub _ungetwch_nolock
+@ cdecl _unlink(str) msvcrt._unlink
+@ cdecl _unloaddll(long) msvcrt._unloaddll
+@ cdecl _unlock(long) msvcrt._unlock
+@ stub _unlock_file
+@ cdecl _utime32(str ptr) msvcrt._utime32
+@ cdecl _utime64(str ptr) msvcrt._utime64
+@ stub _vcprintf
+@ stub _vcprintf_l
+@ stub _vcprintf_p
+@ stub _vcprintf_p_l
+@ stub _vcprintf_s
+@ stub _vcprintf_s_l
+@ stub _vcwprintf
+@ stub _vcwprintf_l
+@ stub _vcwprintf_p
+@ stub _vcwprintf_p_l
+@ stub _vcwprintf_s
+@ stub _vcwprintf_s_l
+@ stub _vfprintf_l
+@ stub _vfprintf_p
+@ stub _vfprintf_p_l
+@ stub _vfprintf_s_l
+@ stub _vfwprintf_l
+@ stub _vfwprintf_p
+@ stub _vfwprintf_p_l
+@ stub _vfwprintf_s_l
+@ stub _vprintf_l
+@ stub _vprintf_p
+@ stub _vprintf_p_l
+@ stub _vprintf_s_l
+@ cdecl _vscprintf(str ptr) msvcrt._vscprintf
+@ stub _vscprintf_l
+@ stub _vscprintf_p
+@ stub _vscprintf_p_l
+@ cdecl _vscwprintf(wstr ptr) msvcrt._vscwprintf
+@ stub _vscwprintf_l
+@ stub _vscwprintf_p
+@ stub _vscwprintf_p_l
+@ cdecl _vsnprintf(ptr long str ptr) msvcrt._vsnprintf
+@ cdecl _vsnprintf_c(ptr long str ptr) msvcrt._vsnprintf
+@ cdecl _vsnprintf_c_l(ptr long str ptr ptr) msvcrt._vsnprintf_l
+@ cdecl _vsnprintf_l(ptr long str ptr ptr) msvcrt._vsnprintf_l
+@ cdecl _vsnprintf_s(ptr long long str ptr) msvcrt._vsnprintf_s
+@ cdecl _vsnprintf_s_l(ptr long long str ptr ptr) msvcrt._vsnprintf_s_l
+@ cdecl _vsnwprintf(ptr long wstr ptr) msvcrt._vsnwprintf
+@ cdecl _vsnwprintf_l(ptr long wstr ptr ptr) msvcrt._vsnwprintf_l
+@ cdecl _vsnwprintf_s(ptr long long wstr ptr) msvcrt._vsnwprintf_s
+@ cdecl _vsnwprintf_s_l(ptr long long wstr ptr ptr) msvcrt._vsnwprintf_s_l
+@ stub _vsprintf_l
+@ stub _vsprintf_p
+@ stub _vsprintf_p_l
+@ stub _vsprintf_s_l
+@ cdecl _vswprintf(ptr long wstr ptr) msvcrt._vswprintf
+@ cdecl _vswprintf_c(ptr long wstr ptr) msvcrt._vswprintf_c
+@ cdecl _vswprintf_c_l(ptr long wstr ptr ptr) msvcrt._vswprintf_c_l
+@ cdecl _vswprintf_l(ptr long wstr ptr ptr) msvcrt._vswprintf_l
+@ cdecl _vswprintf_p(ptr long wstr ptr) msvcrt._vswprintf
+@ cdecl _vswprintf_p_l(ptr long wstr ptr ptr) msvcrt._vswprintf_p_l
+@ cdecl _vswprintf_s_l(ptr long wstr ptr ptr) msvcrt._vswprintf_s_l
+@ stub _vwprintf_l
+@ stub _vwprintf_p
+@ stub _vwprintf_p_l
+@ stub _vwprintf_s_l
+@ cdecl _waccess(wstr long) msvcrt._waccess
+@ stub _waccess_s
+@ cdecl _wasctime(ptr) msvcrt._wasctime
+@ stub _wasctime_s
+@ stub _wassert
+@ cdecl _wchdir(wstr) msvcrt._wchdir
+@ cdecl _wchmod(wstr long) msvcrt._wchmod
+@ extern _wcmdln msvcrt._wcmdln
+@ cdecl _wcreat(wstr long) msvcrt._wcreat
+@ stub _wcscoll_l
+@ cdecl _wcsdup(wstr) msvcrt._wcsdup
+@ stub _wcserror
+@ stub _wcserror_s
+@ stub _wcsftime_l
+@ cdecl _wcsicmp(wstr wstr) msvcrt._wcsicmp
+@ stub _wcsicmp_l
+@ cdecl _wcsicoll(wstr wstr) msvcrt._wcsicoll
+@ stub _wcsicoll_l
+@ cdecl _wcslwr(wstr) msvcrt._wcslwr
+@ stub _wcslwr_l
+@ stub _wcslwr_s
+@ stub _wcslwr_s_l
+@ stub _wcsncoll
+@ stub _wcsncoll_l
+@ cdecl _wcsnicmp(wstr wstr long) msvcrt._wcsnicmp
+@ stub _wcsnicmp_l
+@ stub _wcsnicoll
+@ stub _wcsnicoll_l
+@ cdecl _wcsnset(wstr long long) msvcrt._wcsnset
+@ stub _wcsnset_s
+@ cdecl _wcsrev(wstr) msvcrt._wcsrev
+@ cdecl _wcsset(wstr long) msvcrt._wcsset
+@ stub _wcsset_s
+@ cdecl _wcstod_l(wstr ptr) msvcrt._wcstod_l
+@ cdecl _wcstoi64(wstr ptr long) msvcrt._wcstoi64
+@ cdecl _wcstoi64_l(wstr ptr long ptr) msvcrt._wcstoi64_l
+@ stub _wcstol_l
+@ stub _wcstombs_l
+@ cdecl _wcstombs_s_l(ptr ptr long wstr long ptr) msvcrt._wcstombs_s_l
+@ cdecl _wcstoui64(wstr ptr long) msvcrt._wcstoui64
+@ cdecl _wcstoui64_l(wstr ptr long ptr) msvcrt._wcstoui64_l
+@ stub _wcstoul_l
+@ cdecl _wcsupr(wstr) msvcrt._wcsupr
+@ stub _wcsupr_l
+@ cdecl _wcsupr_s(wstr long) msvcrt._wcsupr_s
+@ stub _wcsupr_s_l
+@ stub _wcsxfrm_l
+@ cdecl _wctime32(ptr) msvcrt._wctime32
+@ stub _wctime32_s
+@ cdecl _wctime64(ptr) msvcrt._wctime64
+@ stub _wctime64_s
+@ stub _wctomb_l
+@ stub _wctomb_s_l
+@ stub _wctype
+@ stub _wdupenv_s
+@ extern _wenviron msvcrt._wenviron
+@ varargs _wexecl(wstr wstr) msvcrt._wexecl
+@ varargs _wexecle(wstr wstr) msvcrt._wexecle
+@ varargs _wexeclp(wstr wstr) msvcrt._wexeclp
+@ varargs _wexeclpe(wstr wstr) msvcrt._wexeclpe
+@ cdecl _wexecv(wstr ptr) msvcrt._wexecv
+@ cdecl _wexecve(wstr ptr ptr) msvcrt._wexecve
+@ cdecl _wexecvp(wstr ptr) msvcrt._wexecvp
+@ cdecl _wexecvpe(wstr ptr ptr) msvcrt._wexecvpe
+@ cdecl _wfdopen(long wstr) msvcrt._wfdopen
+@ stub _wfindfirst32
+@ stub _wfindfirst32i64
+@ stub _wfindfirst64
+@ stub _wfindfirst64i32
+@ stub _wfindnext32
+@ stub _wfindnext32i64
+@ stub _wfindnext64
+@ stub _wfindnext64i32
+@ cdecl _wfopen(wstr wstr) msvcrt._wfopen
+@ cdecl _wfopen_s(ptr wstr wstr) msvcrt._wfopen_s
+@ cdecl _wfreopen(wstr wstr ptr) msvcrt._wfreopen
+@ stub _wfreopen_s
+@ cdecl _wfsopen(wstr wstr long) msvcrt._wfsopen
+@ cdecl _wfullpath(ptr wstr long) msvcrt._wfullpath
+@ cdecl _wgetcwd(wstr long) msvcrt._wgetcwd
+@ cdecl _wgetdcwd(long wstr long) msvcrt._wgetdcwd
+@ stub _wgetdcwd_nolock
+@ cdecl _wgetenv(wstr) msvcrt._wgetenv
+@ stub _wgetenv_s
+@ cdecl _wmakepath(wstr wstr wstr wstr wstr) msvcrt._wmakepath
+@ stub _wmakepath_s
+@ cdecl _wmkdir(wstr) msvcrt._wmkdir
+@ cdecl _wmktemp(wstr) msvcrt._wmktemp
+@ stub _wmktemp_s
+@ varargs _wopen(wstr long) msvcrt._wopen
+@ stub _wperror
+@ extern _wpgmptr msvcrt._wpgmptr
+@ cdecl _wpopen(wstr wstr) msvcrt._wpopen
+@ stub _wprintf_l
+@ stub _wprintf_p
+@ stub _wprintf_p_l
+@ stub _wprintf_s_l
+@ cdecl _wputenv(wstr) msvcrt._wputenv
+@ stub _wputenv_s
+@ cdecl _wremove(wstr) msvcrt._wremove
+@ cdecl _wrename(wstr wstr) msvcrt._wrename
+@ cdecl _write(long ptr long) msvcrt._write
+@ cdecl _wrmdir(wstr) msvcrt._wrmdir
+@ varargs _wscanf_l(wstr ptr) msvcrt._wscanf_l
+@ varargs _wscanf_s_l(wstr ptr) msvcrt._wscanf_s_l
+@ cdecl _wsearchenv(wstr wstr ptr) msvcrt._wsearchenv
+@ stub _wsearchenv_s
+@ cdecl _wsetlocale(long wstr) msvcrt._wsetlocale
+@ varargs _wsopen(wstr long long) msvcrt._wsopen
+@ stub _wsopen_s
+@ varargs _wspawnl(long wstr wstr) msvcrt._wspawnl
+@ varargs _wspawnle(long wstr wstr) msvcrt._wspawnle
+@ varargs _wspawnlp(long wstr wstr) msvcrt._wspawnlp
+@ varargs _wspawnlpe(long wstr wstr) msvcrt._wspawnlpe
+@ cdecl _wspawnv(long wstr ptr) msvcrt._wspawnv
+@ cdecl _wspawnve(long wstr ptr ptr) msvcrt._wspawnve
+@ cdecl _wspawnvp(long wstr ptr) msvcrt._wspawnvp
+@ cdecl _wspawnvpe(long wstr ptr ptr) msvcrt._wspawnvpe
+@ cdecl _wsplitpath(wstr ptr ptr ptr ptr) msvcrt._wsplitpath
+@ cdecl _wsplitpath_s(wstr ptr long ptr long ptr long ptr long) msvcrt._wsplitpath_s
+@ stub _wstat32
+@ stub _wstat32i64
+@ cdecl _wstat64(wstr ptr) msvcrt._wstat64
+@ stub _wstat64i32
+@ cdecl _wstrdate(ptr) msvcrt._wstrdate
+@ stub _wstrdate_s
+@ cdecl _wstrtime(ptr) msvcrt._wstrtime
+@ stub _wstrtime_s
+@ cdecl _wsystem(wstr) msvcrt._wsystem
+@ cdecl _wtempnam(wstr wstr) msvcrt._wtempnam
+@ stub _wtmpnam
+@ stub _wtmpnam_s
+@ cdecl _wtof(wstr) msvcrt._wtof
+@ cdecl _wtof_l(wstr ptr) msvcrt._wtof_l
+@ cdecl _wtoi(wstr) msvcrt._wtoi
+@ cdecl _wtoi64(wstr) msvcrt._wtoi64
+@ stub _wtoi64_l
+@ stub _wtoi_l
+@ cdecl _wtol(wstr) msvcrt._wtol
+@ stub _wtol_l
+@ cdecl _wunlink(wstr) msvcrt._wunlink
+@ cdecl _wutime32(wstr ptr) msvcrt._wutime32
+@ cdecl _wutime64(wstr ptr) msvcrt._wutime64
+@ cdecl _y0(double) msvcrt._y0
+@ cdecl _y1(double) msvcrt._y1
+@ cdecl _yn(long double ) msvcrt._yn
+@ cdecl abort() msvcrt.abort
+@ cdecl abs(long) msvcrt.abs
+@ cdecl acos(double) msvcrt.acos
+@ cdecl asctime(ptr) msvcrt.asctime
+@ stub asctime_s
+@ cdecl asin(double) msvcrt.asin
+@ cdecl atan(double) msvcrt.atan
+@ cdecl atan2(double double) msvcrt.atan2
+@ cdecl atexit(ptr) msvcrt.atexit
+@ cdecl atof(str) msvcrt.atof
+@ cdecl atoi(str) msvcrt.atoi
+@ cdecl atol(str) msvcrt.atol
+@ cdecl bsearch(ptr ptr long long ptr) msvcrt.bsearch
+@ stub bsearch_s
+@ cdecl btowc(long) msvcrt.btowc
+@ cdecl calloc(long long) msvcrt.calloc
+@ cdecl ceil(double) msvcrt.ceil
+@ cdecl clearerr(ptr) msvcrt.clearerr
+@ stub clearerr_s
+@ cdecl clock() msvcrt.clock
+@ cdecl cos(double) msvcrt.cos
+@ cdecl cosh(double) msvcrt.cosh
+@ cdecl div(long long) msvcrt.div
+@ cdecl exit(long) msvcrt.exit
+@ cdecl exp(double) msvcrt.exp
+@ cdecl fabs(double) msvcrt.fabs
+@ cdecl fclose(ptr) msvcrt.fclose
+@ cdecl feof(ptr) msvcrt.feof
+@ cdecl ferror(ptr) msvcrt.ferror
+@ cdecl fflush(ptr) msvcrt.fflush
+@ cdecl fgetc(ptr) msvcrt.fgetc
+@ cdecl fgetpos(ptr ptr) msvcrt.fgetpos
+@ cdecl fgets(ptr long ptr) msvcrt.fgets
+@ cdecl fgetwc(ptr) msvcrt.fgetwc
+@ cdecl fgetws(ptr long ptr) msvcrt.fgetws
+@ cdecl floor(double) msvcrt.floor
+@ cdecl fmod(double double) msvcrt.fmod
+@ cdecl fopen(str str) msvcrt.fopen
+@ cdecl fopen_s(ptr str str) msvcrt.fopen_s
+@ varargs fprintf(ptr str) msvcrt.fprintf
+@ stub fprintf_s
+@ cdecl fputc(long ptr) msvcrt.fputc
+@ cdecl fputs(str ptr) msvcrt.fputs
+@ cdecl fputwc(long ptr) msvcrt.fputwc
+@ cdecl fputws(wstr ptr) msvcrt.fputws
+@ cdecl fread(ptr long long ptr) msvcrt.fread
+@ stub fread_s
+@ cdecl free(ptr) msvcrt.free
+@ cdecl freopen(str str ptr) msvcrt.freopen
+@ stub freopen_s
+@ cdecl frexp(double ptr) msvcrt.frexp
+@ varargs fscanf(ptr str) msvcrt.fscanf
+@ varargs fscanf_s(ptr str) msvcrt.fscanf_s
+@ cdecl fseek(ptr long long) msvcrt.fseek
+@ cdecl fsetpos(ptr ptr) msvcrt.fsetpos
+@ cdecl ftell(ptr) msvcrt.ftell
+@ varargs fwprintf(ptr wstr) msvcrt.fwprintf
+@ stub fwprintf_s
+@ cdecl fwrite(ptr long long ptr) msvcrt.fwrite
+@ varargs fwscanf(ptr wstr) msvcrt.fwscanf
+@ varargs fwscanf_s(ptr wstr) msvcrt.fwscanf_s
+@ cdecl getc(ptr) msvcrt.getc
+@ cdecl getchar() msvcrt.getchar
+@ cdecl getenv(str) msvcrt.getenv
+@ stub getenv_s
+@ cdecl gets(str) msvcrt.gets
+@ stub gets_s
+@ cdecl getwc(ptr) msvcrt.getwc
+@ cdecl getwchar() msvcrt.getwchar
+@ cdecl is_wctype(long long) msvcrt.is_wctype
+@ cdecl isalnum(long) msvcrt.isalnum
+@ cdecl isalpha(long) msvcrt.isalpha
+@ cdecl iscntrl(long) msvcrt.iscntrl
+@ cdecl isdigit(long) msvcrt.isdigit
+@ cdecl isgraph(long) msvcrt.isgraph
+@ cdecl isleadbyte(long) msvcrt.isleadbyte
+@ cdecl islower(long) msvcrt.islower
+@ cdecl isprint(long) msvcrt.isprint
+@ cdecl ispunct(long) msvcrt.ispunct
+@ cdecl isspace(long) msvcrt.isspace
+@ cdecl isupper(long) msvcrt.isupper
+@ cdecl iswalnum(long) msvcrt.iswalnum
+@ cdecl iswalpha(long) msvcrt.iswalpha
+@ cdecl iswascii(long) msvcrt.iswascii
+@ cdecl iswcntrl(long) msvcrt.iswcntrl
+@ cdecl iswctype(long long) msvcrt.iswctype
+@ cdecl iswdigit(long) msvcrt.iswdigit
+@ cdecl iswgraph(long) msvcrt.iswgraph
+@ cdecl iswlower(long) msvcrt.iswlower
+@ cdecl iswprint(long) msvcrt.iswprint
+@ cdecl iswpunct(long) msvcrt.iswpunct
+@ cdecl iswspace(long) msvcrt.iswspace
+@ cdecl iswupper(long) msvcrt.iswupper
+@ cdecl iswxdigit(long) msvcrt.iswxdigit
+@ cdecl isxdigit(long) msvcrt.isxdigit
+@ cdecl labs(long) msvcrt.labs
+@ cdecl ldexp( double long) msvcrt.ldexp
+@ cdecl ldiv(long long) msvcrt.ldiv
+@ cdecl localeconv() msvcrt.localeconv
+@ cdecl log(double) msvcrt.log
+@ cdecl log10(double) msvcrt.log10
+@ cdecl -i386 longjmp(ptr long) msvcrt.longjmp
+@ cdecl malloc(long) msvcrt.malloc
+@ cdecl mblen(ptr long) msvcrt.mblen
+@ stub mbrlen
+@ stub mbrtowc
+@ stub mbsrtowcs
+@ stub mbsrtowcs_s
+@ cdecl mbstowcs(ptr str long) msvcrt.mbstowcs
+@ stub mbstowcs_s
+@ cdecl mbtowc(wstr str long) msvcrt.mbtowc
+@ cdecl memchr(ptr long long) msvcrt.memchr
+@ cdecl memcmp(ptr ptr long) msvcrt.memcmp
+@ cdecl memcpy(ptr ptr long) msvcrt.memcpy
+@ cdecl memcpy_s(ptr long ptr long) msvcrt.memcpy_s
+@ cdecl memmove(ptr ptr long) msvcrt.memmove
+@ cdecl memmove_s(ptr long ptr long) msvcrt.memmove_s
+@ cdecl memset(ptr long long) msvcrt.memset
+@ cdecl modf(double ptr) msvcrt.modf
+@ cdecl perror(str) msvcrt.perror
+@ cdecl pow(double double) msvcrt.pow
+@ varargs printf(str) msvcrt.printf
+@ stub printf_s
+@ cdecl putc(long ptr) msvcrt.putc
+@ cdecl putchar(long) msvcrt.putchar
+@ cdecl puts(str) msvcrt.puts
+@ cdecl putwc(long ptr) msvcrt.putwc
+@ cdecl putwchar(long) msvcrt.putwchar
+@ cdecl qsort(ptr long long ptr) msvcrt.qsort
+@ stub qsort_s
+@ cdecl raise(long) msvcrt.raise
+@ cdecl rand() msvcrt.rand
+@ cdecl rand_s(ptr) msvcrt.rand_s
+@ cdecl realloc(ptr long) msvcrt.realloc
+@ cdecl remove(str) msvcrt.remove
+@ cdecl rename(str str) msvcrt.rename
+@ cdecl rewind(ptr) msvcrt.rewind
+@ varargs scanf(str) msvcrt.scanf
+@ varargs scanf_s(str) msvcrt.scanf_s
+@ cdecl setbuf(ptr ptr) msvcrt.setbuf
+@ cdecl setlocale(long str) msvcrt.setlocale
+@ cdecl setvbuf(ptr str long long) msvcrt.setvbuf
+@ cdecl signal(long long) msvcrt.signal
+@ cdecl sin(double) msvcrt.sin
+@ cdecl sinh(double) msvcrt.sinh
+@ varargs sprintf(ptr str) msvcrt.sprintf
+@ varargs sprintf_s(ptr long str) msvcrt.sprintf_s
+@ cdecl sqrt(double) msvcrt.sqrt
+@ cdecl srand(long) msvcrt.srand
+@ varargs sscanf(str str) msvcrt.sscanf
+@ varargs sscanf_s(str str) msvcrt.sscanf_s
+@ cdecl strcat(str str) msvcrt.strcat
+@ cdecl strcat_s(str long str) msvcrt.strcat_s
+@ cdecl strchr(str long) msvcrt.strchr
+@ cdecl strcmp(str str) msvcrt.strcmp
+@ cdecl strcoll(str str) msvcrt.strcoll
+@ cdecl strcpy(ptr str) msvcrt.strcpy
+@ cdecl strcpy_s(ptr long str) msvcrt.strcpy_s
+@ cdecl strcspn(str str) msvcrt.strcspn
+@ cdecl strerror(long) msvcrt.strerror
+@ stub strerror_s
+@ cdecl strftime(str long str ptr) msvcrt.strftime
+@ cdecl strlen(str) msvcrt.strlen
+@ cdecl strncat(str str long) msvcrt.strncat
+@ stub strncat_s
+@ cdecl strncmp(str str long) msvcrt.strncmp
+@ cdecl strncpy(ptr str long) msvcrt.strncpy
+@ cdecl strncpy_s(ptr long str long) msvcrt.strncpy_s
+@ cdecl strnlen(str long) msvcrt.strnlen
+@ cdecl strpbrk(str str) msvcrt.strpbrk
+@ cdecl strrchr(str long) msvcrt.strrchr
+@ cdecl strspn(str str) msvcrt.strspn
+@ cdecl strstr(str str) msvcrt.strstr
+@ cdecl strtod(str ptr) msvcrt.strtod
+@ cdecl strtok(str str) msvcrt.strtok
+@ cdecl strtok_s(ptr str ptr) msvcrt.strtok_s
+@ cdecl strtol(str ptr long) msvcrt.strtol
+@ cdecl strtoul(str ptr long) msvcrt.strtoul
+@ cdecl strxfrm(ptr str long) msvcrt.strxfrm
+@ varargs swprintf_s(ptr long wstr) msvcrt.swprintf_s
+@ varargs swscanf(wstr wstr) msvcrt.swscanf
+@ varargs swscanf_s(wstr wstr) msvcrt.swscanf_s
+@ cdecl system(str) msvcrt.system
+@ cdecl tan(double) msvcrt.tan
+@ cdecl tanh(double) msvcrt.tanh
+@ cdecl tmpfile() msvcrt.tmpfile
+@ stub tmpfile_s
+@ cdecl tmpnam(ptr) msvcrt.tmpnam
+@ stub tmpnam_s
+@ cdecl tolower(long) msvcrt.tolower
+@ cdecl toupper(long) msvcrt.toupper
+@ cdecl towlower(long) msvcrt.towlower
+@ cdecl towupper(long) msvcrt.towupper
+@ cdecl ungetc(long ptr) msvcrt.ungetc
+@ cdecl ungetwc(long ptr) msvcrt.ungetwc
+@ cdecl vfprintf(ptr str ptr) msvcrt.vfprintf
+@ stub vfprintf_s
+@ cdecl vfwprintf(ptr wstr ptr) msvcrt.vfwprintf
+@ stub vfwprintf_s
+@ cdecl vprintf(str ptr) msvcrt.vprintf
+@ stub vprintf_s
+@ cdecl vsprintf(ptr str ptr) msvcrt.vsprintf
+@ cdecl vsprintf_s(ptr long str ptr) msvcrt.vsprintf_s
+@ cdecl vswprintf_s(ptr long wstr ptr) msvcrt.vswprintf_s
+@ cdecl vwprintf(wstr ptr) msvcrt.vwprintf
+@ stub vwprintf_s
+@ stub wcrtomb
+@ stub wcrtomb_s
+@ cdecl wcscat(wstr wstr) msvcrt.wcscat
+@ cdecl wcscat_s(wstr long wstr) msvcrt.wcscat_s
+@ cdecl wcschr(wstr long) msvcrt.wcschr
+@ cdecl wcscmp(wstr wstr) msvcrt.wcscmp
+@ cdecl wcscoll(wstr wstr) msvcrt.wcscoll
+@ cdecl wcscpy(ptr wstr) msvcrt.wcscpy
+@ cdecl wcscpy_s(ptr long wstr) msvcrt.wcscpy_s
+@ cdecl wcscspn(wstr wstr) msvcrt.wcscspn
+@ cdecl wcsftime(ptr long wstr ptr) msvcrt.wcsftime
+@ cdecl wcslen(wstr) msvcrt.wcslen
+@ cdecl wcsncat(wstr wstr long) msvcrt.wcsncat
+@ stub wcsncat_s
+@ cdecl wcsncmp(wstr wstr long) msvcrt.wcsncmp
+@ cdecl wcsncpy(ptr wstr long) msvcrt.wcsncpy
+@ cdecl wcsncpy_s(ptr long wstr long) msvcrt.wcsncpy_s
+@ stub wcsnlen
+@ cdecl wcspbrk(wstr wstr) msvcrt.wcspbrk
+@ cdecl wcsrchr(wstr long) msvcrt.wcsrchr
+@ stub wcsrtombs
+@ stub wcsrtombs_s
+@ cdecl wcsspn(wstr wstr) msvcrt.wcsspn
+@ cdecl wcsstr(wstr wstr) msvcrt.wcsstr
+@ cdecl wcstod(wstr ptr) msvcrt.wcstod
+@ cdecl wcstok(wstr wstr) msvcrt.wcstok
+@ stub wcstok_s
+@ cdecl wcstol(wstr ptr long) msvcrt.wcstol
+@ cdecl wcstombs(ptr ptr long) msvcrt.wcstombs
+@ cdecl wcstombs_s(ptr ptr long wstr long) msvcrt.wcstombs_s
+@ cdecl wcstoul(wstr ptr long) msvcrt.wcstoul
+@ stub wcsxfrm
+@ stub wctob
+@ cdecl wctomb(ptr long) msvcrt.wctomb
+@ stub wctomb_s
+@ varargs wprintf(wstr) msvcrt.wprintf
+@ stub wprintf_s
+@ varargs wscanf(wstr) msvcrt.wscanf
+@ varargs wscanf_s(wstr) msvcrt.wscanf_s

Property changes on: msvcr90\msvcr90.spec
___________________________________________________________________
Added: svn:eol-style
   + native

Index: msvcrt/msvcrt.def
===================================================================
--- msvcrt/msvcrt.def	(revision 47065)
+++ msvcrt/msvcrt.def	(working copy)
@@ -1,861 +0,0 @@
-;
-; ReactOS MSVCRT Library
-;
-LIBRARY msvcrt.dll
-
-EXPORTS
-  $I10_OUTPUT=MSVCRT_I10_OUTPUT @57
-  ??0__non_rtti_object@@QAE@ABV0@@Z=__thiscall_MSVCRT___non_rtti_object_copy_ctor @1
-  ??0__non_rtti_object@@QAE@PBD@Z=__thiscall_MSVCRT___non_rtti_object_ctor @2
-;  ??0bad_cast@@AAE@PBQBD@Z @3
-  ??0bad_cast@@QAE@ABQBD@Z=__thiscall_MSVCRT_bad_cast_ctor @4
-  ??0bad_cast@@QAE@ABV0@@Z=__thiscall_MSVCRT_bad_cast_copy_ctor @5
-;  ??0bad_cast@@QAE@PBD@Z @6
-  ??0bad_typeid@@QAE@ABV0@@Z=__thiscall_MSVCRT_bad_typeid_copy_ctor @7
-  ??0bad_typeid@@QAE@PBD@Z=__thiscall_MSVCRT_bad_typeid_ctor @8
-  ??0exception@@QAE@ABQBD@Z=__thiscall_MSVCRT_exception_ctor @9
-;  ??0exception@@QAE@ABQBDH@Z @10
-  ??0exception@@QAE@ABV0@@Z=__thiscall_MSVCRT_exception_copy_ctor @11
-  ??0exception@@QAE@XZ=__thiscall_MSVCRT_exception_default_ctor @12
-  ??1__non_rtti_object@@UAE@XZ=__thiscall_MSVCRT___non_rtti_object_dtor @13
-  ??1bad_cast@@UAE@XZ=__thiscall_MSVCRT_bad_cast_dtor @14
-  ??1bad_typeid@@UAE@XZ=__thiscall_MSVCRT_bad_typeid_dtor @15
-  ??1exception@@UAE@XZ=__thiscall_MSVCRT_exception_dtor @16
-  ??1type_info@@UAE@XZ=__thiscall_MSVCRT_type_info_dtor @17
-  ??2@YAPAXI@Z=MSVCRT_operator_new @18
-  ??3@YAXPAX@Z=MSVCRT_operator_delete @19
-  ??4__non_rtti_object@@QAEAAV0@ABV0@@Z=__thiscall_MSVCRT___non_rtti_object_opequals @20
-  ??4bad_cast@@QAEAAV0@ABV0@@Z=__thiscall_MSVCRT_bad_cast_opequals @21
-  ??4bad_typeid@@QAEAAV0@ABV0@@Z=__thiscall_MSVCRT_bad_typeid_opequals @22
-  ??4exception@@QAEAAV0@ABV0@@Z=__thiscall_MSVCRT_exception_opequals @23
-  ??8type_info@@QBEHABV0@@Z=__thiscall_MSVCRT_type_info_opequals_equals @24
-  ??9type_info@@QBEHABV0@@Z=__thiscall_MSVCRT_type_info_opnot_equals @25
-  ??_7__non_rtti_object@@6B@=MSVCRT___non_rtti_object_vtable@@6B@ @26 DATA
-  ??_7bad_cast@@6B@=MSVCRT_bad_cast_vtable @27 DATA
-  ??_7bad_typeid@@6B@=MSVCRT_bad_typeid_vtable @28 DATA
-  ??_7exception@@6B@=MSVCRT_exception_vtable @29 DATA
-  ??_E__non_rtti_object@@UAEPAXI@Z=__thiscall_MSVCRT___non_rtti_object_vector_dtor @30
-  ??_Ebad_cast@@UAEPAXI@Z=__thiscall_MSVCRT_bad_cast_vector_dtor @31
-  ??_Ebad_typeid@@UAEPAXI@Z=__thiscall_MSVCRT_bad_typeid_vector_dtor @32
-  ??_Eexception@@UAEPAXI@Z=__thiscall_MSVCRT_exception_vector_dtor @33
-;  ??_Fbad_cast@@QAEXXZ @34
-;  ??_Fbad_typeid@@QAEXXZ @35
-  ??_G__non_rtti_object@@UAEPAXI@Z=__thiscall_MSVCRT___non_rtti_object_scalar_dtor @36
-  ??_Gbad_cast@@UAEPAXI@Z=__thiscall_MSVCRT_bad_cast_scalar_dtor @37
-  ??_Gbad_typeid@@UAEPAXI@Z=__thiscall_MSVCRT_bad_typeid_scalar_dtor @38
-  ??_Gexception@@UAEPAXI@Z=__thiscall_MSVCRT_exception_scalar_dtor @39
-  ??_U@YAPAXI@Z=MSVCRT_operator_new @40
-  ??_V@YAXPAX@Z=MSVCRT_operator_delete @41
-  ?_query_new_handler@@YAP6AHI@ZXZ=MSVCRT__query_new_handler @43
-  ?_query_new_mode@@YAHXZ=MSVCRT__query_new_mode @44
-  ?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z=MSVCRT__set_new_handler @45
-  ?_set_new_mode@@YAHH@Z=MSVCRT__set_new_mode @46
-  ?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z=MSVCRT__set_se_translator @47
-  ?before@type_info@@QBEHABV1@@Z=__thiscall_MSVCRT_type_info_before @48
-  ?name@type_info@@QBEPBDXZ=__thiscall_MSVCRT_type_info_name @49
-  ?raw_name@type_info@@QBEPBDXZ=__thiscall_MSVCRT_type_info_raw_name @50
-  ?set_new_handler@@YAP6AXXZP6AXXZ@Z=MSVCRT__set_new_handler @51
-  ?set_terminate@@YAP6AXXZP6AXXZ@Z=MSVCRT_set_terminate @52
-  ?set_unexpected@@YAP6AXXZP6AXXZ@Z=MSVCRT_set_unexpected @53
-  ?terminate@@YAXXZ=MSVCRT_terminate @54
-  ?unexpected@@YAXXZ=MSVCRT_unexpected @55
-  ?what@exception@@UBEPBDXZ=__thiscall_MSVCRT_what_exception @56
-  _CIacos @58
-  _CIasin @59
-  _CIatan @60
-  _CIatan2 @61
-  _CIcos @62
-  _CIcosh @63
-  _CIexp @64
-  _CIfmod @65
-  _CIlog @66
-  _CIlog10 @67
-  _CIpow @68
-  _CIsin @69
-  _CIsinh @70
-  _CIsqrt @71
-  _CItan @72
-  _CItanh @73
-  _CxxThrowException @74
-  _EH_prolog @75
-  _Getdays @76
-  _Getmonths @77
-  _Gettnames @78
-  _HUGE @79 DATA
-  _Strftime @80
-  _XcptFilter @81
-  __CppXcptFilter @82
-;  __CxxCallUnwindDtor @83
-;  __CxxCallUnwindVecDtor @84
-  __CxxDetectRethrow @85
-;  __CxxExceptionFilter @86
-  __CxxFrameHandler @87
-;  __CxxFrameHandler2 @88
-  __CxxLongjmpUnwind @89
-  __CxxQueryExceptionSize @90
-;  __CxxRegisterExceptionObject @91
-;  __CxxUnregisterExceptionObject @92
-;  __DestructExceptionObject @93
-  __RTCastToVoid=MSVCRT___RTCastToVoid @94
-  __RTDynamicCast=MSVCRT___RTDynamicCast @95
-  __RTtypeid=MSVCRT___RTtypeid @96
-  __STRINGTOLD @97
-;  ___lc_codepage_func @98
-;  ___lc_collate_cp_func @99
-;  ___lc_handle_func @100
-;  ___mb_cur_max_func @101
-  ___setlc_active_func @102
-  ___unguarded_readlc_active_add_func @103
-  __argc @104 DATA
-  __argv @105 DATA
-  __badioinfo @106 DATA
-  __crtCompareStringA=kernel32.CompareStringA @107
-  __crtCompareStringW=kernel32.CompareStringW @108
-  __crtGetLocaleInfoW=kernel32.GetLocaleInfo @109
-  __crtGetStringTypeW=kernel32.GetStringTypeW @110
-  __crtLCMapStringA @111
-;  __crtLCMapStringW @112
-  __dllonexit @113
-  __doserrno @114
-  __fpecode @115
-  __getmainargs @116
-  __initenv @117
-  __iob_func=__p__iob @118
-  __isascii @119
-  __iscsym @120
-  __iscsymf @121
-  __lc_codepage @122 DATA
-  __lc_collate_cp @123 DATA
-  __lc_handle @124 DATA
-  __lconv_init @125
-  __mb_cur_max @126 DATA
-  __p___argc @127
-  __p___argv @128
-  __p___initenv @129
-  __p___mb_cur_max @130
-  __p___wargv @131
-  __p___winitenv @132
-  __p__acmdln @133
-  __p__amblksiz @134
-  __p__commode @135
-  __p__daylight @136
-  __p__dstbias @137
-  __p__environ @138
-;  __p__fileinfo @139
-  __p__fmode @140
-  __p__iob @141
-;  __p__mbcasemap @142
-  __p__mbctype @143
-  __p__osver @144
-  __p__pctype @145
-  __p__pgmptr @146
-  __p__pwctype @147
-  __p__timezone @148
-  __p__tzname @149
-  __p__wcmdln @150
-  __p__wenviron @151
-  __p__winmajor @152
-  __p__winminor @153
-  __p__winver @154
-  __p__wpgmptr @155
-  __pctype_func @156
-  __pioinfo @157 DATA
-  __pwctype_func @158
-  __pxcptinfoptrs @159
-  __set_app_type @160
-  __setlc_active @161 DATA
-  __setusermatherr @162
-  __threadhandle @163
-  __threadid @164
-  __toascii @165
-  __unDName @166
-  __unDNameEx @167
-;  __uncaught_exception @42
-  __unguarded_readlc_active @168 DATA
-  __wargv @169 DATA
-;  __wcserror @170
-  __wgetmainargs @171
-  __winitenv @172 DATA
-  _abnormal_termination @173
-;  _abs64 @174
-  _access @175
-  _acmdln @176 DATA
-  _adj_fdiv_m16i @177
-  _adj_fdiv_m32 @178
-  _adj_fdiv_m32i @179
-  _adj_fdiv_m64 @180
-  _adj_fdiv_r @181
-  _adj_fdivr_m16i @182
-  _adj_fdivr_m32 @183
-  _adj_fdivr_m32i @184
-  _adj_fdivr_m64 @185
-  _adj_fpatan @186
-  _adj_fprem @187
-  _adj_fprem1 @188
-  _adj_fptan @189
-  _adjust_fdiv @190 DATA
-  _aexit_rtn @191
-  _aligned_free @192
-  _aligned_malloc @193
-  _aligned_offset_malloc @194
-  _aligned_offset_realloc @195
-  _aligned_realloc @196
-  _amsg_exit @197
-  _assert @198
-;  _atodbl @199
-  _atoi64 @200
-  _atoldbl @201
-  _beep @202
-  _beginthread @203
-  _beginthreadex @204
-  _c_exit @205
-  _cabs @206
-  _callnewh @207
-  _cexit @208
-  _cgets @209
-;  _cgetws @210
-  _chdir @211
-  _chdrive @212
-  _chgsign @213
-  _chkesp @214
-  _chmod @215
-  _chsize @216
-  _clearfp @217
-  _close @218
-  _commit @219
-  _commode @220 DATA
-  _control87 @221
-  _controlfp @222
-  _copysign @223
-  _cprintf @224
-  _cputs @225
-;  _cputws @226
-  _creat @227
-  _cscanf @228
-;  _ctime64 @229
-  _ctype @230 DATA
-  _cwait @231
-;  _cwprintf @232
-;  _cwscanf @233
-  _daylight @234 DATA
-  _dstbias @235 DATA
-  _dup @236
-  _dup2 @237
-  _ecvt @238
-  _endthread @239
-  _endthreadex @240
-  _environ @241 DATA
-  _eof @242
-  _errno @243
-  _except_handler2 @244
-  _except_handler3 @245
-  _execl @246
-  _execle @247
-  _execlp @248
-  _execlpe @249
-  _execv @250
-  _execve @251
-  _execvp @252
-  _execvpe @253
-  _exit @254
-  _expand @255
-  _fcloseall @256
-  _fcvt @257
-  _fdopen @258
-  _fgetchar @259
-  _fgetwchar @260
-  _filbuf @261
-;  _fileinfo @262
-  _filelength @263
-  _filelengthi64 @264
-  _fileno @265
-  _findclose @266
-  _findfirst @267
-  _findfirst64 @268
-  _findfirsti64 @269
-  _findnext @270
-  _findnext64 @271
-  _findnexti64 @272
-  _finite @273
-  _flsbuf @274
-  _flushall @275
-  _fmode @276 DATA
-  _fpclass @277
-  _fpieee_flt @278
-  _fpreset @279
-  _fputchar @280
-  _fputwchar @281
-  _fsopen @282
-  _fstat @283
-  _fstat64 @284
-  _fstati64 @285
-  _ftime @286
-;  _ftime64 @287
-  _ftol @288
-  _fullpath @289
-  _futime @290
-;  _futime64 @291
-  _gcvt @292
-;  _get_heap_handle @293
-  _get_osfhandle @294
-  _get_sbh_threshold @295
-  _getch @296
-  _getche @297
-  _getcwd @298
-  _getdcwd @299
-  _getdiskfree @300
-  _getdllprocaddr @301
-  _getdrive @302
-  _getdrives=kernel32.GetLogicalDrives @303
-  _getmaxstdio @304
-  _getmbcp @305
-  _getpid=kernel32.GetCurrentProcessId @306
-  _getsystime @307
-  _getw @308
-;  _getwch @309
-;  _getwche @310
-  _getws @311
-  _global_unwind2 @312
-  _gmtime64 @313
-  _heapadd @314
-  _heapchk @315
-  _heapmin @316
-  _heapset @317
-;  _heapused @318
-  _heapwalk @319
-  _hypot @320
-  _i64toa @321
-  _i64tow @322
-  _initterm @323
-;  _inp @324
-;  _inpd @325
-;  _inpw @326
-  _iob @327 DATA
-  _isatty @328
-  _isctype @329
-  _ismbbalnum @330
-  _ismbbalpha @331
-  _ismbbgraph @332
-  _ismbbkalnum @333
-  _ismbbkana @334
-;  _ismbbkprint @335
-  _ismbbkpunct @336
-  _ismbblead @337
-  _ismbbprint @338
-  _ismbbpunct @339
-  _ismbbtrail @340
-  _ismbcalnum @341
-  _ismbcalpha @342
-  _ismbcdigit @343
-  _ismbcgraph @344
-  _ismbchira @345
-  _ismbckata @346
-  _ismbcl0 @347
-  _ismbcl1 @348
-  _ismbcl2 @349
-  _ismbclegal @350
-  _ismbclower @351
-  _ismbcprint @352
-  _ismbcpunct @353
-  _ismbcspace @354
-  _ismbcsymbol @355
-  _ismbcupper @356
-  _ismbslead @357
-  _ismbstrail @358
-  _isnan @359
-  _itoa @360
-  _itow @361
-; FIXME: these aren't actually implemented in CRT
-; _j0 @362
-; _j1 @363
-; _jn @364
-  _kbhit @365
-  _lfind @366
-  _loaddll @367
-  _local_unwind2 @368
-  _localtime64 @369
-  _lock @370
-  _locking @371
-  _logb @372
-  _longjmpex=longjmp @373
-  _lrotl @374
-  _lrotr @375
-  _lsearch @376
-  _lseek @377
-  _lseeki64 @378
-  _ltoa @379
-  _ltow @380
-  _makepath @381
-  _mbbtombc @382
-  _mbbtype @383
-;  _mbcasemap @384
-  _mbccpy @385
-  _mbcjistojms @386
-  _mbcjmstojis @387
-  _mbclen @388
-  _mbctohira @389
-  _mbctokata @390
-  _mbctolower @391
-  _mbctombb @392
-  _mbctoupper @393
-  _mbctype @394 DATA
-  _mbsbtype @395
-  _mbscat @396
-  _mbschr @397
-  _mbscmp @398
-  _mbscoll @399
-  _mbscpy @400
-  _mbscspn @401
-  _mbsdec @402
-  _mbsdup @403
-  _mbsicmp @404
-  _mbsicoll @405
-  _mbsinc @406
-  _mbslen @407
-  _mbslwr @408
-  _mbsnbcat @409
-  _mbsnbcmp @410
-  _mbsnbcnt @411
-  _mbsnbcoll @412
-  _mbsnbcpy @413
-  _mbsnbicmp @414
-  _mbsnbicoll @415
-  _mbsnbset @416
-  _mbsncat @417
-  _mbsnccnt @418
-  _mbsncmp @419
-  _mbsncoll @420
-  _mbsncpy @421
-  _mbsnextc @422
-  _mbsnicmp @423
-  _mbsnicoll @424
-  _mbsninc @425
-  _mbsnset @426
-  _mbspbrk @427
-  _mbsrchr @428
-  _mbsrev @429
-  _mbsset @430
-  _mbsspn @431
-  _mbsspnp @432
-  _mbsstr @433
-  _mbstok @434
-  _mbstrlen @435
-  _mbsupr @436
-  _memccpy @437
-  _memicmp @438
-  _mkdir @439
-;  _mkgmtime @440
-;  _mkgmtime64 @441
-  _mktemp @442
-;  _mktime64 @443
-  _msize @444
-  _nextafter @445
-  _onexit @446
-  _open @447
-  _open_osfhandle @448
-;  _osplatform @449
-  _osver @450 DATA
-;  _outp @451
-;  _outpd @452
-;  _outpw @453
-  _pclose @454
-  _pctype @455 DATA
-  _pgmptr @456 DATA
-  _pipe @457
-  _popen @458
-  _purecall @459
-  _putch @460
-  _putenv @461
-  _putw @462
-;  _putwch @463
-  _putws @464
-  _pwctype @465
-  _read @466
-;  _resetstkoflw @467
-  _rmdir @468
-  _rmtmp @469
-  _rotl @470
-;  _rotl64 @471
-  _rotr @472
-;  _rotr64 @473
-  _safe_fdiv @474
-  _safe_fdivr @475
-  _safe_fprem @476
-  _safe_fprem1 @477
-  _scalb @478
-;  _scprintf @479
-;  _scwprintf @480
-  _searchenv @481
-  _seh_longjmp_unwind=_seh_longjmp_unwind@4 @482
-;  _set_SSE2_enable @483
-  _set_error_mode @484
-  _set_sbh_threshold @485
-  _seterrormode @486
-  _setjmp @487
-  _setjmp3 @488
-  _setmaxstdio @489
-  _setmbcp @490
-  _setmode @491
-  _setsystime @492
-  _sleep @493
-  _snprintf @494
-;  _snscanf @495
-  _snwprintf @496
-;  _snwscanf @497
-  _sopen @498
-  _spawnl @499
-  _spawnle @500
-  _spawnlp @501
-  _spawnlpe @502
-  _spawnv @503
-  _spawnve @504
-  _spawnvp @505
-  _spawnvpe @506
-  _splitpath @507
-  _stat @508
-  _stat64 @509
-  _stati64 @510
-  _statusfp @511
-  _strcmpi @512
-  _strdate @513
-  _strdup @514
-  _strerror @515
-  _stricmp @516
-  _stricoll @517
-  _strlwr @518
-  _strncoll @519
-  _strnicmp @520
-  _strnicoll @521
-  _strnset @522
-  _strrev @523
-  _strset @524
-  _strtime @525
-  _strtoi64 @526
-  _strtoui64=strtoull @527
-  _strupr @528
-  _swab @529
-  _sys_errlist @530 DATA
-  _sys_nerr @531 DATA
-  _tell @532
-  _telli64 @533
-  _tempnam @534
-  _time64 @535
-  _timezone @536 DATA
-  _tolower @537
-  _toupper @538
-  _tzname @539 DATA
-  _tzset @540
-  _ui64toa @541
-  _ui64tow @542
-  _ultoa @543
-  _ultow @544
-  _umask @545
-  _ungetch @546
-;  _ungetwch @547
-  _unlink @548
-  _unloaddll @549
-  _unlock @550
-  _utime @551
-;  _utime64 @552
-;  _vscprintf @553
-;  _vscwprintf @554
-  _vsnprintf @555
-  _vsnwprintf @556
-  _waccess @557
-  _wasctime @558
-  _wchdir @559
-  _wchmod @560
-  _wcmdln @561
-  _wcreat @562
-  _wcsdup @563
-;  _wcserror @564
-  _wcsicmp @565
-  _wcsicoll @566
-  _wcslwr @567
-  _wcsncoll @568
-  _wcsnicmp @569
-  _wcsnicoll @570
-  _wcsnset @571
-  _wcsrev @572
-  _wcsset @573
-  _wcstoi64 @574
-  _wcstoui64 @575
-  _wcsupr @576
-  _wctime @577
-;  _wctime64 @578
-  _wctype @579
-  _wenviron @580 DATA
-  _wexecl @581
-  _wexecle @582
-  _wexeclp @583
-  _wexeclpe @584
-  _wexecv @585
-  _wexecve @586
-  _wexecvp @587
-  _wexecvpe @588
-  _wfdopen @589
-  _wfindfirst @590
-  _wfindfirst64 @591
-  _wfindfirsti64 @592
-  _wfindnext @593
-  _wfindnext64 @594
-  _wfindnexti64 @595
-  _wfopen @596
-  _wfreopen @597
-  _wfsopen @598
-  _wfullpath @599
-  _wgetcwd @600
-  _wgetdcwd @601
-  _wgetenv @602
-  _winmajor @603 DATA
-  _winminor @604 DATA
-  _winver @605 DATA
-  _wmakepath @606
-  _wmkdir @607
-  _wmktemp @608
-  _wopen @609
-  _wperror @610
-  _wpgmptr @611 DATA
-  _wpopen @612
-  _wputenv @613
-  _wremove @614
-  _wrename @615
-  _write @616
-  _wrmdir @617
-  _wsearchenv @618
-  _wsetlocale @619
-  _wsopen @620
-  _wspawnl @621
-  _wspawnle @622
-  _wspawnlp @623
-  _wspawnlpe @624
-  _wspawnv @625
-  _wspawnve @626
-  _wspawnvp @627
-  _wspawnvpe @628
-  _wsplitpath @629
-  _wstat @630
-  _wstat64 @631
-  _wstati64 @632
-  _wstrdate @633
-  _wstrtime @634
-  _wsystem @635
-  _wtempnam @636
-  _wtmpnam @637
-;  _wtof @638
-  _wtoi @639
-  _wtoi64 @640
-  _wtol @641
-  _wunlink @642
-  _wutime @643
-;  _wutime64 @644
-; FIXME: these aren't actually implemented in CRT
-; _y0 @645
-; _y1 @646
-; _yn @647
-  abort @648
-  abs @649
-  acos @650
-  asctime @651
-  asin @652
-  atan @653
-  atan2 @654
-  atexit @655
-  atof @656
-  atoi @657
-  atol @658
-  bsearch @659
-  calloc @660
-  ceil @661
-  clearerr @662
-  clock @663
-  cos @664
-  cosh @665
-  ctime @666
-  difftime @667
-  div @668
-  exit @669
-  exp @670
-  fabs @671
-  fclose @672
-  feof @673
-  ferror @674
-  fflush @675
-  fgetc @676
-  fgetpos @677
-  fgets @678
-  fgetwc @679
-  fgetws @680
-  floor @681
-  fmod @682
-  fopen @683
-  fprintf @684
-  fputc @685
-  fputs @686
-  fputwc @687
-  fputws @688
-  fread @689
-  free @690
-  freopen @691
-  frexp @692
-  fscanf @693
-  fseek @694
-  fsetpos @695
-  ftell @696
-  fwprintf @697
-  fwrite @698
-  fwscanf @699
-  getc @700
-  getchar @701
-  getenv @702
-  gets @703
-  getwc @704
-  getwchar @705
-  gmtime @706
-  is_wctype @707
-  isalnum @708
-  isalpha @709
-  iscntrl @710
-  isdigit @711
-  isgraph @712
-  isleadbyte @713
-  islower @714
-  isprint @715
-  ispunct @716
-  isspace @717
-  isupper @718
-  iswalnum @719
-  iswalpha @720
-  iswascii @721
-  iswcntrl @722
-  iswctype @723
-  iswdigit @724
-  iswgraph @725
-  iswlower @726
-  iswprint @727
-  iswpunct @728
-  iswspace @729
-  iswupper @730
-  iswxdigit @731
-  isxdigit @732
-  labs @733
-  ldexp @734
-  ldiv @735
-  localeconv @736
-  localtime @737
-  log @738
-  log10 @739
-  longjmp @740
-  malloc @741
-  mblen @742
-  mbstowcs @743
-  mbtowc @744
-  memchr @745
-  memcmp @746
-  memcpy @747
-  memmove @748
-  memset @749
-  mktime @750
-  modf @751
-  perror @752
-  pow @753
-  printf @754
-  putc @755
-  putchar @756
-  puts @757
-  putwc=fputwc @758
-  putwchar=_fputwchar @759
-  qsort @760
-  raise @761
-  rand @762
-  realloc @763
-  remove @764
-  rename @765
-  rewind @766
-  scanf @767
-  setbuf @768
-  setlocale @769
-  setvbuf @770
-  signal @771
-  sin @772
-  sinh @773
-  sprintf @774
-  sqrt @775
-  srand @776
-  sscanf @777
-  strcat @778
-  strchr @779
-  strcmp @780
-  strcoll @781
-  strcpy @782
-  strcspn @783
-  strerror @784
-  strftime @785
-  strlen @786
-  strncat @787
-  strncmp @788
-  strncpy @789
-  strpbrk @790
-  strrchr @791
-  strspn @792
-  strstr @793
-  strtod @794
-  strtok @795
-  strtol @796
-  strtoul @797
-  strxfrm @798
-  swprintf @799
-  swscanf @800
-  system @801
-  tan @802
-  tanh @803
-  time @804
-  tmpfile @805
-  tmpnam @806
-  tolower @807
-  toupper @808
-  towlower @809
-  towupper @810
-  ungetc @811
-  ungetwc @812
-  vfprintf @813
-  vfwprintf @814
-  vprintf @815
-  vsprintf @816
-  vswprintf @817
-  vwprintf @818
-  wcscat @819
-  wcschr @820
-  wcscmp @821
-  wcscoll @822
-  wcscpy @823
-  wcscspn @824
-  wcsftime @825
-  wcslen @826
-  wcsncat @827
-  wcsncmp @828
-  wcsncpy @829
-  wcspbrk @830
-  wcsrchr @831
-  wcsspn @832
-  wcsstr @833
-  wcstod @834
-  wcstok @835
-  wcstol @836
-  wcstombs @837
-  wcstoul @838
-  wcsxfrm @839
-  wctomb @840
-  wprintf @841
-  wscanf @842
-
-  _mbsnbcpy_s
-  wcscpy_s
-  wcsncpy_s
-  _wcsupr_s
-  _ftol2=_ftol
-  _ftol2_sse=_ftol
-  strcat_s
-  strcpy_s
-
-  _swprintf=swprintf
Index: msvcrt/msvcrt.rbuild
===================================================================
--- msvcrt/msvcrt.rbuild	(revision 47065)
+++ msvcrt/msvcrt.rbuild	(working copy)
@@ -1,5 +1,5 @@
 <module name="msvcrt" type="win32dll" baseaddress="${BASEADDRESS_MSVCRT}" installbase="system32" installname="msvcrt.dll" iscrt="yes">
-	<importlibrary definition="msvcrt.def" />
+	<importlibrary definition="msvcrt.spec" />
 	<include base="msvcrt">.</include>
 	<include base="crt">include</include>
 	<define name="USE_MSVCRT_PREFIX" />
Index: msvcrt/msvcrt.spec
===================================================================
--- msvcrt/msvcrt.spec	(revision 0)
+++ msvcrt/msvcrt.spec	(revision 0)
@@ -0,0 +1,1416 @@
+# msvcrt.dll - MS VC++ Run Time Library
+
+@ cdecl $I10_OUTPUT() MSVCRT_I10_OUTPUT
+@ cdecl -i386 -norelay ??0__non_rtti_object@@QAE@ABV0@@Z(ptr) __thiscall_MSVCRT___non_rtti_object_copy_ctor
+@ cdecl -i386 -norelay ??0__non_rtti_object@@QAE@PBD@Z(ptr) __thiscall_MSVCRT___non_rtti_object_ctor
+@ cdecl -i386 -norelay ??0bad_cast@@AAE@PBQBD@Z(ptr) __thiscall_MSVCRT_bad_cast_ctor
+@ cdecl -i386 -norelay ??0bad_cast@@QAE@ABQBD@Z(ptr) __thiscall_MSVCRT_bad_cast_ctor
+@ cdecl -i386 -norelay ??0bad_cast@@QAE@ABV0@@Z(ptr) __thiscall_MSVCRT_bad_cast_copy_ctor
+@ cdecl -i386 -norelay ??0bad_cast@@QAE@PBD@Z(ptr) __thiscall_MSVCRT_bad_cast_ctor_charptr
+@ cdecl -i386 -norelay ??0bad_typeid@@QAE@ABV0@@Z(ptr) __thiscall_MSVCRT_bad_typeid_copy_ctor
+@ cdecl -i386 -norelay ??0bad_typeid@@QAE@PBD@Z(ptr) __thiscall_MSVCRT_bad_typeid_ctor
+@ cdecl -i386 -norelay ??0exception@@QAE@ABQBD@Z(ptr) __thiscall_MSVCRT_exception_ctor
+@ cdecl -i386 -norelay ??0exception@@QAE@ABQBDH@Z(ptr long) __thiscall_MSVCRT_exception_ctor_noalloc
+@ cdecl -i386 -norelay ??0exception@@QAE@ABV0@@Z(ptr) __thiscall_MSVCRT_exception_copy_ctor
+@ cdecl -i386 -norelay ??0exception@@QAE@XZ() __thiscall_MSVCRT_exception_default_ctor
+@ cdecl -i386 -norelay ??1__non_rtti_object@@UAE@XZ() __thiscall_MSVCRT___non_rtti_object_dtor
+@ cdecl -i386 -norelay ??1bad_cast@@UAE@XZ() __thiscall_MSVCRT_bad_cast_dtor
+@ cdecl -i386 -norelay ??1bad_typeid@@UAE@XZ() __thiscall_MSVCRT_bad_typeid_dtor
+@ cdecl -i386 -norelay ??1exception@@UAE@XZ() __thiscall_MSVCRT_exception_dtor
+@ cdecl -i386 -norelay ??1type_info@@UAE@XZ() __thiscall_MSVCRT_type_info_dtor
+@ cdecl ??2@YAPAXI@Z(long) MSVCRT_operator_new
+@ cdecl ??2@YAPAXIHPBDH@Z(long long str long) MSVCRT_operator_new_dbg
+@ cdecl ??3@YAXPAX@Z(ptr) MSVCRT_operator_delete
+@ cdecl -i386 -norelay ??4__non_rtti_object@@QAEAAV0@ABV0@@Z(ptr) __thiscall_MSVCRT___non_rtti_object_opequals
+@ cdecl -i386 -norelay ??4bad_cast@@QAEAAV0@ABV0@@Z(ptr) __thiscall_MSVCRT_bad_cast_opequals
+@ cdecl -i386 -norelay ??4bad_typeid@@QAEAAV0@ABV0@@Z(ptr) __thiscall_MSVCRT_bad_typeid_opequals
+@ cdecl -i386 -norelay ??4exception@@QAEAAV0@ABV0@@Z(ptr) __thiscall_MSVCRT_exception_opequals
+@ cdecl -i386 -norelay ??8type_info@@QBEHABV0@@Z(ptr) __thiscall_MSVCRT_type_info_opequals_equals
+@ cdecl -i386 -norelay ??9type_info@@QBEHABV0@@Z(ptr) __thiscall_MSVCRT_type_info_opnot_equals
+@ extern -i386 ??_7__non_rtti_object@@6B@ MSVCRT___non_rtti_object_vtable
+@ extern -i386 ??_7bad_cast@@6B@ MSVCRT_bad_cast_vtable
+@ extern -i386 ??_7bad_typeid@@6B@ MSVCRT_bad_typeid_vtable
+@ extern -i386 ??_7exception@@6B@ MSVCRT_exception_vtable
+@ cdecl -i386 -norelay ??_E__non_rtti_object@@UAEPAXI@Z(long) __thiscall_MSVCRT___non_rtti_object_vector_dtor
+@ cdecl -i386 -norelay ??_Ebad_cast@@UAEPAXI@Z(long) __thiscall_MSVCRT_bad_cast_vector_dtor
+@ cdecl -i386 -norelay ??_Ebad_typeid@@UAEPAXI@Z(long) __thiscall_MSVCRT_bad_typeid_vector_dtor
+@ cdecl -i386 -norelay ??_Eexception@@UAEPAXI@Z(long) __thiscall_MSVCRT_exception_vector_dtor
+@ cdecl -i386 -norelay ??_Fbad_cast@@QAEXXZ() __thiscall_MSVCRT_bad_cast_default_ctor
+@ cdecl -i386 -norelay ??_Fbad_typeid@@QAEXXZ() __thiscall_MSVCRT_bad_typeid_default_ctor
+@ cdecl -i386 -norelay ??_G__non_rtti_object@@UAEPAXI@Z(long) __thiscall_MSVCRT___non_rtti_object_scalar_dtor
+@ cdecl -i386 -norelay ??_Gbad_cast@@UAEPAXI@Z(long) __thiscall_MSVCRT_bad_cast_scalar_dtor
+@ cdecl -i386 -norelay ??_Gbad_typeid@@UAEPAXI@Z(long) __thiscall_MSVCRT_bad_typeid_scalar_dtor
+@ cdecl -i386 -norelay ??_Gexception@@UAEPAXI@Z(long) __thiscall_MSVCRT_exception_scalar_dtor
+@ cdecl ??_U@YAPAXI@Z(long) MSVCRT_operator_new
+@ cdecl ??_U@YAPAXIHPBDH@Z(long long str long) MSVCRT_operator_new_dbg
+@ cdecl ??_V@YAXPAX@Z(ptr) MSVCRT_operator_delete
+@ cdecl ?_query_new_handler@@YAP6AHI@ZXZ() MSVCRT__query_new_handler
+@ cdecl ?_query_new_mode@@YAHXZ() MSVCRT__query_new_mode
+@ cdecl ?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z(ptr) MSVCRT__set_new_handler
+@ cdecl ?_set_new_mode@@YAHH@Z(long) MSVCRT__set_new_mode
+@ cdecl ?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z(ptr) MSVCRT__set_se_translator
+@ cdecl -i386 -norelay ?before@type_info@@QBEHABV1@@Z(ptr) __thiscall_MSVCRT_type_info_before
+@ cdecl -i386 -norelay ?name@type_info@@QBEPBDXZ() __thiscall_MSVCRT_type_info_name
+@ cdecl -i386 -norelay ?raw_name@type_info@@QBEPBDXZ() __thiscall_MSVCRT_type_info_raw_name
+@ cdecl ?set_new_handler@@YAP6AXXZP6AXXZ@Z(ptr) MSVCRT_set_new_handler
+@ cdecl ?set_terminate@@YAP6AXXZP6AXXZ@Z(ptr) MSVCRT_set_terminate
+@ cdecl ?set_unexpected@@YAP6AXXZP6AXXZ@Z(ptr) MSVCRT_set_unexpected
+@ cdecl ?terminate@@YAXXZ() MSVCRT_terminate
+@ cdecl ?unexpected@@YAXXZ() MSVCRT_unexpected
+@ cdecl -i386 -norelay ?what@exception@@UBEPBDXZ() __thiscall_MSVCRT_what_exception
+@ cdecl -arch=i386 _CIacos()
+@ cdecl -arch=i386 _CIasin()
+@ cdecl -arch=i386 _CIatan()
+@ cdecl -arch=i386 _CIatan2()
+@ cdecl -arch=i386 _CIcos()
+@ cdecl -arch=i386 _CIcosh()
+@ cdecl -arch=i386 _CIexp()
+@ cdecl -arch=i386 _CIfmod()
+@ cdecl -arch=i386 _CIlog()
+@ cdecl -arch=i386 _CIlog10()
+@ cdecl -arch=i386 _CIpow()
+@ cdecl -arch=i386 _CIsin()
+@ cdecl -arch=i386 _CIsinh()
+@ cdecl -arch=i386 _CIsqrt()
+@ cdecl -arch=i386 _CItan()
+@ cdecl -arch=i386 _CItanh()
+# stub _CrtCheckMemory
+# stub _CrtDbgBreak
+# stub _CrtDbgReport
+# stub _CrtDbgReportV
+# stub _CrtDbgReportW
+# stub _CrtDbgReportWV
+# stub _CrtDoForAllClientObjects
+# stub _CrtDumpMemoryLeaks
+# stub _CrtIsMemoryBlock
+# stub _CrtIsValidHeapPointer
+# stub _CrtIsValidPointer
+# stub _CrtMemCheckpoint
+# stub _CrtMemDifference
+# stub _CrtMemDumpAllObjectsSince
+# stub _CrtMemDumpStatistics
+# stub _CrtReportBlockType
+# stub _CrtSetAllocHook
+# stub _CrtSetBreakAlloc
+# stub _CrtSetDbgBlockType
+# stub _CrtSetDbgFlag
+# stub _CrtSetDumpClient
+# stub _CrtSetReportFile
+# stub _CrtSetReportHook
+# stub _CrtSetReportHook2
+# stub _CrtSetReportMode
+@ cdecl _CxxThrowException(long long)
+@ cdecl -i386 -norelay _EH_prolog()
+@ cdecl _Getdays()
+@ cdecl _Getmonths()
+@ cdecl _Gettnames()
+@ extern _HUGE _HUGE
+@ cdecl _Strftime(str long str ptr ptr)
+@ cdecl _XcptFilter(long ptr)
+@ cdecl __CppXcptFilter(long ptr)
+# stub __CxxCallUnwindDelDtor
+# stub __CxxCallUnwindDtor
+# stub __CxxCallUnwindVecDtor
+@ cdecl __CxxDetectRethrow(ptr)
+# stub __CxxExceptionFilter
+@ cdecl -i386 -norelay __CxxFrameHandler(ptr ptr ptr ptr)
+@ cdecl -i386 -norelay __CxxFrameHandler2(ptr ptr ptr ptr) __CxxFrameHandler
+@ cdecl -i386 -norelay __CxxFrameHandler3(ptr ptr ptr ptr) __CxxFrameHandler
+@ stdcall -arch=x86_64 __C_specific_handler(ptr long ptr ptr) ntdll.__C_specific_handler
+@ stdcall -i386 __CxxLongjmpUnwind(ptr)
+@ cdecl __CxxQueryExceptionSize()
+# stub __CxxRegisterExceptionObject
+# stub __CxxUnregisterExceptionObject
+# stub __DestructExceptionObject
+@ cdecl __RTCastToVoid(ptr) MSVCRT___RTCastToVoid
+@ cdecl __RTDynamicCast(ptr long ptr ptr long) MSVCRT___RTDynamicCast
+@ cdecl __RTtypeid(ptr) MSVCRT___RTtypeid
+@ cdecl __STRINGTOLD(ptr ptr str long)
+@ cdecl ___lc_codepage_func()
+@ cdecl ___lc_collate_cp_func()
+@ cdecl ___lc_handle_func()
+@ cdecl ___mb_cur_max_func() MSVCRT___mb_cur_max_func
+@ cdecl ___setlc_active_func() 
+@ cdecl ___unguarded_readlc_active_add_func()
+@ extern __argc __argc
+@ extern __argv __argv
+@ extern __badioinfo __badioinfo
+@ cdecl __crtCompareStringA(long long str long str long)
+@ cdecl __crtCompareStringW(long long wstr long wstr long)
+@ cdecl __crtGetLocaleInfoW(long long ptr long)
+@ cdecl __crtGetStringTypeW(long long wstr long ptr)
+@ cdecl __crtLCMapStringA(long long str long ptr long long long)
+# stub __crtLCMapStringW
+# stub __daylight
+@ cdecl __dllonexit(ptr ptr ptr)
+@ cdecl __doserrno() __doserrno
+# stub __dstbias
+@ cdecl __fpecode()
+@ stub __get_app_type
+@ cdecl __getmainargs(ptr ptr ptr long ptr)
+@ extern __initenv __initenv
+@ cdecl __iob_func() __iob_func
+@ cdecl __isascii(long) __isascii
+@ cdecl __iscsym(long) __iscsym
+@ cdecl __iscsymf(long) __iscsymf
+@ extern __lc_codepage __lc_codepage
+@ stub __lc_collate
+@ extern __lc_collate_cp __lc_collate_cp
+@ extern __lc_handle __lc_handle
+@ cdecl __lconv_init()
+# stub __libm_sse2_acos
+# stub __libm_sse2_acosf
+# stub __libm_sse2_asin
+# stub __libm_sse2_asinf
+# stub __libm_sse2_atan
+# stub __libm_sse2_atan2
+# stub __libm_sse2_atanf
+# stub __libm_sse2_cos
+# stub __libm_sse2_cosf
+# stub __libm_sse2_exp
+# stub __libm_sse2_expf
+# stub __libm_sse2_log
+# stub __libm_sse2_log10
+# stub __libm_sse2_log10f
+# stub __libm_sse2_logf
+# stub __libm_sse2_pow
+# stub __libm_sse2_powf
+# stub __libm_sse2_sin
+# stub __libm_sse2_sinf
+# stub __libm_sse2_tan
+# stub __libm_sse2_tanf
+@ extern __mb_cur_max __mb_cur_max
+@ cdecl -arch=i386 __p___argc()
+@ cdecl -arch=i386 __p___argv()
+@ cdecl -arch=i386 __p___initenv()
+@ cdecl -arch=i386 __p___mb_cur_max() MSVCRT___mb_cur_max_func
+@ cdecl -arch=i386 __p___wargv()
+@ cdecl -arch=i386 __p___winitenv()
+@ cdecl -arch=i386 __p__acmdln()
+@ cdecl -arch=i386 __p__amblksiz()
+@ cdecl -arch=i386 __p__commode()
+@ cdecl -arch=i386 __p__daylight() MSVCRT___p__daylight
+@ cdecl -arch=i386 __p__dstbias()
+@ cdecl -arch=i386 __p__environ()
+@ stub -arch=i386 __p__fileinfo #()
+@ cdecl -arch=i386 __p__fmode()
+@ cdecl -arch=i386 __p__iob() __iob_func
+@ stub -arch=i386 __p__mbcasemap #()
+@ cdecl -arch=i386 __p__mbctype()
+@ cdecl -arch=i386 __p__osver()
+@ cdecl -arch=i386 __p__pctype() __pctype_func
+@ cdecl -arch=i386 __p__pgmptr()
+@ stub -arch=i386 __p__pwctype #()
+@ cdecl -arch=i386 __p__timezone() __p__timezone
+@ cdecl -arch=i386 __p__tzname()
+@ cdecl -arch=i386 __p__wcmdln()
+@ cdecl -arch=i386 __p__wenviron()
+@ cdecl -arch=i386 __p__winmajor()
+@ cdecl -arch=i386 __p__winminor()
+@ cdecl -arch=i386 __p__winver()
+@ cdecl -arch=i386 __p__wpgmptr()
+@ cdecl __pctype_func() __pctype_func
+@ extern __pioinfo __pioinfo
+# stub __pwctype_func
+@ stub __pxcptinfoptrs #()
+@ cdecl __set_app_type(long)
+@ extern __setlc_active
+@ cdecl __setusermatherr(ptr)
+# stub __strncnt
+@ cdecl __threadhandle() kernel32.GetCurrentThread
+@ cdecl __threadid() kernel32.GetCurrentThreadId
+@ cdecl __toascii(long)
+@ cdecl __uncaught_exception()
+@ cdecl __unDName(ptr str long ptr ptr long)
+@ cdecl __unDNameEx(ptr str long ptr ptr ptr long)
+@ extern __unguarded_readlc_active
+@ extern __wargv __wargv
+# stub __wcserror
+# stub __wcserror_s
+# stub __wcsncnt
+@ cdecl __wgetmainargs(ptr ptr ptr long ptr)
+@ extern __winitenv
+@ cdecl _abnormal_termination()
+# stub _abs64
+@ cdecl _access(str long)
+# stub _access_s
+@ extern _acmdln _acmdln
+@ stdcall -arch=i386 _adj_fdiv_m16i(long)
+@ stdcall -arch=i386 _adj_fdiv_m32(long)
+@ stdcall -arch=i386 _adj_fdiv_m32i(long)
+@ stdcall -arch=i386 _adj_fdiv_m64(double)
+@ cdecl -arch=i386 _adj_fdiv_r()
+@ stdcall -arch=i386 _adj_fdivr_m16i(long)
+@ stdcall -arch=i386 _adj_fdivr_m32(long)
+@ stdcall -arch=i386 _adj_fdivr_m32i(long)
+@ stdcall -arch=i386 _adj_fdivr_m64(double)
+@ cdecl -arch=i386 _adj_fpatan()
+@ cdecl -arch=i386 _adj_fprem()
+@ cdecl -arch=i386 _adj_fprem1()
+@ cdecl -arch=i386 _adj_fptan()
+@ extern -arch=i386 _adjust_fdiv 
+# extern _aexit_rtn
+@ cdecl _aligned_free(ptr)
+# stub _aligned_free_dbg
+@ cdecl _aligned_malloc(long long)
+# stub _aligned_malloc_dbg
+@ cdecl _aligned_offset_malloc(long long long)
+# stub _aligned_offset_malloc_dbg
+@ cdecl _aligned_offset_realloc(ptr long long long)
+# stub _aligned_offset_realloc_dbg
+@ cdecl _aligned_realloc(ptr long long)
+# stub _aligned_realloc_dbg
+@ cdecl _amsg_exit(long)
+@ cdecl _assert(str str long) 
+@ stub _atodbl #(ptr str)
+# stub _atodbl_l
+@ cdecl _atof_l(str ptr)
+# stub _atoflt_l
+@ cdecl -ret64 _atoi64(str)
+# stub _atoi64_l
+# stub _atoi_l
+# stub _atol_l
+@ cdecl _atoldbl(ptr str)
+# stub _atoldbl_l
+@ cdecl _beep(long long)
+@ cdecl _beginthread (ptr long ptr)
+@ cdecl _beginthreadex (ptr long ptr ptr long ptr)
+@ cdecl _c_exit()
+@ cdecl _cabs(long)
+@ cdecl _callnewh(long)
+# stub _calloc_dbg
+@ cdecl _cexit()
+@ cdecl _cgets(str)
+# stub _cgets_s
+# stub _cgetws
+# stub _cgetws_s
+@ cdecl _chdir(str)
+@ cdecl _chdrive(long)
+@ cdecl _chgsign(double)
+@ cdecl -i386 -norelay _chkesp()
+@ cdecl _chmod(str long)
+@ cdecl _chsize(long long)
+# stub _chsize_s
+# stub _chvalidator
+# stub _chvalidator_l
+@ cdecl _clearfp()
+@ cdecl _close(long)
+@ cdecl _commit(long)
+@ extern _commode
+@ cdecl _control87(long long)
+@ cdecl _controlfp(long long)
+@ cdecl _controlfp_s(ptr long long)
+@ cdecl _copysign( double double )
+@ varargs _cprintf(str)
+# stub _cprintf_l
+# stub _cprintf_p
+# stub _cprintf_p_l
+# stub _cprintf_s
+# stub _cprintf_s_l
+@ cdecl _cputs(str)
+# stub _cputws
+@ cdecl _creat(str long)
+# stub _crtAssertBusy
+# stub _crtBreakAlloc
+# stub _crtDbgFlag
+@ varargs _cscanf(str)
+@ varargs _cscanf_l(str ptr)
+@ varargs _cscanf_s(str)
+@ varargs _cscanf_s_l(str ptr)
+@ cdecl _ctime32(ptr)
+# stub _ctime32_s
+@ cdecl _ctime64(ptr)
+# stub _ctime64_s
+@ extern _ctype
+@ cdecl _cwait(ptr long long)
+# stub _cwprintf
+# stub _cwprintf_l
+# stub _cwprintf_p
+# stub _cwprintf_p_l
+# stub _cwprintf_s
+# stub _cwprintf_s_l
+@ varargs _cwscanf(wstr)
+@ varargs _cwscanf_l(wstr ptr)
+@ varargs _cwscanf_s(wstr)
+@ varargs _cwscanf_s_l(wstr ptr)
+@ extern _daylight MSVCRT___daylight
+@ cdecl _difftime32(long long)
+@ cdecl _difftime64(long long)
+@ extern _dstbias
+@ cdecl _dup (long)
+@ cdecl _dup2 (long long)
+@ cdecl _ecvt(double long ptr ptr)
+# stub _ecvt_s
+@ cdecl _endthread ()
+@ cdecl _endthreadex(long)
+@ extern _environ
+@ cdecl _eof(long)
+@ cdecl _errno()
+@ cdecl -i386 _except_handler2(ptr ptr ptr ptr)
+@ cdecl -i386 _except_handler3(ptr ptr ptr ptr)
+@ cdecl -i386 _except_handler4_common(ptr ptr ptr ptr ptr ptr)
+@ varargs _execl(str str)
+@ varargs _execle(str str)
+@ varargs _execlp(str str)
+@ varargs _execlpe(str str)
+@ cdecl _execv(str ptr)
+@ cdecl _execve(str ptr ptr)
+@ cdecl _execvp(str ptr)
+@ cdecl _execvpe(str ptr ptr)
+@ cdecl _exit(long) _exit
+@ cdecl _expand(ptr long)
+# stub _expand_dbg
+@ cdecl _fcloseall()
+@ cdecl _fcvt(double long ptr ptr)
+# stub _fcvt_s
+@ cdecl _fdopen(long str)
+@ cdecl _fgetchar()
+@ cdecl _fgetwchar()
+@ cdecl _filbuf(ptr)
+# extern _fileinfo
+@ cdecl _filelength(long)
+@ cdecl -ret64 _filelengthi64(long)
+@ cdecl _fileno(ptr)
+@ cdecl _findclose(long)
+@ cdecl _findfirst(str ptr)
+@ cdecl _findfirst64(str ptr)
+@ cdecl _findfirsti64(str ptr)
+@ cdecl _findnext(long ptr)
+@ cdecl _findnext64(long ptr)
+@ cdecl _findnexti64(long ptr)
+@ cdecl _finite(double)
+@ cdecl _flsbuf(long ptr)
+@ cdecl _flushall()
+@ extern _fmode
+@ cdecl _fpclass(double)
+@ stub _fpieee_flt #(long ptr ptr)
+@ cdecl _fpreset()
+# stub _fprintf_l
+# stub _fprintf_p
+# stub _fprintf_p_l
+# stub _fprintf_s_l
+@ cdecl _fputchar(long)
+@ cdecl _fputwchar(long)
+# stub _free_dbg
+# stub _freea
+# stub _freea_s
+# stub _fscanf_l
+@ varargs _fscanf_l(ptr str ptr)
+@ varargs _fscanf_s_l(ptr str ptr)
+# stub _fseeki64
+@ cdecl _fsopen(str str long)
+@ cdecl _fstat(long ptr)
+@ cdecl _fstat64(long ptr)
+@ cdecl _fstati64(long ptr)
+@ cdecl _ftime(ptr)
+@ cdecl _ftime32(ptr)
+# stub _ftime32_s
+@ cdecl _ftime64(ptr)
+# stub _ftime64_s
+@ cdecl -ret64 _ftol()
+@ cdecl -ret64 _ftol2() _ftol
+@ cdecl -ret64 _ftol2_sse() _ftol #FIXME: SSE variant should be implemented
+# stub _ftol2_sse_excpt
+@ cdecl _fullpath(ptr str long)
+# stub _fullpath_dbg
+@ cdecl _futime(long ptr)
+@ cdecl _futime32(long ptr)
+@ cdecl _futime64(long ptr)
+# stub _fwprintf_l
+# stub _fwprintf_p
+# stub _fwprintf_p_l
+# stub _fwprintf_s_l
+@ varargs _fwscanf_l(ptr wstr ptr)
+@ varargs _fwscanf_s_l(ptr wstr ptr)
+@ cdecl _gcvt(double long str)
+# stub _gcvt_s
+# stub _get_doserrno
+# stub _get_environ
+# stub _get_errno
+# stub _get_fileinfo
+# stub _get_fmode
+@ cdecl _get_heap_handle()
+@ cdecl _get_osfhandle(long)
+# stub _get_osplatform
+# stub _get_osver
+# stub _get_output_format
+# stub _get_pgmptr
+@ cdecl _get_sbh_threshold()
+# stub _get_wenviron
+# stub _get_winmajor
+# stub _get_winminor
+# stub _get_winver
+# stub _get_wpgmptr
+@ stub _get_terminate
+@ stub _get_unexpected
+@ cdecl _getch()
+@ cdecl _getche()
+@ cdecl _getcwd(str long)
+@ cdecl _getdcwd(long str long)
+@ cdecl _getdiskfree(long ptr)
+@ cdecl _getdllprocaddr(long str long)
+@ cdecl _getdrive()
+@ cdecl _getdrives() kernel32.GetLogicalDrives
+@ cdecl _getmaxstdio()
+@ cdecl _getmbcp()
+@ cdecl _getpid() kernel32.GetCurrentProcessId
+@ stub _getsystime #(ptr)
+@ cdecl _getw(ptr)
+# stub _getwch
+# stub _getwche
+@ cdecl _getws(ptr)
+@ cdecl -i386 _global_unwind2(ptr)
+@ cdecl _gmtime32(ptr)
+# stub _gmtime32_s
+@ cdecl _gmtime64(ptr)
+# stub _gmtime64_s
+@ cdecl _heapadd (ptr long)
+@ cdecl _heapchk()
+@ cdecl _heapmin()
+@ cdecl _heapset(long)
+@ stub _heapused #(ptr ptr)
+@ cdecl _heapwalk(ptr)
+@ cdecl _hypot(double double)
+@ cdecl _i64toa(long long ptr long)
+# stub _i64toa_s
+@ cdecl _i64tow(long long ptr long)
+# stub _i64tow_s
+@ cdecl _initterm(ptr ptr)
+# stub _initterm_e
+@ stub _inp #(long) -i386
+@ stub _inpd #(long) -i386
+@ stub _inpw #(long) -i386
+@ cdecl _invalid_parameter(wstr wstr wstr long long)
+@ extern _iob
+# stub _isalnum_l
+# stub _isalpha_l
+@ cdecl _isatty(long)
+# stub _iscntrl_l
+@ cdecl _isctype(long long)
+# stub _isctype_l
+# stub _isdigit_l
+# stub _isgraph_l
+# stub _isleadbyte_l
+# stub _islower_l
+@ stub _ismbbalnum #(long)
+# stub _ismbbalnum_l
+@ stub _ismbbalpha #(long)
+# stub _ismbbalpha_l
+@ stub _ismbbgraph #(long)
+# stub _ismbbgraph_l
+@ stub _ismbbkalnum #(long)
+# stub _ismbbkalnum_l
+@ cdecl _ismbbkana(long)
+# stub _ismbbkana_l
+@ stub _ismbbkprint #(long)
+# stub _ismbbkprint_l
+@ stub _ismbbkpunct #(long)
+# stub _ismbbkpunct_l
+@ cdecl _ismbblead(long)
+# stub _ismbblead_l
+@ stub _ismbbprint #(long)
+# stub _ismbbprint_l
+@ stub _ismbbpunct #(long)
+# stub _ismbbpunct_l
+@ cdecl _ismbbtrail(long)
+# stub _ismbbtrail_l
+@ cdecl _ismbcalnum(long)
+# stub _ismbcalnum_l
+@ cdecl _ismbcalpha(long)
+# stub _ismbcalpha_l
+@ cdecl _ismbcdigit(long)
+# stub _ismbcdigit_l
+@ cdecl _ismbcgraph(long)
+# stub _ismbcgraph_l
+@ cdecl _ismbchira(long)
+# stub _ismbchira_l
+@ cdecl _ismbckata(long)
+# stub _ismbckata_l
+@ stub _ismbcl0 #(long)
+# stub _ismbcl0_l
+@ stub _ismbcl1 #(long)
+# stub _ismbcl1_l
+@ stub _ismbcl2 #(long)
+# stub _ismbcl2_l
+@ cdecl _ismbclegal(long)
+# stub _ismbclegal_l
+@ cdecl _ismbclower(long)
+# stub _ismbclower_l
+@ cdecl _ismbcprint(long)
+# stub _ismbcprint_l
+@ cdecl _ismbcpunct(long)
+# stub _ismbcpunct_l
+@ cdecl _ismbcspace(long)
+# stub _ismbcspace_l
+@ cdecl _ismbcsymbol(long)
+# stub _ismbcsymbol_l
+@ cdecl _ismbcupper(long)
+# stub _ismbcupper_l
+@ cdecl _ismbslead(ptr ptr)
+# stub _ismbslead_l
+@ cdecl _ismbstrail(ptr ptr)
+# stub _ismbstrail_l
+@ cdecl _isnan(double)
+# stub _isprint_l
+# stub _isspace_l
+# stub _isupper_l
+# stub _iswalnum_l
+# stub _iswalpha_l
+# stub _iswcntrl_l
+# stub _iswctype_l
+# stub _iswdigit_l
+# stub _iswgraph_l
+# stub _iswlower_l
+# stub _iswprint_l
+# stub _iswpunct_l
+# stub _iswspace_l
+# stub _iswupper_l
+# stub _iswxdigit_l
+# stub _isxdigit_l
+@ cdecl _itoa(long ptr long)
+# stub _itoa_s
+@ cdecl _itow(long ptr long)
+# stub _itow_s
+#@ cdecl _j0(double)
+#@ cdecl _j1(double)
+#@ cdecl _jn(long double)
+@ cdecl _kbhit()
+@ cdecl _lfind(ptr ptr ptr long ptr)
+# stub _lfind_s
+@ cdecl _loaddll(str)
+@ cdecl -i386 _local_unwind2(ptr long)
+@ cdecl -i386 _local_unwind4(ptr ptr long) msvcrt_local_unwind4
+@ cdecl _localtime32(ptr)
+# stub _localtime32_s
+@ cdecl _localtime64(ptr)
+# stub _localtime64_s
+@ cdecl _lock(long)
+@ cdecl _locking(long long long)
+@ cdecl _logb( double )
+@ cdecl -i386 _longjmpex(ptr long) longjmp
+@ cdecl _lrotl(long long)
+@ cdecl _lrotr(long long)
+@ cdecl _lsearch(ptr ptr long long ptr)
+# stub _lsearch_s
+@ cdecl _lseek(long long long)
+@ cdecl -ret64 _lseeki64(long double long)
+@ cdecl _ltoa(long ptr long)
+# stub _ltoa_s
+@ cdecl _ltow(long ptr long)
+# stub _ltow_s
+@ cdecl _makepath(ptr str str str str)
+# stub _makepath_s
+# stub _malloc_dbg
+@ cdecl _matherr(ptr)
+@ cdecl _mbbtombc(long)
+# stub _mbbtombc_l
+@ cdecl _mbbtype(long long)
+# extern _mbcasemap
+@ cdecl _mbccpy (str str)
+# stub _mbccpy_l
+# stub _mbccpy_s
+# stub _mbccpy_s_l
+@ cdecl _mbcjistojms (long)
+# stub _mbcjistojms_l
+@ stub _mbcjmstojis #(long)
+# stub _mbcjmstojis_l
+@ cdecl _mbclen(ptr)
+# stub _mbclen_l
+@ stub _mbctohira #(long)
+# stub _mbctohira_l
+@ stub _mbctokata #(long)
+# stub _mbctokata_l
+@ cdecl _mbctolower(long)
+# stub _mbctolower_l
+@ cdecl _mbctombb(long)
+# stub _mbctombb_l
+@ cdecl _mbctoupper(long)
+# stub _mbctoupper_l
+@ extern _mbctype
+# stub _mblen_l
+@ cdecl _mbsbtype(str long)
+# stub _mbsbtype_l
+@ cdecl _mbscat(str str)
+# stub _mbscat_s
+# stub _mbscat_s_l
+@ cdecl _mbschr(str long)
+# stub _mbschr_l
+@ cdecl _mbscmp(str str)
+# stub _mbscmp_l
+@ cdecl _mbscoll(str str)
+# stub _mbscoll_l
+@ cdecl _mbscpy(ptr str)
+# stub _mbscpy_s
+# stub _mbscpy_s_l
+@ cdecl _mbscspn (str str)
+# stub _mbscspn_l
+@ cdecl _mbsdec(ptr ptr)
+# stub _mbsdec_l
+@ cdecl _mbsdup(str) _strdup
+# stub _strdup_dbg
+@ cdecl _mbsicmp(str str)
+# stub _mbsicmp_l
+@ cdecl _mbsicoll(str str)
+# stub _mbsicoll_l
+@ cdecl _mbsinc(str)
+# stub _mbsinc_l
+@ cdecl _mbslen(str)
+# stub _mbslen_l
+@ cdecl _mbslwr(str)
+# stub _mbslwr_l
+# stub _mbslwr_s
+# stub _mbslwr_s_l
+@ cdecl _mbsnbcat (str str long)
+# stub _mbsnbcat_l
+# stub _mbsnbcat_s
+# stub _mbsnbcat_s_l
+@ cdecl _mbsnbcmp(str str long)
+# stub _mbsnbcmp_l
+@ cdecl _mbsnbcnt(ptr long)
+# stub _mbsnbcnt_l
+@ stub _mbsnbcoll #(str str long)
+# stub _mbsnbcoll_l
+@ cdecl _mbsnbcpy(ptr str long)
+# stub _mbsnbcpy_l
+@ cdecl _mbsnbcpy_s(ptr long str long)
+# stub _mbsnbcpy_s_l
+@ cdecl _mbsnbicmp(str str long)
+# stub _mbsnbicmp_l
+@ stub _mbsnbicoll #(str str long)
+# stub _mbsnbicoll_l
+@ cdecl _mbsnbset(str long long)
+# stub _mbsnbset_l
+# stub _mbsnbset_s
+# stub _mbsnbset_s_l
+@ cdecl _mbsncat(str str long)
+# stub _mbsncat_l
+# stub _mbsncat_s
+# stub _mbsncat_s_l
+@ cdecl _mbsnccnt(str long)
+# stub _mbsnccnt_l
+@ cdecl _mbsncmp(str str long)
+# stub _mbsncmp_l
+@ stub _mbsncoll #(str str long)
+# stub _mbsncoll_l
+@ cdecl _mbsncpy(str str long)
+# stub _mbsncpy_l
+# stub _mbsncpy_s
+# stub _mbsncpy_s_l
+@ cdecl _mbsnextc(str)
+# stub _mbsnextc_l
+@ cdecl _mbsnicmp(str str long)
+# stub _mbsnicmp_l
+@ stub _mbsnicoll #(str str long)
+# stub _mbsnicoll_l
+@ cdecl _mbsninc(str long)
+# stub _mbsninc_l
+# stub _mbsnlen
+# stub _mbsnlen_l
+@ cdecl _mbsnset(str long long)
+# stub _mbsnset_l
+# stub _mbsnset_s
+# stub _mbsnset_s_l
+@ cdecl _mbspbrk(str str)
+# stub _mbspbrk_l
+@ cdecl _mbsrchr(str long)
+# stub _mbsrchr_l
+@ cdecl _mbsrev(str)
+# stub _mbsrev_l
+@ cdecl _mbsset(str long)
+# stub _mbsset_l
+# stub _mbsset_s
+# stub _mbsset_s_l
+@ cdecl _mbsspn(str str)
+# stub _mbsspn_l
+@ cdecl _mbsspnp(str str)
+# stub _mbsspnp_l
+@ cdecl _mbsstr(str str)
+# stub _mbsstr_l
+@ cdecl _mbstok(str str)
+# stub _mbstok_l
+# stub _mbstok_s
+# stub _mbstok_s_l
+# stub _mbstowcs_l
+# stub _mbstowcs_s_l
+@ cdecl _mbstrlen(str)
+# stub _mbstrlen_l
+# stub _mbstrnlen
+# stub _mbstrnlen_l
+@ cdecl _mbsupr(str)
+# stub _mbsupr_l
+# stub _mbsupr_s
+# stub _mbsupr_s_l
+# stub _mbtowc_l
+@ cdecl _memccpy(ptr ptr long long)
+@ cdecl _memicmp(str str long)
+# stub _memicmp_l
+@ cdecl _mkdir(str)
+@ cdecl _mkgmtime(ptr)
+@ cdecl _mkgmtime32(ptr)
+@ cdecl _mkgmtime64(ptr)
+@ cdecl _mktemp(str)
+# stub _mktemp_s
+@ cdecl _mktime32(ptr)
+@ cdecl _mktime64(ptr)
+@ cdecl _msize(ptr)
+# stub _msize_debug
+@ cdecl _nextafter(double double)
+@ cdecl _onexit(ptr)
+@ varargs _open(str long)
+@ cdecl _open_osfhandle(long long)
+# stub _osplatform
+@ extern _osver _osver
+@ stub _outp #(long long)
+@ stub _outpd #(long long)
+@ stub _outpw #(long long)
+@ cdecl _pclose (ptr)
+@ extern _pctype _pctype
+@ extern _pgmptr _pgmptr
+@ cdecl _pipe (ptr long long)
+@ cdecl _popen (str str)
+# stub _printf_l
+# stub _printf_p
+# stub _printf_p_l
+# stub _printf_s_l
+@ cdecl _purecall()
+@ cdecl _putch(long)
+@ cdecl _putenv(str)
+# stub _putenv_s
+@ cdecl _putw(long ptr)
+# stub _putwch
+@ cdecl _putws(wstr)
+# extern _pwctype
+@ cdecl _read(long ptr long) 
+# stub _realloc_dbg
+# stub _resetstkoflw
+@ cdecl _rmdir(str)
+@ cdecl _rmtmp()
+@ cdecl _rotl(long long)
+# stub _rotl64
+@ cdecl _rotr(long long)
+# stub _rotr64
+@ cdecl -arch=i386 _safe_fdiv()
+@ cdecl -arch=i386 _safe_fdivr()
+@ cdecl -arch=i386 _safe_fprem()
+@ cdecl -arch=i386 _safe_fprem1()
+@ cdecl _scalb(double long)
+@ varargs _scanf_l(str ptr)
+@ varargs _scanf_s_l(str ptr)
+# stub _scprintf
+# stub _scprintf_l
+# stub _scprintf_p_l
+# stub _scwprintf
+# stub _scwprintf_l
+# stub _scwprintf_p_l
+@ cdecl _searchenv(str str ptr)
+# stub _searchenv_s
+# stub _seh_longjmp_unwind4
+@ stdcall -i386 _seh_longjmp_unwind(ptr)
+# stub _set_SSE2_enable
+# stub _set_controlfp
+# stub _set_doserrno
+# stub _set_errno
+@ cdecl _set_error_mode(long)
+# stub _set_fileinfo
+# stub _set_fmode
+# stub _set_output_format
+@ cdecl _set_sbh_threshold(long)
+@ cdecl _seterrormode(long)
+@ cdecl -arch=i386,x86_64 -norelay _setjmp(ptr)
+@ cdecl -arch=i386 -norelay _setjmp3(ptr long)
+@ cdecl -arch=x86_64 -norelay _setjmpex(ptr ptr)
+@ cdecl _setmaxstdio(long)
+@ cdecl _setmbcp(long)
+@ cdecl _setmode(long long)
+@ stub _setsystime #(ptr long)
+@ cdecl _sleep(long)
+@ varargs _snprintf(ptr long str)
+# stub _snprintf_c
+# stub _snprintf_c_l
+# stub _snprintf_l
+# stub _snprintf_s
+# stub _snprintf_s_l
+# stub _snscanf
+# stub _snscanf_l
+# stub _snscanf_s
+# stub _snscanf_s_l
+@ varargs _snwprintf(ptr long wstr)
+# stub _snwprintf_l
+# stub _snwprintf_s
+# stub _snwprintf_s_l
+# stub _snwscanf
+# stub _snwscanf_l
+# stub _snwscanf_s
+# stub _snwscanf_s_l
+@ varargs _sopen(str long long)
+# stub _sopen_s
+@ varargs _spawnl(long str str)
+@ varargs _spawnle(long str str)
+@ varargs _spawnlp(long str str)
+@ varargs _spawnlpe(long str str)
+@ cdecl _spawnv(long str ptr)
+@ cdecl _spawnve(long str ptr ptr)
+@ cdecl _spawnvp(long str ptr)
+@ cdecl _spawnvpe(long str ptr ptr)
+@ cdecl _splitpath(str ptr ptr ptr ptr)
+# stub _splitpath_s
+# stub _sprintf_l
+# stub _sprintf_p_l
+# stub _sprintf_s_l
+@ varargs _sscanf_l(str str ptr)
+@ varargs _sscanf_s_l(str str ptr)
+@ cdecl _stat(str ptr)
+@ cdecl _stat64(str ptr)
+@ cdecl _stati64(str ptr)
+@ cdecl _statusfp()
+@ cdecl _strcmpi(str str) 
+# stub _strcoll_l
+@ cdecl _strdate(ptr)
+# stub _strdate_s
+@ cdecl _strdup(str)
+# stub _strdup_dbg
+@ cdecl _strerror(long)
+# stub _strerror_s
+@ cdecl _stricmp(str str)
+# stub _stricmp_l
+@ cdecl _stricoll(str str)
+# stub _stricoll_l
+@ cdecl _strlwr(str)
+# stub _strlwr_l
+# stub _strlwr_s
+# stub _strlwr_s_l
+@ stub _strncoll #(str str long)
+# stub _strncoll_l
+@ cdecl _strnicmp(str str long)
+# stub _strnicmp_l
+@ stub _strnicoll #(str str long)
+# stub _strnicoll_l
+@ cdecl _strnset(str long long)
+# stub _strnset_s
+@ cdecl _strrev(str)
+@ cdecl _strset(str long)
+# stub _strset_s
+@ cdecl _strtime(ptr)
+# stub _strtime_s
+@ cdecl _strtod_l(str ptr ptr)
+@ cdecl _strtoi64(str ptr long)
+@ cdecl _strtoi64_l(str ptr long ptr)
+# stub _strtol_l
+@ cdecl _strtoui64(str ptr long)
+@ cdecl _strtoui64_l(str ptr long ptr)
+# stub _strtoul_l
+@ cdecl _strupr(str)
+# stub _strupr_l
+# stub _strupr_s
+# stub _strupr_s_l
+# stub _strxfrm_l
+@ cdecl _swab(str str long)
+# stub _swprintf
+# stub _swprintf_c
+# stub _swprintf_c_l
+# stub _swprintf_p_l
+# stub _swprintf_s_l
+@ varargs _swscanf_l(wstr wstr ptr)
+@ varargs _swscanf_s_l(wstr wstr ptr)
+@ extern _sys_errlist
+@ extern _sys_nerr
+@ cdecl _tell(long)
+@ cdecl -ret64 _telli64(long)
+@ cdecl _tempnam(str str)
+# stub _tempnam_dbg
+@ cdecl _time32(ptr)
+@ cdecl _time64(ptr)
+@ extern _timezone 
+@ cdecl _tolower(long)
+# stub _tolower_l
+@ cdecl _toupper(long)
+# stub _toupper_l
+# stub _towlower_l
+# stub _towupper_l
+@ extern _tzname
+@ cdecl _tzset() 
+@ cdecl _ui64toa(long long ptr long)
+# stub _ui64toa_s
+@ cdecl _ui64tow(long long ptr long)
+# stub _ui64tow_s
+@ cdecl _ultoa(long ptr long)
+# stub _ultoa_s
+@ cdecl _ultow(long ptr long)
+# stub _ultow_s
+@ cdecl _umask(long)
+# stub _umask_s
+@ cdecl _ungetch(long)
+# stub _ungetwch
+@ cdecl _unlink(str)
+@ cdecl _unloaddll(long)
+@ cdecl _unlock(long)
+@ cdecl _utime32(str ptr)
+@ cdecl _utime64(str ptr)
+# stub _vcprintf
+# stub _vcprintf_l
+# stub _vcprintf_p
+# stub _vcprintf_p_l
+# stub _vcprintf_s
+# stub _vcprintf_s_l
+# stub _vcwprintf
+# stub _vcwprintf_l
+# stub _vcwprintf_p
+# stub _vcwprintf_p_l
+# stub _vcwprintf_s
+# stub _vcwprintf_s_l
+# stub _vfprintf_l
+# stub _vfprintf_p
+# stub _vfprintf_p_l
+# stub _vfprintf_s_l
+# stub _vfwprintf_l
+# stub _vfwprintf_p
+# stub _vfwprintf_p_l
+# stub _vfwprintf_s_l
+# stub _vprintf_l
+# stub _vprintf_p
+# stub _vprintf_p_l
+# stub _vprintf_s_l
+@ cdecl _utime(str ptr)
+@ cdecl _vscprintf(str ptr)
+# stub _vscprintf_l
+# stub _vscprintf_p_l
+@ cdecl _vscwprintf(wstr ptr)
+# stub _vscwprintf_l
+# stub _vscwprintf_p_l
+@ cdecl _vsnprintf(ptr long str ptr)
+@ cdecl _vsnprintf_c(ptr long str ptr) _vsnprintf
+@ cdecl _vsnprintf_c_l(ptr long str ptr ptr) _vsnprintf_l
+@ cdecl _vsnprintf_l(ptr long str ptr ptr)
+@ cdecl _vsnprintf_s(ptr long long str ptr)
+@ cdecl _vsnprintf_s_l(ptr long long str ptr ptr)
+@ cdecl _vsnwprintf(ptr long wstr ptr) 
+@ cdecl _vsnwprintf_l(ptr long wstr ptr ptr) 
+@ cdecl _vsnwprintf_s(ptr long long wstr ptr) 
+@ cdecl _vsnwprintf_s_l(ptr long long wstr ptr ptr) 
+# stub _vsprintf_l
+# stub _vsprintf_p
+# stub _vsprintf_p_l
+# stub _vsprintf_s_l
+@ cdecl _vswprintf(ptr long wstr ptr) _vsnwprintf
+@ cdecl _vswprintf_c(ptr long wstr ptr) _vsnwprintf
+@ cdecl _vswprintf_c_l(ptr long wstr ptr ptr) _vsnwprintf_l
+@ cdecl _vswprintf_l(ptr long wstr ptr ptr) _vsnwprintf_l
+@ cdecl _vswprintf_p_l(ptr long wstr ptr ptr) _vsnwprintf_l
+@ cdecl _vswprintf_s_l(ptr long wstr ptr ptr)
+# stub _vwprintf_l
+# stub _vwprintf_p
+# stub _vwprintf_p_l
+# stub _vwprintf_s_l
+@ cdecl _waccess(wstr long)
+# stub _waccess_s
+@ cdecl _wasctime(ptr)
+# stub _wasctime_s
+# stub _wassert
+@ cdecl _wchdir(wstr)
+@ cdecl _wchmod(wstr long)
+@ extern _wcmdln _wcmdln
+@ cdecl _wcreat(wstr long)
+# stub _wcscoll_l
+@ cdecl _wcsdup(wstr)
+# stub _wcsdup_dbg
+# stub _wcserror
+# stub _wcserror_s
+# stub _wcsftime_l
+@ cdecl _wcsicmp(wstr wstr)
+# stub _wcsicmp_l
+@ cdecl _wcsicoll(wstr wstr)
+# stub _wcsicoll_l
+@ cdecl _wcslwr(wstr)
+# stub _wcslwr_l
+# stub _wcslwr_s
+# stub _wcslwr_s_l
+@ stub _wcsncoll #(wstr wstr long)
+# stub _wcsncoll_l
+@ cdecl _wcsnicmp(wstr wstr long)
+# stub _wcsnicmp_l
+@ stub _wcsnicoll #(wstr wstr long)
+# stub _wcsnicoll_l
+@ cdecl _wcsnset(wstr long long)
+# stub _wcsnset_s
+@ cdecl _wcsrev(wstr)
+@ cdecl _wcsset(wstr long)
+# stub _wcsset_s
+@ cdecl _wcstoi64(wstr ptr long)
+@ cdecl _wcstoi64_l(wstr ptr long ptr)
+# stub _wcstol_l
+# stub _wcstombs_l
+@ cdecl _wcstombs_s_l(ptr ptr long wstr long ptr)
+@ cdecl _wcstoui64(wstr ptr long)
+@ cdecl _wcstoui64_l(wstr ptr long ptr)
+# stub _wcstoul_l
+@ cdecl _wcsupr(wstr)
+# stub _wcsupr_l
+@ cdecl _wcsupr_s(wstr long)
+# stub _wcsupr_s_l
+# stub _wcsxfrm_l
+@ cdecl _wctime(ptr)
+@ cdecl _wctime32(ptr)
+# stub _wctime32_s
+@ cdecl _wctime64(ptr)
+# stub _wctime64_s
+# stub _wctomb_l
+# stub _wctomb_s_l
+# stub _wctype
+@ extern _wenviron
+@ varargs _wexecl(wstr wstr)
+@ varargs _wexecle(wstr wstr)
+@ varargs _wexeclp(wstr wstr)
+@ varargs _wexeclpe(wstr wstr)
+@ cdecl _wexecv(wstr ptr)
+@ cdecl _wexecve(wstr ptr ptr)
+@ cdecl _wexecvp(wstr ptr)
+@ cdecl _wexecvpe(wstr ptr ptr)
+@ cdecl _wfdopen(long wstr)
+@ cdecl _wfindfirst(wstr ptr)
+# stub _wfindfirst64
+@ cdecl _wfindfirsti64(wstr ptr)
+@ cdecl _wfindnext(long ptr)
+# stub _wfindnext64
+@ cdecl _wfindnexti64(long ptr)
+@ cdecl _wfopen(wstr wstr)
+@ cdecl _wfopen_s(ptr wstr wstr)
+@ cdecl _wfreopen(wstr wstr ptr)
+# stub _wfreopen_s
+@ cdecl _wfsopen(wstr wstr long)
+@ cdecl _wfullpath(ptr wstr long)
+# stub _wfullpath_dbg
+@ cdecl _wgetcwd(wstr long)
+@ cdecl _wgetdcwd(long wstr long)
+@ cdecl _wgetenv(wstr)
+# stub _wgetenv_s
+@ extern _winmajor
+@ extern _winminor
+# stub _winput_s
+@ extern _winver
+@ cdecl _wmakepath(wstr wstr wstr wstr wstr)
+# stub _wmakepath_s
+@ cdecl _wmkdir(wstr)
+@ cdecl _wmktemp(wstr)
+# stub _wmktemp_s
+@ varargs _wopen(wstr long)
+# stub _woutput_s
+@ stub _wperror #(wstr)
+@ extern _wpgmptr
+@ cdecl _wpopen (wstr wstr)
+# stub _wprintf_l
+# stub _wprintf_p
+# stub _wprintf_p_l
+# stub _wprintf_s_l
+@ cdecl _wputenv(wstr)
+# stub _wputenv_s
+@ cdecl _wremove(wstr)
+@ cdecl _wrename(wstr wstr)
+@ cdecl _write(long ptr long)
+@ cdecl _wrmdir(wstr)
+@ varargs _wscanf_l(wstr ptr)
+@ varargs _wscanf_s_l(wstr ptr)
+@ cdecl _wsearchenv(wstr wstr ptr)
+# stub _wsearchenv_s
+@ cdecl _wsetlocale(long wstr)
+@ varargs _wsopen (wstr long long)
+# stub _wsopen_s
+@ varargs _wspawnl(long wstr wstr)
+@ varargs _wspawnle(long wstr wstr)
+@ varargs _wspawnlp(long wstr wstr)
+@ varargs _wspawnlpe(long wstr wstr)
+@ cdecl _wspawnv(long wstr ptr)
+@ cdecl _wspawnve(long wstr ptr ptr)
+@ cdecl _wspawnvp(long wstr ptr)
+@ cdecl _wspawnvpe(long wstr ptr ptr)
+@ cdecl _wsplitpath(wstr ptr ptr ptr ptr)
+@ cdecl _wsplitpath_s(wstr ptr long ptr long ptr long ptr long)
+@ cdecl _wstat(wstr ptr)
+@ cdecl _wstati64(wstr ptr)
+@ cdecl _wstat64(wstr ptr)
+@ cdecl _wstrdate(ptr)
+# stub _wstrdate_s
+@ cdecl _wstrtime(ptr)
+# stub _wstrtime_s
+@ cdecl _wsystem(wstr)
+@ cdecl _wtempnam(wstr wstr)
+# stub _wtempnam_dbg
+@ stub _wtmpnam #(ptr)
+# stub _wtmpnam_s
+@ cdecl _wtof(wstr)
+@ cdecl _wtof_l(wstr ptr)
+@ cdecl _wtoi(wstr)
+@ cdecl _wtoi64(wstr)
+# stub _wtoi64_l
+# stub _wtoi_l
+@ cdecl _wtol(wstr)
+# stub _wtol_l
+@ cdecl _wunlink(wstr)
+@ cdecl _wutime(wstr ptr)
+@ cdecl _wutime32(wstr ptr)
+@ cdecl _wutime64(wstr ptr)
+#@ cdecl _y0(double)
+#@ cdecl _y1(double)
+#@ cdecl _yn(long double )
+@ cdecl abort() 
+@ cdecl abs(long)
+@ cdecl acos(double) 
+@ cdecl asctime(ptr)
+# stub asctime_s
+@ cdecl asin(double) 
+@ cdecl atan(double) 
+@ cdecl atan2(double double) 
+@ cdecl atexit(ptr) 
+@ cdecl atof(str) 
+@ cdecl atoi(str)
+@ cdecl atol(str) 
+@ cdecl bsearch(ptr ptr long long ptr)
+# stub bsearch_s
+@ cdecl btowc(long) 
+@ cdecl calloc(long long)
+@ cdecl ceil(double)
+@ cdecl clearerr(ptr)
+# stub clearerr_s
+@ cdecl clock()
+@ cdecl cos(double)
+@ cdecl cosh(double)
+@ cdecl ctime(ptr)
+@ cdecl difftime(long long)
+@ cdecl div(long long)
+@ cdecl exit(long)
+@ cdecl exp(double)
+@ cdecl fabs(double)
+@ cdecl fclose(ptr)
+@ cdecl feof(ptr)
+@ cdecl ferror(ptr)
+@ cdecl fflush(ptr)
+@ cdecl fgetc(ptr)
+@ cdecl fgetpos(ptr ptr)
+@ cdecl fgets(ptr long ptr)
+@ cdecl fgetwc(ptr)
+@ cdecl fgetws(ptr long ptr)
+@ cdecl floor(double)
+@ cdecl fmod(double double)
+@ cdecl fopen(str str)
+@ cdecl fopen_s(ptr str str)
+@ varargs fprintf(ptr str)
+# stub fprintf_s
+@ cdecl fputc(long ptr)
+@ cdecl fputs(str ptr)
+@ cdecl fputwc(long ptr)
+@ cdecl fputws(wstr ptr)
+@ cdecl fread(ptr long long ptr)
+@ cdecl free(ptr)
+@ cdecl freopen(str str ptr)
+# stub freopen_s
+@ cdecl frexp(double ptr)
+@ varargs fscanf(ptr str)
+@ varargs fscanf_s(ptr str)
+@ cdecl fseek(ptr long long)
+@ cdecl fsetpos(ptr ptr)
+@ cdecl ftell(ptr)
+@ varargs fwprintf(ptr wstr)
+# stub fwprintf_s
+@ cdecl fwrite(ptr long long ptr)
+@ varargs fwscanf(ptr wstr)
+@ varargs fwscanf_s(ptr wstr)
+@ cdecl getc(ptr)
+@ cdecl getchar()
+@ cdecl getenv(str)
+# stub getenv_s
+@ cdecl gets(str)
+@ cdecl getwc(ptr)
+@ cdecl getwchar()
+@ cdecl gmtime(ptr)
+@ cdecl is_wctype(long long)iswctype
+@ cdecl isalnum(long)
+@ cdecl isalpha(long)
+@ cdecl iscntrl(long)
+@ cdecl isdigit(long)
+@ cdecl isgraph(long)
+@ cdecl isleadbyte(long)
+@ cdecl islower(long)
+@ cdecl isprint(long)
+@ cdecl ispunct(long)
+@ cdecl isspace(long)
+@ cdecl isupper(long)
+@ cdecl iswalnum(long)
+@ cdecl iswalpha(long)
+@ cdecl iswascii(long)
+@ cdecl iswcntrl(long)
+@ cdecl iswctype(long long)
+@ cdecl iswdigit(long)
+@ cdecl iswgraph(long)
+@ cdecl iswlower(long)
+@ cdecl iswprint(long)
+@ cdecl iswpunct(long)
+@ cdecl iswspace(long)
+@ cdecl iswupper(long)
+@ cdecl iswxdigit(long)
+@ cdecl isxdigit(long)
+@ cdecl labs(long)
+@ cdecl ldexp(double long)
+@ cdecl ldiv(long long)
+@ cdecl localeconv()
+@ cdecl localtime(ptr)
+@ cdecl log(double)
+@ cdecl log10(double)
+@ cdecl -i386 longjmp(ptr long)
+@ cdecl malloc(long)
+@ cdecl mblen(ptr long)
+# stub mbrlen
+# stub mbrtowc
+# stub mbsdup_dbg
+# stub mbsrtowcs
+# stub mbsrtowcs_s
+@ cdecl mbstowcs(ptr str long)
+# stub mbstowcs_s
+@ cdecl mbtowc(wstr str long)
+@ cdecl memchr(ptr long long)
+@ cdecl memcmp(ptr ptr long)
+@ cdecl memcpy(ptr ptr long)
+@ cdecl memcpy_s(ptr long ptr long) memmove_s
+@ cdecl memmove(ptr ptr long)
+@ cdecl memmove_s(ptr long ptr long)
+@ cdecl memset(ptr long long)
+@ cdecl mktime(ptr)
+@ cdecl modf(double ptr)
+@ cdecl perror(str)
+@ cdecl pow(double double)
+@ varargs printf(str)
+# stub printf_s
+@ cdecl putc(long ptr)
+@ cdecl putchar(long)
+@ cdecl puts(str)
+@ cdecl putwc(long ptr) fputwc
+@ cdecl putwchar(long) _fputwchar
+@ cdecl qsort(ptr long long ptr)
+# stub qsort_s
+@ cdecl raise(long)
+@ cdecl rand()
+@ cdecl rand_s(ptr)
+@ cdecl realloc(ptr long)
+@ cdecl remove(str)
+@ cdecl rename(str str)
+@ cdecl rewind(ptr)
+@ varargs scanf(str)
+@ varargs scanf_s(str)
+@ cdecl setbuf(ptr ptr)
+@ cdecl -arch=x86_64 -norelay -private setjmp(ptr)
+@ cdecl setlocale(long str)
+@ cdecl setvbuf(ptr str long long)
+@ cdecl signal(long long)
+@ cdecl sin(double)
+@ cdecl sinh(double)
+@ varargs sprintf(ptr str)
+@ varargs sprintf_s(ptr long str)
+@ cdecl sqrt(double)
+@ cdecl srand(long)
+@ varargs sscanf(str str)
+@ varargs sscanf_s(str str)
+@ cdecl strcat(str str)
+@ cdecl strcat_s(str long str)
+@ cdecl strchr(str long)
+@ cdecl strcmp(str str)
+@ cdecl strcoll(str str)
+@ cdecl strcpy(ptr str)
+@ cdecl strcpy_s(ptr long str)
+@ cdecl strcspn(str str)
+@ cdecl strerror(long)
+# stub strerror_s
+@ cdecl strftime(str long str ptr)
+@ cdecl strlen(str)
+@ cdecl strncat(str str long)
+# stub strncat_s
+@ cdecl strncmp(str str long)
+@ cdecl strncpy(ptr str long)
+@ cdecl strncpy_s(ptr long str long)
+@ cdecl strnlen(str long)
+@ cdecl strpbrk(str str)
+@ cdecl strrchr(str long)
+@ cdecl strspn(str str)
+@ cdecl strstr(str str)
+@ cdecl strtod(str ptr)
+@ cdecl strtok(str str)
+@ cdecl strtok_s(ptr str ptr)
+@ cdecl strtol(str ptr long)
+@ cdecl strtoul(str ptr long)
+@ cdecl strxfrm(ptr str long)
+@ varargs swprintf(ptr wstr)
+@ varargs swprintf_s(ptr long wstr)
+@ varargs swscanf(wstr wstr)
+@ varargs swscanf_s(wstr wstr)
+@ cdecl system(str)
+@ cdecl tan(double)
+@ cdecl tanh(double)
+@ cdecl time(ptr)
+@ cdecl tmpfile()
+# stub tmpfile_s
+@ cdecl tmpnam(ptr)
+# stub tmpnam_s
+@ cdecl tolower(long)
+@ cdecl toupper(long)
+@ cdecl towlower(long)
+@ cdecl towupper(long)
+@ cdecl ungetc(long ptr)
+@ cdecl ungetwc(long ptr)
+# stub utime
+@ cdecl vfprintf(ptr str ptr)
+# stub vfprintf_s
+@ cdecl vfwprintf(ptr wstr ptr)
+# stub vfwprintf_s
+@ cdecl vprintf(str ptr)
+# stub vprintf_s
+# stub vsnprintf
+@ cdecl vsprintf(ptr str ptr)
+@ cdecl vsprintf_s(ptr long str ptr)
+@ cdecl vswprintf(ptr wstr ptr)
+@ cdecl vswprintf_s(ptr long wstr ptr)
+@ cdecl vwprintf(wstr ptr)
+# stub vwprintf_s
+# stub wcrtomb
+# stub wcrtomb_s
+@ cdecl wcscat(wstr wstr)
+@ cdecl wcscat_s(wstr long wstr)
+@ cdecl wcschr(wstr long)
+@ cdecl wcscmp(wstr wstr)
+@ cdecl wcscoll(wstr wstr)
+@ cdecl wcscpy(ptr wstr)
+@ cdecl wcscpy_s(ptr long wstr)
+@ cdecl wcscspn(wstr wstr)
+@ cdecl wcsftime(ptr long wstr ptr)
+@ cdecl wcslen(wstr)
+@ cdecl wcsncat(wstr wstr long)
+# stub wcsncat_s
+@ cdecl wcsncmp(wstr wstr long)
+@ cdecl wcsncpy(ptr wstr long)
+@ cdecl wcsncpy_s(ptr long wstr long)
+# stub wcsnlen
+@ cdecl wcspbrk(wstr wstr)
+@ cdecl wcsrchr(wstr long)
+# stub wcsrtombs
+# stub wcsrtombs_s
+@ cdecl wcsspn(wstr wstr)
+@ cdecl wcsstr(wstr wstr)
+@ cdecl wcstod(wstr ptr)
+@ cdecl wcstok(wstr wstr)
+# stub wcstok_s
+@ cdecl wcstol(wstr ptr long)
+@ cdecl wcstombs(ptr ptr long)
+@ cdecl wcstombs_s(ptr ptr long wstr long)
+@ cdecl wcstoul(wstr ptr long)
+@ stub wcsxfrm #(ptr wstr long)
+# stub wctob
+@ cdecl wctomb(ptr long)
+# stub wctomb_s
+@ varargs wprintf(wstr)
+# stub wprintf_s
+@ varargs wscanf(wstr) 
+@ varargs wscanf_s(wstr)
+
+# Functions not exported in native dll:
+@ cdecl _get_invalid_parameter_handler()
+@ cdecl _set_invalid_parameter_handler(ptr)
+@ cdecl _create_locale(long str)
+@ cdecl _free_locale(ptr)
+@ cdecl _configthreadlocale(long)
+@ cdecl _wcstod_l(wstr ptr)

Property changes on: msvcrt\msvcrt.spec
___________________________________________________________________
Added: svn:eol-style
   + native

Index: win32.rbuild
===================================================================
--- win32.rbuild	(revision 47065)
+++ win32.rbuild	(working copy)
@@ -304,6 +304,21 @@
 <directory name="mstask">
 	<xi:include href="mstask/mstask.rbuild" />
 </directory>
+<directory name="msvcirt">
+	<xi:include href="msvcirt/msvcirt.rbuild" />
+</directory>
+<directory name="msvcr70">
+	<xi:include href="msvcr70/msvcr70.rbuild" />
+</directory>
+<directory name="msvcr71">
+	<xi:include href="msvcr71/msvcr71.rbuild" />
+</directory>
+<directory name="msvcr80">
+	<xi:include href="msvcr80/msvcr80.rbuild" />
+</directory>
+<directory name="msvcr90">
+	<xi:include href="msvcr90/msvcr90.rbuild" />
+</directory>
 <directory name="msvcrt">
 	<xi:include href="msvcrt/msvcrt.rbuild" />
 </directory>
